<% 'Module: AssetLabelsCI.inc

   'Description: This module is contains the Asset Labels that are placed
   ' infront the asset information in various modules.
   ' This module is similar to the AssetLabels.inc but this version of
   ' the include file is specially customized for integration with the
   ' CI Discovery Asset Audit tool.
   
   ' The asset information is stored in the asset table in the database.
   ' The column names in the database cannot change, but the
   ' web-viewable labels infront of that data can be easily changed
   ' by editing the labels here.  This allows the asset database
   ' to be more configurable to your asset management requirements
   
   ' This file should be located in the wclanguage virtual directory so it is
   ' available for both Customer+Center and Tech+Center applications.
   
   '(C) 2000, 2001, 2002, 2003 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '12/03/01	SAV		Created original AssetLabels.inc Page
   '05/06/02	SAV		Modifed page for Version 4.0 release	
   '05/28/03	SAV		Created page for integration with CI Discovery
%>

<% ' CI Discovery Definitions

	' ODBC DATABASE Definitions for the CI Database (Not Web+Center)
	' Select one or the other definitions below
	CIDSN = "DSN=CIDISCOVERY_ACCESS" 
	'CIDSN = "DSN=CIDISCOVERY_SQL" 
	CI_VIRTUAL_DIRECTORY = "cidiscoveryweb"

%>

<% ' * * * * * * * * * * * User Customizations * * * * * * * * * * * * *
	' Edit the variable VALUES below to change the displayed custom asset field names
	' I.E. To change the Field 1 to you custom value of Mac Or PC change
	' the line Custom_Field_1_Label = "Field 1" to Custom_Field_1_Label="Mac Or PC"
	Custom_Field_1_Label = "Field 1"
	Custom_Field_2_Label = "Field 2"
	Custom_Field_3_Label = "Field 3"
	Custom_Field_4_Label = "Field 4"
	Custom_Field_5_Label = "Field 5"

	' Note this Custom database fields are limited to 50 characters each.
	
	' General Asset Info
	Asset_Number_Label = "Asset Number"	
	Description_Label = "Computer Name"
	Property_Tag_Label = "Property Tag"
	
	Assigned_Group_Label = "Manufacturer"
	Location_Label = "Model"
	Date_Assigned_Label = "Date Assigned"
	IP_Address_Label = "IP Address"
	Wall_Port_Number_Label = "Wall Port Number"
	
	' Asset Details
	Computer_ID_Label = "Computer ID"
	Lease_Or_Purchase_Label = "Lease or Purchase"
	Purchase_Order_Number_Label = "Purchase Order Number"
	Serial_Number_Label = "Serial Number"
	
	' Acquisition Fields
	Acquired_From_Label = "Owner"
	Date_Acquired_Label = "Company"
	Date_put_into_service_Label = "Date put into service"
	
	' Specifications
	Processor_Speed_Label = "Speed"
	RAM_Size_Label = "Total RAM size"
	Hard_Drive_Size_Label = "Hard Drive Size"
	Monitor_model_Label = "Monitor Model"
	Monitor_size_Label = "Monitor Size"
	Monitor_Serial_Number_Label = "Monitor Serial number"
	
	'Software Labels
	Operating_System_1_Label = "Operating system"
	Operating_System_2_Label = "O/S Patch Level"
	
	App_1_Label = "App 1"
	App_1_Product_ID_Label = "App 1 product ID"
	App_1_Installation_Date_Label = "App 1 installation Date"
		
	App_2_Label = "App 2"
	App_2_Product_ID_Label = "App 2 product ID"
	App_2_Installation_Date_Label = "App 2 installation Date"
	
	App_3_Label = "App 3"
	App_3_Product_ID_Label = "App 3 product ID"
	App_3_Installation_Date_Label = "App 3 installation Date"
	
	App_4_Label = "App 4"
	App_4_Product_ID_Label = "App 4 product ID"
	App_4_Installation_Date_Label = "App 4 installation Date"
	
	App_5_Label = "App 5"
	App_5_Product_ID_Label = "App 5 product ID"
	App_5_Installation_Date_Label = "App 5 installation Date"
	
	App_6_Label = "App 6"
	App_6_Product_ID_Label = "App 6 product ID"
	App_6_Installation_Date_Label = "App 6 installation Date"
	
	App_7_Label = "App 7"
	App_7_Product_ID_Label = "App 7 product ID"
	App_7_Installation_Date_Label = "App 7 installation Date"
	
	App_8_Label = "App 8"
	App_8_Product_ID_Label = "App 8 product ID"
	App_8_Installation_Date_Label = "App 8 installation Date"
	
	App_9_Label = "App 9"
	App_9_Product_ID_Label = "App 9 product ID"
	App_9_Installation_Date_Label = "App 9 installation Date"
	
	App_10_Label = "App 10"
	App_10_Product_ID_Label = "App 10 product ID"
	App_10_Installation_Date_Label = "App 10 installation Date"
	
	App_11_Label = "App 11"
	App_11_Product_ID_Label = "App 11 product ID"
	App_11_Installation_Date_Label = "App 11 installation Date"
	
	App_12_Label = "App 12"
	App_12_Product_ID_Label = "App 12 product ID"
	App_12_Installation_Date_Label = "App 12 installation Date"
	
	App_13_Label = "App 13"
	App_13_Product_ID_Label = "App 13 product ID"
	App_13_Installation_Date_Label = "App 13 installation Date"
	
	App_14_Label = "App 14"
	App_14_Product_ID_Label = "App 14 product ID"
	App_14_Installation_Date_Label = "App 14 installation Date"
	
	App_15_Label = "App 15"
	App_15_Product_ID_Label = "App 15 product ID"
	App_15_Installation_Date_Label = "App 15 installation Date"
	
'*****************************************************	
' Text Labels for Asset Audit Page
'*****************************************************
	wc_Asset_Audit				= "Asset Audit"
	wc_Asset_Import_Options			= "Asset Import Options"
	wc_Import_Update_All_Audited_Assets	= "Import/Update All Audited Assets"
	wc_Import_Update_Selected_Assets 	= "Import/Update Selected Assets"
	wc_Select_One_Or_More_Assets		= "Select One or More Assets"
	wc_No_Assets_Found			= "No Assets Found"
	wc_Launch_CI_Discovery_in_New_Window	= "Launch CI Discovery in New Window"
	wc_Asset_Audit_Select_One		= "Select <br> One"
	
' * * * * * * * * * The Following are the same names but as used in the Pocket PC Environment * * * * * * * * *
' * * * * * * * * * These may need to be shorter than the "originals" above to cater foe the smaall screen * * *
	

	wcp_Custom_Field_1_Label = "Field 1"
	wcp_Custom_Field_2_Label = "Field 2"
	wcp_Custom_Field_3_Label = "Field 3"
	wcp_Custom_Field_4_Label = "Field 4"
	wcp_Custom_Field_5_Label = "Field 5"

	' Note this Custom database fields are limited to 50 characters each.
	
	' General Asset Info
	wcp_Asset_Number_Label = "Asset No"	
	wcp_Description_Label = "Descr"
	wcp_Property_Tag_Label = "Tag No"
	
	wcp_Assigned_Group_Label = "Assigned Group"
	wcp_Location_Label = "Location"
	wcp_Date_Assigned_Label = "Date Assigned"
	wcp_IP_Address_Label = "IP Addr."
	wcp_Wall_Port_Number_Label = "Wall Port No"
	
	' Asset Details
	wcp_Computer_ID_Label = "Computer ID"
	wcp_Lease_Or_Purchase_Label = "Lease or Purchase"
	wcp_Purchase_Order_Number_Label = "P.O. Number"
	wcp_Serial_Number_Label = "S/N"
	
	' Acquisition Fields
	wcp_Acquired_From_Label = "Acquired From"
	wcp_Date_Acquired_Label = "Date Acquired"
	wcp_Date_put_into_service_Label = "Date put into service"
	
	' Specifications
	wcp_Processor_Speed_Label = "Processor speed"
	wcp_RAM_Size_Label = "RAM size"
	wcp_Hard_Drive_Size_Label = "Hard Drive Size"
	wcp_Monitor_model_Label = "Monitor Model"
	wcp_Monitor_size_Label = "Monitor Size"
	wcp_Monitor_Serial_Number_Label = "Monitor S/N"
	
	'Software Labels
	wcp_Operating_System_1_Label = "Operating system 1"
	wcp_Operating_System_2_Label = "Operating system 2"
	
	wcp_App_1_Label = "App 1"
	wcp_App_1_Product_ID_Label = "App 1 product ID"
	wcp_App_1_Installation_Date_Label = "App 1 installation Date"
		
	wcp_App_2_Label = "App 2"
	wcp_App_2_Product_ID_Label = "App 2 product ID"
	wcp_App_2_Installation_Date_Label = "App 2 installation Date"
	
	wcp_App_3_Label = "App 3"
	wcp_App_3_Product_ID_Label = "App 3 product ID"
	wcp_App_3_Installation_Date_Label = "App 3 installation Date"
	
	wcp_App_4_Label = "App 4"
	wcp_App_4_Product_ID_Label = "App 4 product ID"
	wcp_App_4_Installation_Date_Label = "App 4 installation Date"
	
	wcp_App_5_Label = "App 5"
	wcp_App_5_Product_ID_Label = "App 5 product ID"
	wcp_App_5_Installation_Date_Label = "App 5 installation Date"
	
	wcp_App_6_Label = "App 6"
	wcp_App_6_Product_ID_Label = "App 6 product ID"
	wcp_App_6_Installation_Date_Label = "App 6 installation Date"
	
	wcp_App_7_Label = "App 7"
	wcp_App_7_Product_ID_Label = "App 7 product ID"
	wcp_App_7_Installation_Date_Label = "App 7 installation Date"
	
	wcp_App_8_Label = "App 8"
	wcp_App_8_Product_ID_Label = "App 8 product ID"
	wcp_App_8_Installation_Date_Label = "App 8 installation Date"
	
	wcp_App_9_Label = "App 9"
	wcp_App_9_Product_ID_Label = "App 9 product ID"
	wcp_App_9_Installation_Date_Label = "App 9 installation Date"
	
	wcp_App_10_Label = "App 10"
	wcp_App_10_Product_ID_Label = "App 10 product ID"
	wcp_App_10_Installation_Date_Label = "App 10 installation Date"
	
	wcp_App_11_Label = "App 11"
	wcp_App_11_Product_ID_Label = "App 11 product ID"
	wcp_App_11_Installation_Date_Label = "App 11 installation Date"
	
	wcp_App_12_Label = "App 12"
	wcp_App_12_Product_ID_Label = "App 12 product ID"
	wcp_App_12_Installation_Date_Label = "App 12 installation Date"
	
	wcp_App_13_Label = "App 13"
	wcp_App_13_Product_ID_Label = "App 13 product ID"
	wcp_App_13_Installation_Date_Label = "App 13 installation Date"
	
	wcp_App_14_Label = "App 14"
	wcp_App_14_Product_ID_Label = "App 14 product ID"
	wcp_App_14_Installation_Date_Label = "App 14 installation Date"
	
	wcp_App_15_Label = "App 15"
	wcp_App_15_Product_ID_Label = "App 15 product ID"
	wcp_App_15_Installation_Date_Label = "App 15 installation Date"


' * * * * * * * * * End User Customizations Section * * * * ** * * *	
	
	
%>
