<% 'Module: AssetLabelsCustom.inc

   'Description: This module is contains the Asset Labels that are placed
   ' infront the asset information in various modules.  This version is used
   ' instead of assetlabels.inc when you want to create custom labels.
   
   ' IMPORTANT: The pocket+Center shortened asset label fields are listed below.
   ' These must be changed if you want custom labels for the pocket+center as well.
   ' The asset information is stored in the asset table in the database.
   ' The column names in the database cannot change, but the
   ' web-viewable labels infront of that data can be easily changed
   ' by editing the labels here.  This allows the asset database
   ' to be more configurable to your asset management requirements
   
   ' If you want to disable a field from being display in the tech+center, simply
   ' comment out the label by placing a single quote character infront of the
   ' label definition.
   
   ' This file should be located in the languageXX virtual directory so it is
   ' available for Customer+Center and Tech+Center and Pocket+Center applications.
   
   '(C) 2000, 2001, 2002-2006 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '12/03/01	SAV		Created original AssetLabels.inc Page
   '05/06/02	SAV		Modifed page for Version 4.0 release	

%>

<% ' * * * * * * * * * * * User Customizations * * * * * * * * * * * * *

	' First these are the values for the various sections on the asset INfo/create/edit page.
	Asset_Information_Label = "Asset Information"
	Asset_Assignments_Label = "Assign Assignments"
	Asset_Details_Acquisition_Label  = "Asset Details/Acquisition"
	Specifications = "Specifications"
	Custom_Fields_Label = "Custom Fields"
	Software_Label = "Funding"
	
	
	

	' Edit the variable VALUES below to change the displayed custom asset field names
	' I.E. To change the Field 1 to you custom value of Mac Or PC change
	' the line Custom_Field_1_Label = "Field 1" to Custom_Field_1_Label="Mac Or PC"
	Custom_Field_1_Label = "Warranty Length"
	Custom_Field_2_Label = "Life Of Asset"
	Custom_Field_3_Label = "Cost"
	Custom_Field_4_Label = "Last Inventory Date"
	Custom_Field_5_Label = "Disposal Date(YYYY/MM/DD)"

	' Note this Custom database fields are limited to 50 characters each.
	
	' General Asset Info
	Asset_Number_Label = "Asset Number"	
	Description_Label = "IT Equipment Type"
	Property_Tag_Label = "Barcode"
	
	Assigned_Group_Label = "Room"
	Location_Label = "Building"
'	Date_Assigned_Label = "Date Assigned"
'	IP_Address_Label = "IP Address"
'	Wall_Port_Number_Label = "Wall Port Number"
	
	' Asset Details
	Computer_ID_Label = "Classification"
	Lease_Or_Purchase_Label = "Lease or Purchase"
	Purchase_Order_Number_Label = "Purchase Order Number"
	Serial_Number_Label = "Serial Number"
	
	' Acquisition Fields
	Acquired_From_Label = "Vendor"
	Date_Acquired_Label = "P.O. Date"
'	Date_put_into_service_Label = "Date put into service"
	
	' Specifications
'	Processor_Speed_Label = "Processor speed"
'	RAM_Size_Label = "RAM size"
'	Hard_Drive_Size_Label = "Hard Drive Size"
	Monitor_model_Label = "Brand"
'	Monitor_size_Label = "Monitor Size"
'	Monitor_Serial_Number_Label = "Monitor Serial number"
	
	'Software Labels
'	Operating_System_1_Label = "Operating system 1"
'	Operating_System_2_Label = "Operating system 2"
	
	App_1_Label = "Funding Account 1"
	App_1_Product_ID_Label = "Funding Account 2"
	App_1_Installation_Date_Label = "Funding Account 3"
		
	App_2_Label = "Funding Account 4"
	App_2_Product_ID_Label = "Funding Account 5"
	App_2_Installation_Date_Label = "Funding Account 6"
	
	App_3_Label = "Funding Account 7"
	App_3_Product_ID_Label = "Funding Account 8"
	App_3_Installation_Date_Label = "Funding Account 9"
	
'	App_4_Label = "App 4"
	App_4_Product_ID_Label = "App 4 product ID"
	App_4_Installation_Date_Label = "App 4 installation Date"
	
'	App_5_Label = "App 5"
	App_5_Product_ID_Label = "App 5 product ID"
	App_5_Installation_Date_Label = "App 5 installation Date"
	
'	App_6_Label = "App 6"
	App_6_Product_ID_Label = "App 6 product ID"
	App_6_Installation_Date_Label = "App 6 installation Date"
	
'	App_7_Label = "App 7"
	App_7_Product_ID_Label = "App 7 product ID"
	App_7_Installation_Date_Label = "App 7 installation Date"
	
'	App_8_Label = "App 8"
	App_8_Product_ID_Label = "App 8 product ID"
	App_8_Installation_Date_Label = "App 8 installation Date"
	
'	App_9_Label = "App 9"
	App_9_Product_ID_Label = "App 9 product ID"
	App_9_Installation_Date_Label = "App 9 installation Date"
	
'	App_10_Label = "App 10"
	App_10_Product_ID_Label = "App 10 product ID"
	App_10_Installation_Date_Label = "App 10 installation Date"
	
'	App_11_Label = "App 11"
	App_11_Product_ID_Label = "App 11 product ID"
	App_11_Installation_Date_Label = "App 11 installation Date"
	
'	App_12_Label = "App 12"
	App_12_Product_ID_Label = "App 12 product ID"
	App_12_Installation_Date_Label = "App 12 installation Date"
	
'	App_13_Label = "App 13"
	App_13_Product_ID_Label = "App 13 product ID"
	App_13_Installation_Date_Label = "App 13 installation Date"
	
'	App_14_Label = "App 14"
	App_14_Product_ID_Label = "App 14 product ID"
	App_14_Installation_Date_Label = "App 14 installation Date"
	
'	App_15_Label = "App 15"
	App_15_Product_ID_Label = "App 15 product ID"
	App_15_Installation_Date_Label = "App 15 installation Date"
	
	
'  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
'       P O C K E T + C E N T E R Custom Label section
'  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

' * * * * * * * * * The Following are the same names but as used in the Pocket PC Environment * * * * * * * * *
' * * * * * * * * * These may need to be shorter than the "originals" above to cater foe the smaall screen * * *
	

	wcp_Custom_Field_1_Label = "Warrany"
	wcp_Custom_Field_2_Label = "Life of asset"
	wcp_Custom_Field_3_Label = "Cost"
	wcp_Custom_Field_4_Label = "Inv. Date"
	wcp_Custom_Field_5_Label = "Disp. Date"

	' Note this Custom database fields are limited to 50 characters each.
	
	' General Asset Info
	wcp_Asset_Number_Label = "Asset No"	
	wcp_Description_Label = "Equip Type"
	wcp_Property_Tag_Label = "Barcode"
	
	wcp_Assigned_Group_Label = "Room"
	wcp_Location_Label = "Building"
	wcp_Date_Assigned_Label = "Date Assigned"
	wcp_IP_Address_Label = "IP Addr."
	wcp_Wall_Port_Number_Label = "Wall Port No"
	
	' Asset Details
	wcp_Computer_ID_Label = "Classification"
	wcp_Lease_Or_Purchase_Label = "Lease or Purchase"
	wcp_Purchase_Order_Number_Label = "PO Number"
	wcp_Serial_Number_Label = "S/N"
	
	' Acquisition Fields
	wcp_Acquired_From_Label = "Vendor"
	wcp_Date_Acquired_Label = "PO Date"
	wcp_Date_put_into_service_Label = "Date put into service"
	
	' Specifications
	wcp_Processor_Speed_Label = "Processor speed"
	wcp_RAM_Size_Label = "RAM size"
	wcp_Hard_Drive_Size_Label = "Hard Drive Size"
	wcp_Monitor_model_Label = "Brand"
	wcp_Monitor_size_Label = "Monitor Size"
	wcp_Monitor_Serial_Number_Label = "Monitor S/N"
	
	'Software Labels
	wcp_Operating_System_1_Label = "Operating system 1"
	wcp_Operating_System_2_Label = "Operating system 2"
	
	wcp_App_App_1_Label = "Funding Account 1"
	wcp_App_App_1_Product_ID_Label = "Funding Account 2"
	wcp_App_App_1_Installation_Date_Label = "Funding Account 3"
		
	wcp_App_App_2_Label = "Funding Account 4"
	wcp_App_App_2_Product_ID_Label = "Funding Account 5"
	wcp_App_App_2_Installation_Date_Label = "Funding Account 6"
		
	wcp_App_4_Label = "App 4"
	wcp_App_4_Product_ID_Label = "App 4 product ID"
	wcp_App_4_Installation_Date_Label = "App 4 installation Date"
	
	wcp_App_5_Label = "App 5"
	wcp_App_5_Product_ID_Label = "App 5 product ID"
	wcp_App_5_Installation_Date_Label = "App 5 installation Date"
	
	wcp_App_6_Label = "App 6"
	wcp_App_6_Product_ID_Label = "App 6 product ID"
	wcp_App_6_Installation_Date_Label = "App 6 installation Date"
	
	wcp_App_7_Label = "App 7"
	wcp_App_7_Product_ID_Label = "App 7 product ID"
	wcp_App_7_Installation_Date_Label = "App 7 installation Date"
	
	wcp_App_8_Label = "App 8"
	wcp_App_8_Product_ID_Label = "App 8 product ID"
	wcp_App_8_Installation_Date_Label = "App 8 installation Date"
	
	wcp_App_9_Label = "App 9"
	wcp_App_9_Product_ID_Label = "App 9 product ID"
	wcp_App_9_Installation_Date_Label = "App 9 installation Date"
	
	wcp_App_10_Label = "App 10"
	wcp_App_10_Product_ID_Label = "App 10 product ID"
	wcp_App_10_Installation_Date_Label = "App 10 installation Date"
	
	wcp_App_11_Label = "App 11"
	wcp_App_11_Product_ID_Label = "App 11 product ID"
	wcp_App_11_Installation_Date_Label = "App 11 installation Date"
	
	wcp_App_12_Label = "App 12"
	wcp_App_12_Product_ID_Label = "App 12 product ID"
	wcp_App_12_Installation_Date_Label = "App 12 installation Date"
	
	wcp_App_13_Label = "App 13"
	wcp_App_13_Product_ID_Label = "App 13 product ID"
	wcp_App_13_Installation_Date_Label = "App 13 installation Date"
	
	wcp_App_14_Label = "App 14"
	wcp_App_14_Product_ID_Label = "App 14 product ID"
	wcp_App_14_Installation_Date_Label = "App 14 installation Date"
	
	wcp_App_15_Label = "App 15"
	wcp_App_15_Product_ID_Label = "App 15 product ID"
	wcp_App_15_Installation_Date_Label = "App 15 installation Date"


' * * * * * * * * * End User Customizations Section * * * * ** * * *	
	
	
%>
