<%  ' Module: CheckVersions.asp (Language Directory Version)
	'
	' Description: This file checks the versions of the Web+Center
	' application on your server and compares it with the most currently
	' released versions at Internet Software Sciences Release Site
	' and will determine which files need to be upgraded.
	'
	' (C) 2000-2011 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'06/26/2000	SAV		Created original CheckVersions.asp file
	'06/21/2000	SAV		Created new 3.5 version CheckVersions.asp
	' 03/09/2011 CMB    Version 7 updates
%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<%	' Display the Main body of the page %>

<html.
<head>
<title> Check Web+Center Version 7.0 File Versions</title>
</head>
<body bgcolor=#FFFFFF>

<center>
<font size=+1 face=arial>
Web+Center 7.0 Version Checking (Language Directory)
</center>
</font>
<font size=-1 face=arial>

<%

	' We will grab the path_info to find the real physical directory

strPathInfo = Request.ServerVariables("PATH_INFO")
strPhysicalPath = Server.MapPath(strPathInfo)
'response.write strPhysicalPath

Set objFSO = Server.CreateObject("Scripting.FilesystemObject")

Set objFile = objFSO.GetFile (strPhysicalPath)
Set objFolder = objFile.ParentFolder
Set objFolderContents = objFolder.Files

	' Now we will created hidden fields for each file with the following
	' convention:
	'	<input type=hidden name=(Filename) value = (Date and Time String)>
	' Where File = objFileItem.Name field
	'	And Date and Time String = objFileitem.DateLastModified field
	'	These fields will then be submitted to the server at
	' Internet Software Sciences to determine if files in the current
	' version directories exist, and match date and time.  If they don't,
	' links are provided to allow each file to up loaded directly one
	' file at a time or a link to a zip version of the directory
	' tree will also be available.

	' There will be similar CheckVersions.asp files available in both
	' the Customercenter and Techcenter directories.


%>

<% ' Version Checking Website Address
	' Listed below is the website address to be used for checking
	' the TECHCENTER directory for the most current set of software
	' This webaddress may change and can be edited.  Please contact
	' ISS or review their FAQ page incase this address has changed

	' Note : Version 7.0 version check on new version server

	TECH_VERSION_CHECK = "http://helpdesk.inet-sciences.com/Version70Check/CheckTech.asp"
	CUSTOMER_VERSION_CHECK = "http://helpdesk.inet-sciences.com/Version70Check/CheckCustomer.asp"
	BUSINESS_VERSION_CHECK = "http://helpdesk.inet-sciences.com/Version70Check/CheckBusiness.asp"
	POCKET_VERSION_CHECK = "http://helpdesk.inet-sciences.com/Version70Check/CheckPocket.asp"
	LANGUAGE_VERSION_CHECK = "http://helpdesk.inet-sciences.com/Version70Check/CheckLanguage.asp"
	RESERVATION_VERSION_CHECK = "http://helpdesk.inet-sciences.com/Version70Check/CheckReservation.asp"

%>

	<form action = "<%=LANGUAGE_VERSION_CHECK%>" method=post>


<%
	FileCount = 0
For each objFileItem in objFolderContents
%>
	<% ' We need to put the DateLastModified into a format that uniform across
		' system settings since if users has long date/time format specified,
		' it will not work if the ISS server

		CompatibleDate = ConvertToStandardDateTimeFormat(objFileItem.DateLastModified)
		'Response.write " Compatible Date = " & CompatibleDate & "<br>"

	%>

	<input type=hidden name = "<%=objFileItem.Name%>" value = "<%=CompatibleDate%> (<%=objFileItem.Size%> bytes)">

<%
	FileCount = FileCount + 1
	Next
%>
 <P>
 <B>Directions:</b>Your Language+Center directory and all of its files
 have been
 analyzed and we are now ready to compare your Language+Center files with
 latest, available set of files from Internet Software Sciences for
 this directory.<P>
 Press the <B>Check Versions</b> button below to complete your File Version
 Check process.
 <P>

 # of Files Processed:<%= FileCount%><P>


	<center>
	<input type=submit name=submit value = "Check Versions">
</form>

</font>


</body>
</html>

<% Function ConvertToStandardDateTimeFormat(DateTimeValue)
' This function converts the passed DateTimeValue into a string
' that is system date setting independent.
		' Compute special comparison string by creating string
		' in format of MM/DD/YYYY---HH:MM

		YearString = Cstr(Year(DateTimeValue))
		If Len(YearString) = 2 Then
			YearString = "20" & YearString
		End IF

		MonthString = cstr(month(DateTimeValue))
		If Len(MonthString) = 1 Then
			MonthString = "0" & MonthString
		End IF

		DayString = cstr(day(DateTimeValue))
		If len(DayString) = 1 Then
			DayString = "0" & DayString
		End If

		HourString = cstr(hour(DateTimeValue))
		If Len(HourString) = 1 Then
			HourString = "0" & HourString
		End If

		MinuteString = cstr(minute(DateTimeValue))
		If Len(MinuteString) = 1 Then
			MinuteString = "0" & MinuteString
		End If

		ConvertToStandardDateTimeFormat = MonthString & "/" & DayString & "/" & YearString & "  " & HourString & ":" & MinuteString



End Function
%>

