<blockquote>
  <div align=center>
    <font size=+1><b>Edit/Delete Category Item List </b></font><br>
    <font size=+1 color=blue><b></b></font>
  </div>
  <div align=left>
     <p><font size=-1>This page is used to perform operations on category item lists as described below.
        Multiple operations can be performed at the same time and in any combination:

     <p><b>What is a category?</b> A category can be thought of as a field in a case record used to identify
     (or "categorize") the type of information contained in the record. Category fields are visible on both
       the case form and the search engine form. Values entered into category fields are selected by users from
       category item lists. Categories and item lists are user defined. Every case record can have up to 50 defined
       categories, each with its own list of selectable items. When a case record is first created, every
       defined category is set to a default value of "N/A" (not applicable). This default does not change unless a
       user sets it to a different value in the case form. Only users can determine what type (or "category")
       of information is contained in a particular case record.. Categories are used by the search engine to restrict
       a case search to only those records that match a particular set of criteria. The category fields that appear
        on the search engine form (which are the same as those appearing on a case form) are used to select the desired
       category search criteria.

      <p><b>To modify a category or item name</b> simply edit the category or item name field. Multiple names can be
        modified at the same time.<p><font color=red>CAUTION: Good judgement and common sense must be exercised when
        modifying a category or item name. For example, suppose the Customer Support System is being used to track problem
        reports for a network of computers, and suppose that one of the defined categories is "Type of Computer" with an
        item list consisting of two items, "Macintosh" and "PC". Suppose further that one or more case records have already
        been created in which this category has been correctly set to one of the two item values. Although a user is
        free to modify a category or item name in any way desired, it's important not to alter the "meaning" of the name.
        Thus it would be acceptable to rename "Macintosh" to "Mac", or to correct a spelling error such as "Makintosh".
        However, it would NOT be acceptable to rename "Macintosh" to "IBM Mainframe" because the meaning of the item name
        would be entirely altered resulting in a corrupted database in which all case reports that previously (and correctly)
        referred to Macintosh computers, now incorrectly refer to IBM mainframe computers. Obviously the same kind of
        problem can occur if the meaning of the category name, as well as the item names, is also changed. Unfortunately,
        there is nothing the Customer Support System can do to prevent users from exercising their free will.</font>

      <p><b>To add an item to a list</b> simply enter a new item name into any available (empty) item name field. Multiple
      items can be added at the same time.

      <p><b>To disable an item in a list</b> simply click the "Disable" radio-button
      for the item. The item can be re-enabled by clicking the "Enable" button. When an item is disabled it is no longer
      visible in the item list and therefore can no longer be selected unless re-enabled. Multiple items can be
      disabled/re-enabled at the same time.

       <p><b>To disable an entire item list</b> simply click the "Disable" radio-button opposite the Category name.
       (Clicking the "Disable" radio-button for each individual item will achieve the same effect)
       
       <p><b>To re-enable a Category List</b> that is completely disabled, you must click either the "All View" or the "Tech View"
       radio-button opposite the category name as well as re-enable least one item. 
       
       If a category item list is disabled then the category field is no longer visible in the case form unless at least 
       one item is re-enabled.

       <p><b>To delete an item from a list</b> simply delete the name of the item in the form field.
        When an item is deleted from a category item list, the deleted item is also permanently removed from the associated
        category field in all case records containing the item, and is replaced with the default value "N/A".
        If you want to remove an item without permanently deleting any item information from the case records, then disable
        the item rather than delete it. Multiple items can be deleted at the same time.

      <p><b>To delete an entire item list</b> simply delete the name of every item in the list. When a
       category item list is deleted, all item information is also permanently removed from the associated category field
       in ALL case records. If you want to remove an entire category item list without permanently deleting any item
        information from the case records, then disable the item list rather than delete it.

       <p><b>Note:</b> The blank fields at the bottom of the list are used to enter the names of new items that will appear 
       in the item list. The order
      in which item names are entered into the fields determines only the initial order in which they will be displayed
      in the case form or search engine form. This order can be at modified any time by going to the "Rearrange" screen which is accessible
      on the main menu.
       <p>
       Also, the fields in the list below do not have to be
      filled in consecutively. Any "gaps" in the list will be ignored.

      <p>For more information on categories see the "Web+Center User's Guide".<br>
   </div>
</blockquote>