<% 'Module: InvoiceLabels.inc

   'Description: This module is contains the Invoice Labels that are placed
   ' infront the Invoice form fields in various modules.
   ' The asset information is stored in the Invoice table in the database.
   ' The column names in the database cannot and should not be changed, but the
   ' web-viewable labels infront of that data can be easily changed
   ' by editing the labels here.  This allows the invoice forms
   ' to be more configurable to your invoicing management requirements
   
   ' This file should be located in the wclanguage virtual directory so it is
   ' available for all of the Web+Center applications including
   ' Business+Center, Tech+Center, Customer+Center and Pocket+Center or
   ' future applications.
   
   '(C) 2000, 2001, 2002, 2003 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '11/28/03	SAV		Created original InvoiceLabels Page

%>

<% ' * * * * * * * * * * * User Customizations * * * * * * * * * * * * *
	' Edit the variable VALUES below to change the displayed Invoice Field Names
	
	' Note All customizable label variables should start with a wc_Invoice
	' to identify it as one that can be customized and part of the Invoice Label
	
	wc_Invoice_Currency		= "$"
	wc_Invoice			= "Invoice"
	wc_Invoice_Invoice		= "Invoice"
	wc_Invoice_Description		= "Description"
	wc_Invoice_Customer		= "Customer"
	wc_Invoice_Company		= "Company"
	wc_Invoice_Status		= "Invoice Status"
	wc_Invoice_Type			= "Invoice Type"
	wc_Invoice_Purchase_Date	= "Purchase Date"
	wc_Invoice_Purchase_Total	= "Purchase Amount"
	wc_Invoice_Balance		= "Invoice Balance"
	wc_Invoice_Case_Number		= "Case Number"
	wc_Invoice_Email		= "Email"
	wc_Invoice_Phone		= "Phone Number"
	wc_Invoice_Date			= "Invoice Date"
	wc_Invoice_Due_Date		= "Invoice Due Date"
	wc_Invoice_Customer_Info	= "Customer Info"
	wc_Invoice_Items		= "Items"
	wc_Invoice_Amount		= "Amount"
	wc_Invoice_Taxable	 	= "Taxable"
	wc_Invoice_Non_Taxable	 	= "Non Taxable"
	wc_Invoice_Tax_Rate	 	= "Tax Rate (Percent)"
	wc_Invoice_Optional		= "(Optional)"
	wc_Invoice_Total		= "Total"
	wc_Invoice_Total_Computed	= "Total (Computed)"
	wc_Invoice_Subtotal		= "Subtotal"
	wc_Invoice_Tax_Total		= "Tax Total"
	wc_Invoice_Hourly_Total	 	= "Hourly Total"
	wc_Invoice_Hourly_Rate		= "Hourly Rate"
	wc_Invoice_Hours		= " Hours "
	wc_Invoice_Time_Spent_Case_Number	= "Time Spent Case Number"
	wc_Invoice_Payment_Due_Date	= "Payment Due Date"
	wc_Invoice_Date_Format		= "mm/dd/yyyy"
	wc_Invoice_Renewal_Date		= "Renewal Date"
	wc_Invoice_Purchase_Date	= "Purchase Date"
	wc_Invoice_Paid_Date		= "Paid Date"
	wc_Invoice_Amount_Paid		= "Amount Paid"
	wc_Invoice_PO_Number		= "PO Number"
	wc_Invoice_Payment_Method	= "Payment Method"
	wc_Invoice_Transaction_Number 	= "Transaction Number"
	wc_Invoice_Check_Number		= "Check Number"
	wc_Invoice_Notes		= "Invoice Notes"
	wc_Invoice_Confirmation		= "Invoice successfully created or updated"
	wc_Invoice_Review_Updated_Invoice = "Review Updated Invoice"
	wc_Invoice_Invoice_Search	= " Invoice Search"
	wc_Invoice_Invoice_Number	= "Invoice Number"
	wc_Invoice_Invoice_Num		= "Invoice Num"

	wc_Invoice_Date_Search		= "Date Search"
	wc_Invoice_Start_Date_Range	= "Start Date Range"
	wc_Invoice_End_Date_Range	= "End Date Range"
	wc_Invoice_Date_Field		= "Invoice Date Field"
	wc_Invoice_Select_One		= "Select One"
	wc_Invoice_Invoice_Search_Results = "Invoice Search Results"
	wc_Invoice_Use_Case_Time_Spent_Value = "Use Case Time Spent Value"
	wc_Invoice_Invoice_Reports	= "Invoice Reports"
	wc_Invoice_Invoice_Report_By_Type = "Invoice Report By Type"
	wc_Invoice_Invoice_Types	= "Invoice Types"
	wc_Invoice_Invoices_By_Type	= "Invoices By Type"
	wc_Invoice_Invoice_Total_Reports = "Invoice Total Reports"
	wc_Invoice_Invoice_Total_By_Date = "Invoice Totals By Date"
	wc_Invoice_Invoice_Totals	= "Invoice Totals"
	wc_Invoice_Amount_Paid_Total_By_Date = "Amount Paid Total By Date"
	wc_Invoice_Pd_Amount		= "Pd Amount"
	wc_Invoice_Amount_Paid_Total	= "Amount Paid Total"
	wc_Invoice_Balance_Due_Total_By_Date = " Balance Due Total By Date"	
	wc_Invoice_Invoice_Balance_Total = " Invoice Balance Total "
	wc_Invoice_Invoice_Totals_By_Month = " Invoice Totals By Month"
	wc_Invoice_Invoice_Total_By_Month_Reports = "Invoice Total By Month Reports"
	wc_Invoice_Month		= "Month"
	wc_Invoice_Year			= "Year"
	wc_Invoice_Number_Symbol	= "#"
	wc_Invoice_Monthly_Total	= "Monthly<br>Total"
	wc_Invoice_AVG			= "AVG"
	wc_Invoice_Percent		= "Percent"
	wc_Invoice_Graphical_Percent	= "Graphical Percent"
	wc_Invoice_Monthly_Summary_Reports = "Monthly Summary Reports"
	wc_Invoice_Amount_Paid_By_Month	= "Amount Paid By Month"
	wc_Invoice_Summary		= "Summary"
	wc_Invoice_Percent_Symbol	= "%"
	wc_Paid_Amount_Monthly_Total	= "Paid Amount <br> Monthly Total"
	wc_Invoice_Invoice_Processing	= "Invoice Processing"
	wc_Invoice_Show_Set_Late_Invoices = "Show / Set Late Invoices "
	wc_Invoice_Set_To_Late		= "Set To<br>Late"
	wc_Invoice_Status_Setting	= "Status Setting"
	wc_Invoice_Payment_Due_Date_Range  = "Payment Due Date Range"
	wc_Invoice_Set_To_Status	= " Set To Status"
	wc_Show_Set_Stauts_For_Payment_Due_Invoices = "Show/Set Status For Payment Due Invoices"
	wc_Invoice_Set_Invoice_Status_Report	= "Set Invoice Status Report"
	wc_Invoice_Export_Reports	= "Export Reports"
	wc_Invoice_Search_And_Export_Invoices = "Search and Export Invoices"
	wc_Invoice_Delete_Invoice	= "Delete Invoice"
	wc_Invoice_Invoice_To_Delete	= "Invoice To Delete"
	wc_Invoice_Delete_Invoice_Confirmation = "Delete Invoice Confirmation"
	wc_Invoice_Delete_This_Invoice_Question = "Delete This Invoice ?"
	wc_Invoice_Invalid_Invoice_Number = "Invalid Invoice Number"
	wc_Invoice_Invoice_Successfully_Deleted = "Invoice Successfully Deleted"
	wc_Invoice_Invoice_Number_Required = "Invoice Number Required"
	wc_Invoice_Set_To	= " Set To"
	wc_Invoice_Create_Renewal_Invoices = "Create Renewal Invoices"
	wc_Invoice_Original_Invoice_Search_Criteria = "Original Invoice Search Criteria"
	wc_Invoice_Set_New_Invoice_Fields = "Set New Invoice Fields"
	wc_Invoice_Set_Invoice_Type_To	= "Set Invoice Type To"
	wc_Invoice_Create_New_Invoice	= "Create New Invoice"
	wc_Invoice_Original_Invoice	= "Original Invoice"
	wc_Invoice_Fields_Transfered	= "Fields Transfered: Description,Customer"
	wc_Invoice_New_Invoice_Number	= "New Invoice Number"
	wc_Invoice_Original_Invoice_Number = "Original Invoice Number"
	wc_Invoice_New_Invoices		= "New Invoices"
	wc_Invoice_Renewal_Invoice_Created = "Renewal Invoice Created"
	wc_Invoice_Qty			= "Qty"
	wc_Invoice_Cost			= "Cost"
	wc_Invoice_Minimum_Payment_Due	= "Minimum Payment Due"
	wc_Invoice_Optional		= "Optional"
	wc_Invoice_Invalid_Start_Date	= "Invalid Start Date"
	wc_Invoice_Invalid_End_Date	= " Invalid End Date"
	wc_Invoice_Date_Field_Required	 = "Invoice Date Field Required"
	wc_Invoice_This_Month		= "This Month"
	wc_Invoice_Last_Complete_Month	= "Last Complete Month"
	wc_Invoice_Last_Complete_Quarter = "Last Complete Quarter"
	wc_Invoice_Last_Complete_Half_Year = "Last Complete Half Year"
	wc_Invoice_Last_Complete_Year	= "Last Complete Year"
	wc_Invoice_Use_Date_Range_Below = "Use Date Range Below"
	wc_Invoice_Invoice_Type_Editor	= "Invoice Type Editor"
	wc_Invoice_No_Invoice_Types_Found = "No Invoice Types Found"
	wc_Invoice_Rename_Invoice_Type = "Rename Invoice Type"
	wc_Invoice_Add_New_Invoice_Type		= "Add New Invoice Type"
	wc_Invoice_Invoice_Type		= "Invoice Type"
	wc_Invoice_Delete_Invoice_Type	= "Delete Invoice Type"
	wc_Invoice_Merge_Invoice_Types	= "Merge Invoice Types"
	wc_Invoice_FROM_Invoice_Type	= "FROM Invoice Type"
	wc_Invoice_Merge_Into_Invoice_Type = "Merge INTO Invoice Type"
	wc_Invoice_Last_30_Days		= "Last 30 Days"
	wc_Invoice_Last_60_Days		= "Last 60 Days"
	wc_Invoice_Invoice_Type_Name_Required = "Invoice Type Name Required"
	wc_Invoice_Invoice_Type_Rename	= "Invoice Type Rename"
	wc_Invoice_Invoice_Type_Renamed_From = "Invoice Type Rename From "
	wc_Invoice_To_Invoice_Type	= "To Invoice  Type "
	wc_Invoice_Invoice_Type_Name_Not_Found = "Invoice Type Name Not Found"
	wc_Invoice_Invoice_Description_Required = "Invoice Description Required"
	wc_Invoice_Invoice_Type_Required = "Invoice Type Required"
	wc_Invoice_New_Invoice_Type	 = " New Invoice Type "
	wc_Invoice_Has_Been_Added	 =" Has Been Added"
	wc_Invoice_Has_Been_Deleted	 = "Has Been Deleted"
	wc_Invoice_Invoice_Types_Must_Be_Different = " Invoice Types must be different"
	wc_Invoice_Has_been_merged_into  =  " Has been merged into Invoices of type "
	wc_Invoice_All_Invoices_Of_Type  = " All Invoices of Type "
	wc_Invoice_Payment_Method_Editor = " Payment Method Editor"
	wc_Invoice_Rename_Payment_Method = " Rename Payment Method"
	wc_Invoice_Add_New_Payment_Method = "Add New Payment Method"
	wc_Invoice_Delete_Payment_Method  = "Delete Payment Method"
	wc_Invoice_No_Payment_Methods_Found = "No Payment Methods Found"
	wc_Invoice_Merge_Payment_Methods  = "Merge Payment Methods"
	wc_Invoice_FROM_Payment_Method	= "FROM Payment Method "
	wc_Invoice_Merge_Into_Payment_Method = "Merge into Payment Method "
	wc_Invoice_Payment_Method_Renamed_From = "Payment Method Renamed From "
	wc_Invoice_To_Payment_Method	= " To Payment Method "
	wc_Invoice_New_Payment_Method	= "New Payment Method "
	wc_Invoice_Payment_Method_Delete_Error_Message = "All invoices with this payment method must be removed or merged before this payment method can be deleted."
	wc_Invoice_Invoice_Status_Editor = "Invoice Status Editor"
	wc_Invoice_Rename_Invoice_Status = "Rename Invoice Status"
	wc_Invoice_Add_New_Invoice_Status = "Add New Invoice Status"
	wc_Invoice_Invoice_Status = "Invoice Status"
	wc_Invoice_Delete_Invoice_Status = "Delete Invoice Status"
	wc_Invoice_Merge_Invoice_Status = " Merge Invoice Status"
	wc_Invoice_Merge_Into_Invoice_Status = "Merge INTO Invoice Status"
	wc_Invoice_FROM_Invoice_Status	= "FROM Invoice Status"
	wc_Invoice_Invoice_Status_Name_Required = "Invoice Status Name Required"
	wc_Invoice_Invoice_Status_Renamed_From = "Invoice Status Renamed From "
	wc_Invoice_To_Invoice_Status	 = "To Invoice Status "
	wc_Invoice_New_Invoice_Status	 = "New Invoice Status "
	wc_Invoice_Invoice_Status_Delete_Error_Message	= "All invoices with this Invoice Status must be removed or merged before this Invoice Status can be deleted."
	wc_Invoice_Invoice_Status_Editor = "Invoice Status Editor"
	wc_Invoice_Invoice_Information	 = " Invoice Information"
	wc_Invoice_Support_Cases		= "Permits"
	wc_Invoice_Find_Customer_ID	= " Find Customer ID"
	wc_Invoice_Select_Customer_ID	 = " Select Customer ID"
	wc_Invoice_SELECT_AND_RETURN_TO_FORM = "SELECT AND RETURN TO FORM"
	
	
' Special Larger block Definitions:

	wc_Invoice_Rename_Invoice_Type_Block  ="To RENAME an existing Invoice Type, <br>select the Invoice Type " & _
		" and enter a new Invoice Type Name and press the Rename Invoice Type Button."
	wc_Invoice_Add_New_Invoice_Type_block 	= " To ADD an new Invoice Type, enter <br>" & _
		" a new Invoice Type and press the Add Invoice Type button."
	wc_Invoice_Delete_Invoice_Type_Block = "To DELETE an Invoice Type, select the <br>Invoice Type " & _
		" and press the Delete Invoice Type button."
	wc_Invoice_Merge_Invoice_Types_Block = "To MERGE all Invoices from one Invoice Type to " & _
	" another, select <br>the Invoice Type you want to Merge into the second Invoice Type"
	wc_Invoice_Invoice_Delete_Error_Message = "You must first remove or merge all invoices with this invoice type" &_
	" before it can be deleted."
	wc_Invoice_Rename_Payment_Method_Block = "To RENAME an existing Payment Method, <br>select the Payment Method " & _
		" and enter a new Payment Method Name and press the Rename Payment Method Button."
	wc_Invoice_Add_New_Payment_Method_block = " To ADD an new Payment Method, enter <br>" & _
		" a new Payment Method and press the Add Payment Method button."
	wc_Invoice_Delete_Payment_Method_block ="To DELETE a Payment Method, select the <br>Payment Method " & _
		" and press the Delete Payment Method button."
	wc_Invoice_Merge_Invoice_Types_Block = 	"To MERGE all Payment Methods from one Payment Method to " & _
	" another, select <br>the Payment Method you want to Merge into the second Payment Method"
	wc_Invoice_Rename_Invoice_Status_Block = "To RENAME an existing Invoice Status, <br>select the Invoice Status " & _
		" and enter a new Invoice Status Name and press the Rename Invoice Status Button."
	wc_Invoice_Add_New_Invoice_Status_block = " To ADD an new Invoice Status, enter <br>" & _
		" a new Invoice Status and press the Add Invoice Status button."
	wc_Invoice_Delete_Invoice_Status_block = "You must first remove or merge all invoices with this invoice status" &_
	" before it can be deleted."
	wc_Invoice_Merge_Invoice_Status_Block = "To MERGE all Invoices from one Invoice Status to " & _
	" another, select <br>the Invoice Status you want to Merge into the second Invoice Status"
		
' * * * * * * * * * * * * * * * * * * * * * * * * * * *
' Special Quoted Column definitions for Export Functions
' * * * * * * * * * * * * * * * * * * * * * * * * * * *


      wc_Quoted_Invoice_Number               = """Invoice Number""" 
      wc_Quoted_Invoice_Description          = """Invoice Description""" 
      wc_Quoted_Customer_ID          	     = """Customer ID""" 
      wc_Quoted_Company   		     = """Company""" 
      wc_Quoted_Purchase_Total	           = """Purchase Total""" 
      wc_Quoted_Case_Number	           = """Case Number""" 
      wc_Quoted_Status		           = """Status""" 
      wc_Quoted_Purchase_Date	           = """Purchase Date""" 
      wc_Quoted_Paid_Date          	 = """Paid Date""" 
      wc_Quoted_Renewal_Date           = """Renewal Date""" 
      wc_Quoted_Invoice_Balance           = """Invoice Balance""" 
      wc_Quoted_Invoice_Notes		= """Invoice Notes"""
      wc_Quoted_Invoice_Type		= """Invoice Type"""
      
      

     
	
	
' * * * * * * * * * End User Customizations Section * * * * ** * * *		
	
%>
