<% 'Module: PrintInvoiceTemplate.inc

   'Description: The PrintInvoiceTemplate.inc module takes the invoice information and
   ' creates a printable invoice output that can be viewed on the screen or even
   ' emailed to a user.

   '(C) 2000, 2001, 2002, 2003, 2004, 2005 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '11/28/03	SAV		Created original Invoice.asp module
   '08/25/05	SAV		Created PrintInvoice.asp module from Invoice.asp module.

	' Instructions to customized for your own web site
	' This page and all of the Business+Center web pages are
	' defined to be tightly integrated with your current
	' web site.  Simply edit the BCHeader.inc module
	' to re-define the Top header and left side bar navigation
	' or edit the BCFooter.inc module to change the
	' the footer links to your specific web site.
	'
	' If you change this module, do not change any of the form
	' element names since the corresponding DoEmailListReg.asp
	' page may not work.
	'
	' Refer to the Web+Center User guide on how to customize the
	' the Business+Center to be integrated with your current site.

%>


<% Function CreatePrintEmailInvoiceMsg(InvoiceNumber, MessageText)



	'Response.write "Inside Function with invoiceNumber:" & InvoiceNumber

	If InvoiceNumber <> "" Then
	' Query the database and get all of the registration values

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Invoice where InvoiceNumber =" & InvoiceNumber

	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL2, conntemp, 1,3



	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then

	Else

		' Grab all of the data and place it in to variables for displaying in the
		' HTML form.

		InvoiceDescription = rstemp2("InvoiceDescription")

		Item1 = rstemp2("Item1")
		Item2 = rstemp2("Item2")
		Item3 = rstemp2("Item3")
		Item4 = rstemp2("Item4")
		Item5 = rstemp2("Item5")

		NonTaxItem1 = rstemp2("NonTaxItem1")
		NonTaxItem2 = rstemp2("NonTaxItem2")
		NonTaxItem3 = rstemp2("NonTaxItem3")


		TaxRate = rstemp2("TaxRate")
		TaxCost = rstemp2("TaxCost")
		Hours = rstemp2("Hours")
		HourlyRate = rstemp2("HourlyRate")
		Case_Number = rstemp2("Case_number")
		TimeSpentCost = rstemp2("TimeSpentCost")
		UseTimeSpentValue = rstemp2("UseTimeSpentValue")

		SubTotal = rstemp2("SubTotal")
		PurchaseTotal = rstemp2("PurchaseTotal")
		InvoiceDescription = rstemp2("InvoiceDescription")
		PONumber  = rstemp2("PONumber")
		InvoiceNotes = rstemp2("InvoiceNotes")
		PaymentDueDate= rstemp2("PaymentDueDate")
		RenewalDate = rstemp2("RenewalDate")
		PurchaseDate = rstemp2("PurchaseDate")
		AmountPaid = rstemp2("AmountPaid")
		InvoiceBalance = rstemp2("InvoiceBalance")
		PaidDate = rstemp2("PaidDate")
		CheckNumber = rstemp2("CheckNumber")
		TransactionID = rstemp2("TransactionID")
		InvoiceTypeID = rstemp2("InvoiceTypeID")
		PaymentMethodID = rstemp2("PaymentMethodID")
		Customer_ID = rstemp2("Customer_ID")
		InvoiceStatusID = rstemp2("InvoiceStatusID")

		' Cost amounts
		Cost1 = rstemp2("Cost1")
		Cost2 = rstemp2("Cost2")
		Cost3 = rstemp2("Cost3")
		Cost4 = rstemp2("Cost4")
		Cost5 = rstemp2("Cost5")

		CostNonTax1 = rstemp2("CostNonTax1")
		CostNonTax2 = rstemp2("CostNonTax2")
		CostNonTax3 = rstemp2("CostNonTax3")

		' Quanity amounts

		Item1Qty = rstemp2("Item1Qty")
		Item2Qty = rstemp2("Item2Qty")
		Item3Qty = rstemp2("Item3Qty")
		Item4Qty = rstemp2("Item4Qty")
		Item5Qty = rstemp2("Item5Qty")

		NonTax1Qty = rstemp2("NonTax1Qty")
		NonTax2Qty = rstemp2("NonTax2Qty")
		NonTax3Qty = rstemp2("NonTax3Qty")

		' Amount accumulated from time spent specified in Case records

		ExtendedTimeSpentTotals = rstemp2("ExtendedTimeSpentTotals")

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


	' Grab the Customer Information to get Company and email information if customer exists
	' We are not doing this as a join query with invoice incase there is no customer


	If ISNull(Customer_ID) = FALSE Then

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN



		mySQL2="select * from Customers where Customer_ID = '" & Customer_ID & "'"

		set rstemp2 = server.createobject("adodb.recordset")
		rstemp2.open mySQL2, conntemp, 1,3

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then

		Else

			Customer = rstemp2("Contact_Fname") & " " & rstemp2("Contact_LName")
			
			Company = rstemp2("Company")
			Email = rstemp2("Email")
			If IsNull(Email) = FALSE Then
				EmailLink = "<a href=mailto:"&Email&">"& Email & "</a>"
			End If
			Phone = rstemp2("Phone1")
			
			address = rstemp2("address")
			mailstop = rstemp2("mailstop")
			city = rstemp2("city")
			state = rstemp2("state")
			Zip = rstemp2("Zip")
			Country = rstemp2("Country")
			

		End If

		rstemp2.close
		set rstemp2=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

	End IF ' End of If No customer_ID


	' Compute Totals based on quantity and costs

	' *****Item 1**************

	If IsNull(Item1Qty) = FALSE And IsNull(Cost1) = FALSE Then
		Item1Total = Item1Qty * Cost1
	End IF

	' Check if no Quantity then just use cost

	If IsNull(Item1Qty) AND IsNull(Cost1) = FALSE Then
		Item1Total = Cost1
	End If


	' *****Item 2**************

	If IsNull(Item2Qty) = FALSE And IsNull(Cost2) = FALSE Then
		Item2Total = Item2Qty * Cost2
	End IF

	' Check if no Quantity then just use cost

	If IsNull(Item2Qty) AND IsNull(Cost2) = FALSE Then
		Item2Total = Cost2
	End If

	' *****Item 3**************

	If IsNull(Item3Qty) = FALSE And IsNull(Cost3) = FALSE Then
		Item3Total = Item3Qty * Cost3
	End IF

	' Check if no Quantity then just use cost

	If IsNull(Item3Qty) AND IsNull(Cost3) = FALSE Then
		Item3Total = Cost3
	End If

	' *****Item 4**************

	If IsNull(Item4Qty) = FALSE And IsNull(Cost4) = FALSE Then
		Item4Total = Item4Qty * Cost4
	End IF

	' Check if no Quantity then just use cost

	If IsNull(Item4Qty) AND IsNull(Cost4) = FALSE Then
		Item4Total = Cost4
	End If

	' *****Item 5**************

	If IsNull(Item5Qty) = FALSE And IsNull(Cost5) = FALSE Then
		Item5Total = Item5Qty * Cost5
	End IF

	' Check if no Quantity then just use cost

	If IsNull(Item5Qty) AND IsNull(Cost5) = FALSE Then
		Item5Total = Cost5
	End If


	' *****NonTaxItem1 **************

	If IsNull(NonTax1Qty) = FALSE And IsNull(CostNonTax1) = FALSE Then
		NonTax1Total = NonTax1Qty * CostNonTax1
	End IF

	' Check if no Quantity then just use cost

	If IsNull(NonTax1Qty) AND IsNull(CostNonTax1) = FALSE Then
		NonTax1Total = CostNonTax1
	End If


	' *****NonTaxItem2 **************

	If IsNull(NonTax2Qty) = FALSE And IsNull(CostNonTax2) = FALSE Then
		NonTax2Total = NonTax2Qty * CostNonTax2
	End IF

	' Check if no Quantity then just use cost

	If IsNull(NonTax2Qty) AND IsNull(CostNonTax2) = FALSE Then
		NonTax2Total = CostNonTax2
	End If

	' *****NonTaxItem3 **************

	If IsNull(NonTax3Qty) = FALSE And IsNull(CostNonTax3) = FALSE Then
		NonTax3Total = NonTax3Qty * CostNonTax3
	End IF

	' Check if no Quantity then just use cost

	If IsNull(NonTax3Qty) AND IsNull(CostNonTax3) = FALSE Then
		NonTax3Total = CostNonTax3
	End If


	' Now Recompute the Totals and sub-totals

	Subtotal  = 0

	If Item1Total <> "" Then
		SubTotal = Subtotal + Item1Total
	End If

	If Item2Total <> "" Then
		SubTotal = Subtotal + Item2Total
	End If

	If Item3Total <> "" Then
		SubTotal = Subtotal + Item3Total
	End If

	If Item4Total <> "" Then
		SubTotal = Subtotal + Item4Total
	End If

	If Item5Total <> "" Then
		SubTotal = Subtotal + Item5Total
	End If



	TaxableSubtotal = Subtotal ' Grab taxable subtotal before continuing.

	If NonTax1Total <> "" Then
		SubTotal = Subtotal + NonTax1Total
	End If

	If NonTax2Total <> "" Then
		SubTotal = Subtotal + NonTax2Total
	End If

	If NonTax3Total <> "" Then
		SubTotal = Subtotal + NonTax3Total
	End If


	If isNull(ExtendedTimeSpentTotals) or ExtendedTimeSpentTotals = 0 or ExtendedTimeSpentTotals = "" then


	' Add in Time Spent Hours as non-taxable if it exists

      ' The Hourly Cost is always computed from the Hours and the Hourly Rate
      ' This field is only display and not stored in the database.

        	HourlyCost = HourlyRate * Hours

		If HourlyCost <> 0 Then
			SubTotal = Subtotal + HourlyCost
		End If



	Else

	  SubTotal = Subtotal + ExtendedTimeSpentTotals

	End If

	SubTotal = Round(Subtotal, 2)

	' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
	'           CUSTOMIZABLE BUSINESS LOGIC
	' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *



	'Compute Tax Amount based on TaxableSubtotal X TaxRate/100

	' Code Customizations to make time taxable****************************
	
	'Code Customization - uncomment the line below is the extended time spent amount is taxable
		'ExtendedTimeSpentTaxable = "YES"

	If ExtendedTimeSpentTaxable = "YES" THEN

			TaxableSubtotal = TaxableSubTotal + SubTotal

	  If MyOs = "Windows" Then ' Because Linux doesnt like to round on Ccur data...
		TaxCost = CCur((TaxRate*TaxableSubtotal)/100)
	  Else
		TaxCost = (TaxRate*TaxableSubtotal)/100
      End If

	  TaxCost = Round(TaxCost, 2)

	  Total  = Total + TaxCost

	  	' Compute InvoiceBalance which is computed by Total - Amount Paid

	  	If IsNull(AmountPaid) = False Then
	  		InvoiceBalance = Total - AmountPaid
	  	Else
	  		InvoiceBalance  = Total

	  	End If

	Else  ' Not Taxable extended timespent values
	


	If TaxRate <> "" Then

	  If MyOs = "Windows" Then ' Because Linux doesnt like to round on Ccur data...
		TaxCost = CCur((TaxRate*TaxableSubtotal)/100)
	  Else
		TaxCost = (TaxRate*TaxableSubtotal)/100
      End If

	  TaxCost = Round(TaxCost, 2)
	End If

End IF ' End of If ExtendedTimeSpentTaxable = "YES" 

	' Compute in Time Spent calculation

		If IsNull(TaxCost) = False Then
			Total = TaxCost + Subtotal
		Else
			Total = SubTotal
		End If



	' Compute InvoiceBalance which is computed by Total - Amount Paid

	If IsNull(AmountPaid) = False Then
		InvoiceBalance = Total - AmountPaid
	Else
		InvoiceBalance  = Total

	End If




	End If ' End of If InvoiceNumber <> ""

%>



<% ' Get Invoice Type


	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from InvoiceType where InvoiceTypeID = " & InvoiceTypeID
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Invoice Types exist
		InvoiceType = "Invoice Type Not Found"

	Else
		InvoiceType = rstemp("InvoiceType")
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

  %>


<%
	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	'set rstemp=conntemp.execute(mySQL)

	'**** Major problem with SQL*Server and Conntemp.execute when getting
	' configuration data.  One should use: recordset.open DSN connection 1, 3

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3


	If rstemp.EOF = True  Then
		Response.write "No configuration file found"
	Else

		' Get the values from the configuration File


		' old way - now grab it from the database 
		'LanguageVirtual = WCLanguageDirectory  ' From DB_Define.inc
		
		LanguageVirtual	= rstemp("LanguageVirtual")
		
		BusinessVirtual = rstemp("BusinessVirtual") ' Business+Center Virtual directory

		 OrganizationFromName = rstemp("Customer_Name_Text") ' Use this for organization name in mail out

		' New 5.0 SMTP mailer options

		SendHTMLEmail = rstemp("SendHTMLEmail") ' Boolean value
		SMTP_User_Name = rstemp("SMTP_User_Name")
		SMTP_Password = rstemp("SMTP_Password")

		If SendHTMLEmail = True Then
			HTMLEmail = "YES"
		Else
			HTMLEmail = ""
		End IF



	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>




<%
		' Get the full server http URL for the image file that is displayed on the invoice for the email
		 For each key in Request.serverVariables

		if Key = "SERVER_NAME" Then
			HostName =  Request.ServerVariables(key)
		End IF

		if Key = "SCRIPT_NAME" Then
			SCRIPT_Name =  Request.ServerVariables(key)
			
			'response.write "Script_NAme = " & Script_name
			
		If InStr(Script_Name, "DoEmailInvoice.asp") <> 0 Then				
			Virtual_Path = replace(Script_Name, "DoEmailInvoice.asp", "InvoiceLogo.jpg")	
		End If
		

		If InStr(Script_Name, "DoPrintInvoice.asp") <> 0 Then				
			Virtual_Path = replace(Script_Name, "DoPrintInvoice.asp", "InvoiceLogo.jpg")	
		End If



		End IF


	Next


		If BusinessVirtual = "" Then
			BusinessVirtual = "business50"
		Else
			BusinessVirtual = BusinessVirtual
		End If


		If LanguageVirtual = "" Then
			LanguageVirtual = "language50"
		Else
			LanguageVirtual = LanguageVirtual
		End If

		Virtual_Path = replace(Virtual_path, BusinessVirtual, LanguageVirtual,1,99,1)

		ImageLink = "http://" &  hostname & Virtual_path 
		
		'response.write "ImageLink = " & ImageLink

%>


<% ' ************************* PRINTABLE INVOICE FORM AREA START **********%>

<% ' The Entire HTML PAGE will be put into a string so it either be outputted
	' to the screen in a response.write or it can be passed to the email
	' utility to be emailed to clients and sales reps.

	' The entire string is saved in a string variable called PI (PrintableInvoice).
	' Each string is added using the Subroutine called AddPI()

	' Some example valid syntax is listed below.


	
	PI = ""  ' Clear out string
	
	
	

%>

<%

                                                  

PI = AddPI2 (PI,  "<html>                                                     ")



PI = AddPI2 (PI,  "<head>                                                     ")
PI = AddPI2 (PI,  "<Title> Invoice                                                     ")
PI = AddPI2 (PI,  "</title>  ")

StyleString = OutputStyleSheets() ' Call to output style sheet to the HTML buffer.

PI = AddPI2 (PI,  "</head>                                                     ")
PI = AddPI2 (PI,  "<body bgcolor=FFFFF>                                                     ")




PI = AddPI2 (PI,  "<table width=600 cellspacing=4 cellpadding=4>                          ")
PI = AddPI2 (PI,  "<tr> 										 ")


PI = AddPI2 (PI,  "<td>      ")
PI = AddPI2 (PI,  " <table  border=0 cellpadding=3 cellspacing=3>     ")
PI = AddPI2 (PI,  "  <tr><td align=left><font size=-1 face=arial >   ")
PI = AddPI2 (PI,  "<B>Please remit to: </b><br> ")



'------ Now Display Remit to Company Info - USER CUSTOMIZATIONS


PI = AddPI2 (PI,  "YOUR COMPANY NAME HERE<br> ")


PI = AddPI2 (PI,  "Company Address HERE <br>      ")
PI = AddPI2 (PI,  "Company City State Zip  HERE <br>      ")
PI = AddPI2 (PI,  "Company Phone HERE <br>      ")

PI = AddPI2 (PI,  " </td></tr></table>   ")
PI = AddPI2 (PI,  " </td>  ")


' ------------ End of Remit to Company info here



PI = AddPI2 (PI,  "<td align=right>                                                       ")
PI = AddPI2 (PI,  "<font size=+2 face=arial>                                                       ")
PI = AddPI2 (PI,  InvoiceType & "<br>                                                       ")
PI = AddPI2 (PI,  "  <table border=1 width=300 >                                                     ")
PI = AddPI2 (PI,  "   <tr><td align=center><font size=-1 face=arial><B>" & wc_Date & "</B><Font></td>  ")
PI = AddPI2 (PI,  "   <td align=center><font size=-1 face=arial><B>" & InvoiceType & " # </td></tr>                                                    ")
PI = AddPI2 (PI,  "    <tr><td align=center><font size=-1>" & Date & "</td>            ")
PI = AddPI2 (PI,  "    <td align=center><font size=-1 face=arial>" & InvoiceNumber & "</td></tr></table>")
PI = AddPI2 (PI,  " </td></tr>                                                      ")
PI = AddPI2 (PI,  "   <tr><td colspan=2>   <hr></td></tr>")

' -----------Display customer information (billing to)


PI = AddPI2 (PI,  "<tr><td>")
PI = AddPI2 (PI,  "<table  border=0 cellpadding=3 cellspacing=1>     ")
PI = AddPI2 (PI,  "<tr>")
PI = AddPI2 (PI,  "<td align=center font=arial size=+1 width=50% ><B> Customer Information</b> </td></tr>    ")
PI = AddPI2 (PI,  "  <tr><td align=left><font size=-1 face=arial>    ")
PI = AddPI2 (PI,  Customer & "<br>"      )
PI = AddPI2 (PI,  Company & "<br>"      )
PI = AddPI2 (PI,  Address )

If MailStop <> "" Then
	PI = AddPI2 (PI,  "-" & MailStop & "<br>"      )
Else
	PI = AddPI2 (PI,  "<br>"      )
End If


PI = AddPI2 (PI,  City & ", " & State & " " & Zip & "<br>"      )

If Country <> "" Then
	PI = AddPI2 (PI,  Country & "<br>"      )
End If


PI = AddPI2 (PI,  " </td></tr></table>  " )

' -----------End of Display customer information (billing to)


PI = AddPI2 (PI,  " </td>  ")


PI = AddPI2 (PI,  "<td align=right><img src=" & ImageLink & ">")
PI = AddPI2 (PI,  "</td>                                                       ")



PI = AddPI2 (PI,  " </td></tr></table>")

' ---- Display line of Due Date, Purchase Order number, and notes

PI = AddPI2 (PI,  " <br>")



PI = AddPI2 (PI,  "                                                       ")

PI = AddPI2 (PI,  "<table width=600 border = 1 cellspacing=1 cellpadding=1>                          ")
PI = AddPI2 (PI,  "<tr> 										 ")
PI = AddPI2 (PI,  "<td align=center><font size=-1  face=arial>Due Date</font></td>")
PI = AddPI2 (PI,  "<td align=center><font size=-1  face=arial>Purchase Order #</font></td>")
PI = AddPI2 (PI,  "<td align=left width=60% ><font size=-1 face=arial>Notes:</font></td></tr>")

PI = AddPI2 (PI,  "<tr> 										 ")
PI = AddPI2 (PI,  "<td align=center><font size=-1 face=arial>" & PaymentDueDate & "<br></font></td>")
PI = AddPI2 (PI,  "<td align=center><font size=-1  face=arial>" & PONumber & "<br></font></td>")
PI = AddPI2 (PI,  "<td align=left><font size=-1  face=arial>" & MessageText & "<br></font></td></tr></table>")


PI = AddPI2 (PI,  " <br>")

' ------------ Display the Items and Description

PI = AddPI2 (PI,  "        <table width=600 cellspacing=1 cellpadding=1 border=1> ")

PI = AddPI2 (PI,  "        <tr>")
PI = AddPI2 (PI,  "        <th  bgcolor=C0D0A0 align=center><B><font size=-1 face=arial>" & wc_Invoice_Qty & " </b></font></th>")
PI = AddPI2 (PI,  "        <th  bgcolor=C0D0A0 align=center><B><font size=-1 face=arial>" & wc_Invoice_Items & "</b></font></th>")
PI = AddPI2 (PI,  "        <th  bgcolor=C0D0A0 align=center><B><font size=-1 face=arial>" & wc_Invoice_Cost & "</b></font></th>")
PI = AddPI2 (PI,  "        <th  bgcolor=C0D0A0 align=center><B><font size=-1 face=arial>" & wc_Invoice_Total_Computed & "</b></font></th>")
PI = AddPI2 (PI,  "        <th  bgcolor=C0D0A0 align=center><B><font size=-1 face=arial>" & wc_Invoice_Taxable & "</b></font></th>")
PI = AddPI2 (PI,  "		</tr>")


PI = AddPI2 (PI,  "        <tr>")
PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")
PI = AddPI2 (PI,   Item1Qty)
PI = AddPI2 (PI,  "        </font>")
PI = AddPI2 (PI,  "       ")

PI = AddPI2 (PI,  "        </td>")
PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")

PI = AddPI2 (PI,  Item1)
PI = AddPI2 (PI,  "        </font>")
PI = AddPI2 (PI,  "    <br>    ")

PI = AddPI2 (PI,  "        </td>")


PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")

PI = AddPI2 (PI,  DisplayMoneyFormInput(Cost1))

PI = AddPI2 (PI,  "        </font>")
PI = AddPI2 (PI,  "   <br>     ")
PI = AddPI2 (PI,  "        </td>")
PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>" & DisplayMoney(Item1Total) )
PI = AddPI2 (PI,  "        </font>")
PI = AddPI2 (PI,  "        ")

PI = AddPI2 (PI,  "        </td>")

PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=Center><font size=-1 face=arial>")


PI = AddPI2 (PI,  "        (" & wc_Invoice_Taxable & ")")
PI = AddPI2 (PI,  "        </font>")


PI = AddPI2 (PI,  "        </td>")
PI = AddPI2 (PI,  "		</tr>")


PI = AddPI2 (PI,  "        <tr>")
PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")
PI = AddPI2 (PI,  Item2Qty)
PI = AddPI2 (PI,  "        </font>")
PI = AddPI2 (PI,  "       ")
PI = AddPI2 (PI,  "        </td>")
PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")

PI = AddPI2 (PI,  Item2)
PI = AddPI2 (PI,  "        </font>")
PI = AddPI2 (PI,  "   <br>     ")
PI = AddPI2 (PI,  "        </td>")
PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")

PI = AddPI2 (PI,  DisplayMoneyFormInput(Cost2))

PI = AddPI2 (PI,  "   <br>     </td>")
PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>" & DisplayMoney(Item2Total))

PI = AddPI2 (PI,  "		</font>")
PI = AddPI2 (PI,  "		")
PI = AddPI2 (PI,  "		</td>")
PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=Center><font size=-1 face=arial>")

PI = AddPI2 (PI,  "        (" & wc_Invoice_Taxable & ")")
PI = AddPI2 (PI,  "        </font>")


PI = AddPI2 (PI,  "        </td>")
PI = AddPI2 (PI,  "		</tr>")

PI = AddPI2 (PI,  "        <tr>")
PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")
PI = AddPI2 (PI,  Item3Qty)
PI = AddPI2 (PI,  "		</font>")
PI = AddPI2 (PI,  "		")
PI = AddPI2 (PI,  "		</td>")
PI = AddPI2 (PI,  "		<td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")

PI = AddPI2 (PI,  Item3)

PI = AddPI2 (PI,  "		</font>")
PI = AddPI2 (PI,  "	<br>	")
PI = AddPI2 (PI,  "		</td>")
PI = AddPI2 (PI,  "		<td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")



PI = AddPI2 (PI,  DisplayMoneyFormInput(Cost3))

PI = AddPI2 (PI,  "     <br>   </td>")
PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>" & DisplayMoney(Item3Total) )
PI = AddPI2 (PI,  "        </td>")

PI = AddPI2 (PI,  "		<td  bgcolor=C0D0A0 align=Center><font size=-1 face=arial>")

PI = AddPI2 (PI,  "        (" & wc_Invoice_Taxable & ")")


PI = AddPI2 (PI,  "        </font>")

PI = AddPI2 (PI,  "        </td>")
PI = AddPI2 (PI,  "		</tr>")

PI = AddPI2 (PI,  "        <tr>")
PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")
PI = AddPI2 (PI,  Item4Qty)

PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")

PI = AddPI2 (PI,  Item4)
PI = AddPI2 (PI,  "        </font>")
PI = AddPI2 (PI,  "    <br>    </td>")
PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")


PI = AddPI2 (PI,  DisplayMoneyFormInput(Cost4))

PI = AddPI2 (PI,  "    <br>    </td>")
PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>" & DisplayMoney(Item4Total) )

PI = AddPI2 (PI,  "        </font>")
PI = AddPI2 (PI,  "        </td>")
PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=center><font size=-1 face=arial>")


PI = AddPI2 (PI,  "        (" & wc_Invoice_Taxable & ")")
PI = AddPI2 (PI,  "        </font>")
PI = AddPI2 (PI,  "        ")

PI = AddPI2 (PI,  "        </td>")
PI = AddPI2 (PI,  "		</tr>")

PI = AddPI2 (PI,  "        <tr>")
PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")
PI = AddPI2 (PI,  Item5Qty)

PI = AddPI2 (PI,  "     	</font>")
PI = AddPI2 (PI,  "     	")
PI = AddPI2 (PI,  "     	</td>")
PI = AddPI2 (PI,  "     	<td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")

PI = AddPI2 (PI,  Item5)
PI = AddPI2 (PI,  "        </font>")
PI = AddPI2 (PI,  "      <br> ")
PI = AddPI2 (PI,  "        </td>")

PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")

PI = AddPI2 (PI,  DisplayMoneyFormInput(Cost5))
PI = AddPI2 (PI,  "        </font>")
PI = AddPI2 (PI,  "    <br>    ")
PI = AddPI2 (PI,  "        </td>")

PI = AddPI2 (PI,  "        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>" & DisplayMoney(Item5Total) )

PI = AddPI2 (PI,  "        </font>")
PI = AddPI2 (PI,  "        </td>")

PI = AddPI2 (PI,  "         <td  bgcolor=C0D0A0 align=center><font size=-1 face=arial>")

PI = AddPI2 (PI,  "        (" & wc_Invoice_Taxable & ")")
PI = AddPI2 (PI,  "        </font>")
PI = AddPI2 (PI,  "        ")

PI = AddPI2 (PI,  "        </td>")
PI = AddPI2 (PI,  "		</tr>")


		'------------ 3 Non taxable items-----------

PI = AddPI2 (PI,  "        <tr>")
PI = AddPI2 (PI,  "        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>")
PI = AddPI2 (PI,  NonTax1Qty)
PI = AddPI2 (PI,  "        </font>")
PI = AddPI2 (PI,  "        ")
PI = AddPI2 (PI,  "        </td>")
PI = AddPI2 (PI,  "        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>")

PI = AddPI2 (PI,  NonTaxItem1)

PI = AddPI2 (PI,  "		</font>")
PI = AddPI2 (PI,  "	<br>	")
PI = AddPI2 (PI,  "		</td>")

PI = AddPI2 (PI,  "        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>")

PI = AddPI2 (PI,  DisplayMoneyFormInput(CostNonTax1))

PI = AddPI2 (PI,  "    <br>    </td>")

PI = AddPI2 (PI,  "        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>" & DisplayMoney(NonTax1Total) )

PI = AddPI2 (PI,  "        </font>")
PI = AddPI2 (PI,  "        </td>")

PI = AddPI2 (PI,  "        <td  bgcolor=A0A0F0 align=center><font size=-1 face=arial>")

PI = AddPI2 (PI,  "(" & wc_Invoice_Non_Taxable & ")")
PI = AddPI2 (PI,  "        </font>")


PI = AddPI2 (PI,  "        </td>")
PI = AddPI2 (PI,  "		</tr>")


PI = AddPI2 (PI,  "        <tr>")
PI = AddPI2 (PI,  "        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>")
PI = AddPI2 (PI,  NonTax2Qty)
PI = AddPI2 (PI,  "        </b>")
PI = AddPI2 (PI,  "        </font>")
PI = AddPI2 (PI,  "        </td>")


PI = AddPI2 (PI,  "         <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>")

PI = AddPI2 (PI,  NonTaxItem2)

PI = AddPI2 (PI,  "		")
PI = AddPI2 (PI,  "		</font>")
PI = AddPI2 (PI,  "	<br>	</td>")

PI = AddPI2 (PI,  "        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>")
PI = AddPI2 (PI,  DisplayMoneyFormInput(CostNonTax2))
PI = AddPI2 (PI,  "        </b>")
PI = AddPI2 (PI,  "        </font>")

PI = AddPI2 (PI,  "    <br>    </td>")
PI = AddPI2 (PI,  "        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>" & DisplayMoney(NonTax2Total) )

PI = AddPI2 (PI,  "		</font>")
PI = AddPI2 (PI,  "		</td>")

PI = AddPI2 (PI,  "		<td  bgcolor=A0A0F0 align=center><font size=-1 face=arial>")

PI = AddPI2 (PI,  "(" & wc_Invoice_Non_Taxable & ")")
PI = AddPI2 (PI,  "        </font>")


PI = AddPI2 (PI,  "        </td>")
PI = AddPI2 (PI,  "		</tr>")

PI = AddPI2 (PI,  "        <tr>")
PI = AddPI2 (PI,  "        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>")
PI = AddPI2 (PI,  NonTax3Qty)
PI = AddPI2 (PI,  "       </b>")
PI = AddPI2 (PI,  "       </font>")
PI = AddPI2 (PI,  "        </td>")
PI = AddPI2 (PI,  "        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>")


PI = AddPI2 (PI,  NonTaxItem3)
PI = AddPI2 (PI,  "    <br>    ")
PI = AddPI2 (PI,  "        </font>")
PI = AddPI2 (PI,  "        </td>")

PI = AddPI2 (PI,  "        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>")
PI = AddPI2 (PI,  DisplayMoneyFormInput(CostNonTax3))
PI = AddPI2 (PI,  "        ")
PI = AddPI2 (PI,  "        </font>")

PI = AddPI2 (PI,  "    <br>    </td>")
PI = AddPI2 (PI,  "        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>" & DisplayMoney(NonTax3Total))
PI = AddPI2 (PI,  "        ")
PI = AddPI2 (PI,  "        </font>")
PI = AddPI2 (PI,  "        </td>")

PI = AddPI2 (PI,  "        <td  bgcolor=A0A0F0 align=center><font size=-1 face=arial>")

PI = AddPI2 (PI,  "        <font size=-1 face=arial>")
PI = AddPI2 (PI,  "(" & wc_Invoice_Non_Taxable & ")")
PI = AddPI2 (PI,  "        </font>")


PI = AddPI2 (PI,  "        </td>")
PI = AddPI2 (PI,  "		</tr>")

PI = AddPI2 (PI,  "		</table>")

' Display other remaining fields

PI = AddPI2 (PI,  "        <table width=600 cellspacing=2 cellpadding=2 border=1> ")


    ' Either show the accumulated time spent amount from Case records if such exists, else show static fields from this Invoice Record

        If isNull(ExtendedTimeSpentTotals) or ExtendedTimeSpentTotals = 0 or ExtendedTimeSpentTotals = "" then



PI = AddPI2 (PI,  "			<tr>")
PI = AddPI2 (PI,  "			<td  bgcolor=B0B0A0 align=Right><font size=-1 face=arial>" & wc_Invoice_Hourly_Rate & ": " & HourlyRate & " <B>X</B>  " & wc_Invoice_Hours  & " "  & hours & " </td>")


			 ' The Hourly Cost is always computed from the Hours and the Hourly Rate
				' This field is only display and not stored in the database.

				HourlyCost = HourlyRate * Hours




PI = AddPI2 (PI,  "			<td  bgcolor=B0B0A0 align=Left><font size=-1 face=arial>")
PI = AddPI2 (PI,  DisplayMoney(HourlyCost) & " &nbsp;&nbsp;" & wc_Invoice_Hourly_Total & "</td>")
PI = AddPI2 (PI,  "			</tr>")

      Else
      
      ' Create the sub table output of the individual time spent records


PI = AddPI2 (PI, "<tr><td colspan=2 bgcolor=B0B0A0>" )  	

      
      NewString = DisplayInvoiceTimeSpentValues (InvoiceNumber )
      
PI = AddPI2 (PI, "</td></tr>")  	

PI = AddPI2 (PI, "<tr>")  	

PI = AddPI2 (PI,  "			<td  bgcolor=B0B0A0 align=Right><font size=-1 face=arial> Extended Time Spent Total</td>")
PI = AddPI2 (PI,  "			<td  bgcolor=B0B0A0 align=Left><font size=-1 face=arial>" & DisplayMoney(ExtendedTimeSpentTotals))
PI = AddPI2 (PI,  "			</td>")

       End If


PI = AddPI2 (PI,  "        <tr> ")
PI = AddPI2 (PI,  "        <td  bgcolor=C0A0F0 align=Right><font size=-1 face=arial>" & wc_Invoice_SubTotal & "</td>")
PI = AddPI2 (PI,  "        <td  bgcolor=C0A0F0 align=Left><font size=-1 face=arial>" & DisplayMoney(SubTotal) & "</td>")
PI = AddPI2 (PI,  "		</tr>")


PI = AddPI2 (PI,  "        <tr>")


If ExtendedTimeSpentTaxable = "YES"  Then
	PI = AddPI2 (PI,  "        <td  bgcolor=F0F0A0 align=Right><font size=-1 face=arial>" & wc_GST_Tax_Percentage & ":" & TaxRate & " <B>X</b>  " & DisplayMoney(TaxableSubTotal) & " </td>")
else
	PI = AddPI2 (PI,  "        <td  bgcolor=F0F0A0 align=Right><font size=-1 face=arial>" & wc_Invoice_Tax_Rate & ":" & TaxRate & " <B>X</b>  " & DisplayMoney(TaxableSubTotal) & " </td>")
End IF

PI = AddPI2 (PI,  "        <td  bgcolor=F0F0A0 align=Left><font size=-1 face=arial>" & DisplayMoney(TaxCost) & " &nbsp;&nbsp;" & wc_Invoice_Tax_Total & "</td>")
PI = AddPI2 (PI,  "		</tr>")



PI = AddPI2 (PI,  "        <tr>")
PI = AddPI2 (PI,  "        <td  bgcolor=C0A0F0 align=Right><font size=-1 face=arial>" & wc_Invoice_Total & "</td>")
PI = AddPI2 (PI,  "        <td  bgcolor=C0A0F0 align=Left><font size=-1 face=arial>" & DisplayMoney(Total) & "</td>")
PI = AddPI2 (PI,  "		</tr>")

PI = AddPI2 (PI,  "        <tr>")
PI = AddPI2 (PI,  "        <td  bgcolor=B0C0C0 align=Right><font size=-1 face=arial>" & wc_Invoice_Amount_Paid & "</td>")
PI = AddPI2 (PI,  "        <td  bgcolor=B0C0C0 align=Left valign=center><font size=-1 face=arial>" & DisplayMoney(AmountPaid) & "</td>")
PI = AddPI2 (PI,  "		</tr>")

PI = AddPI2 (PI,  "        <tr>")
PI = AddPI2 (PI,  "        <td  bgcolor=B0C0C0 align=Right><font size=-1 face=arial>" & wc_Invoice_Balance & "</td>")
PI = AddPI2 (PI,  "        <td  bgcolor=B0C0C0 align=Left valign=center><font size=-1 face=arial>" & DisplayMoney(InvoiceBalance) & "</td>")
PI = AddPI2 (PI,  "		</tr>")
PI = AddPI2 (PI,  "		</table>")
PI = AddPI2 (PI,  "		</body>")
PI = AddPI2 (PI,  "		</html>")



'response.write "PI at End = "  & PI


CreatePrintEmailInvoiceMsg = PI


End Function
%>


<%'  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * **%>
<% 'END OF PAGE CODE - START OF FUNCTIONS **************************%>
<%'  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * **%>



<% Function DisplayMoney(Amount)

	If IsNull(Amount) or Amount = 0 Then
		DisplayMoney = wc_Invoice_Currency & " 0.00"
	Else

	' Compute Amount by multiply by 100 take int and place decimal into string

	MoneyString = CStr(Int(Amount*100))
	MoneyStringLen = Len(MoneyString)
	MoneyString2 = Left(MoneyString, MoneyStringLen - 2) & "." & Right(MoneyString,2)

	If Cint(MoneySTring2) < 0 Then
		MoneyString2 = "<Font color=red>(" & MoneyString2 & ")</font>"
	End If


	DisplayMoney = wc_Invoice_Currency  & "&nbsp;" & MoneyString2

	End If


	End Function
%>


<% Function DisplayMoneyNoSign(Amount)

	'This function Displays dollar/cents amounts with the dollar sign
	' or currency symbol.

	If IsNull(Amount) or Amount = 0 Then
		DisplayMoneyNoSign =  " 0.00"
	Else

	' Compute Amount by multiply by 100 take int and place decimal into string

	MoneyString = CStr(Int(Amount*100))
	MoneyStringLen = Len(MoneyString)
	MoneyString2 = Left(MoneyString, MoneyStringLen - 2) & "." & Right(MoneyString,2)

	If Cint(MoneySTring2) < 0 Then
		MoneyString2 = "<Font color=red>(" & MoneyString2 & ")</font>"
	End If


	DisplayMoneyNoSign =  MoneyString2

	End If


	End Function
%>

<% Function DisplayMoneyFormInput(Amount)


	If IsNull(Amount) or Amount = 0 Then
		DisplayMoneyFormInput =  ""
	Else

	' Compute Amount by multiply by 100 take int and place decimal into string

	MoneyString = CStr(Int(Amount*100))
	MoneyStringLen = Len(MoneyString)
	MoneyString2 = Left(MoneyString, MoneyStringLen - 2) & "." & Right(MoneyString,2)

	If Cint(MoneySTring2) < 0 Then
		MoneyString2 = "-" & MoneyString2
	End If


	DisplayMoneyFormInput =  MoneyString2

	End If


	End Function
%>

<% 'Sub PI = AddPI2 (PI,  NewString)

		'response.write "Inside ADDPI adding" & NewString
		
		'response.write "PI3 = " & PI

'		PI = PI & NewString & vbCRLF
'
'	End Sub
%>

<% Function AddPI2 (TotalString, NewString)

		'response.write "Inside ADDPI adding" & NewString
		
		'response.write "PI3 = " & PI

		AddPI2 = TotalString & NewString & vbCRLF
		

	End Function
%>

<%  Function DisplayInvoiceTimeSpentValues(InvoiceNumber)

	GroupType = "Group_customer"
	IVS = "" ' Clear InvoiceString (IVS)

	WhereStatement = " WHERE TimeSpent.InvoiceNumber = "  & InvoiceNumber

	mySQL2 = "SELECT TimeSpent.TimeSpentIndex, TimeSpent.InvoiceNumber, TimeSpent.Invoice_Date, TimeSpent.Billable, TimeSpent.Hours, TimeSpent.HourlyRate, TimeSpent.TimeSpentNote, TimeSpent.Billable, "
	mySQL2 = mySQL2 & " Cases.case_number, Customers.contact_fname, Customers.contact_lname, Customers.company, Customers.customer_id "
	mySQL2 = mySQL2 & " FROM (TimeSpent INNER JOIN Cases ON TimeSpent.Case_Number = Cases.case_number) "
	mySQL2 = mySQL2 & " INNER JOIN Customers ON Cases.customer_id = Customers.customer_id"

    mySQL2 = mySQL2 & " " & WhereStatement

       mySQL2 = mySQL2 & " Order by Customers.company, Cases.case_number"



	' Uncomment this line for debugging SQL statement
	'response.write mySQL2 & "<P>"
    'response.flush
    'response.end

	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(WhereStatement)


PI = AddPI2 (PI,  "<center>")


PI = AddPI2 (PI,  "<p>")


PI = AddPI2 (PI,  "<font face=arial size=-1><B>Extended Time Spent Details</b></font><br>")


PI = AddPI2 (PI,  "<table class=TightTableWrapper cellspacing=1>")
PI = AddPI2 (PI,  "<tr>")
PI = AddPI2 (PI,  "   <td  class=ColumnLabel align=center>" & wc_Date & "</td>")
PI = AddPI2 (PI,  "   <td  class=ColumnLabel align=center>" & wc_Case_Number & "</td>")
PI = AddPI2 (PI,  "   <td  class=ColumnLabel align=center>" & wc_Company & " / " & wc_Customer & "</td>")
PI = AddPI2 (PI,  "   <td  class=ColumnLabel align=center>" & wc_Description & "</td>")
PI = AddPI2 (PI,  "   <td  class=ColumnLabel align=center>" & wc_Time & "</td>")
PI = AddPI2 (PI,  "   <td  class=ColumnLabel align=center>" & wc_Amount & " / " & wc_Total & "</td>")
PI = AddPI2 (PI,  "</tr>")


 if rstemp.eof Then 

PI = AddPI2 (PI,  "<tr>")
PI = AddPI2 (PI,  "<td colspan=5 align=center>" & wc_No_Time_Spent_Records_Found & "</td>")
PI = AddPI2 (PI,  "</tr>")
PI = AddPI2 (PI,  "</table>")

  else
  recordcount = 0
  Invoice_Total = 0
  Hours_Total = 0
  First_time  = "zxzxzxzxzxzxzxzx"
  Previous = First_Time
  do while not rstemp.eof


	if rstemp("billable") Then
	   recordcount = recordcount + 1
	   ' Act diferently depending on whether GroupType is "Individual_date" or "Individual_customer" or "Group_customer" or "Group_company"
       InvoiceNumber = rstemp("InvoiceNumber")
      %>

	 <% If GroupType = "Group_customer" Then %>
	    <%
	       prior_company = This_company
	       This_company = rstemp("company")


	       prior_fname = This_fname
	       this_fname = rstemp("contact_fname")

	       prior_lname = This_lname
	       this_lname = rstemp("contact_lname")

	       This_customer = rstemp("contact_fname") & " " & rstemp("contact_lname")

	       ' ------ on Control Break in sequence - generate a "Total" line in the output

	       If (Previous <> First_Time) AND (This_customer <> Previous) Then ' Insert a total line for the previous customer


PI = AddPI2 (PI,  "	          <tr>")
PI = AddPI2 (PI,  "	          <td class=TightBodyTextTotal align=right colspan=4>" & wc_Invoice_Total_For & "&nbsp; <b>" & previous & "</b>&nbsp;</td>")
PI = AddPI2 (PI,  "	          <td class=TightBodyTextTotal align=right >" & Hours_Total )

PI = AddPI2 (PI,  "	          <td class=TightBodyTextTotal align=right >" & DisplayMoney(Invoice_Total))
PI = AddPI2 (PI,  "	          </td>")
PI = AddPI2 (PI,  "	          </tr>")
	       

	          Invoice_Total = 0
	          Hours_Total= 0
	          recordcount = recordcount + 1
	          Contributor_flag = "No"
           End If
           previous = This_customer

        
PI = AddPI2 (PI,  "		  <tr>")

			   thisclass="TightBodyText" 

PI = AddPI2 (PI,  "			  <td class=" & thisclass & " valign=top>" & rstemp("Invoice_Date") & "</td>")
PI = AddPI2 (PI,  "			  <td class=" & thisclass & "  valign=top align=center>" & rstemp("case_number") & "</td>")
PI = AddPI2 (PI,  "			  <td class=" & thisclass & "  valign=top>" & rstemp("company") & " (" & rstemp("contact_fname") & "&nbsp;" & rstemp("contact_lname")& ")</td>")
PI = AddPI2 (PI,  "			  <td class=" & thisclass & "  valign=top>" & rstemp("TimeSpentNote") & "</td>")
PI = AddPI2 (PI,  "			  <td class=" & thisclass & "   valign=top>" & rstemp("Hours") & "</td>")

			  ' compute the amount and add it for later display BUT ONLY if the incoice number is empty - i.e. not part of an invoice already
			     ' and flag this record line as a "contributor"
			      line_amount = rstemp("Hours") * rstemp("HourlyRate")
			      Hours_Total = rstemp("Hours") + Hours_Total

			    'If isNull(InvoiceNumber) or InvoiceNumber = "" or InvoiceNumber = 0 then
                  Invoice_Total = Invoice_Total + Line_amount

                  Contributor_flag = "Yes"
                  %>
                  <%
                'End If

			 
PI = AddPI2 (PI,  "			  <td class=" & thisclass & "  valign=top align=right>" & DisplayMoney(line_amount) & "</td>")

PI = AddPI2 (PI,  "		  </tr>")


	   End if ' it was grouptype "Group_customer" 



	 end if ' if it was a billable record 



			rstemp.movenext
			count = count + 1
		loop
    ' -------------------------- Flush last total at EOF -------------------------------------------
	If GroupType = "Group_customer" or GroupType = "Group_company" Then ' flush out the last total which still needs to be output
	recordcount = recordcount + 1
	

PI = AddPI2 (PI,  "	           <tr>")
PI = AddPI2 (PI,  "	          <td class=TightBodyTextTotal align=right colspan=4>" & wc_Invoice_Total_For & " &nbsp; <b>" & previous & "</b>&nbsp; </td>")
PI = AddPI2 (PI,  "	          <td class=TightBodyTextTotal align=right >" & Hours_Total )

PI = AddPI2 (PI,  "	          <td class=TightBodyTextTotal align=right >" & DisplayMoney(Invoice_Total))
PI = AddPI2 (PI,  "	          </td>")
PI = AddPI2 (PI,  "	          </tr>")

    End If
	rstemp.close
	set rstemp=nothing



PI = AddPI2 (PI,  "	</table>")
   If recordcount = 0 Then
   
   PI = AddPI2 (PI,  "<P><font color=red>" & wc_No_Time_Spent_Records_Found & "</font>")
        'response.flush
        'response.end
     End If
   

PI = AddPI2 (PI,  "	</center>")


 end if ' if not eof found immediately 

	TSTable = "table"
		
	DisplayInvoiceTimeSpentValues = TSTable



 End Function ' 
 %>

<% Function OutputStyleSheets()
	' This function outputs the style sheets directly into the HTML Header area so it can be used
	' for Emails or HTML outputs.  If it was called as include file, it would probably fail
	' when sending HTML emails.

PI = AddPI2 (PI,  "<!-- Copyright Internet Software Sciences 2005 -->")
PI = AddPI2 (PI,  "<style>")

PI = AddPI2 (PI,  ".TightBodyText {") 
PI = AddPI2 (PI,  "          font-family: verdana, arial, helvetica, sans-serif;")
PI = AddPI2 (PI,  "          font-size: 11;")
PI = AddPI2 (PI,  "          background-color: #E5EEF6;")
PI = AddPI2 (PI,  "		}")

PI = AddPI2 (PI,  ".TightBodyTextGreyOut { ")
PI = AddPI2 (PI,  "          color: gray;")
PI = AddPI2 (PI,  "          font-family: verdana, arial, helvetica, sans-serif;")
PI = AddPI2 (PI,  "          font-size: 11;")
PI = AddPI2 (PI,  "          background-color: #E5EEF6;")
PI = AddPI2 (PI,  "		}")


PI = AddPI2 (PI,  ".TightBodyTextHilight { ")
PI = AddPI2 (PI,  "          font-family: verdana, arial, helvetica, sans-serif;")
PI = AddPI2 (PI,  "          font-size: 11;")
PI = AddPI2 (PI,  "          background-color: #C0C0C0;")
PI = AddPI2 (PI,  "		}")
		
PI = AddPI2 (PI,  ".TightBodyTextTotal { ")
PI = AddPI2 (PI,  "          color: black;")
PI = AddPI2 (PI,  "          font-family: verdana, arial, helvetica, sans-serif;")
PI = AddPI2 (PI,  "          font-size: 11;")
PI = AddPI2 (PI,  "          background-color: #CFF4E8;")
PI = AddPI2 (PI,  "		}")

PI = AddPI2 (PI,  ".TightBodyTextOpen {")
PI = AddPI2 (PI,  "	color: green;")
PI = AddPI2 (PI,  "	font-family: verdana, arial, helvetica, sans-serif;")
PI = AddPI2 (PI,  "	font-size: 11;")
PI = AddPI2 (PI,  "	background-color: #E5EEF6;")
PI = AddPI2 (PI,  "	}")
PI = AddPI2 (PI,  ".TightBodyTextClosed {")
PI = AddPI2 (PI,  "	color: red;")
PI = AddPI2 (PI,  "	font-family: verdana, arial, helvetica, sans-serif;")
PI = AddPI2 (PI,  "	font-size: 11;")
PI = AddPI2 (PI,  "	background-color: #E5EEF6; ")
PI = AddPI2 (PI,  "	}")


		
PI = AddPI2 (PI,  ".TightTableWrapper {")
PI = AddPI2 (PI,  "		border-width: 2px;")
PI = AddPI2 (PI,  "		border-style: solid;")
PI = AddPI2 (PI,  "		border-color: black;")
PI = AddPI2 (PI,  "		background-color: lightgreen;")
PI = AddPI2 (PI,  "		padding-top: 0px;")
PI = AddPI2 (PI,  "		padding-bottom: 0px;")
PI = AddPI2 (PI,  "		padding-left: 0px;")
PI = AddPI2 (PI,  "		padding-right: 0px;")
PI = AddPI2 (PI,  "		}")
		
PI = AddPI2 (PI,  ".FormBoxWrapper {")
PI = AddPI2 (PI,  "		border-width: 1px;")
PI = AddPI2 (PI,  "		border-style: solid;")
PI = AddPI2 (PI,  "		border-color: black;")
PI = AddPI2 (PI,  "		background-color: #C0C0C0;")
PI = AddPI2 (PI,  "		padding-top: 0px;")
PI = AddPI2 (PI,  "		padding-bottom: 0px;")
PI = AddPI2 (PI,  "		padding-left: 5px;")
PI = AddPI2 (PI,  "		padding-right: 5px;")
PI = AddPI2 (PI,  "		}")

PI = AddPI2 (PI,  "/************************************************************************/")
PI = AddPI2 (PI,  "/* ColumnLabel is used for column headings in data tables - tends       */  ")         
PI = AddPI2 (PI,  "/* to be used with the Tight family of styles that control the table  */")
PI = AddPI2 (PI,  "/************************************************************************/  ")   

PI = AddPI2 (PI,  ".ColumnLabel { color: black;")
PI = AddPI2 (PI,  "          font-family: verdana, arial, helvetica, sans-serif;")
PI = AddPI2 (PI,  "          font-size: 12;")
PI = AddPI2 (PI,  "          font-weight: bold;")
PI = AddPI2 (PI,  "          background-color: #E0E0E0;")
PI = AddPI2 (PI,  "		}")
		
PI = AddPI2 (PI,  ".ColumnLabelHilight { color: black;")
PI = AddPI2 (PI,  "          font-family: verdana, arial, helvetica, sans-serif;")
PI = AddPI2 (PI,  "          font-size: 12;")
PI = AddPI2 (PI,  "          font-weight: bold;")
PI = AddPI2 (PI,  "          background-color: #C0C0C0;")
PI = AddPI2 (PI,  "		}")
		




PI = AddPI2 (PI,  "</style>")



   OutputStyleSheets = SheetString

End Function

%>