<% 'Module: QBOptions.asp

   'Description: This module contains the options to enable integration with QuickBooks from Intuit
   ' Carefully follow the instructions below to configure and integrating web+center
   ' extended time spent records, customers, and techs
   '(C) 2008 Internet Software Sciences
   ' www.inet-sciences.com



   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '03/24/08	SAV		Created original QBOptions.inc module
   '10/05/11    CMB             QB no longer supported
	
%>

<% ' Step 1:  QuickBooks option is now enabled under administration.. system configuration menu..
	'system configuration options.
	
	' a text value of "Quickbooks" is placed into the "language columns of the configuration table.
	' This code below gets that value.
	
	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

        Language = rstemp("Language") ' Returns various system configurations - Not used for language
        
	If InStr(Language,"Quickbooks")   Then ' check if word Quickbooks is in that column
			QBOption = "YES"
		Else
			QBOption = "NO"
		End If

	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


QBOption = "NO"  ' 10/05/11 no longer supported

'QBOption = "YES"  ' 10/05/11 no longer supported
 		
 ' Step 2:
 	'Configure your Company information for exporting time spent information to QB
 	' Before TimeAct data IIF files can be sent to QB for processing, we must
 	' also include a TIMEHDR definition row with the following parameters.  These parameters are:
 		
	'!TIMERHDR	VER	REL	COMPANYNAME	IMPORTEDBEFORE	FROMTIMER	COMPANYCREATETIME
	'TIMERHDR	 8	 0	Internet Software Sciences	N	Y	1205264687
	
	'The constants below define these values as Visual Basic ASP scripting variables.  Redefine
	' these constants as needed.
	
	QBVER = "8"
	QBREL = "0"
	QBCOMPANYNAME = "Internet Software Sciences"
	QBCOMPANYCREATETIME = "1205264687"
 			
 		
 ' Step 3:
 	'Configure the name of the QB Account (Accnt) that you use to track sales of
 	' the item with.  This is referred to in the QB documentation as ACCNT.  An example
 	' of a default ACCNT that the system configure with is a ACCNT called "Consulting Income"
 	
 	' Change the name in the double quotes to match the ACCNT you wish to set it
 	' It defaults to "Consulting Income"
 	
 	QBItemAccnt = "Consulting Income"

  ' Step 4 
 	' Define how your customer name is defined
 	' Uncomment the appropriate option"
 	'QBName = "Company" ' Web+Center Customer Company name
 	QBName = "CustomerFirstLast" ' Web+Center Customer First name + space + Last name
 	'QBName = "CustomerID" ' Web+Center CustomerID value


 		
 %>


<% ' *** Function TableExists(Tablename, columnname)

 ' This function takes 2 parameters - a table-name and optionaly a column-name which must be an empty string if absent.
 ' It returns TRUE or FALSE depending on whether the named table (and the column if specified) are in the database
  Function TableExists(tablename,columnname)
 set conntempveryunique=server.createobject("adodb.connection")
 conntempveryunique.open myDSN ' Open the connection once here
 if columnname = "" Then
      mySQLveryunique="select * from " & tablename
 else
      mySQLveryunique="select " & columnname & " from " & tablename
 end if
 ' response.write "Executing " & mySQLveryunique & "<P>"
 errorcode = 0
 On error resume next
 set rstempveryunique=conntempveryunique.execute(mySQLveryunique)
 errorcode = err.number
 ' response.write "I see error code is " & errorcode & "<P>"
 if errorcode = 0 then
       TableExists = 1
    else
       TableExists = 0
    end if
 
 rstempveryunique.close
 set rstempveryunique=nothing
 conntempveryunique.close ' Close the connection
 set conntempveryunique=nothing
 
  end function
 
%>
 
