<% 'Module: SendTxtMsg.inc

   'Description: This module contains all of the SendTxtMsg() Code that can be
   ' used across applications by including this file and having a subroutine available
   ' to the calling ASP code.
   '
   ' Subroutine Description:
   '     SendTxtMsg(TxtNumber, Message)
   ' 
   '  Where TxtNumber is the 12 character SMS format like +16505044444
   '  Message is the text message - It must be 150 characters or less
      
   ' This one INCLUDE file is located in the language directory so it can
   ' be shared by all of the Web+Center applications.
   
   
   '(C) 2014 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date	Who	What
   '-------	---	------------------------------------------------
   '01/06/14	SAV	Created original SendTxtMsg.inc module
   
%>


<% Sub SendTxtMessage(TxtNumber, Message )

' Do some initial verification of TxtNumber and truncate Message to 150


If trim(TxtNumber) = "" Then
   Exit Sub
end if 

If trim(Message) = "" Then ' Empty message then exit
	Exit Sub
End If

' Get the Txt Message configuration information

' Get Database Configuration data

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"

	set rstemp2 = server.createobject("adodb.recordset")

	rstemp2.open mySQL2, conntemp, 1,3


	' Check to see if any records are returned
	if rstemp2.EOF then
		ts_user_page_color = "FFFFFF"
		Assets_db = 0
	Else

		EnableSMS = rstemp2("EnableSMS")
		SMSNumber = rstemp2("SMSNumber")
		SMSAccountSID = rstemp2("SMSAccountSID")
		SMSAuthToken  = rstemp2("SMSAuthToken")


		'Other Fields

		MaxHistorySize =  CLng(rstemp2("max_case_history_size"))
		MaxSummarySize =  rstemp2("max_case_summary_size")
		MaxResolutionSize =  rstemp2("max_case_resolution_size")

		smtp_host_address = rstemp2("smtp_host_address")
		Standard_reply_to_address = rstemp2("Standard_reply_to_address")
		Customer_case_notify = CInt(rstemp2("customer_case_notify"))
		UserPageColor = rstemp2("ts_user_page_color")


	End If

	rstemp2.close
	set rstemp2=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing

' Various tests before sending the Txt message

' (1) Is SMS Enabled?

If EnableSMS = False Then ' Do not send any messages if SMS disabled
	Exit Sub
End If


' Check for valid length of SMS number and format of "+1XXXxxxXXXX"

IF Len(TxtNumber)  <> 12 Then ' Valid number of "+1XXXxxxXXXX"
	Exit Sub
End IF


' DEBUG
'response.write "SENDING MESSAGE START "

' Send SMS message code here ----------------------------

' setup the URL
baseUrl = "https://api.twilio.com"
smsUrl = baseUrl & "/2008-08-01/Accounts/" & SMSaccountSid & "/SMS/Messages"

' setup the request and authorization
Set http = Server.CreateObject("MSXML2.ServerXMLHTTP")
http.open "POST", smsUrl, False, SMSaccountSid, SMSauthToken
http.setRequestHeader "Content-Type", "application/x-www-form-urlencoded"

' message parameters
from = SMSNumber ' the number to send the message from
recipient = TechSMSNumber ' the number to send the message to


body = Request.form("SMSMessage") ' message contents

postData = "From=" & Server.URLEncode(from)
postData = postData & "&To=" & Server.URLEncode(recipient)
postData = postData & "&Body=" & Server.URLEncode(body)

' send the POST data
http.send postData

' optionally write out the response if you need to check if it worked
' Response.Write http.responseText

' clean up
Set http = Nothing

' ---------------------- END OF SMS Message code -----------------


End Sub
%>


 