<% 	' Module: wcLabels.inc
	'
	' Language Module English - US version (Default)
	
	' Description: This ASP include module contains the language 
	' specific prompts for the entire Web+Center application.
	' Prompts are defined here as variables that will be used in 
	' the various ASP scripts. 
	' 
	' To make changes for various languages, change the value
	' of the label variable, but NOT the label variable name.
	' Label variable names always start with wc_ .  Spaces are
	' defined with an underscore.  If the Label in the english-us
	' version is Customers, then the variable name is:
	'	wc_Customers
	'
	' Longer blocks are defined as wc_[text block name]
	
	' Important - All variables should be alphabetically arranged
	' by their english US variable names.
	
	'
	' (C) 1999, 2000, 2001, 2002 Internet Software Sciences
	'
	'History:
	
	'Date		Who		What
	'-----		-----	-------------------------------------------------
	'04/02/2002	SAV		Created original File
%>

	<% ' NOTE: Keep This strings alphabetically arranged %>
	<% ' VARIABLE NAMES SHOULD ALL BE IN ENGLISH %>
	

<% ' Variable Name			= String Definition   ' ASP Module/Note %>

<% ' -------------		--	------------------%>

<% ' ***************   A  *************************************%>
<% 
	wc_Active				= "Active"
	wc_Address				= "Address"
	wc_Add_new_case_information_below 	= "Add new case information below"
	wc_All_Cases				= "All <br>Cases"
	wc_All_Late_Scheduled_Cases		= "All Late Scheduled Cases"
	wc_All_Opened_Scheduled_Cases		= "All Opened Scheduled Cases"
	wc_All_Records				= "All Records"
	wc_All_Remaining_Fields_are_Optional	= "All_remaining fields are <B>Optional.</b>"
	wc_All_Repeating_Scheduled_Cases	= "All Repeating Scheduled Cases"
	wc_All_Single_Event_Scheduled_Cases	= "All Single Event Scheduled Cases"
	wc_All_User_Groups			= "All User Groups"
	wc_All_View				= "All View"
	wc_Any_Open_Status			= "Any Open Status"
	wc_Any_Priority			 	= "Any Priority"
	wc_Asset_Assignments			= "Asset Assignments"
	wc_Asset_Number				= "Asset Number"
	wc_Asset_Search				= "Asset Search"
	'****** For Asset Field lablels, refer to the AssetLabels.inc file 
	wc_Assigned_Group			= "Assigned Group"
	wc_Assigned_Staff_Member		= "Assigned Staff Member"
	wc_Assigned_To				= "Assigned To"
	wc_Assign_Staff_Records_Into_Category	= "Assign Staff Records <br> Into Category"
	wc_Attach_File_To_Case			= "Attach File To Case"
	wc_Attached_File			= "Attached File"
%>

<% ' ***************   B  *************************************%>
<%
	wc_Brief				= "Brief"
%>

<% ' ***************   C  *************************************%>
<%	
	wc_Case					= "Case"
	wc_Case_Text_Field_Number		= "Case Text Field Number"			
	wc_Case_History				= "Case History"
	wc_Case_Number				= "Case Number"
	wc_Case_Number_Descending		= "Case Number Descending"
	wc_Case_Search				= "Case Search"
	wc_Case_Search_Results			= "Case Search Results"
	wc_Case_Resolution			= "Case Resolution"
	wc_Case_Status				= "Case Status"
	wc_Case_Summary				= "Case Summary"
	wc_Case_Text_Fields_Labels_Updated	= "Case Text Field Labels have been updated."
	wc_Check_Interval			= "Check Interval (Minutes)"
	wc_Check_For_Escalation_Every		= "Check For Escalation Every "
	wc_Choose_One_Option_Below		= "Choose one option below"
	wc_City					= "City"
	wc_city_state				= "City/State"
	wc_Clear				= "Clear"
	wc_Click_On_Block			= "Click on the case number to view or update case"
	wc_Closed				= "Closed"
	wc_Closed_Cases				= "Closed cases"
	wc_Company				= "Company"
	wc_Complete_Reg_Form_Block		= "Please complete the following registration form. <br>Entries marked with the <font color=red>*</font> are required fields."
	wc_Confirm_Password			= "Confirm Password"
	wc_Confirm_Password_Block		= "Confirm Password does not match password."
	wc_Country				= "Country"
	wc_Contact_Method			= " Contact Method"
	wc_Contact_Preferences			= "Contact Preferences"
	wc_Create_a_Username_Block		= "<I>Create a Username<br> and password to<br> access this site <br>	at a later date.</i>"
	wc_Create_Last_Modify			= "Create/Last Modify"
	wc_Create_New_Asset			= "Create New Asset"
	wc_Create_New_Case			= "Create New Case"
	wc_Customer				= "Customer"
	wc_Customer_ID				= "Customer_ID"
	wc_Customer_Information 		= "Customer Information" 	' NewCustomer.asp
	wc_Customer_Search			= "Customer Search"
	wc_Customer_Search_Results		= "Customer Search Results"

%>

<% ' ***************   D  *************************************%>
<%
	wc_Date_Type				= "Date Type"
	wc_Deleted_From_Email_List		= "Deleted From <br> Email List"
	wc_Describe_the_problem_Block 		= "Describe the problem or question in detail"	
	wc_Detailed				= "Detailed"
	wc_Disable_All_Escalation		= "Disable All Escalation"
	wc_Disabled				= "DISABLED"
	wc_Dispatcher_Status			= "Dispatcher Status"
	wc_Do_not_re_assign			= "Do not re-assign"
	wc_Donot_change_filename		= "Do not change file name"
	wc_Due_Date				= "Due Date"
	wc_Duplicates				= "Duplicates"
	wc_Dup_Case_Number			= "Dup Case Number"
%>
<% ' ***************   E  *************************************%>
<%
	wc_Edit_Case_Text_Field_Labels		= "Edit Case Text Field Labels"
	wc_email 				= "Email"
	wc_Email_In_use_Block			= "This email is already in use.  Please use the Lost Username/Password link to recover your previously registered username and password."
	wc_End_Date				= "End Date"
	wc_Enter_New_Category			= "Enter New Category"
	wc_Escalation_Window			= "Escalation Window (Close To Stop)"
	wc_Escalate_Case_After			= "Escalate Case After "
	wc_Escalation_Methods			= "Escalation Methods"
	wc_Escalation_Options			= "Escalation Options"
	wc_Escalation_Report			= "Escalation Report"
	wc_Existing				= "Existing"
	wc_Existing_Case_Escalation		= "Existing Case Escalation"
	wc_Export				= "Export"
	wc_Export_Assets			= "Export Assets"
	wc_Export_Format			= "Export Format"
	wc_Export_Search			= "Export Search"
	wc_Export_Tech_Contact_Information	= "Export Tech Contact Information"
	wc_Export_Tech_Staff			= "Export Tech Staff"
	wc_Export_Tech_Staff_Block		= "To export selected or all tech records into <br>an exportable  file,		 submit the form below. (<a href=pdainstructions.asp>Instructions</a>) <br>"
	
%>

<% ' ***************   F  *************************************%>
<%
	wc_Fax					= "Fax"
	wc_File_Renaming_Options		= "File Renaming Options"
	wc_Find_Asset				= "Find Asset"
	wc_First				= "First"
	wc_First_Name 				= "First Name"
	wc_First_Name_Required_Block		= "First Name is a required field."
%>
<% ' ***************   G  *************************************%>
<%
	wc_Go					= "Go"
	wc_Group				= "Group"
	wc_Group_Name				= "Group Name"
%>

<% ' ***************   H  *************************************%>

<% ' ***************   I  *************************************%>
<%
	wc_Instructions				= "Instructions"
	wc_Invalid_User_Name			= "<LI>Invalid User Name Or Password"
	wc_Is_A_Required_Field		 	= " is a required field."
	
%>

<% ' ***************   J  *************************************%>
<%
	wc_Jobs					= "Jobs"
%>
<% ' ***************   K  *************************************%>

<% ' ***************   L  *************************************%>
<%
	wc_Label			= "Label"
	wc_Last				= "Last"
	wc_Last_Name 			= "Last Name"
	wc_LATE				= "LATE"
	wc_Log_Out			= "Log Out"
	wc_Lost_Username_Block		= "If you have lost your username or password, you can recover it using the Lost ID/Password link on the previous page."
	
%>
<% ' ***************   M  *************************************%>
<%
	wc_matching_records		= "matching records"
	wc_Mailstop			= "Mailstop"
	wc_Minumum_priority_setting	= "Minimum Priority Setting"
	wc_Minimum_5_characters		= "Minimum 5 characters"
	wc_Minutes			= "Minutes"
	wc_Minutes_Of_No_Activity	= "Minutes of NO activity"
	wc_Modified			= "Modified"
	wc_My_Cases			= "My Cases"
%>

<% ' ***************   N  *************************************%>
<%
	wc_Name				= "Name"
	wc_New				= "New"
	wc_New_Case			= "New Case"
	wc_New_Case_Escalation		= "New Case Escalation"
	wc_New_Contact_Notes 		= "New Contact Notes"
	wc_New_Customer			= "New Customer"
	wc_New_Window			= "New Window"
	wc_No_Assignment		= "No Assignment"
	wc_New_Case			= "New <br>Case"
	wc_Next				= "Next"
	wc_No_Customers_Found		= "No_Customers_Found"
	wc_No_Cases_Found		= "No Cases Found"
	wc_No_Records_Found_Date	= "No Records Found for this data range."
	wc_Notes			= "Notes"
%>


<% ' ***************   O  *************************************%>
<%
	wc_On_Hold		 	= "On Hold"
	wc_One_Line_Description 	= "One Line Description"
	wc_Open				= "Open"
	wc_Open_Active			= "Open (Active)"
	wc_Open_On_Hold			= "Open (On-hold)"
	wc_Open_Waiting			= "Open (Waiting)"
	
	wc_Opened			= "Opened"
	wc_Open_Cases_Reports		= "Open Cases Reports"
	wc_Open_Cases_By_Group		= "Open Cases By Group"
	wc_Open_Cases_By_Priority	= "Open Cases By Priority"	
	wc_Open_Cases_By_Status		= "Open Cases By Status"
	wc_Open_Cases_By_Duration	= "Open Cases By Duration"
	wc_Open_Cases_By_Tech		= "Open Cases By Tech"
	wc_Open_Cases			= "Open cases"
	wc_Open_cases_for		= "Open cases for"
	wc_open_new_case		="Open_New_Case"
	wc_Optional_Information_Fields 	= "Optional Information Fields"
	wc_OR				= "OR"
	wc_Other_Asset			= "Other Asset"
	wc_Other_Cases_Title		= "Show Individual / Group / Scheduled Cases / Export Tech Info"
%>

<% ' ***************   P  *************************************%>
<%
	wc_P				= "P" ' Abreviation for Priority
	wc_Password			= "Password"
	wc_Password_Required_Block	= "Password is a required field"
	wc_Password_Error_Block		= "Password can only contain letters or numbers."
	wc_Password_Error_Block2	= "Password must be 5 to 10 characters only."
	wc_Phone			= "Phone"
	wc_Phone1			= "Phone1"
	wc_Phone2			= "Phone2"
	wc_Phone2_Cell			= "Phone2/Cell"
	wc_Prev				= "Prev"
	wc_Preferred_Contact_Method	= "Preferred <br>Contact Method"
	wc_Pri				= "Pri"   ' Short for Priority
	wc_Priority			= "Priority"
%>	

<% ' ***************   Q  *************************************%>

<% ' ***************   R  *************************************%>
<%
	wc_Re_Assign_To_Group		= "Re-assign To Group"
	wc_Reference_Number		= "Reference Number"
	wc_Reference_Type		= "Reference Type"
	wc_Refresh			= "Refresh"
	wc_Registration			= "Registration"
	wc_Rename_Based_On_Case_Number 	= "Rename file based on case number"
	wc_Reports			= "Reports"
	wc_Result_Pages			= "Result Pages"
	wc_Results_View			= "Results View"
	wc_Return_to_User_Screen	= "Return to User Screen"	
	wc_Running			= "RUNNING"
%>
<% ' ***************   S  *************************************%>
<%
	wc_Search_Knowledge_Base	= "Search Knowledge Base"
	wc_Search_Help_Database		= "Search Help Database"
	wc_Search_Your_Assets		= "Search Your Assets"
	wc_Select_an_Asset_Block	= "<B>Select an asset (optional):</b><br>Press the Find Asset link to assign an asset from the asset database to this case."
	wc_Send_Cell_Email_To		= "Send Cell Email To:"
	wc_Send_Email_Alert_To		= "Send Email Alert To:"
	wc_Scheduled_Cases		= "Scheduled Cases"
	wc_Selected_Group_Below		= "Selected Group Below"
	wc_Select_One			= "Select One"
	wc_Select_The_Best_Block	= "Select the best category choices below"
	wc_Show_All_Cases		= "Show All Cases"
	wc_Show_All_Closed_Group_Cases	= "Show All Closed Group Cases"
	wc_Show_All_Group_Cases		= "Show All Group Cases"
	wc_Show_All_Open_Group_Cases	= "Show All Open Group Cases"
	wc_Show_Closed_Cases		= "Show Closed Cases"
	wc_Show_Group_Open_Cases	= "Show Group Open Cases"
	wc_Show_Individual_Open_Cases	= "Show Individual Open Cases"
	wc_Show_Open_Cases		= "Show Open Cases"
	wc_Simple_Case_Search		= "Simple Case Search"
	wc_Sort_By			= "Sort By"
	wc_Sort_Order			= "Sort_Order"
	wc_Staff_Member			= "Staff Member"
	wc_Start_Date			= "Start Date"
	wc_Start_Escalation		= "Start Escalation"
	wc_State 			= "State"
	wc_Status			= "Status"
	wc_Submit			= "Submit"
	wc_Support_Case_Update		= "Support Case Update"
	wc_Support_Options		= "Support Options"
%>	

<% ' ***************   T  *************************************%>
<%
	wc_Tech				= "Tech"
	wc_Tech_Report			= "Tech Report"
	wc_Tech_View_Only		= "Tech View Only"
	wc_Technician_Report_For	= "Technician Report For "
	wc_Text_Field_Status		= "Text Field Status"
	wc_Time			 	= "Time"
	wc_Time_Spent_Reports		= "Time Spent Reports"
	
	wc_Todays_Scheduled_Cases	= "Today's Scheduled Cases"
	wc_Top_Window 			= "Top Window"
%>

<% ' ***************   U  *************************************%>
<%
	wc_Update_Registration		= "Update Registration"
	wc_User_Groups			= "User Groups"
	wc_User_Group_Read_Access	= "User Group Read Access"
	wc_Username			= "Username"
	wc_Username_Error_Block		= "Username must be at least 5 characters long."
	wc_Username_Login 		= "User Name Login"
	Wc_Username_In_use_Block	= "This username is already being used.  Please select another username."

%>

<% ' ***************   V  *************************************%>
<%
	wc_VIEW				= "VIEW"
	wc_View_Info			= "View Info"
%>
<% ' ***************   W  *************************************%>
<% 
	wc_Waiting			= "Waiting"
%>

<% ' ***************   X  *************************************%>

<% ' ***************   Y  *************************************%>
<%
	wc_Your_Search_Has_Found	= "Your search has found "
%>
<% ' ***************   Z  *************************************%>
<%
	wc_Zipcode			= "Zipcode"
	wc_Zip_Country			= "Zip/Country"
%>

<% ' **********************************************************%>	
<% ' **********************************************************%>
<% ' **********************************************************%>
<% ' *************Following are new ones used by Jitze*********%>
<% ' **********************************************************%>	
<% ' **********************************************************%>
<% ' **********************************************************%> 
<%

' ------Used in SystemConfigOptions.asp

        wc_Configuration_Options        = "Configuration Options"
        wc_Control_Panel_Window_Color   = "Control Panel Window Color"
        wc_Open_Cases_Window_Color      = "Open Cases Window Color"
        wc_User_Window_Color            = "User Window Color"
        wc_Dispatcher_Open_Cases_Refresh_Rate  = "Dispatcher Open Cases Refresh Rate"
        wc_Dispatcher_Status_Page_Refresh_Rate = "Dispatcher Status Page Refresh Rate"
        wc_Secs                         = "Secs"
        wc_Chars                        = "Chars"
        wc_Smtp_Mail_Server_Address     = "SMTP Mail Server Address"
        wc_Default_Reply_To_Address     = "Default Reply To Address"
        wc_Enable_Customer_Id_List      = "Enable Customer ID List"
        wc_Enable_Customer_Email_Notification = "Enable customer email notification"
        wc_Enable_Assets_Database       = "Enable assets database"
        wc_Max_Case_History_Size        = "Max Case History Size"
        wc_Max_Case_Summary_Size        = "Max Case Summary Size"
        wc_Max_Case_Resolution_Size     = "Max Case Resolution Size"
        wc_Tech_Case_Search_Limit       = "Tech Case Search Limit"
        wc_Customer_Case_Search_Limit   = "Customer Case Search Limit"
        wc_Background_Colors            = "Background Colors"
        wc_Dispatcher_Refresh_Rates     = "Dispatcher Refresh Rates"
        wc_Email_Addresses              = "Email Addresses"
        wc_Miscellaneous_Settings       = "Miscellaneous Settings"
        wc_Case_Size_Limits             = "Case Size Limits"
        wc_Case_Search_Limits           = "Case Search Limits"
        wc_Zero_is_disable              = "0=Disable"
        wc_SysConfigInstruction_Block   = "Changing configuration settings will immediately modify the look " _
                                          & "and function of the Customer Support System. For more information " _
                                          & "see the &quot;Web+Center User's Guide&quot;"
        
' ------Used in EditMailMsg.asp

        wc_EditMailMsg_Screen_Head      = "Email Message/User Window Configuration"
        wc_EditMailMsg_Box1_Block       = "HTML text and graphics entered here will be displayed in the Tech+Center User Window whenever a staff member logs into Tech+Center:"
        wc_EditMailMsg_Box2_Block       = "Text entered here will be appended to the beginning of all email messages sent automatically by Tech+Center to customers whenever techs update their cases:"
        wc_EditMailMsg_Box3_Block       = "Text entered here will be appended to the beginning of all email messages sent automatically by Customer+Center to customers whenever customers update their cases:"
        wc_EditMailMsg_Box4_Block       = "Text entered here will be appended to the beginning of all email messages sent automatically by Tech+Center to customers to confirm customer registration:"
        wc_EditMailMsg_Box5_Block       = "Text entered here will be appended to the beginning of all email messages sent to customers who have requested Customer+Center to find their lost username and password:"
        
        
' ------Used in ShowAllStaffMembers.asp

        wc_Show_All_Staff_Screen_Head   = "Show All Staff Members"
        wc_Show_All_Staff_Instruction_Block   = "1) If the entry in the &quot;Tech Notify&quot; column is toggled to &quot;Yes&quot; then an email notification" _
    						&   "will be sent to the staff member whenever a new case report is assigned to that member.<p>" _
    						&   "2) If the entry in the &quot;Tech Dispatch&quot; column is toggled to &quot;Yes&quot; then the staff" _
    						&   "member will be displayed on the Dispatcher screen."
        
	wc_Tech_ID			= "Tech ID"
	wc_Tech_Notify			= "Tech<br>Notify"	 
	wc_Tech_Dispatch		= "Tech<br>Dispatch"
	wc_No                           = "No"
	wc_Yes                          = "Yes" 
	
' ------Used in EditStaffMember.asp 	 

	wc_Staff_Member_Information	= "Staff Member Information"
        wc_Home                         = "Home"
        wc_Work                         = "Work"
        wc_Support_staff_read_only      = "Support Staff (Read Only)"
        wc_Support_staff_read_write     = "Support Staff (Read/Write)"
        wc_Dispatcher                   = "Dispatcher"
        wc_System_administrator         = "System Administrator"
        wc_System_configurator          = "System Configurator"
        wc_Cell_email_notification_email= "Cell Email: (Notification Email)"
        wc_Department                   = "Department"
        wc_Work_email_notification_email= "WorkEmail: (Notification Email)"
        wc_Login_id                     = "Login ID"
        wc_Security_level               = "Security Level"
        wc_Display_member_on_dispatch_screen = "Display member on dispatch screen"
        wc_Notify_by_email_if_case_assigned1  = "Notify by email if a case is assigned to this staff member"
        wc_Notify_by_email_if_case_assigned2  = "Notify by email if a case is assigned to this group"
        wc_Support_group_membership     = "Support Group Membership"
        wc_Not_currently_member_support_group = "Not currently a member of any support group."
        wc_Update_confirmed             = "(Update Confirmed)"
        
        
     
        
' ------Used in AddStaffToSupportGroups.asp

        wc_Add_Staff_Members_to_Support_Group = "Add Staff Members to Support Group"
        wc_Add_These_Staff_Members       = "Add these staff members"
        wc_To_This_Group                 = "To this group"
       
' ------Used in DoAddStaffToSupportGroups.asp 
        wc_Has_been_assigned_to_this_group    = "Has been assigned to this group"
        wc_Was_already_assigned_to_this_group = "Was already assigned to this group"
        
        
' ------Used in RemoveStaffFromGroup.asp    
        wc_Remove_staff_members_from_support_group = "Remove Staff Members From Support Group"
        wc_Remove_selection_of_members_from_group  = "Remove a selection of staff members from this group"
        
' ------Used in RemoveStaffFromGroup1.asp         
        wc_Remove_these_staff_members   = "Remove These Staff Members"
        wc_From_this_group              = "From this group"
        ws_Group_has_no_members         = "Group has no members"
        
' ------Used in RemoveStaffFromGroup2.asp        
        wc_Remove_Staff_Members_from_Support_Group = "Remove Staff Members from Support Group"
        wc_Following_members_removed_from    = "Following members removed from"
        
' ------Used in ReassignCasesByGroup.asp        
        wc_Reassign_Support_Group_Cases = "Reassign Support Group Cases"
        wc_Deassign_cases_from_group    = "Deassign all cases (open and closed) from this group"
        wc_Reassign_them_to_this_group  = "And reassign them to this group"
        
' ------Used in DoReassignCasesByGroup.asp 
        wc_All_cases_reassigned_from    = "All Cases Reassigned From"
        wc_To                           = "To"
        
' ------Used in ShowStaffByGroup.asp        
        wc_Show_Support_Groups_and_Members = "Show Support Groups and Members"
        wc_Show_members_for_this_group  = "Show members for this group"
        
' ------Used in DoShowStaffByGroup.asp 
        wc_Show_support_groups_and_members = "Show Support Groups And Members"
        wc_Show_staff_members_in_group     = "Show Members in the support group" 
        wc_No_Staff_Entries_Exist_For_This_Group = "No Staff Entries Exist For This Group"
        wc_Group_Notify			   = "Group<br>Notify"      
        wc_Show_Staff_by_Group_Instruction_Block   = "3) If the entry in the &quot;Group Notify&quot; column is toggled to &quot;Yes&quot; then an email notification" _
    		         			      &   "will be sent to the staff member whenever a new case report is assigned to that group.<p>" 
       
        
' ------Used in ReassignCasesByTech.asp        
        wc_Reassign_Staff_Member_Cases     = "Reassign Staff Member Cases"
        wc_Deassign_cases_from_staff_member    = "Deassign all cases (open and closed) from this staff member"
        wc_Reassign_them_to_this_member    = "And reassign them to this member"        
        
        
        
' ------Used in Create_Support_Group.asp 
        wc_Create_Support_Group            = "Create Support Group"
        wc_Name_of_new_group               = "Name of new group"
        
' ------Used in DoCreate_Support_Group.asp         
        wc_Support_group_successfully_created = "Support group successfully created"
        wc_Exists_Already                  = "Exists already!"

' ------Used in Delete_Support_Group.asp 
        wc_Delete_Support_Group            = "Delete Support Group"
        wc_Delete_this_support_group       = "Delete this support group"
        wc_Reassign_all_cases_to_this_group = "And reassign all cases (open and closed) to this group"
        
        
' ------Used in DoDelete_Support_Group.asp         
        wc_All_cases_deleted_from          = "All cases deleted from"
        wc_Reassigned_to                   = "and reassigned to"
        wc_Group_Does_Not_Exist            = "Group Does Not Exist"
        
 
' ------Used in Rename_Support_Group.asp 
        wc_Rename_Support_Group            = "Rename Support Group"
        wc_Rename_this_support_group       = "Rename this support group"
        
' ------Used in DoRename_Support_Group1.asp       
        wc_New_name_of_group               = "New name of group"
        wc_No_selection_was_made           = "No selection was made"
        
' ------Used in DoRename_Support_Group2.asp       
        wc_Has_been_renamed_as              = "has been renamed as"  
        
        
' ------Used in Change_Default_Group.asp 
        wc_Change_Default_Support_Group    = "Change Default Support Group"
        wc_Change_default_group_from       = "Change default group from"
        wc_To_this_group                   = "To this group"
        
' ------Used in Change_Default_Group1.asp 
        wc_Are_you_sure_you_want_to_do_this = "Are you sure you want to do this?"
        wc_Change_the_default_group_from_this_group = "Change the default group from this group"
        wc_To_this_group                   = "To this group"
        
' ------Used in Change_Default_Group2.asp
        wc_Default_group_successfully_changed = "Default group successfully changed"


 ' ------Used in ManageCategoryLists.asp
        wc_Manage_Category_Lists           = "Manage Category Lists"
        wc_Create_new_category             = "Create New Category"
        wc_Edit_Category_List              = "Edit Category List"
        wc_Rearrange_Category_list         = "Rearrange Category List"
        
 ' ------Used in DoCreateCategoryList.asp         
        wc_Create_Category_List            = "Create Category List"
        wc_category_name_must_not_be_empty = "Category name must not be empty"
        
 ' ------Used in DoEditCategory1.asp        
        wc_Edit_Category                   = "Edit Category"
        wc_category_name                   = "Category Name"
        wc_Item_List                       = "Item List"
        wc_Disable                         = "Disable"
        wc_Enable                          = "Enable"
        wc_All_View                         = "All<br>View"
        wc_Tech_view                        = "Tech<br>View"
        
        wc_New_items_to_add_to_list        = "New items to add to list"
        wc_Edit_Category_Help_Block        = "<li> To <b>Edit</b> the category name or the name of an individual item entry, modify the name in the slot provided." & _
                                             "<li> To <b>Add</b> new entries, enter their names in the empty slots at the end of the list." & _
                                             "<li> To <b>Disable</b> an <u>individual entry</u>, click the radio button associated with that entry." & _
                                             "<li> To <b>Disable</b> the <u>whole category</u>, click the radio button at the catefory level." & _
                                             "<li> To <b>Re-enable</b>a category that has been disabled as a whole, you must both enable the category itself " & _
                                                   "<u>as well as at least one </u>of its entries" & _
                                             "<li> To <b>Delete</b> an entry, delete the name of the entry in its slot, but " & _
                                             "<font color=red>(Caution!)</font> make sure you have read the help screen first " & _
                                             "to understand the implications of this action. See &quot;Help&quot; button on right. " 
           
        
 ' ------Used in DoEditCategory2.asp        
        wc_You_may_not_delete_category_name = "You may not delete the Category Name"
        wc_You_may_note_delete_category_block = "If you wish to delete a whole category, this may be accomplished by " & _
                                                "first deleting each of the individual items within the category"
        
        
 ' ------Used in DoRearrangeCategory1.asp        
        wc_Rearrange_items_within_category  = "Rearrange Items Within Category"        
        wc_sequence_number                = "Sequence<br>Number"
        wc_Item_Name                      = "Item Name"
        wc_Rearrange_Category_Help_Block  = "To rearrange these entries in a different order, simply adjust the &quot;Sequence Number&quot; " & _
                                            "field opposite each to specify the order in which you wish them to be listed. (Sequence numbers " & _
                                            "need not be contiguous, and can be any number between 0 and 9999)"
        
        
  ' ------Used in DoRearrangeCategory2.asp        
        wc_Sequence_numbers_must_be_numeric = "Sequence numbers must be numeric"
        wc_You_have                      = "You have"
        wc_in_row_number                 = "in row number"
        wc_nothing                       = "nothing"
        
        
        
  ' ------Used in DeleteCase.asp         
        wc_Delete_a_Case                   = "Delete A Case"
        wc_Case_Number                     = "Case Number"
        
  ' ------Used in DoDeleteCase1.asp        
        wc_This_case_number_does_not_exist = "This Case Number does not exist"
        wc_Are_you_sure_you_want_to_do_this = "Are you sure you want to do this?"
        wc_Delete_this_case                = "Delete this case"
        wc_Caution_this_case_FAQ_block     = "Caution - this case is associated with an FAQ which will also be deleted if you delete this case"
        
  ' ------Used in DoDeleteCase2.asp         
        wc_Case_record_successfully_deleted = "Case record successfully deleted"
        
        
  ' -----Used in SystemAdmin.asp   
        wc_System_Administration           = "System Administration"
        
  ' -----Used in SystemAdmin.asp   
        wc_Configuration_Administration    = "Configuration Administration"
        
          
  ' -----Used in SelectStaffMember.asp 
        wc_Edit_Staff_Member               = "Edit Staff Member"
        wc_Select_Staff_Member_to_edit     = "Select Staff Member To Edit"
        
  ' -----Used in HelpEditCategory.asp        
        wc_Close                           = "Close"


  ' -----Used in SystemAdmin.asp        
        wc_System_Configuration_Menu  =  "System Configuration Menu"
        wc_Edit_Priority_Table_Entries  =  "Edit Priority Table Entries"
        wc_Edit_user_page_and_email_messages  =  "Edit user page and email messages"
        wc_Knowledge_Base_Options  =  "Knowledge Base Options"
        wc_Show_all_staff_members  =  "Show all staff members"
        wc_Show_staff_members_by_support_group  =  "Show staff members by support group"
        wc_Reassign_all_cases_from_one_support_group_to_another  = "Reassign all cases from one support group to another" 
        wc_Reassign_all_cases_from_one_staff_member_to_another  =  "Reassign all cases from one staff member to another"
        wc_Create_staff_member  =  "Create staff member"
        wc_Create_support_group  =  "Create support group"
        wc_Delete_support_group  =  "Delete support group"
        wc_Rename_support_group  =  "Rename support group"
        wc_Change_default_support_group  =  "Change default support group"
        wc_Add_staff_members_to_support_group  = "Add staff members to support group" 
        wc_Remove_staff_members_from_support_group  = "Remove staff members from support group" 
        wc_Delete_case  =  "Delete case"
        wc_Rename_customer_ID  =  "Rename customer ID"
        wc_Re_assign_Case_Customer_ID  = "Re-assign Case Customer ID" 
        wc_Re_assign_One_Case_Customer_ID  =  "Re-assign One Case Customer ID"
        wc_Delete_customer_and_attached_cases  =  "Delete customer and attached cases"


  ' -----Used in ConfigAdmin.asp   
       wc_System_Configuration_Options  =  "System Configuration Options"
       wc_Additional_Configuration_Options  = "Additional Configuration Options" 
       wc_Manage_Category_Lists  =  "Manage Category Lists"
       wc_Configure_Initial_Group_Assignments  = "Configure Initial Group Assignments" 


  ' -----Used in ConfigureDefaultGroupAssignment.asp
       wc_Configure_Default_Group_Assignment = "Configure Default Group Assignment"
       wc_Initial_Group_Assignment_based_on_Category = "Initial Group Assignment based on Category"
       wc_Select_a_category_or_set_to_None = "Select a category or set to None"
       wc_No_Categories_Found_must_be_defined_first = "No Categories Found - Categories must be defined first"
       wc_None                              = "None"
       wc_Initial_Group_Assignment_directly_to_group = "Initial Group Assignment directly to group*"
       wc_Select_an_initial_group_assignment = "Select an initial group assignment"
       wc_No_Group_Found                     = "No Group Found"
       wc_Category_Description_block         =  "* Categories selection define the initial group assignment if they are enabled above. " & _
                                                "If the no category is selected or is the user does not select any category " & _
                                                "item, it will default to the initial group assignment defined above."
                                                
                                                
  ' -----Used in DoConfigureDefaultGroupAssignment.asp                                                
       wc_Default_Group_set_to_Group        = "Default Group set to Group"
       wc_Set_the_Group_Assignment          = "Set the Group Assignment for each category item below."
       wc_Category                          = "Category"
       wc_Category_Item_Text                = "Category Item Text"
       wc_assign_to_group                   = "--Assign To Group -----&gt;"
       wc_If_selected_assign_to_group       = "--If Selected Assign To Group ---&gt;"
       wc_At_least_one_group_must_be_defined = " At least one group must be defined"
       wc_confirmation                      = "Confirmation"
       
       
  ' -----Used in DoConfigureDefaultGroupAssignment2.asp 
      wc_Please_confirm_Assignments_below = "Please confirm these Category/ Default Group Assignments below."
      
  ' -----Used in DeleteCustomerID.asp 
      wc_Delete_Customer                  = "Delete Customer "     
      wc_Delete_customer_block            = "IMPORTANT NOTE: &nbsp; Deleting a customer will also DELETE ALL related recorded that are associated with that " & _
					    "customer including all cases.  Any assets connected with customer will" & _
					    "be saved but the customer asset assignment will be lost.<P>" & _
					    "If you wish to save the cases that are associated with this customer, you" & _
				            "should first re-assign the cases to another customer first.<P>" & _
					    "To delete the customer, select or enter the customer (Customer_ID) and press the Submit button."
      wc_No_Customers_Found               = "No Customers Found"
      
      
  ' -----Used in DoDeleteCustomerID.asp  
     wc_New_Customer_assignment_is_same   = "New Customer assignment is the same as the original customer."
     wc_You_must_select_a_customer_from   = "You must select a customer to transfer cases FROM."
     wc_Sorry_we_cannot_re_assign_the_cases = "Sorry, we  cannot  re-assign the cases because "
     wc_Please_press_back_and_submit_again = "Please press the back button and submit again"
     wc_Deleting_Customer                  = "Deleting Customer"
     wc_Support_Cases                      = "Support Cases"
     wc_Cases_assigned_to_your_FAQ_list    = "Cases assigned to your FAQ list"
     wc_Un_assign                          = "Un-assign"
     wc_Assets_back_to_no_customer_assignment = "Assets back to no customer assignment"
     wc_Customer_Tech_Assignments          = "Customer-Tech Assignments"
     wc_Delete_confirm_block               = "Do you wish to delete this customer and related cases and FAQ's?"
     
     
 ' -----Used in DoDeleteCustomerID2.asp      
     wc_Final_Case_Re_assignment_Confirmation = "Final Case Re-assignment Confirmation"
     wc_Related_Cases_Deleted              = "Related Cases Deleted"
     wc_Related_Assets_Un_assigned        = "Related Assets Un-assigned"
     wc_FAQ_Cases_Deleted                 = "FAQ Cases Deleted"
     wc_Customer_Tech_assignments_deleted = "Customers-Tech assignments deleted"
     
     
  ' -----Used in EditPriority.asp 
     wc_Edit_Priority_Table               = "Edit Priority Table"
     wc_Edit_Priority_Instruction_block   = "<b>Instructions:</b> You can set up to 10 priorities (0-9). " & _
                                            "Priority 0 is reserved for the default priority value when no priority is set."
     wc_Short_description                 = "Short Description"
     wc_Long_description                  = "Long Description"
     
  ' -----Used in DoEditPriority.asp    
     wc_Priorities_have_been_updated      = "Priorities have  been updated."
     
     
  ' -----Used in ReassignCaseCustomer_ID.asp  
     wc_Re_Assign_Case_Customer_ID       = "Re-Assign Case Customer ID"
     wc_Re_Assign_Case_Customer_ID_block = "You can transfer all cases that are associated with one customer to another customer " & _
                                           "using the form below. This does not delete the customer, but only transfers the customer " & _ 
                                           "cases from one customer to  another customer."
     wc_Transfer_all_cases_for_Customer  = "Transfer all cases for Customer"
     wc_To_Customer                      = "To Customer"
 

 ' -----Used in DoReassignCaseCustomer_ID.asp 
    wc_Invalid_FROM_Customer_ID_Value   = "Invalid FROM Customer ID Value"
    wc_not_found_in_Database            = "not found in Database."
    wc_Invalid_TO_Customer_ID_Value     = "Invalid TO Customer ID Value" 
    wc_You_must_select_to_transfer_TO   = "You must select a customer to transfer cases TO"
    wc_Re_assigning_cases_from          = "Re-assigning cases from"
    wc_Will_re_assign                   = "will re-assign"
    wc_Support_Cases                    = "Support Cases"
    wc_Do_you_wish_to_re_assign_cases   = "Do you wish to re-assign cases to this new customer?"
    
    
 ' -----Used in DoReassignCaseCustomer_ID2.asp 
    wc_Final_Case_Re_assignment_Confirmation = "Final Case Re-assignment Confirmation"
    wc_The_following_re_assigned_from_customer = "The following records have been re-assigned from customer "
    wc_Cases_re_assigned                = "Cases re-assigned"
    

 ' -----Used in ReassignOneCaseCustomerID.asp    
    wc_Re_Assign_One_Case_Customer_ID   = "Re-Assign One Case Customer ID"
    wc_Re_Assign_One_Case_Customer_block = "You can reassign ONE case to another customer by entering the case number " & _
					   "and the new customer by entering the case number and entering a customer below."
    wc_Re_Assign_To_Customer		= "Re-assign To Customer"
 
 
 ' -----Used in DoReassignOneCaseCustomerID.asp
   wc_Re_Assign_One_Case_Confirmation   = "Re-Assign One Case Customer Confirmation"
   wc_Invalid_Case_Number               = "Invalid Case Number"
   wc_You_must_enter_a_case_number      = "You must enter a case number"
   wc_Re_assigning_case                 = "Re-assigning case"
   wc_To                                = "To"
   
 
 ' -----Used in DoReassignOneCaseCustomerID2.asp
   wc_Final_One_Case_Re_assignment_Confirmation = "Final One Case Re-assignment Confirmation"
   wc_Has_been_re_assigned_to          = "has been re-assigned to"
   
   
 ' -----Used in RenameCustomerID.asp  
   wc_Rename_Customer_ID              = "Rename Customer ID"
   wc_Rename_Customer_ID_block        = "You can rename a customer_ID and all related recorded that are associated with that " & _
                                        "customer_ID using the form below.  The new customer_ID must be unique and can not be " & _
                                        "blank and must be greater than 5 characters long."
   wc_To_New_Customer_ID              = "To New Customer_ID"
   wc_Rename_Customer_ID_note_block   = "Note: Customer_IDs are typically created as LastName + underscore + Firstname.<br> " & _	
	                                "Creating a Customer ID without this standard will be inconsistent."
	                                
 ' -----Used in DoRenameCustomerID.asp 	                             
   wc_The_original_Customer_ID_can_not_be_found = "The original Customer_ID can not be found.  Please search and confirm the customer_ID "
   wc_The_new_Customer_ID_already_exists = "The new Customer_ID already exists.. please select another Customer_ID. "
   wc_The_new_Customer_ID_must_be_at_least_5_characters = "The new Customer_ID must be at least 5 characters.. please select another Customer_ID."
   wc_Customer_ID_Confirmation        = "Customer_ID Confirmation"
   wc_Has_been_renamed_to_new_Customer_ID = "has been renamed to the new Customer_ID" 
   wc_Which_has_re_assigned           = "which has re-assigned"
   wc_Case_entries_re_assigned        = "Case entries re-assigned"
   wc_CustomerTech_entries_re_assigned = "CustomerTech entries re-assigned"
   wc_DeleteList_entries_re_assigned  = "DeleteList entries re-assigned"
   wc_Customer_Notes_entries_re_assigned = "Customer Notes entries re-assigned"
   
 ' -----Used in KBoptions.asp 
   wc_Knowledge_Base_Options          = "Knowledge Base Options"
   wc_Build_Options                   = "Build Options"
   wc_Option_1                        = "Option 1"
   wc_Option_2                        = "Option 2"
   wc_Option_3                        = "Option 3"
   wc_Option_4                        = "Option 4"
   wc_Option_5                        = "Option 5"
   wc_Update_all_cases_modified       = "Update all cases modified since last KB Update using configurations below."
   wc_Update_All_Cases_Into           = "Update All Cases Into Knowledge Base using KB configurations below."
   wc_Update_with_cases_since         = "Update with cases created or modified since Date (MM/DD/YYYY)"
   wc_Date                            = "Date"
   wc_Process_one_case_into_KB        = "Process one case into Knowledge Base"
   wc_Clear_all_KB_Information        = "Clear all Knowledge Base Information"
   wc_Configuration_Options           = "Configuration Options"
   wc_Date_of_Last_Update             = "Date of Last Update"
   wc_Include_text_sections_in_KB     = "Include text from sections in Knowledge base"
   wc_Include_One_Line_Descr_in_KB    = "Include One Line Description in KB"
   wc_Include_Case_History_in_KB      = "Include Case History in KB"
   wc_Include_Case_Summary_in_KB      = "Include Case Summary in KB"
   wc_Include_Case_Resolution_in_KB   = "Include Case Resolution in KB"
   
   
 ' -----Used in UpdateKB.asp   
   wc_Knowledge_Base_Update           = "Knowledge Base Update"
   wc_The_requested_KB_update_completed = "The requested knowledge base update is completed."
   wc_Return_to_KB_Options            = "Return to Knowledge Base Options"
   wc_Proccessing                     = "Proccessing"
   wc_Case_records                    = "case records."
   wc_Proccessing_Record              = "Proccessing Record"
   wc_Of_Total                        = "of Total"
   wc_Matching_start_criteria         = "matching start criteria"
   wc_The_KB_is_being_created         = "The knowledge base is being created...please wait"
   wc_KB_leave_window_open_block      = "Please leave this browser window open while it steps through the selected cases " & _
	                                "and creates the knowledge base as specified by the Knowledge Base Configurations.<P> " & _
	                                "You can stop this process at anytime by pressing the STOP PROCESSING button below.<P> " & _
	                                "Please refer to the Web+Center user guide for additional information on creating your custom knowledge base.<P>"
   wc_Stop_Processing                 = "STOP<br>PROCESSING" 
   wc_Currently_processing_case       = "Currently processing case number"
   
%>

