<% 	' Module: wcLabels.inc
	'
	' Language Module English - US version (Default)
	
	' Description: This ASP include module contains the language 
	' specific prompts for the entire Web+Center application.
	' Prompts are defined here as variables that will be used in 
	' the various ASP scripts. 
	' 
	' To make changes for various languages, change the value
	' of the label variable, but NOT the label variable name.
	' Label variable names always start with wc_ .  Spaces are
	' defined with an underscore.  If the Label in the english-us
	' version is Customers, then the variable name is:
	'	wc_Customers
	'
	' Longer blocks are defined as wc_[text block name]
	
	' Important - All variables should be alphabetically arranged
	' by their english US variable names.
	
	'
	' (C) 1999, 2000, 2001, 2002 Internet Software Sciences
	'
	'History:
	
	'Date		Who		What
	'-----		-----	-------------------------------------------------
	'04/02/2002	SAV		Created original File
%>

	<% ' NOTE: Keep This strings alphabetically arranged %>
	<% ' VARIABLE NAMES SHOULD ALL BE IN ENGLISH %>
	

<% ' Variable Name			= String Definition   ' ASP Module/Note %>

<% ' JITZE's Language Constants Below %>

<%
   ' Used in MyContacts.asp
        wc_Assigned_Contacts_For        = "Assigned Contacts For"
        wc_Edit                         = "Edit"
        
   ' Used in BCheader.inc    
        wc_Please_return_to_the         = "Please return to the "
        wc_Business_Center_Login_Page   = "Business+Center Login Page"
        
        
   ' Used in EmailListReg.asp
       wc_Contact_Registration          = "Contact Registration"
       wc_Log_email                     = "Log Email"
       wc_Email_Contact_and_Log         = "(Email Contact & Log)"
       wc_Contact_Times                 = "Contact Times"
       wc_None_or_Unselect              = "None or Unselect"
       
   ' Used in DoEmailListReg.asp       
       wc_Customer_Password_invalid    = "Customer Password contains invalid characters"
       wc_Contact_First_Name_invalid   = "Contact First Name contains invalid characters or spaces."
       wc_Contact_Last_Name_invalid    = "Contact Last Name contains invalid characters or spaces."
       wc_Last_name_required           = "Last name is a required field"
       wc_Company_field_invalid        = "Company field contains invalid characters"
       wc_Address_field_invalid        = "Address field contains invalid characters"
       wc_Mailstop_field_invalid       = "MailStop field contains invalid characters"
       wc_City_field_invalid           = "City field contains invalid characters"
       wc_State_field_invalid          = "State field contains invalid characters"
       wc_Zip_field_invalid            = "Zip field contains invalid characters"
       wc_Country_field_invalid        = "Country field contains invalid characters"
       wc_Email_field_invalid          = "Email field contains invalid characters"
       wc_Email_is_a_required_field    = "Email is a required field."
       wc_Phone1_field_invalid         = "Phone 1 field contains invalid characters"
       wc_Phone2_field_invalid         = "Phone 2 field contains invalid characters"
       wc_Fax_field_invalid            = "Fax field contains invalid characters"
       wc_Contact_method_field_invalid = "Contact Method field contains invalid characters"
       wc_Contact_times_field_invalid  = "Contact Times field contains invalid characters"
       wc_Customer_username_field_invalid  = "Customer_Username field contains invalid characters."
       wc_Email_already_in_use_block   = "This email is already in use.  Please use the Lost Username/Password link to recover your previously registered username and password."
       wc_Username_already_in_use_block = "This username is already being used.  Please select another username."
       wc_Form_Processing_Error        = "Form Processing Error"
       wc_Date                         = "Date"
       wc_By                           = "By"
       wc_Email_List_Confirmation      = "Email List Confirmation"
       wc_Your_contact_info_block      = "Your contact info has been added/updated to the Contact (Customer) database. " & _  
                                         "This record can now be used for Email List distribution or Customer Support."
       wc_Please_choose_link_block     = "Please choose one of the link options below"
       wc_Review_Updated_Contact_Record = "Review Updated Contact Record"
       
  ' Used in Customerusererror.inc
       wc_Form_Processing_Error        = "Form Processing Error"
       wc_Sorry                        = "Sorry"
       wc_We_could_not_process_block   = "We could not process your form because of the following errors. " & _ 
                                         "Please press your browsers back button and re-submit your " & _
                                         "form with corrected information."  
                                         
                                         
 ' Used in BusinessCenter.asp                                        
       wc_Business_Center_Login_Failure = "Business+Center Login Failure"  
       wc_Login_failure_block           = "you security or your security level could not be verified.  " & _
                                          "Please press the Continue button below and retry your Tech+Center login again with:<P> " & _
	                                  "<UL> <LI> LoginID and password OR <LI> TechID and password OR <LI> Your Email and password </ul>"
    
    
 ' Used in EmailListSearch.asp 
      wc_Contact_Search                = "Contact Search"
      wc_Export_Search                 = "Export Search"
      wc_To_find_a_customer_block      = "To find a customer, partially complete one or more customer search fields."
      
 
  ' Used in EmailListSearchExport.asp
      wc_Search_Contacts_export_To_File = "Search Contacts - Export To File"
      wc_To_export_records_block       = "To export selected or all customer records into <br>an exportable  file, submit the form below."
      wc_No_categories_found           = "No categories found"
      wc_No_tech_staf_members_found    = "No Tech Staff members found"
      wc_MS_Outlook_Address_Book_format = "MS Outlook Address Book(TAB Delimited)"
      wc_TAB_Delimited_Excel_format    = "TAB Delimited Excel DB"
      wc_Comma_Delimited_File_format   = "Comma Delimited File (*.csv)"
      wc_Comma_Delimited_To_Screen_format = "Comma Delimited To Screen"
      wc_Select_Address_Category_block = "Select Address Book <br> Category Or Enter Below"
      wc_No_category                   = "No Category"
		
  ' Used in DoEmailListSearchExport.asp	and DoExportTechStaff
      wc_Quoted_First_Name             = """First Name""" 
      wc_Quoted_Last_Name              = """Last Name""" 
      wc_Quoted_Company                = """Company""" 
      wc_Quoted_E_mail_Address         = """E-mail Address""" 
      wc_Quoted_E_mail_Address_2       = """E-mail Address 2"""
      wc_Quoted_Business_Phone         = """Business Phone""" 
      wc_Quoted_Business_Phone_2       = """Business Phone 2"""
      wc_Quoted_Business_Street        = """Business Street""" 
      wc_Quoted_Business_Street_2      = """Business Street 2""" 
      wc_Quoted_Business_City          = """Business City"""
      wc_Quoted_Business_State         = """Business State"""
      wc_Quoted_Business_Postal_Code   = """Business Postal Code"""
      wc_Quoted_Business_Country       = """Business Country"""
      wc_Quoted_Business_Fax           = """Business Fax"""
      wc_Quoted_Categories             = """Categories""" 
      wc_Quoted_Notes                  = """Notes"""
      wc_Quoted_Department             = """Department"""
      wc_Quoted_Home_Street            = """Home Street"""
      wc_Quoted_Home_City              = """Home City"""
      wc_Quoted_Home_State             = """Home State"""
      wc_Quoted_Home_Postal_Code       = """Home Postal Code"""
      wc_Quoted_Home_Fax               = """Home Fax"""
      wc_Quoted_Home_Phone             = """Home Phone"""
      wc_Quoted_Office_Location        = """Office Location"""
      
      
      

  ' Used in OtherContacts.asp
      wc_Others_Assigned_Contacts      = "Others Assigned Contacts"
      wc_Click_link_to_view_assigned_contacts = "Click on any link below to view their assigned contacts."
      
      
  ' Used in EmailListEmailOptions.asp
      wc_Email_Options                 = "Email Options"
      wc_Please_select_an_option_below = "Please select one of the options below"
      wc_Option_1_Create_New_Email     = "Option 1: Create New Email"
      wc_Create_a_new_email_message    = "Create a new email message"
      wc_Option_2_Edit_Existing_Email  = "Option 2: Edit Existing Email "
      wc_Select_Email_and_press_block  = "Select Email and press <I> Edit Email</i> button below."
      wc_Option_3_Delete_Email_Message = "Option 3: Delete Email Message"
      wc_Select_existing_email_block   = "Select an existing email message press the <i>Delete Email</i> button."
      wc_Option_4_Send_Emails_to_Groups = "Option 4: Send Email(s) to Groups"
      
  ' Used in DoEmailListEmailOptions.asp
      wc_User_Category_Deleted         = "User Category Deleted"
      wc_Email_deleted_confirm_block   = "The Email text was deleted.<P>Please press the Continue Button below for additional Email Options or Cancel to exit to the Whiteboard."
      wc_You_did_not_select_email_block = "You did not select an email to be deleted"

  ' Used in EmailListText.asp
      wc_Email_Text_Editor             = "Email Text Editor"
      wc_Email_editor_instructions_block = "Please complete the following Email Text Options to create your email entry. <br>" & _
		                           "Entries marked with the <font color=red>*</font> are required fields.<P>" & _
		                           "To send HTML based Email, Please review the special " & _
		                           "<a href=emailHTMLInfo.asp>HTML Email Instructions</a> first!" 
      wc_Email_Subject                 = "Email Subject"
      wc_Email_Text                    = "Email Text"
      wc_Reply_To_Org_name             = "Reply To <br>Organization Name"
      wc_From_Organization             = "(From Organization)"
      wc_Reply_To_Email                = "Reply To Email"
      wc_Email_List_Options            = "Email List Options"
      wc_Personal_Dear_User            = "Personal Dear User"
      wc_Yes                           = "Yes"
      wc_Email_List_Removal_Link_Option = "Email List Removal Link Option"
      
 ' Used in DoEmailListText.asp
      wc_Email_Text_Confirmation        = "Email Text Confirmation"
      wc_Email_text_confirm_block       = "Your Email Text info has been added/updated to the database. This email  can now be used for Email List distribution."
      wc_More_Email_Options             = "More Email Options"

 ' Used in EmailListSend.asp 
     wc_Email_List_Send_Option          = "Email List Send Option"
     wc_To_send_your_email_message_block = "To send your email message, please select the message <br> and the category group you wish to send the message to."
     wc_Select_an_Email_to_send         = "Select an Email<br>To Send"
     wc_Select_User_Groups_To_Receive_block = "Select User Groups To<br>Receive the Email"
     wc_All_customers                   = "All customers"
     wc_Send_Options                    = "Send Options"
     wc_Send_Test_Email_to              = "Send Test Email to"
     wc_Send_To_Selected_Groups         = "Send To Selected Groups"
     wc_Subject                         = "Subject"
     wc_Sending_Results                 = "Sending Results"
     
 ' Used in DoEmailListSend.asp
     wc_Email_Subject_required_field    = "Email Subject is a required field"
     wc_You_must_select_Email_User_Group = "You must select at least one Email User Group To send Emails to."
     wc_You_must_specify_a_test_email   = "You must specify a test email test for email test."
     wc_Email_link_removal_instruction_block = "If you wish to remove your name from this email distribution list, " & _
                                               "please click on weblink below or cut and paste that link into your browser and it will " & _
                                               "remove you from the list."
     wc_Dear                            = "Dear"
     wc_Email_Sent_Confirmation         = "Email Sent Confirmation"
     wc_The_following_email_sent_block  = "The following email has been sent: (HTML Messages may not display correctly)"
     wc_Test                            = "TEST"
     wc_Send_email_diag_block_A         = "There has been"
     wc_Send_email_diag_block_B         = "total emails attempted for distribution."
     wc_Send_email_diag_block_1         = "Of those"
     wc_Send_email_diag_block_2         = "attempted emails, there were"
     wc_Send_email_diag_block_3         = "invalid email addresses that could <U>not</u> be sent."
     wc_Invalid_emails_include          = "Invalid emails include"
     wc_Send_Email_Options              = "Send Email Options"
     
     
     
 ' Used in EmailListUserGroups.asp     
     wc_User_Category_Editor            = "User Category Editor"
     wc_Please_choose_one_of_options_below = "Please choose from one of the options below."
     wc_Modify_Category_Option          = "Modify Category Option"
     wc_Modify_Category_Option_block    = "To modify an existing category name, select the category and enter a new category name and press the Modify Category Button."
     wc_New_Name                        = "New Name"
     wc_Modify_category_button          = "Modify Category"
     wc_Add_New_Category_Option         = "Add New Category Option"
     wc_Add_New_Category_Option_block   = "To add an new category, enter a new category name and press the New Category button."
     wc_New_Category_Name               = "New Category Name"
     wc_Add_Category_button             = "Add Category"
     wc_Delete_Category_Option          = "Delete Category Option"
     wc_Delete_Category_Option_block    = "To delete an existing category, select the category and press the Delete Category button."
     wc_Delete_Category_button          = "Delete Category"
     wc_Merge_Category_Option           = "Merge Category Option"
     wc_Merge_Category_Option_block     = "To Merge all Users from an existing category to another category please select original category and new category " & _
                                          "to replace all of the users and press the Merge Category Button."
     wc_Merge_Category_button           = "Merge Category Users"
     wc_Merge_All_Users_From            = "Merge All Users <b>From</b>"
     wc_Merge_All_Users_to              = "<b>To</b> User Category"
     
 ' Used in DoEmailListUserGroups.asp 
     wc_Email_list_user_groups_diag_1   = "You must provide a new name in order to modify this category"
     wc_Email_list_user_groups_diag_2   = "You must provide a new name in order to create a new category"
     wc_Email_list_user_groups_diag_3   = "Different categories must be specified in order to be merged"
     wc_User_Category_Name_Modification = "User Category Name Modification"
     wc_Email_list_user_groups_block_1  = "The category"
     wc_Email_list_user_groups_block_2  = "has been renamed to"
     wc_Email_list_user_groups_block_3  = "Please press the Continue Button below for additional category changes or Cancel to exit to the Whiteboard"
     wc_Email_list_user_groups_block_4  = "has been added"
     wc_Email_list_user_groups_block_5  = "has been deleted"
     wc_Email_list_user_groups_block_6  = "All users in the"
     wc_Email_list_user_groups_block_7  = "have  been merged into the"
     wc_Email_list_user_groups_block_8  = "category"
     wc_New_User_Category_Added         = "New User Category Added"
     wc_User_Category_Deleted           = "User Category Deleted"
     wc_User_Category_Merge             = "User Category Merge"
    
' Used in Bconfiguration.asp
     wc_Your_profile_not_found_block    = "Your profile can not be found... please log back in and try again"
     wc_Business_Center_Configuration   = "Business+Center Configuration"
     wc_Optional_Customer_Text_Fields   = "Optional Customer Text Fields"
     wc_Field_number                    = "Field #"
     wc_Field_Label                     = "Field Label"
     wc_Enabled                         = "Enabled"
    
' Used in DoBconfiguration.asp
     wc_Business_Center_Config_Confirm  = "Business+Center Configuration Confirmation"
     wc_Business_Center_options_updated = "Business+Center options have now been updated"
     
' Used in EditBwhiteboard.asp
     wc_Business_Center_White_Board_Editor = "Business+Center White Board Editor"
     wc_Directions                      = "Directions"
     wc_Business_Center_WBoard_block    = "Please Enter the full HTML page for the white board in the " & _
		                          "text area box below and press the Save button at the bottom " & _
		                          "of the page when completed.  <P>You can develop the page off-line " & _
		                          "and then Cut And Paste in the HTML text into the textarea window " & _
		                          "below when ready or edit the HTML text directly."
     wc_Save                            = "Save"

' Used in DoEditBwhiteboard.asp
     wc_DoEditBwhiteboard_diag_1        = "White Board is a required field."
     wc_DoEditBwhiteboard_diag_2        = "White Board HTML can only be 5000 characters or less."
     wc_B_Center_WBoard_Update_Confirm  = "Business+Center White Board Update Confirmation"
     wc_B_Center_WBoard_is_updated      = "The White Board has been updated. All future White Board views will view the newly entered HTML."
     wc_Edit_Whiteboard                 = "Edit Whiteboard"
     wc_Review_Whiteboard               = "Review Whiteboard (Cancel)"
     
     
     
' Used in EventTypeEditor.asp
    wc_Modify_Event_Type_Option         = "Modify Event Type Option"
    wc_Modify_Event_Type_Option_block   = "To modify an existing Event Type name, select the Event Type and enter a new Event Type name and press the Modify Event Type Button."
    wc_Modify_Event_Type_button         = "Modify Event Type"
    wc_Add_New_Event_Type_Option        = "Add New Event Type Option"
    wc_Add_New_Event_Type_Option_block  = "To add an new Event Type, enter a new Event Type name and press the New Event Type  button."
    wc_New_Event_Type_Name              = "New Event Type Name"
    wc_New_Event_Type_button            = "Add Event Type"
    wc_Delete_Event_Type_Option         = "Delete Event Type Option"
    wc_Delete_Event_Type_Option_block   = "To delete an existing Event Type, select the Event Type and press the Delete Category button."
    wc_Delete_Event_Type_button         = "Delete Event Type"
    wc_Merge_Event_Types_Option         = "Merge Event Types Option"
    wc_Merge_Event_Types_Option_block   = "To Merge all Events from an existing Event Type to another Event Type, please select original Event Type and new Event Type " & _
		                          "to replace all of the Events and press the Merge Event Types Button."
    wc_Merge_All_Events_FROM            = "Merge All Events <b>From</b>"
    wc_TO_Event_Type                    = "<b>To</b> Event Type"
    wc_Merge_Event_Types_button         = "Merge Event Types"
    
        
' Used in DoEventTypeEditor.asp
   wc_Event_Type_Name_Modification      = "Event Type Name Modification"
   wc_Event_Type_confirm_1              = "The Event Type"
   wc_Event_Type_confirm_2              = "has been renamed to"
   wc_Event_Type_confirm_3              = "has been added"
   wc_Event_Type_confirm_4              = "can not be deleted because there are"
   wc_Event_Type_confirm_5              = "events scheduled with this event type.  You must first merge these events to other event type before it can be deleted."
   wc_Event_Type_confirm_6              = "has been deleted"
   wc_Event_Type_confirm_7              = "All scheduled events in the"
   wc_Event_Type_confirm_8              = "have  been merged into the"
   wc_Event_Type_confirm_9              = "events"
   wc_Event_Type_coninue_block          = "Please press the Continue Button below for additional Event Type changes or Cancel to exit to the Whiteboard."
   wc_Event_Type_Name_Added             = "New Event Type Added"
   wc_Event_Type_Delete                 = "Event Type Delete"
   wc_Event_Type_Deleted                = "Event Type Deleted"
   wc_Event_Type_Merge                  = "Event Type Merge"
     
     
' Used in MyInfo.asp
   wc_My_Info                           = "My Info"
   wc_Login_ID                          = "Login ID"
     
' Used in DoMyInfo.asp
   wc_Login_required_block              = "Login is a required field."
   wc_LoginID_already_in_use_block      = "LoginID is already in use, please select another LoginID" 
   wc_My_Info_Confirmation              = "My Info Confirmation"
   wc_My_Info_Confirmation_block        = "Your profile information has been updated to the Staff database."
   wc_Review_Profile_Updates            = "Review Profile Updates"
   
   
' Used in StaffInfo.asp
   wc_Staff_Info                        = "Staff Info"
   wc_Export_Staff_Database_stars       = "Export Staff Database**"
   wc_No_Tech_Contacts_found            = "No Tech Contacts found"
   wc_Cell                              = "Cell"
   
' Used in ExportTech_Staff
   wc_Select_Category_below            = "Select Category below"
   wc_Staff                            = "Staff"
     
%>