<% 'Module: AllCasesByCustomerByDate.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999, 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original OpenCasesByTech.asp page
   '07/12/2011      UK date formats
   '10/5/01 SAV		Create originalOpenCasesByCustoerByDate.asp module
   '08/05/11 CMB    UK Dates, used group by

    ' NOTES this report shows reports grouped by customer; allows date entry and which date (creation, mod)

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<html>
<head>
<title><%=wc_All_Cases_By_Customer_Date%></title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table
    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)
%>

<% ' Now see if this page is getting called as form submit with date filter
	'criteria.  If it is then we need to grab that data and put it into the
	'the date range fields.

		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")
		Date_Type = Request.form("Date_Type") ' Passed as 0 (Start date) or 1 (Last Modified)
%>

<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_CASE_REPORT%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1><%=wc_All_Cases_By_Customer_Date%></font>
<center>
<font size=-2>This report shows all cases within the specified date range broken down by customer.
<br>Choice of which date (Last modified would be date closed if the case were closed).
<br>Percentage is based on ALL cases opened/last modified within the date range.</font>

</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>

</tr></table>

</center>

<form action=AllCasesByCustomerByDate.asp method=post>

<center>
<table border=1 WIDTH="95%" >
<TR>
<TD ALIGN=CENTER bgcolor=C0F0E0>
<TABLE BORDER=0 CELLPADDING=7 WIDTH="90%" >
<TR>
<TD valign=top><B><FONT SIZE=-1><%=wc_Start_date%>:</FONT></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>

<br></font>
<font size=-1>
<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>"></TD>

<TD valig=top><B><FONT SIZE=-1><%=wc_End_date%>:</font></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>

<br></FONT>
<font size=-1>
<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>"></TD>

<TD valign=top><B><FONT SIZE=-1><%=wc_Date_Type%>:</font></b><br>
<font size=-2><%=wc_Create_Last_Modify%><br></FONT>
<FONT SIZE=-1>
<SELECT  name=date_type>
<% If Date_type <> 1 Then %>
<OPTION selected value=0><%=wc_Creation_date%></OPTION>
<%Else %>
<OPTION  value=0><%=wc_Creation_date%></OPTION>
<%End If %>

<% If Date_Type <> 1 Then %>
<OPTION value=1><%=wc_Last_modification_date%></OPTION></SELECT></font></TD>
<%Else %>
<OPTION selected value=1><%=wc_Last_modification_date%></OPTION>
<%End If %>


</SELECT></font></TD>
<td valign=middle>
<INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></TD>

</TR>
</TABLE>
</TD>
</TR>
</table>
</center>

<P>
</form>

<% ' Create the query based on the entered date range if they entered any data
	WhereStatement = ""

	If Start_Date <> "" Then
		Start_Date = PadDate(Start_Date)
		NewStartDate = MakeYYYYMMDD(Start_date,DateDisplayFormat)
	End if

	If End_date <> "" Then
		End_Date = PadDate(End_Date)
		NewEndDate = MakeYYYYMMDD(End_date,DateDisplayFormat)
	End If

	If Date_Type = 0 Then

		If Start_Date <> "" Then
			WhereStatement = " Cases.Open_Date >= '" & NewStartDate & "'"
			AndText = " AND "
		End If

		If End_Date <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Open_date <= '" & NewEndDate & "'"
			AndText = " AND "
		End IF
	End If

	If Date_Type = 1 Then

		If Start_Date <> "" Then
			WhereStatement = " Cases.Mod_Date >= '" & NewStartDate & "'"
			AndText = " AND "
		End If

		If End_Date <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Mod_date <= '" & NewEndDate & "'"
			AndText = " AND "
		End IF

	End If

	If WhereStatement <> "" Then
		WhereStatement = " Where "& WhereStatement
	End IF
%>

<%' First get all of the open Cases total count since we will need that for our percentage calculation

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select count(case_Number) as cnt from Cases "  & Wherestatement

	set rstemp=Server.CreateObject("adodb.Recordset")
	set rstemp=conntemp.execute(mySQL)

	TotalOpenCases = rstemp("cnt")
	rstemp.close
	set rstemp=nothing
%>

<center>
<table width=95% border = 1>
<tr>
<th width=30% bgcolor=E0E0E0><font size=-1><%=wc_Customer%>/<%=wc_Company%></th>
<th width=10% bgcolor=E0E0E0><font size=-1> # </th>
<th width=10% bgcolor=E0E0E0><font size=-1> % <%=wc_of_Total%></th>
<th width=50% bgcolor=E0E0E0><font size=-1><%=wc_Graphical_Percentage%></th>
</tr>

<%
	If  TotalOpenCases = 0 then ' Check to see if any open Cases
%>
		<tr><td colspan=4 align=center><font size=-1><B> No Open Cases </b></font></td></tr>
<%
	Else ' Must be one or more open Cases
		' Setup for the first one  outside of the loop
		Color = "Purple" ' Set up First color

		sqltemp = "select count(case_Number) as cnt, cases.Customer_ID, contact_fname, contact_lname, Company "
		sqltemp = sqltemp & "FROM CASES left outer join Customers on customers.customer_ID = cases.Customer_ID "
		sqltemp = sqltemp & WhereStatement
		sqltemp =  sqltemp & " group by cases.Customer_ID, contact_fname, contact_lname, Company  "
		sqltemp = sqltemp & " Order by cases.Customer_ID"
		'response.write "SQL" & sqltemp
		'response.flush
		'response.end

		set rstemp=Server.CreateObject("adodb.Recordset")
		rstemp.open sqltemp, conntemp, adopenstatic

		do while not rstemp.eof
			CustomerOpenCases = rstemp("cnt")

			if IsNull(rstemp("Customer_ID")) then
				Customer = "Un-assigned" ' This should never happen
			else

				if isnull(rstemp("Contact_fname")) then
					Contact_fname = ""
				else
					Contact_Fname = rstemp("Contact_fname")
				end if

				if isnull(rstemp("Contact_lname")) then
					Contact_lname = ""
				else
					Contact_lname = rstemp("Contact_lname")
				end if

				if contact_fname > "" or contact_Lname > "" then
					customer = Contact_Fname & " " & contact_Lname  & " / "
					if not isnull(rstemp("Company")) then
						customer = customer &  "(<font color=brown>" & rstemp("Company") & "</font>)"
					end if
				end if

				if contact_fname = "" and contact_Lname = "" then
					Customer = "Customer (" & rstemp("Customer_ID") & ") No Longer in Database"
				end if
			end if

			%>

<tr>

<td><font size=-1>
<%=Customer%>

<% ' Rotate between 5 colors %>
<% 			color=RotateColor(color)
%>
</td>

<td align=center><font size=-1><%=CustomerOpenCases %>
</td>

<%
'Percentage = Int(1000* (CustomerOpenCases/TotalOpenCases))/10
Percentage = Round(100*(CustomerOpenCases/TotalOpenCases),1)
%>
<td align=center><font size=-1><%=Percentage %>%
</td>
<td><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=Percentage*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>

<%
			rstemp.movenext
		loop
		rstemp.close ' Close the record set and the connection
		set rstemp=nothing

	End If
	conntemp.close ' Close the connection
	set conntemp=nothing

	 	color=RotateColor(color)

 ' Display the summary row information
 %>

<tr>

<td bgcolor=FFFFFF align=right><font size=-1> <B>-----------  <%=wc_Summary_Total%>:</b></td>
<td align=center bgcolor=FFFFFF><font size=-1><B><%=TotalOpenCases%></b></td>
<td align=center bgcolor=FFFFFF><font size=-1><B>100% </b></td>
<td bgcolor=FFFFFF><font size=-1>

<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=100*3%>><font size=-1>&nbsp</td></tr></table>
</td>
</tr>

</table>
<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>

</body>
</html>


