<% 'Module: AllCasesClosedByTech.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original OpenCasesByTech.asp page
   '9/09/99	SAV		Created original from OpenCasesByTech.asp page
   '05/18/2011      Rewritten with Group by and Reports.inc
   '08/05/11 CMB    Cleaned up; UK dates

   'NOTE THIS REPORT SHOWS ALL CASES CLOSED EVER SORTED BY TECHNICIAN

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<html>

<head>
<title><%=wc_Cases_Closed_By_Tech%></title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table

    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)
%>

<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_CASE_REPORT%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1><%=wc_Cases_Closed_By_Tech%></font>
<center>
<font size=-2>This report shows all cases that have ever been closed <br> broken down by technician.</font>
</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>

</tr></table>
</center>

<%' First get all of the open Cases total count since we will need that for our percentage calculation

    'Get Total number of cases closed today
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select count(case_Number) as cnt from Cases where status = 1 "

	set rstemp=Server.CreateObject("adodb.Recordset")
	set rstemp=conntemp.execute(mySQL)

	TotalOpenCases = rstemp("cnt")
	rstemp.close
	set rstemp=nothing
%>

<center>
<table width=95% border = 1>
<tr>
<th width=30% bgcolor=E0E0E0><font size=-1><%=wc_Tech_Name%></th>
<th width=10% bgcolor=E0E0E0><font size=-1> # </th>
<th width=10% bgcolor=E0E0E0><font size=-1> % <%=wc_of_Total%></th>
<th width=50% bgcolor=E0E0E0><font size=-1><%=wc_Graphical_Percentage%></th>
</tr>

<%' Now step through data set %>


<% ' Get all open Cases, sort by Tech ID and count for each tech and then
	' compute what percentage that Tech ID has and then display it graphically
	'
	mySQL="select count(case_number) as cnt, "
	mySQL=mySQL & "first_Name, Last_Name "
	mySQL=mySQL & "from cases left outer join tech_Staff on cases.Tech_ID = tech_Staff.tech_ID "
	mySQL=mySQL & "where status = 1 "
	mySQL=mySQL & " group by cases.tech_id, last_Name, First_Name "
	mySQL=mySQL & " order by cases.Tech_ID"

	' Get the Case statistics from the case table
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	If  rstemp.eof then ' Check to see if any open Cases
%>
		<tr><td colspan=4 align=center><font size=-1><B><%=wc_No_Cases_Found%> </b></font></td></tr>
<%
	Else ' Must be one or more open Cases
		' Setup for the first one  outside of the loop
		Color = "Purple" ' Set up First color

		do while not rstemp.eof
				' First get the name of the tech or put Not Assigned if blank
				' Now output the table row with name, number, percentage, and graphic
				if isnull(rstemp("Last_Name")) then
					LastName = ""
				else
					LastName = rstemp("Last_Name")
				end if
				if isnull(rstemp("First_Name")) then
					FirstName = ""
				else
					FirstName = rstemp("First_Name")
				end if

				TechName = trim(FirstName & " " & LastName)

				If trim(TechName) = "" then
					TechName = "Not Assigned"
				End if

				TechOpenCases = rstemp("Cnt")
				color=RotateColor(color)
%>
<tr>

<td><font size=-1><%=TechName%></td>
<td align=center><font size=-1><%=TechOpenCases%></td>
<%
	'If TechOpenCases = 0 or TotalOpenCases = 0 Then
		'Percentage = 0
	'Else
		'Percentage = Int(1000* (TechOpenCases/TotalOpenCases))/10
	'End If
	Percentage = Round(100*(TechOpenCases/TotalOpenCases),1)

%>

<td align=center><font size=-1><%=Percentage %>%
</td>
<td><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=Percentage*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>

<%
			rstemp.movenext
		loop
	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
	color=RotateColor(color)

 ' Display the summary row information %>

<tr>
<td bgcolor=FFFFFF align=right><font size=-1> <B>-----------  <%=wc_Summary_Total%>:</b></td>

<td align=center bgcolor=FFFFFF><font size=-1><B><%=TotalOpenCases%></b></td>

<td align=center bgcolor=FFFFFF><font size=-1><B>100% </b></td>

<td bgcolor=FFFFFF><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=100*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>

</table>
<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>

</body>
</html>


