<% 'Module: AllCasesOpenedByGroupByDate.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original OpenCasesByTech.asp page
   '9/09/99	SAV		Created original from OpenCasesByTech.asp page
   '05/18/2011      Rewritten with Group by and Reports.inc
   '08/05/11 CMB      UK date formats; cleaned up
' NOTE this report lets user enter begin date and an end date (uses create_date); when first submitted shows all cases closed for all dates sorted by group

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<html>

<head>
<title>All Cases Opened by Group by Date</title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table

    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN
%>

<% ' Now see if this page is getting called as form submit with date filter
	'criteria.  If it is then we need to grab that data and put it into the
	'the date range fields.

		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")
%>

<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_CASE_REPORT%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1>All Cases Opened by Group by Date</font>
<center>
<font size=-2>This report shows all cases that have been opened within the specified date range broken down by group.
<br>Percentage is based on ALL cases opened within the specified date range.</font>
</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>

</tr></table>
</center>

<form action=AllCasesOpenedByGroupByDate.asp method=post>

<center>
<table border=1 WIDTH="95%" >
<TR>
<TD ALIGN=CENTER bgcolor=C0F0E0>
<TABLE BORDER=0 CELLPADDING=7 WIDTH="90%" >
<TR>
<TD valign=top><B><FONT SIZE=-1><%=wc_Start_date%>:</FONT></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>
<br></font>
<font size=-1>
<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>"></TD>

<TD valig=top><B><FONT SIZE=-1><%=wc_End_date%>:</font></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>
<br></FONT>
<font size=-1>
<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>"></TD>

<td valign=middle>
<INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></TD>

</TR>
</TABLE>
</TD>
</TR>
</table>
</center>

<P>
</form>

<% ' Create the query based on the entered date range if they entered any data
	If Start_Date <> "" Then
		Start_Date = PadDate(Start_Date)
		NewStartDate = MakeYYYYMMDD(Start_date,DateDisplayFormat)
		WhereStatement = " Cases.Open_Date >= '" & NewStartDate & "'"
		AndText = " AND "
	End if

	If End_date <> "" Then
		End_Date = PadDate(End_Date)
		NewEndDate = MakeYYYYMMDD(End_date,DateDisplayFormat)
		WhereStatement = WhereStatement & AndText & " Cases.Open_date <= '" & NewEndDate & "'"
		AndText = " AND "
	End IF

	If WhereStatement <> "" Then
		WhereStatement = " Where " & WhereStatement
	End IF
%>

<P>

<%' First get all of the open Cases total count since we will need that for our percentage calculation

	sqltemp="select count(case_Number) as cnt from Cases "  & Wherestatement

	set rstemp=Server.CreateObject("adodb.Recordset")
	set rstemp=conntemp.execute(sqltemp)

	TotalOpenCases = rstemp("cnt")
	rstemp.close

	set rstemp=nothing
%>

<center>
<table width=95% border = 1>
<tr>
<th width=30% bgcolor=E0E0E0><font size=-1><%=wc_Group_Name%></th>
<th width=10% bgcolor=E0E0E0><font size=-1> # </th>
<th width=10% bgcolor=E0E0E0><font size=-1> % <%=wc_of_Total%></th>
<th width=50% bgcolor=E0E0E0><font size=-1><%=wc_Graphical_Percentage%></th>
</tr>
	GroupCount = 0
<%	If  TotalOpenCases = 0 then ' Check to see if any open Cases %>

		<tr><td colspan=4 align=center><font size=-1><B> No Cases Closed During this Period</b></font></td></tr>
<%
	Else ' Must be one or more open Cases
			sqltemp = "select count(cases.group_number) as cnt, cases.group_number, group_Name "
			sqltemp = sqltemp & "FROM CASES left outer join group_list on group_list.group_number = cases.group_number "
			sqltemp = sqltemp & WhereStatement
			sqltemp =  sqltemp & "group by cases.group_number, group_list.group_name "
			sqltemp = sqltemp & " Order by " & "cases.Group_Number"

			set rstemp=Server.CreateObject("adodb.Recordset")
			set rstemp=conntemp.execute(sqltemp)

			' Setup for the first one  outside of the loop
			Color = "Purple" ' Set up First color

			do while not rstemp.eof

				TechOpenCases = rstemp("Cnt")
				If IsNull(rstemp("Group_Name"))then
					Group_Name = "Not Assigned"
				Else
					Group_Name = rstemp("Group_Name")
				End If
				TechOpenCases = rstemp("cnt")
				GroupCount = GroupCount + 1

				' Now output the table row with name, number, percentage, and graphic
				' Rotate between 5 colors
				color=RotateColor(color)
	%>

<tr>

<td><font size=-1><%=Group_Name%></td>
<td align=center><font size=-1><%=TechOpenCases%></td>
<%
'Percentage = Int(100* (TechOpenCases/TotalOpenCases))
Percentage = Round(100*(TechOpenCases/TotalOpenCases),1)
%>
<td align=center><font size=-1><%=Percentage %>%
</td>
<td><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=Percentage*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>
<%
		rstemp.movenext
		loop

		rstemp.close
		set rstemp=nothing
	End If

	conntemp.close ' Close the connection
	set conntemp=nothing
	color=RotateColor(color)

	If GroupCount > 1 then
 ' Display the summary row information %>

<tr>
<td bgcolor=FFFFFF align=right><font size=-1> <B>-----------  <%=wc_Summary_Total%>:</b></td>

<td align=center bgcolor=FFFFFF><font size=-1><B><%=TotalOpenCases%></b></td>

<td align=center bgcolor=FFFFFF><font size=-1><B>100% </b></td>

<td bgcolor=FFFFFF><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=100*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>
<% end if %>
</table>
<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>


</body>
</html>


