<% 'Module: AssetInfo.asp

   'Description: This module is the AssetInfo edit and new asset
   ' module that is used to create new or update existing
   ' asset information.

   '(C) 2000-2006 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '12/15/00	SAV		Created original AssetInfo Page
	'12/03/01	SAV		Integrated AssetLabels.inc into this page
	'08/28/2006 SAV		Modified the module to be more configurable for asset systems
    '04/12/2011 CMB     added Inspection History (probably should add asset label definition?)
    '10/03/2011 CMB     Added 3 subs to support dropdowns.  Look to see whether dropdown.  Add way to create case from asset;
    '                   Merged 3 calls to configuration. Changed method of getting asset notes
	'10/10/2011 CMB     3 columns;
	'12/07/11   CMB     Email; cancel does 'prev'
	'12/11/11   CMB     Remove from email box; use organization name instead
	'01/05/12   CMB     Order by for asset inspections
	'02/20/12   CMB     Moved app stuff to other column
   '04/30/12   CMB     Changed javascript from retire to surplus;
   '04/14/14   CMB     Attaching for hosted systems

%>


<% ' CUSTOMIZATION NOTES:
	' The asset management system of Web+Center is designed to be customized to fit your
	' particular asset requirements.
	'   To customize the asset system for your data requirements, follow the
	' 	the steps below.

	' Step 1: First in Assetlabels.inc, uncomment the line that will bring in AssetLabelsCustom.inc
	' by uncommenting the line that says CustomAssets = "YES"
	'
	' Step 2: Customize the labels in AssetLabelsCustom.inc to your own data requirements
	' Step 3: Determine which asset fields you want to have on your own tech+center asset
	'  form by commenting out the asset label definition.  IF the asset label does not exist,
	' then that asset field will not be displayed.
%>


<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<% ' To customize the Asset labels, edit the file called AssetLabels.inc
	' and then copy the edited file to customercenter directory
%>

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Put all of your custom web site changes into BCHeader.inc %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above
	If SBCC = "YES" then
		EditTechLevel = 4
	Else
		EditTechLevel = 3 ' was > than not >= so making it 3
	End If

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
			if not IsNull(rstemp("Work_Email")) then  ' EMAILS
				TechEmail = rstemp("Work_Email") ' EMAILS
			Else ' EMAILS
				TechEmail = "" ' EMAILS
			End If ' EMAILS
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "AssetInfo.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with configuration information %>

<% ' Get the information about the time formats

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration"
	'**** Major problem with SQL*Server and Conntemp.execute when getting
	' configuration data.  One should use: recordset.open DSN connection 1, 3

	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL, conntemp, 1,3

	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
		bAssetInspections = True  ' backwards compabitility
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		WCDateFormat = rstemp2("Date_Display_Format")
		TimeSpentCategory = rstemp2("Time_Spent_Category")
		If TimeSpentCategory <> "" then
			TimeSpentCategory = "C" & TimeSpentCategory
		End If

		Customer_ID_List = rstemp2("customer_id_list")
		TimeSpentInterval = rstemp2("Time_Spent_Interval")
		MinutesPerCategory = TimeSpentInterval

		bAssetInspections = True ' backwards compabitility
		FileUpLoadDestinationPath = rstemp2("FileUploadPhysicalPath") ' Set this to your full destination path  ' 04/14/14

		If version7point5="YES" then
			If not IsNull(rstemp2("AssetInspections")) Then ' not used
				bAssetInspections = rstemp2("AssetInspections")

			End If
		End If

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<% ' Determine if this a new Asset entry or an edit of an existing asset

	 Asset_number = Request.Querystring("Asset_number")
	 If Asset_number = "" THen
	 	Asset_number = "NEW"
	End IF

	'Response.write "Asset_number = " & Asset_number & "<br>"

	If Asset_Number <> "NEW" Then ' Get all of the asset values
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		Set rstemp2 = Server.CreateObject("ADODB.Recordset") ' NEW ASSETS changed this

		mySQL2="select * from Assets where asset_number =" & Asset_number
		'set rstemp2=conntemp.execute(mySQL2)
		rstemp2.Open mySQL2,conntemp,3,3  ' NEW ASSETS changed open command in order to get memo fields

		' Check to see if any records are returned
		' if none found then
		if rstemp2.EOF then
			response.write " Invalid Asset_number:" & Asset_number
		Else

			computer_id = rstemp2("Computer_id")
			property_tag = rstemp2("Property_tag")
			Equipment_type = rstemp2("equipment_type")

			lease_or_purchase = rstemp2("lease_or_purchase")

			purchase_order_num = rstemp2("purchase_order_num")

			serial_number = rstemp2("serial_number")

			' Acquisition
			acquired_from = rstemp2("acquired_from")
			date_acquired = rstemp2("date_acquired")
			date_in_service = rstemp2("date_in_service")

			' Specifications

			Processor_speed = rstemp2("processor_speed")
			ram_size = rstemp2("ram_size")
			hd_size = rstemp2("hd_size")
			monitor_model = rstemp2("monitor_model")
			monitor_size = rstemp2("monitor_size")
			Monitor_serial_num = rstemp2("Monitor_serial_num")

			'assignments

			assigned_group = rstemp2("assigned_group")
			location = rstemp2("location")
			date_assigned = rstemp2("date_assigned")
			ip_address = rstemp2("ip_address")
			wall_port_number =rstemp2("wall_port_number")

			' Applications
			operating_system1 = rstemp2("operating_system1")
			operating_system2 = rstemp2("operating_system2")

			app1 = rstemp2("app1")
			app1_product_id = rstemp2("app1_product_id")
			app1_install_date = rstemp2("app1_install_date")

			app2 = rstemp2("app2")
			app2_product_id = rstemp2("app2_product_id")
			app2_install_date = rstemp2("app2_install_date")

			app3 = rstemp2("app3")
			app3_product_id = rstemp2("app3_product_id")
			app3_install_date = rstemp2("app3_install_date")

			app4 = rstemp2("app4")
			app4_product_id = rstemp2("app4_product_id")
			app4_install_date = rstemp2("app4_install_date")

			app5 = rstemp2("app5")
			app5_product_id = rstemp2("app5_product_id")
			app5_install_date = rstemp2("app5_install_date")

			app6 = rstemp2("app6")
			app6_product_id = rstemp2("app6_product_id")
			app6_install_date = rstemp2("app6_install_date")

			app7 = rstemp2("app7")
			app7_product_id = rstemp2("app7_product_id")
			app7_install_date = rstemp2("app7_install_date")

			app8 = rstemp2("app8")
			app8_product_id = rstemp2("app8_product_id")
			app8_install_date = rstemp2("app8_install_date")

			app9 = rstemp2("app9")
			app9_product_id = rstemp2("app9_product_id")
			app9_install_date = rstemp2("app9_install_date")

			app10 = rstemp2("app10")
			app10_product_id = rstemp2("app10_product_id")
			app10_install_date = rstemp2("app10_install_date")

			app11 = rstemp2("app11")
			app11_product_id = rstemp2("app11_product_id")
			app11_install_date = rstemp2("app11_install_date")

			app12 = rstemp2("app12")
			app12_product_id = rstemp2("app12_product_id")
			app12_install_date = rstemp2("app12_install_date")

			app13 = rstemp2("app13")
			app13_product_id = rstemp2("app13_product_id")
			app13_install_date = rstemp2("app13_install_date")

			app14 = rstemp2("app14")
			app14_product_id = rstemp2("app14_product_id")
			app14_install_date = rstemp2("app14_install_date")

			app15 = rstemp2("app15")
			app15_product_id = rstemp2("app15_product_id")
			app15_install_date = rstemp2("app15_install_date")

			' Get the custom fields 1-5
			custom_field1 = rstemp2("custom_field1")
			custom_field2 = rstemp2("custom_field2")
			custom_field3 = rstemp2("custom_field3")
			custom_field4 = rstemp2("custom_field4")
			custom_field5 = rstemp2("custom_field5")

			LastUpdate = rstemp2("LastUpdate")
			UpdatedBy = rstemp2("UpdatedBy")

			' Get the asset_notes

			AssetNotes = rstemp2("assetnotes")

		End If ' End if If EOF <> True


	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


	' Get any asset assignment from the AssetAssignment Table

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from AssetAssignment where asset_number =" & Asset_number
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			'response.write " No assigment Found for Asset:" & asset_number
			' No assignment found which is ok
		Else
			Customer_id = rstemp2("Customer_ID")
			Tech_id = rstemp2("tech_id")
			Asset_number2 = rstemp2("Asset_number2")
		End If ' End if If EOF <> True

		rstemp2.close
		set rstemp2=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

	End IF 'if Asset <> NEW
%>

<html>


<!-- (C) 1996,1998, 1999, 2000, 2001, 2002, 2003 by Internet Software Sciences -->

<head>

<title><%=wc_Asset_Information%></title>

<!-- POPUP -->
<script type="text/javascript">
// Nannette Thacker http://www.shiningstar.net
function checkForm()
{
var agree=confirm("Are you sure you wish to continue? This will cause any unsaved changes to be lost.");
if (agree)
	return true ;
else
	return false ;
}

</script>
<!-- END POPUP -->

<!-- #INCLUDE FILE="Stylesheet.inc" -->
<SCRIPT LANGUAGE="JavaScript">
function PreSurplus(nAsset)
{
	var s;
	if (confirm("Do you really want to move this asset into surplus? ","Confirm Surplus")) {
		s= 'DoSurplusAsset.asp?Asset_Number=' +  nAsset;
		location.replace(s);
		}
	else
		return false;
}
</script>

<SCRIPT LANGUAGE="JavaScript">
function PreReplace(nAsset)
{
	var s;
		s= 'AssetReplace.asp?Asset_Number=' +  nAsset;
		location.replace(s);

}
</script>

</head>

<body class=rightwindow>
<% If cint(Tech_Level) >=  cint(EditTechLevel) and Asset_number <> "NEW" THEN ' show two extra buttons for administrators and above  '02/03/12 %>
	<Table cellspacing=10 cellpadding=10 align=right>
	<tr>
			<td class=BGWrapper><span class=tinyprint><a href=printassetinfo.asp?asset_number=<%=Asset_Number%> target=_new>Print</a></span></td>
			<td class=BGWrapper><span class=tinyprint><a href=AssetClone.asp?Asset_number=<%=Asset_Number%>>Create Duplicate</a></span></td>
			<td class=BGWrapper><span class=tinyprint><a href=DeleteAsset.asp?Asset_number=<%=Asset_Number%>>Delete</a></span></td>
			<!-- NEW ASSETS - CREATE A CASE -->
			<% if Version7point5 = "YES" then %>
			<td class=BGWrapper><span class=tinyprint><a href=NewCase.asp?Asset_number=<%=Asset_Number%>>Create Case</a></span></td>
			<% end if %>
	</tr>
	</table>
<br clear=all>
<%End If ' Do not show button when read/write allowed %>

<center>
<Table class=BGWrapper width=50% >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed>

<%=wc_Asset_Information%>
</td>
<td width=50% align=center valign=center  class=MajorScreenTitleValue>
<font  color=red><%= Asset_number%></font>
</td>
</tr></table>

<br>

<FORM name="myform" action=DoAssetInfo.asp Method = POST>
   <!-- code to support going back to previous search page -->
   <%
   Dim SearchURL
  	if inStr(Request.ServerVariables("HTTP_REFERER"),"DoAssetsBrief.asp") > 1 or inStr(Request.ServerVariables("HTTP_REFERER"),"AssetReport.asp") > 1 then
  	'	response.write "YEP"
  	'	response.flush
  	'	response.end
  		SearchURL = Request.ServerVariables("HTTP_REFERER")
  	Else
  		if inStr(Request.ServerVariables("HTTP_REFERER"),"DoAssetNotes.asp") > 1 or inStr(Request.ServerVariables("HTTP_REFERER"),"DoAssetInfo.asp") > 1 then
  			SearchURL = "Assets.asp"
  			searchURL = request.querystring("FROM")
  		else
  			if request.form("SearchURL") = "" then
  				SearchURL = "Assets.asp"
  			Else
  				SearchURL = request.form("SearchURL")
  			End if
  		End If
	End If
	%>
		<input type=hidden name=hdnSearchURL value="<%=SearchURL%>" >
	<!-- END PREV -->

<% If Asset_Number <> "NEW" Then %>
<input type=hidden name="asset_number" value=<%=Asset_number%>>
<%End IF %>

<br>
<table class=outerformwrapper cellspacing=0 cellpadding=0  >

<tr>
  <td align=center>

			<table border=0  cellspacing=0 cellpadding=0 width=100%>
			<tr>
			<td align=center>&nbsp; &nbsp; &nbsp;
			<%
			  Tech_Level = CInt(Tech_Level)
			  If Tech_Level >=  EditTechLevel Then '02/03/12 %>
					<input type=image name=b_submit src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0>
					<% if SBCC = "YES" then 'need to make this sbcc only because uses their own mapping %>
						&nbsp; &nbsp; &nbsp;
						<% if Asset_Number <> "NEW" Then %>
							<%	response.write "<td  align=center><input type=image src=movetosurplus.jpg onClick=""javascript: PreSurplus(" & Asset_number & "); return false;"" ></td>" %>
							&nbsp; &nbsp; &nbsp;
							<%	response.write "<td  align=center><input type=image src=replaceAsset.jpg onClick=""javascript: PreReplace(" & Asset_number & "); return false;"" ></td>" %>
						<% end if %>
					<% end if 'sbcc only %>
			<%End If ' Do not show button when read/write allowed %>
			&nbsp; &nbsp; &nbsp;
			</td>

			<td align=center>&nbsp; &nbsp; &nbsp;
			<a href=<%=SearchURL%> ><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
			&nbsp; &nbsp; &nbsp;<a href="printassetinfo.asp?asset_number=<%=Asset_Number%> target=_new"<input type=button value="Print"></a>
			</td>

			<% '******** NEW ASSETS *************** %>
			<% If Asset_Number <> "NEW" and Version7point5 = "YES" Then
				nCases = GetCaseCount(Asset_Number)
			%>
				<TD align=center class=BoxBodyText><%=wc_Number_of_Cases%>: <input type=textbox disabled=true size=3 value=<%=nCases%>>  Panel  <a href=DisplayCasesForAssetNumber.asp?Asset_Number=<%=Asset_Number%> target="pending_screen">
					 <img src=topframe.gif border=0> </a>
				</td>

				<td  align=center valign=center class=BoxBodyText >
					New Window <a href=DisplayCasesForAssetNumber.asp?Asset_Number=<%=Asset_Number%> target="New_pending_screen">
					<img src=newwindow.gif border=0> </a>
				</TD>
			<% end if %>
			<% '******** END NEW ASSETS *************** %>

			</tr>
			</table>
  </td>
</tr>

<tr>
<td align=center>

<table class=innerformwrapper cellspacing=1 cellpadding=3 border=0>
<tr>
<td valign=top class=formlabelsuper> <!-- 3 columns was width=50%  THIS IS START OF COLUMN 1 -->
   <table cellpadding=0 cellspacing=0>
			 <tr><td class=minorformtitle align=center><%=Asset_Information_Label%></td></tr>


		<% If Computer_ID_Label <> "" Then %>

			<tr><td class=formlabelsuper><%=Computer_ID_Label%>:</td></tr>

			<tr><td class=formboxholder><input type=text name=computer_id size=30 maxlength=50 value="<%=computer_id%>">

			<%  ' Uncomment this next line to have computer_id field as a dropdown
				' Note: This field defaults to unique and keyed and it's design must be change to use
				' this popup properly.

				'Computer_ID_Popup = "YES"

				If Computer_ID_Popup = "YES" Then
			%>


			<a href='javascript:var w=window.open("Asset_Computer_ID_Field_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'><img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>

			<%End If %>

			</td></tr>

			<% End IF %>


		<%	Call DropDownOrText(Description_Label,"Equipment_Type",Equipment_Type,30,100,true) %>
		<%	Call DropDownOrText(Property_Tag_Label,"property_tag",property_tag,30,30,false) %>
		<%	Call DropDownOrText(Serial_Number_Label,"serial_number",serial_number,30,100,false) %>

		<!-- ASSET ASSIGNMENTS -->
		<% If Asset_Assignments_Label <> "" Then %>

			<tr><td height=2></td></tr>

			<tr><td class=minorformtitle align=center><%=Asset_Assignments_Label%></td></tr>

			<tr><td class=formlabelsuper><%=wc_Customer%>:</td></tr>
			<tr><td class=formboxholder>

			<% ' The customerID field can either be a drop down box if that option is selected
				' or it can be a text box for large customer databases

				'--AKS<-- Conversion to INT required
				Customer_Id_List = CInt(Customer_Id_List)

				If Customer_Id_List = 1 Then

					Response.write "<SELECT size=1 name=customer_id>"
					Response.write "<OPTION value="""">None</OPTION>"

				set conntemp=server.createobject("adodb.connection")
				conntemp.open myDSN

				mySQL="select * from Customers Order by Contact_lname"
				set rstemp=conntemp.execute(mySQL)

				' Check to see if any records are returned
				' if none found then login fails.

				If  rstemp.eof then ' Check to see any Groups exist

				Else
					Do While rstemp.EOF <> True
						'Response.write " Comparing '" & rstemp("customer_id")  & "' AND '" & customer_id & "'<br>"

						If trim(rstemp("Customer_id")) = trim(Customer_ID) then
							response.write "<option value=" & rstemp("customer_id") & " SELECTED>" & rstemp("customer_id") & "</option>" & chr(10) & chr(13)
						Else
							response.write "<option value=" & rstemp("customer_id") & ">" & rstemp("customer_id") & "</option>" & chr(10) & chr(13)
						End If

						rstemp.MoveNext

					Loop

				End IF

				response.write "</select>"

				rstemp.close
				set rstemp=nothing
				conntemp.close ' Close the connection
				set conntemp=nothing

			 ' End of Display the Customer_List

			End If

			   If Customer_Id_List = 2 Then ' If using on-click and Javascript sub-window
						%>
						<input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
						<a href='javascript:var w=window.open("Customer_Id_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
						<img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>
						<%
				  End If  ' End of If using on-click and Javascript sub-window

				  If Customer_Id_List = 0 Then' If using copy/paste sub-window
						%>
						<font size=-1><input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
						<a href=Customer_Id_Copy_Paste.asp target=subwindow>
						<img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>
						<%
				 End If ' End of If using copy/paste sub-window

			%>

			</td></tr>
			<tr><td class=formlabelsuper><%=wc_Tech%>:</td></tr>
            <tr><td class=formboxholder>
			<SELECT size=1 name=tech_id>
			<OPTION value="">None</OPTION>

			<% ' Display the List of Techs

				set conntemp=server.createobject("adodb.connection")
				conntemp.open myDSN

				mySQL="select * from Tech_staff Order by Last_Name"
				set rstemp=conntemp.execute(mySQL)

				' Check to see if any records are returned
				' if none found then login fails.

				If  rstemp.eof then ' Check to see any Groups exist

				Else
					Do While rstemp.EOF <> True

						IF Tech_ID = rstemp("tech_id") Then
							response.write "<option value=" & rstemp("tech_id") & " SELECTED>" & rstemp("Last_Name") & "," & rstemp("first_Name") & "</option>" & chr(10) & chr(13)
						Else
							response.write "<option value=" & rstemp("tech_id") & ">" & rstemp("Last_Name") & "," & rstemp("first_Name") & "</option>" & chr(10) & chr(13)
						End IF

						rstemp.MoveNext

					Loop

					response.write "</select>"
				End IF

				rstemp.close
				set rstemp=nothing
				conntemp.close ' Close the connection
				set conntemp=nothing

			%>
            </td></tr>


			<tr><td class=formlabelsuper><%=wc_Other_Asset_Number%>:</td></tr>
			<tr><td class=formboxholder><input type=text name=asset_number2 size=10 maxlength=10 value=<%=asset_number2%>>

			<% If Asset_number2 <> "" AND Asset_number2 <> 0 Then %>
			&nbsp;&nbsp;&nbsp;<a href=AssetInfo.asp?Asset_number=<%=Asset_number2%>><%=Asset_number2%></a>
			<%End If %>

			</td></tr>

		<% End if %>

			<tr><td height=2></td></tr>

	        <tr><td class=minorformtitle align=center><%=Asset_Details_Acquisition_Label%></td></tr>

		<%	Call DropDownOrText(Location_Label,"location",location,30,100,false) %>
		<%	Call DropDownOrText( Assigned_Group_Label,"assigned_group",assigned_group,30,100,false) %>
		<%	Call DropDownOrText(Date_Assigned_Label,"date_assigned",date_assigned,30,100,false) %>
		<%	Call DropDownOrText(IP_Address_Label,"ip_address",ip_address,30,100,false) %>
		<%	Call DropDownOrText(Wall_Port_Number_Label,"wall_port_number",wall_port_number,30,100,false) %>

		<%	Call DropDownOrText(Lease_Or_Purchase_Label,"Lease_Or_Purchase",lease_or_purchase,30,100,false) %>
		<%  Call DropDownOrText(Purchase_Order_Number_Label,"purchase_order_num",purchase_order_num,30,100,false) %>
		<%  Call DropDownOrText(Date_acquired_Label,"date_acquired",date_acquired,30,100,false) %>
		<%  Call DropDownOrText(Acquired_From_Label,"acquired_from",acquired_from,30,100,false) %>
		<%  Call DropDownOrText(Date_Put_into_Service_Label,"date_in_service",date_in_service,30,100,false) %>

		<!--    SPECIFICATIONS SECTION -->

			<tr><td height=2></td></tr>
            <tr><td class=minorformtitle align=center><%=Specifications_Label%></td></tr>

			<%  Call DropDownOrText(Processor_Speed_Label,"processor_speed",processor_speed,30,100,false) %>
			<%  Call DropDownOrText(RAM_size_Label,"ram_size",ram_size,30,100,false) %>
			<%  Call DropDownOrText(Hard_Drive_Size_Label,"hd_size",hd_size,30,100,false) %>
			<%  Call DropDownOrText(Monitor_model_Label,"monitor_model",monitor_model,30,100,false) %>
			<%  Call DropDownOrText(Monitor_Size_Label,"monitor_size",monitor_size,30,100,false) %>
			<%  Call DropDownOrText(Monitor_Serial_Number_Label,"monitor_serial_num",monitor_serial_num,30,100,false) %>


					<!--    CUSTOM FIELDS SECTION -->
			<tr><td height=2></td></tr>
			<tr><td class=minorformtitle align=center><%=Custom_Fields_Label%></td></tr>

			<%  Call DropDownOrText(Custom_Field_1_Label,"custom_field1",custom_field1,30,100,false) %>
			<%  Call DropDownOrText(Custom_Field_2_Label,"custom_field2",custom_field2,30,100,false) %>
			<%  Call DropDownOrText(Custom_Field_3_Label,"custom_field3",custom_field3,30,100,false) %>
			<%  Call DropDownOrText(Custom_Field_4_Label,"custom_field4",custom_field4,30,100,false) %>
			<%  Call DropDownOrText(Custom_Field_5_Label,"custom_field5",custom_field5,30,100,false) %>

			<!-- SOFTWARE SECTION -->
            <tr><td class=minorformtitle align=center ><%=Software_Label%></td></tr>

			<%  Call DropDownOrText(Operating_System_1_Label,"operating_system1",operating_system1,30,100,false) %>
			<%  Call DropDownOrText(Operating_System_2_Label,"operating_system2",operating_system2,30,100,false) %>

			<tr><td height=2></td></tr>

<!-- end of new code -->
		</table


</td>

<!-- -------------------------------------- COLUMN 2 -------------------------------------------------------- -->

<td class=formboxwrapper width=1%><br></td><!-- SPACER COLUMN -->

<td valign=top class=formlabelsuper > <!-- COLUMN 2 -->

      <table cellpadding=0 cellspacing=0 width=100%>

			<% If App_1_Label <> "" Then %>

				<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>

				<%  Call DropDownOrText(App_1_Label,"app1",app1,20,20,false) %>
				<%  Call DropDownOrText(App_1_product_ID_Label,"app1_product_id",app1_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_1_installation_date_Label,"app1_install_date",app1_install_date,15,15,false) %>

			<% End If %>

			<% If App_2_Label <> "" Then %>

				<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>

				<%  Call DropDownOrText(App_2_Label,"app2",app2,20,20,false) %>
				<%  Call DropDownOrText(App_2_product_ID_Label,"app2_product_id",app2_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_2_installation_date_Label,"app2_install_date",app2_install_date,15,15,false) %>

			<% End If %>

			<% If App_3_Label <> "" Then %>

				<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>

				<%  Call DropDownOrText(App_3_Label,"app3",app3,20,20,false) %>
				<%  Call DropDownOrText(App_3_product_ID_Label,"app3_product_id",app3_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_3_installation_date_Label,"app3_install_date",app3_install_date,15,15,false) %>

			<% End If %>

			<% If App_4_Label <> "" Then %>

				<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>

				<%  Call DropDownOrText(App_4_Label,"app4",app4,20,20,false) %>
				<%  Call DropDownOrText(App_4_product_ID_Label,"app4_product_id",app4_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_4_installation_date_Label,"app4_install_date",app4_install_date,15,15,false) %>

			<% End If %>

			<% If App_5_Label <> "" Then %>

				<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>

				<%  Call DropDownOrText(App_5_Label,"app5",app5,20,20,false) %>
				<%  Call DropDownOrText(App_5_product_ID_Label,"app5_product_id",app5_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_5_installation_date_Label,"app5_install_date",app5_install_date,15,15,false) %>

			<% End If %>

			<% If App_6_Label <> "" Then %>

				<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>

				<%  Call DropDownOrText(App_6_Label,"app6",app6,20,20,false) %>
				<%  Call DropDownOrText(App_6_product_ID_Label,"app6_product_id",app6_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_6_installation_date_Label,"app6_install_date",app6_install_date,15,15,false) %>

			<% End If %>

			<% If App_7_Label <> "" Then %>

				<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>

				<%  Call DropDownOrText(App_7_Label,"app7",app7,20,20,false) %>
				<%  Call DropDownOrText(App_7_product_ID_Label,"app7_product_id",app7_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_7_installation_date_Label,"app7_install_date",app7_install_date,15,15,false) %>

			<% End If %>

			<% If App_8_Label <> "" Then %>

				<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>

				<%  Call DropDownOrText(App_8_Label,"app8",app8,20,20,false) %>
				<%  Call DropDownOrText(App_8_product_ID_Label,"app8_product_id",app8_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_8_installation_date_Label,"app8_install_date",app8_install_date,15,15,false) %>

			<% End If %>
			<% If App_9_Label <> "" Then %>

				<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>

				<%  Call DropDownOrText(App_9_Label,"app9",app9,20,20,false) %>
				<%  Call DropDownOrText(App_9_product_ID_Label,"app9_product_id",app9_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_9_installation_date_Label,"app9_install_date",app92_install_date,15,15,false) %>

			<% End If %>

			<% If App_10_Label <> "" Then %>

				<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>

				<%  Call DropDownOrText(App_10_Label,"app10",app10,20,20,false) %>
				<%  Call DropDownOrText(App_10_product_ID_Label,"app10_product_id",app10_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_10_installation_date_Label,"app10_install_date",app10_install_date,15,15,false) %>

			<% End If %>
			<% If App_11_Label <> "" Then %>

				<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>

				<%  Call DropDownOrText(App_11_Label,"app11",app11,20,20,false) %>
				<%  Call DropDownOrText(App_11_product_ID_Label,"app11_product_id",app11_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_11_installation_date_Label,"app11_install_date",app11_install_date,15,15,false) %>

			<% End If %>
			<% If App_12_Label <> "" Then %>

				<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>

				<%  Call DropDownOrText(App_12_Label,"app12",app12,20,20,false) %>
				<%  Call DropDownOrText(App_12_product_ID_Label,"app12_product_id",app12_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_12_installation_date_Label,"app12_install_date",app12_install_date,15,15,false) %>

			<% End If %>
			<% If App_13_Label <> "" Then %>

				<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>

				<%  Call DropDownOrText(App_13_Label,"app13",app13,20,20,false) %>
				<%  Call DropDownOrText(App_13_product_ID_Label,"app13_product_id",app13_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_13_installation_date_Label,"app13_install_date",app13_install_date,15,15,false) %>

			<% End If %>
			<% If App_14_Label <> "" Then %>

				<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>

				<%  Call DropDownOrText(App_14_Label,"app14",app14,20,20,false) %>
				<%  Call DropDownOrText(App_14_product_ID_Label,"app14_product_id",app14_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_14_installation_date_Label,"app14_install_date",app14_install_date,15,15,false) %>

			<% End If %>
			<% If App_15_Label <> "" Then %>

				<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>

				<%  Call DropDownOrText(App_15_Label,"app15",app15,20,20,false) %>
				<%  Call DropDownOrText(App_15_product_ID_Label,"app15_product_id",app15_product_id,25,25,false) %>
				<%  Call DropDownOrText(App_15_installation_date_Label,"app15_install_date",app15_install_date,15,15,false) %>

			<% End If %>



	<!-- MOVE THE FOLLOWING LINE TO MOVE WHERE THE 3RD COLUMN STARTS -->
	</table></td><td class=formboxwrapper width=1%><br></td><td valign=top class=formlabelsuper > <table cellpadding=0 cellspacing=0 ><!--ADDED 3rd COLUMN-->

<! -- ASSET NOTES SECTION -->
	<% ' Re arrange date from yyyymmddhhmmss to a easier format

	If WCDateFormat = "DDMMYYYY" Then
		NewLastUpdatedDateTime = mid(LastUpdate, 7,2) & "/" & mid(LastUpdate, 5,2) & "/" & mid(LastUpdate, 1,4) & " " & mid(LastUpdate, 9,2) & ":" & Mid(LastUpdate, 11,2)
	Else
		NewLastUpdatedDateTime = mid(LastUpdate, 5,2) & "/" & mid(LastUpdate, 7,2) & "/" & mid(LastUpdate, 1,4) & " " & mid(LastUpdate, 9,2) & ":" & Mid(LastUpdate, 11,2)
	End IF

	%>
			<tr><td class=minorformtitle align=center>Last Updated</td></tr>
			<tr><td class=formlabelsuper>Date:&nbsp;&nbsp;&nbsp;<%=NewLastUpdatedDateTime%></td></tr>


<% ' Get the Full name of the tech instead of the tech_id

	TechFullNameString = TechFullName(UpdatedBy)
%>

			<tr><td class=formlabelsuper>Tech: &nbsp;&nbsp;&nbsp;<%=TechFullNameString%></td></tr>

			<tr><td height=2></td></tr>
			<tr><td class=minorformtitle align=center ><%=wc_Asset_Notes%></td></tr>

		<!--    ASSET NOTES SECTION -->

			<% IF AssetNotes <> "" Then %>

				<tr><td class=formlabelsuper><%=wc_Notes%>:</td></tr>
				<tr><td class=formlabel WRAP="true"><%=assetnotes%></td></tr>

			<% End If %>
			<tr><tr><td class=formlabelsuper>&nbsp;</td></tr> <!-- add spacer -->
			<tr><td class=formlabelsuper><%=wc_Enter_New_Notes_Below%>:</td></tr>
			<tr><td class=formboxholder><textarea name=assetnotes rows=7 cols=45 wrap=on></textarea></td></tr>

			</td>
		</tr>
<tr>
	<td class=formlabelsuper>
	<FONT COLOR=BLUE>
	<br>
	<u>PLATFORM TYPES</u>
	<table border=0 width=200><tr><td class=formlabelsuper><FONT COLOR=BLUE>
	<li>Server
	<li>Desktop
	<li>Laptop
	<li>Tablet
	<li>Printer
	<li>Scanner</td><td class=formlabelsuper><FONT COLOR=BLUE>
	<li>Copier
	<li>MiFi
	<li>Firewall
	<li>Flash Drive
	<li>Switch
	<li>GPS</font></td></tr></table>
	<br>&nbsp;<br>
	<u>STATUS LEGEND</U>
	<LI>Active - In use
	<li>Spare - In storage to be used later
	<li>Surplus - To be sold
	<li>Suprlus (Sold) - Sold
	<li>Scrap - Destroyed / disposed
	<li>Removed - Off Lease</font></td>
	</tr>
				<! -- below added for inspection history CMB 04/12/2011 and then changed 10/05/11 -->

				<%
				if bAssetInspections = True then
					getinspectionhistory(Asset_number)
				End If
				%>

<!-- FILE ATTACH - saved file only -->
</FORM>

		<%
		if Asset_number <> "NEW" then
	%>
			<tr><td class=formlabelsuper>&nbsp;</td></tr> <!-- add spacer -->

			<tr><td class=minorformtitle align=center >Attach Note Files</td></tr>
			<tr><td class=formlabelsuper>&nbsp;</td></tr> <!-- add spacer -->
			<P>

				<tr><td>
	<% ' Application("Hosted") = "YES"  ' 04/14/14
%>
				<% If Application("Hosted") = "YES" THen ' Display code for popup  ' 04/14/14
					' Replace slashes with star characters to pass them correctly
					FixedPath = Replace(FileUploadDestinationPath, "\", "*")  ' 04/14/14
					EncodedPath = Server.URLEncode(FileUploadDestinationPath)  ' 04/14/14
					DownloadFileASPXLink = "UploadAsset3.aspx?AssetNumber=" & Asset_Number & "&FileUploadPath="& FixedPath
				%>
					<a href='javascript:var w=window.open("<%=DownloadFileASPXLink%>","subwindow","width=300,height=300,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
					 <img src=attachfile.gif border=0></a>
				<%Else  ' 04/14/14 %>

			<form action="DoAttachFiletoAsset.asp" ENCTYPE="multipart/form-data" method="post">
				<table  class=innerformwrappertight cellpadding=0 cellspacing=0 border=0 width=100%>
					<TR>
						<TD valign=top class=formboxholder><br><B>Please save any changes first!</b><br>	</td>
					</tr>
					<tr><td><input type=HIDDEN name=Asset_Number2 value=<%=Asset_Number%>></td></tr>
					<TR><TD valign=top class=formboxholder><br><B><%=wc_Attached_File%>:</b><br><br>
							<INPUT TYPE=FILE SIZE=45 NAME="FILE1"><br>
							<input type=submit name="Submit" value = "Add Selected File To Asset" >
						</td>
					</tr>
					<tr><td height=5></td></tr>
				</table>
			</form>
			<% end if ' 04/14/14 %>
			</td></tr>
<%
		End If
		' *************** end of attach file

%>
<!-- Email - also include checkForm javascript function -->
		<%
		if Asset_number <> "NEW" then
	%>
			<tr><td class=formlabelsuper>&nbsp;</td></tr> <!-- add spacer -->

			<tr><td class=minorformtitle align=center >Email</td></tr>
			<tr><td class=formlabelsuper>&nbsp;</td></tr> <!-- add spacer -->
			<P>
         <tr><td>
			<form action="SendAssetEmail.asp"  method="post" >
				<table  class=innerformwrappertight cellpadding=0 cellspacing=0 border=0 width=100%>
					<TR>
						<TD valign=top class=formboxholder><br><B>Please save any changes first!</b>	</td>
					</tr>
					<tr><td class=formlabelsuper>&nbsp;</td></tr> <!-- add spacer -->
				<!--	<TR><TD valign=top class=formboxholder><B>From Address:</b>
					<tr><td class=formlabelsuper>		<INPUT TYPE=Textbox SIZE=50 NAME=FromAddress value="<%=TechEmail%>" ></td>	</tr>-->
					<TR><TD valign=top class=formboxholder><input type=HIDDEN name=Asset_Number3 value=<%=Asset_Number%>>
					<B>To Email Addresses:</b></td></tr>
					<tr><td class=formlabelsuper>
							<INPUT TYPE=Textbox SIZE=50 NAME=EmailAddresses></td></tr>
					<tr><td class=formlabelsuper>	<input type=submit name="Submit" value = "Email Asset Information" onClick="return checkForm()">
						</td>
					</tr>
				</table>

			</form>
			</td></tr>
<%
		End If

%>
	<!--	' *************** end email notes -->


			</td>
		</tr>
		</table>


</td>
</tr>
</table>
</td>
</tr>
</table>
<p>
<center><!--</form> removed for attaching file-->
</body></html>

<%End If %>

<% Function TechFullName(Tech_ID)
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		If Tech_ID = "" Then
			TechFullName = "Un-assigned"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & Tech_id & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for Tech_ID: " & Tech_id
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If


	End Function ' End of TechFullName
	%>


<% Function GetInspectionHistory(Asset_ID)

if asset_ID <> "NEW" then
			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="SELECT InspectionStatus.InspectionStatus, Inspection.Case_Number, Inspection.Asset_Number, Inspection.InspectionDate, Inspection.InspectionTime, Inspection.Tech_ID, inspectionnotes, tech_staff.first_name+' '+tech_staff.last_name AS FullName "
			mySQL2= mySQL2 & "FROM (Inspection LEFT JOIN InspectionStatus ON Inspection.InspectionStatusIndex = InspectionStatus.InspectionStatusIndex) INNER JOIN tech_staff ON Inspection.Tech_ID = tech_staff.tech_id "
			mySQL2= mySQL2 & "WHERE Inspection.Asset_Number= " & asset_ID
			mySQL= mySQL2 & " ORDER BY InspectionDate DESC, InspectionTime DESC, InspectionIndex DESC " ' 01/05/2012

			set rstemp2=conntemp.execute(mySQL2)
			'response.write "<tr><td>SQL : " & mySQL2 & "</td></tr>" ' TEST

			' Check to see if any records are returned
			'if not rstemp2.eof then

			response.write "<tr><td class=minorformtitle align=center>Inspection History:</td></tr>"

			Do While not rstemp2.EOF
				response.write "<tr><td class=formlabel><font color=green><b>"
				sDate = formatdateTime(rstemp2("InspectionDate"),vbLongDate)
				x=InStrRev(rstemp2("InspectionTime"),":") ' get rid of seconds
				sTime = Left(rstemp2("InspectionTime"),x-1) & " " & Right(rstemp2("InspectionTime"),3) ' get rid of seconds
 				response.write sDate & " " & sTime & "</font></b></br>"

				response.write "<font color=brown><b>Inspection performed by: </b>" & rstemp2("fullname") & "</font></br>"
				response.write "<b>Status: </b>"
				response.write rstemp2("InspectionStatus")
				response.write "</br>"
				response.write "<b>Note: </b>"
				response.write rstemp2("InspectionNotes")
				response.write "</br></br></td></tr>"
			'	response.write "<tr><td class=formlabel>" & rstemp2("inspectiondate") & " " &  rstemp2("inspectiontime") & " " & rstemp2("inspectionstatus") & " " & rstemp2("inspectionnotes") & "</td></tr>"
				rstemp2.MoveNext
			Loop

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing
		End if
	End Function ' End of GetInspectionHistory
	%>

<%' The following subs were for NEW ASSETS %>
<% Function IsDropDown(AssetCategoryName,bInOutRequired) ' CMB 09/13/11
' looks to see whether this is defined as an assetcategory and if so, returned whether required or not;
' otherwise doesn't change value

	Dim bReturn

	bReturn = false

	'This function returns true if this is a category in the AssetCategory table
		If Version7point5 = "YES" then
			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="Select * from AssetCategories where AssetCategory = '" & AssetCategoryName & "'"

			set rstemp2=conntemp.execute(mySQL2)
			if not rstemp2.eof then
				if rstemp2("IsRequired") = true then
					bInOutRequired = true
				End If
				bReturn = true
			end if

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing
		End If
		IsDropDown = bReturn
	End Function
	%>

<% Sub GetDropDownValues(AssetCategoryName, SelectedValue) ' CMB 09/13/11
' This sub fills a dropdown box with values from the assetCategory Table and sets the selected attribute to either the current or the default
	Dim bFound  ' if the selected value in the list of category items - if not have to add it to dropdown
	If SelectedValue > "" then
		bFound = 0
	else
		bFound = 1
	end if

	'This function gets the values of the drop down plus blank plus selectedvalue
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN ' Open the connection once here

		mySQL2="Select * from AssetCategoryItems where AssetCategoryID IN (select assetcategoryID from assetcategories where assetcategory = '" & AssetCategoryName & "') order by AssetCategoryItem"
		'response.write "SQL" & selectedvalue
		'response.flush
		'response.end
		set rstemp2=conntemp.execute(mySQL2)
		response.write "<Option value=> </OPTION>"   ' blank

		Do While not rstemp2.eof

				'if this is the default or the selected value, set this to selected
				if selectedvalue > "" then
					if Selectedvalue = rstemp2("AssetCategoryItem") then
						bFound = 1
						response.write "<Option value=""" & rstemp2("AssetCategoryItem") & """ SELECTED>" & rstemp2("AssetCategoryItem") & "</OPTION>"
					else
						response.write "<Option value=""" & rstemp2("AssetCategoryItem") & """>" & rstemp2("AssetCategoryItem") & "</OPTION>"
					End if
				else ' use default
					if (not isnull(rstemp2("IsDefault")) and rstemp2("IsDefault") = 1) then
						response.write "<Option value=""" & rstemp2("AssetCategoryItem") & """ SELECTED>" & rstemp2("AssetCategoryItem") & "</OPTION>"
					else
						response.write "<Option value=""" & rstemp2("AssetCategoryItem") & """>" & rstemp2("AssetCategoryItem") & "</OPTION>"
					end if
				End if
			RsTemp2.MoveNext
		Loop

		if bFound = 0 then
			response.write "<Option value=""" & SelectedValue & """ SELECTED>" & SelectedValue & "</OPTION>"
		End if

		rstemp2.close
		set rstemp2=nothing
		conntemp.Close
		Set conntemp = nothing

	End Sub
	%>

	<%
	Sub DropdownOrText(LabelName,ColName,SelectedValue,nSize,nMax,bRequired)
	'This sub writes a textbox or dropdown to the screen.  If brequired is true, puts an Red asterisk after the label
	' if brequired is fall and it IS a dropdown (IsDropDown) then also puts a red asterisk after the label
		Dim bIsDropDown
		Dim bIsRequired


		If LabelName <> "" Then
			bIsRequired = false
			bIsDropDown = IsDropDown(LabelName,bIsRequired)

			' Put up label
			response.write "<tr><td class=formlabelsuper>" & LabelName & ":"
			if bIsRequired or bRequired then
				response.write "<font color=red>*</font>"
			end if
			response.write "</td></tr>"
			response.write "<tr><td class=formboxholder>"

			If bIsDropDown then
				response.write "<SELECT Name=" & ColName & ">"
				call GetDropDownValues(LabelName,SelectedValue)
				response.write "</SELECT>"
			 else
				response.write "<input type=text name=" & ColName & " size=" & nSize & " maxlength=" & nMax & " value=""" & SelectedValue & """>"
			 end if

			response.write "</td></tr>"

		End If

		End Sub
%>
<%
Function GetCaseCount(nAss)
' This function returns the number of cases associated with a given asset number

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL4="SELECT count(Case_Number) as cnt from cases where Asset_Number = " & nAss
		set rstemp4=conntemp.execute(mySQL4)

		If rstemp4.EOF  Then
			GetCaseCount = 0
		Else
			GetCaseCount = rstemp4("cnt")
		End If

		rstemp4.close
		set rstemp4=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

End Function
%>