<%  ' Module: DoAssets.asp
	'
	' Description: Submit Module For Assets.asp module
	'
	' (C) 2000 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'10/11/99	SAV		Created original template file
	'12/13/00	SAV		Created DoAssets.asp from DoSearch.asp module
	'10/03/11   CMB     version 7.5 modifications.  This module now calls 3 other modules with a query string
	'                   DoAssetsBrief.asp, AssetReport.asp, or ExportAssets.asp
	'10/10/11   CMB     SBCC Version; removed quotes around yy in datediff
    '10/27/11   CMB     Need to carry over report age as of
	'01/31/2012    CMB     Use months in calculation rather than years.  No 'report age of' dropdown anymore.
	'01/31/12      CMB     Changed age thing to use whatever date is entered in ageasof box even if no valid age;
	'01/31/12   CMB  add secondary sort
	'02/06/12   CMB      Days used in age calculation
	'02/07/12   CMB      support for searchset
	'02/08/12   CMB      age two values
	'02/12/12   CMB      fuzzy asset notes search
    '02/15/12   CMB      Made Generic
    '02/28/12   CMB     Support for SearchDeleteAssets
    '03/14/12   CMB     Too many ands in search for warranty date
    '04/25/12   CMB     Added Retire and Move to surplus as results view values
%>

<% 'Define the DSN for this database %>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->   <!-- SBCC -->

<% ' To customize the Asset labels, edit the file called AssetLabels.inc
%>

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Get the form variables
		ErrorMessage = "" ' Clear error message

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.
	Query = request.querystring("Query")
	Page = request.querystring("page") ' This is passed when called from a link to view pages
	ResultsView = request.querystring("ResultsView")
'test
'response.write resultsview
'response.write "QUERY" & query
'response.flush
'response.end

	PerPage = Request.Form("PerPage")
	if Page = "" Then

		'Get the value of the User Screen background color from the Configuration Table
		call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)  '  SBCC needed for age query

		' Get the form variables if passed from the original Case Search Form
		' This page can also be called from a query string from the case form
		' so we must get variables both ways (form and querystring)

		SortBy = Request.form("Sortby")
		SortBy2 = Request.Form("Sortby2")
		OrderBy = Request.Form("Orderby")
		OrderBy2 = Request.Form("Orderby2")

		If SortBy = "" Then
			SortBy = "Assets.Asset_Number"
		Else
			If Sortby = "Cast(App1 as smalldatetime)" then ' asc is the default unless age which is backwards since based on ship date
				If Orderby = "ASC" then
					Sortby = Sortby & " DESC"
				End If
			Else
				If OrderBy = "DESC"  then
					Sortby = SortBy & " DESC"
				End If
			End If

			If Sortby2 > "" then
				Sortby = Sortby & ", " & Sortby2 ' 01/31/2012 secondary sort
				If Sortby2 = "Cast(App1 as smalldatetime)" then ' asc is the default unless age which is backwards since based on ship date
					If Orderby2 = "ASC" then
						Sortby = Sortby & " DESC"
					End If
				Else
					If OrderBy2 = "DESC"  then
						Sortby = SortBy & " DESC"
					End If
				End If

			End If
		End If

		' Value fields
		If ResultsView = "" then

			ResultsView = Request.form("ResultsView") 'Detailed/Brief

			If ResultsView = "" then
				ResultsView = "DETAILED" ' Default To Brief
			End IF
		End If

		' Start to Create the query based on the passed fields
		' Assignments

		Customer_Id = Request.querystring("Customer_ID")
		If Customer_ID = "" Then
			Customer_id = request.form("Customer_id")
		End IF

		If  Customer_ID <> "" Then
			if customer_ID = "Unassigned" then  '02/01/12
				WhereStatement = WhereStatement & AndText & " AssetAssignment.Customer_ID IS NULL "
			else
				WhereStatement = WhereStatement & AndText & " AssetAssignment.Customer_ID = '" & Customer_ID & "'"
			end if
			AndText = " AND "
		End IF

		' Tech_ID  Search

		tech_ID  = request.querystring("tech_ID")
		If tech_ID = "" Then
			Tech_Id= request.form("Tech_ID")
		End If

		If  Tech_ID <> "" Then
			If Tech_ID = "ALL" then
				WhereStatement = WhereStatement & AndText & " AssetAssignment.Tech_ID IS NOT NULL "  ' Changed from is null 3/19/12
			Else
				WhereStatement = WhereStatement & AndText & " AssetAssignment.Tech_ID = '" & Tech_ID & "'"
			End If
			AndText = " AND "
		End IF

		' Asset Number Search ' NOT A FUZZY SEARCH; MUST BE NUMERIC
		Asset_number = request.form("asset_number")
		If  asset_number <> "" Then
			If Not isnumeric(Asset_number)  Then
				ErrorMessage = ErrorMessage & "<LI> " & Asset_Number_Label &  wc_Must_Be_Numeric
			Else
				WhereStatement = WhereStatement & AndText & " Assets.asset_number = " & asset_number
				AndText = " AND "
			End If
		End IF

		IF SBCC = "YES" then
			<!-- Checking on SBCC Customizations -->
			' Date Assigned - must be a date SBCC customization - this is warranty date
			Date_Assigned = Trim(request.form("Date_Assigned"))
			If Date_Assigned > "" and Not isValidDateInput(Date_Assigned,DateDisplayFormat)  Then
				ErrorMessage = ErrorMessage & "<LI> " & Date_Assigned_Label &  wc_Is_An_Invalid_Date
			End If

			AgeAsOf = Trim(request.form("AgeAsOf"))
			If AgeAsOf > "" and Not isValidDateInput(AgeAsOf,DateDisplayFormat)  Then
				ErrorMessage = ErrorMessage & "<LI> " & "'Age as of' " &  wc_Is_An_Invalid_Date
			End If

			Age1 = Trim(request.form("Age1"))
			If age1 > "" and not IsNumeric(Age1) then
				ErrorMessage = ErrorMessage & "<LI> " & "Age" &  wc_Must_Be_Numeric
			End If

			Age2 = Trim(request.form("Age2"))
			If age2 > "" and not IsNumeric(Age2) then
				ErrorMessage = ErrorMessage & "<LI> " & "Age" &  wc_Must_Be_Numeric
			End If
      END IF
		<!-- END OF CHECKING ON SBCC CUSTOMIZATIONS -->

		' Asset_Notes ' 02/12/12 Fuzzy asset notes search
		if request.form("Asset_Notes") > "" then
				WhereStatement = WhereStatement & AndText & " AssetNotes like '%" & trim(request.form("Asset_Notes")) & "%' "
				AndText = " AND "
		End If

		' Assigned to another asset search ' NOT A FUZZY SEARCH; MUST BE NUMERIC
		Asset_number2 = Request.form("assigned_asset_number")

		If  asset_number2  <> "" Then
			If Not IsNumeric(asset_number2) then
				ErrorMessage = ErrorMessage & "<LI> " & " Other Asset "  & wc_Must_Be_Numeric
			Else
				WhereStatement = WhereStatement & AndText & " AssetAssignment.Asset_number2 = " & Asset_number2
				AndText = " AND "
			End If
		End IF

		' Value searches ' Use the LIKE operator (Fuzzy search)

		' Add search criteria for computer_id, property tag, etc

		' Computer_id
		s = GetAllValues(computer_ID_Label,"computer_ID")
		if s > "" then
				WhereStatement = WhereStatement & AndText & s
				AndText = " AND "
		End If

		' Property_tag
		s = GetAllValues(property_tag_Label,"property_tag")
		if s > "" then
				WhereStatement = WhereStatement & AndText & s
				AndText = " AND "
		End If

		' equipment_type
		s = GetAllValues(equipment_type_label,"equipment_type")
		if s > "" then
				WhereStatement = WhereStatement & AndText & s
				AndText = " AND "
		End If

		' serial_number
		s = GetAllValues(Serial_number_label,"Serial_number")
		if s > "" then
				WhereStatement = WhereStatement & AndText & s
				AndText = " AND "
		End If

		' assigned_group
		s = GetAllValues(assigned_group_label,"assigned_group")
		if s > "" then
				WhereStatement = WhereStatement & AndText & s
				AndText = " AND "
		End If

		' IP_Address
		s = GetAllValues(IP_Address_label,"IP_Address")
		if s > "" then
				WhereStatement = WhereStatement & AndText & s
				AndText = " AND "
		End If

		' Purchase_order
		s = GetAllValues(Purchase_order_num_label,"Purchase_order_num")
		if s > "" then
				WhereStatement = WhereStatement & AndText & s
				AndText = " AND "
		End If

		' Lease or Purchase

		'***** NEW ASSET SEARCH - check for dropdowns and then if multi select
	IF SBCC = "YES" then
		 ' SBCC OPERATING SYSTEM SPECIAL SEARCH
			' this creates the following string:
			' (Operating_system1 In (....) OR Operating_System2 in (....))

			s = GetAllValuesOperatingSystem
			if s > "" then
					WhereStatement = WhereStatement & AndText & s
					AndText = " AND "
			End If
    END IF

		s = GetAllValues(Monitor_model_Label,"Monitor_model")
		if s > "" then
				WhereStatement = WhereStatement & AndText & s
				AndText = " AND "
		End If

		s = GetAllValues(Monitor_Serial_Number_Label,"Monitor_serial_num")
		if s > "" then
				WhereStatement = WhereStatement & AndText & s
				AndText = " AND "
		End If

		s = GetAllValues(Lease_Or_Purchase_Label,"Lease_or_Purchase")
		if s > "" then
				WhereStatement = WhereStatement & AndText & s
				AndText = " AND "
		End If


		' Acquired_From
		s = GetAllValues(acquired_from_Label,"acquired_from")
		if s > "" then
				WhereStatement = WhereStatement & AndText & s
				AndText = " AND "
		End If

		' Location
		s = GetAllValues(location_Label,"location")
		if s > "" then
				WhereStatement = WhereStatement & AndText & s
				AndText = " AND "
		End If

		s = GetAllValues(Processor_Speed_Label,"Processor_Speed") ' 01/31/2012
		if s > "" then
				WhereStatement = WhereStatement & AndText & s
				AndText = " AND "
		End If

		' Wall Port Number
		s = GetAllValues(wall_port_number_Label,"wall_port_number")
		if s > "" then
				WhereStatement = WhereStatement & AndText & s
				AndText = " AND "
		End If

		IF SBCC = "YES" Then
				<!-- SBCC this is a Date search < entered warranty date (date_assigned) -->
				' Date_Assigned
				if request.form("date_assigned") > "" and IsDate(request.form("Date_Assigned")) then
					WhereStatement = WhereStatement & AndText & " DATE_ASSIGNED is not null "  ' removed extra and 3/14/12
						' needs to look like this
						'ACCESS: select * from assets where date_Assigned is not null
						'and datevalue(date_Assigned) > #04/03/2021#
						'SQLSERVER: select * from assets where date_Assigned is not null
						'and cast(date_Assigned as smalldatetime) > '04/03/2001'

					If DatabaseType = "ACCESS" Then
						WhereStatement = WhereStatement  & AndText & "DateValue(Date_Assigned) <= #" & CDATE(request.form("Date_Assigned"))  & "#"
					Else
						WhereStatement = WhereStatement  & AndText & "Cast(Date_Assigned as smalldatetime) <= '" & CDATE(request.form("Date_Assigned"))  & "'"
					End If
					AndText = " AND "
				End If
	  ELSE
			' Date_Assigned
			s = GetAllValues(date_assigned_Label,"date_assigned")
			if s > "" then
					WhereStatement = WhereStatement & AndText & s
			end if
      END IF

		<!-- END OF CUSTOM WARRANTY DATE -->

	<!-- SBCC this is an Age search (age as of ____) select datediff(yy,date_assigned,getdate()),ship_Date from assets-->
        IF SBCC = "YES" Then
				' Ship_Date which is app1
				if  request.form("AgeAsOf") > "" and IsDate(request.form("AgeAsOf")) then
					ReportAgeAsOf = request.form("AgeAsOf") ' 01/30/2012 CMB moved 01/31/12
				Else
					ReportAgeAsOf = "12/31/" & DatePart("yyyy",Date()) ' use eoy this year  'ReportAgeAsOf = Date() ' 01/31/2012 CMB
				End If

				if ((request.form("age1") > "" and IsNumeric(request.form("Age1")) AND request.form("AgeAsOf") > "") _
				or (request.form("age2") > "" and IsNumeric(request.form("Age2")) AND request.form("AgeAsOf") > "")) _
				and IsDate(request.form("AgeAsOf")) then

					WhereStatement = WhereStatement & AndText & " App1 is not null  "
					AndText = " AND "
					if age2 > "" then
						Age2 = Age2 * 365.25 ' 02/06/2012 use days instead
					end if
					if age1 > "" then
						Age1 = Age1 * 365.25 ' 02/06/2012 use days instead
					End if

					If age1 > ""  then
						' use greater than age1
						If DatabaseType = "ACCESS" Then
								WhereStatement = WhereStatement  & AndText & "DateDiff('dd',DateValue(App1),#" & CDATE(request.form("AgeAsOf"))  & "#) > "  & age1
							Else
								WhereStatement = WhereStatement  & AndText & "DateDiff(dd,Cast(App1 as smalldatetime),'" & CDATE(request.form("AgeAsOf"))  & "') > "  & age1
							End If
							AndText = " AND "
					End If

					if age2 > ""  then
						'use less than age 2
						If DatabaseType = "ACCESS" Then
								WhereStatement = WhereStatement  & AndText & "DateDiff('dd',DateValue(App1),#" & CDATE(request.form("AgeAsOf"))  & "#) < " & age2
						Else
								WhereStatement = WhereStatement  & AndText & "DateDiff(dd,Cast(App1 as smalldatetime),'" & CDATE(request.form("AgeAsOf"))  & "') < "  & age2
						End If
						AndText = " AND "
					End If

				End If
     END IF
		<!-- END OF CUSTOM AGE SEARCH -->

		' Custom_Field1 Number
		s = GetAllValues(Custom_Field_1_Label,"Custom_Field1")
		if s > "" then
				WhereStatement = WhereStatement & AndText & s
				AndText = " AND "
		End If

		s = GetAllValues(Custom_Field_2_Label,"Custom_Field2")
		if s > "" then
				WhereStatement = WhereStatement & AndText & s
				AndText = " AND "
		End If

		s = GetAllValues(Custom_Field_3_Label,"Custom_Field3")
		if s > "" then
				WhereStatement = WhereStatement & AndText & s
				AndText = " AND "
		End If

		s = GetAllValues(Custom_Field_4_Label,"Custom_Field4")
		if s > "" then
				WhereStatement = WhereStatement & AndText & s
				AndText = " AND "
		End If

		s = GetAllValues(Custom_Field_5_Label,"Custom_Field5")
		if s > "" then
				WhereStatement = WhereStatement & AndText & s
				AndText = " AND "
		End If

	' The complete query is in the WhereStatement at this point
'response.write "WhereSTATEMENT " & WhereStatement
'response.flush
'response.end

	End If  ' End of If Page <> ""

	If ErrorMessage <> "" Then
		%>
<!-- #INCLUDE FILE="Techusererror.inc" -->

	<% Else 'Otherwise save the asset information.

	Query = Server.URLEncode(WhereStatement)
'response.write query
'response.flush
'response.end
If ResultsView = "SURPLUS" Then
		s =  "DoSearchRetireSurplusAssets.asp?Query=" & Query & "&ResultsView=SURPLUS&DB=" & sDB & "&TextField=" & sText & "&DropDown=" & sDropDown & "&Sortby=" & SortBy  & "&RptAgeOf=" & ReportAgeAsOf
		Response.redirect(s)

Else
If ResultsView = "RETIRE" then
			s =  "DoSearchRetireSurplusAssets.asp?Query=" & Query  & "&ResultsView=RETIRE&DB=" & sDB & "&TextField=" & sText & "&DropDown=" & sDropDown & "&Sortby=" & SortBy  & "&RptAgeOf=" & ReportAgeAsOf
			Response.redirect(s)

else

	If ResultsView = "BRIEF" or ResultsView ="DETAILED"  Then
		s =  "DoAssetsBrief.asp?Page=" & 1 & "&Query=" & Query & "&PerPage=" & PerPage & "&Text=" & TextFlag & "&ResultsView=" & ResultsView & "&Sortby=" & SortBy
		Response.redirect(s)
	Else
		If ResultsView = "REPORT" Then
			s =  "AssetReport.asp?Page=" & 1 & "&Query=" & Query & "&PerPage=" & PerPage & "&Text=" & TextFlag & "&ResultsView=" & ResultsView & "&Sortby=" & SortBy  & "&RptAgeOf=" & ReportAgeAsOf
			Response.redirect(s)
		Else
			If ResultsView = "EXPORT" Then
				s =  "ExportAssets.asp?Query=" & Query & "&Text=" & TextFlag & "&ResultsView=" & ResultsView & "&Sortby=" & SortBy  & "&RptAgeOf=" & ReportAgeAsOf
				Response.redirect(s)
			Else ' 02/07/12
				If ResultsView = "SEARCHSET" Then
						sDB=request.form("ColumnToChange")
						sText = request.form("ToText")
						sDropDown = request.form("ToDropDown")
						s =  "DoSearchSetAssets.asp?Query=" & Query & "&DB=" & sDB & "&TextField=" & sText & "&DropDown=" & sDropDown & "&Sortby=" & SortBy  & "&RptAgeOf=" & ReportAgeAsOf
						Response.redirect(s)
					Else
						If ResultsView = "SEARCHDELETE" then
							s =  "DoSearchDeleteAssets.asp?Query=" & Query & "&DB=" & sDB & "&TextField=" & sText & "&DropDown=" & sDropDown & "&Sortby=" & SortBy  & "&RptAgeOf=" & ReportAgeAsOf
							Response.redirect(s)
						End If
					End If 'searchset
				end if ' export
			End If ' report
		end if ' brief
		End If 'retire
		End If 'surplus
End If ' user error
	%>

<% Function IsDropDown(AssetCategoryName) 'NEW ASSETS
	'This function finds out whether this is a dropdown by seeing whether it is in the AssetCategory table

	Dim bReturn
	bReturn = false

	If Version7point5 = "YES" Then
			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="Select * from AssetCategories where AssetCategory = '" & AssetCategoryName & "'"

			set rstemp2=conntemp.execute(mySQL2)
			if not rstemp2.eof then
				bReturn = true
			end if

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing
		End if
		IsDropDown = bReturn
	End Function
	%>

	<%
Function GetAllValues(LabelName,ColName)
' this returns a search string for either a dropdown or a fuzzy search if just a textbox
	Dim bFirst
	Dim sOut

	sOut = ""

	If Request.Form(ColName) <> "" Then

		If IsDropDown(LabelName) then
	 			bFirst = 1
	 			sOut= ColName & " in ("'
				For each SelectedGroup in Request.Form(ColName)
					If SelectedGroup <> "" Then
						if bfirst = 1 then
							bfirst = 0
						else
							sOut = sOut & ", "
						end if
						sOut = sOut & "'" & SelectedGroup & "'"
	 				End If
				next

				sOut = sOut & " ) "
		Else
			'just a textbox FUZZY SEARCH
			'sOut = sAnd & ColName & "=" & Request.Form(ColName) non fuzzy
			sOut = ColName & " Like '" & Request.Form(ColName) & "%'"
		end if

	End IF
	GetAllValues = sOut
	End Function
%>
<%
Function GetAllValuesOperatingSystem()
	Dim bFirst
	Dim sOut
	Dim sReturn

	sOut = ""

	If Request.Form("OperatingSystem") <> "" Then
		bFirst = 1
		sOut = "in ("'
		For each SelectedGroup in Request.Form("OperatingSystem")

			If SelectedGroup <> "" Then
				if bfirst = 1 then
					bfirst = 0
				else
					sOut = sOut & ", "
				end if
				sOut = sOut & "'" & SelectedGroup & "'"
			End If
		next

		sOut = sOut & " ) "
		sReturn= "(Operating_System1 " & sOut & " OR Operating_System2 " & sOut & ")"
	End IF

	GetAllValuesOperatingSystem = sReturn
	End Function
%>