<% 'Module: DoDuplicateCase.asp

   'Description: This module puts the master case number in the table for the duplicate case
   'Changes status of duplicate case to 'closed'
   'Puts a note in the duplicate case refering the master number.  This is either a default message
   'or something that the technician enters in a textbox.
   'Adds customer_ID to the additional customers in the master case (version 8.0 only!).

   '(C) 2013 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '3/12/13	CMB		Created original ASP
   '03/26/13 CMB     Changed replace string from DoTCaseForm to DoDuplicateCase; changed 'true' to 1 on insert sql statement
   '04/19/13 CMB     Cleaned up some processing

   '05/01/13  CMB     Fixed duplicate processing and email messages
   '05/03/13  CMB     Fixed sql statement
   '05/21/13  CMB     Removed line feed before semicolon; changed subject; add case one line after links;
   '05/23/13  CMB     Oops not adding customers to primary case
   '05/24/13  CMB     Add one line to subject

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/SendEmail.inc" -->
<!-- #INCLUDE FILE="../Language/HTMLEmailTemplateTechUpdate.inc" -->
<!-- #INCLUDE FILE="../Language/HTMLEmailTemplateCustomerNotification.inc" -->
<!-- #INCLUDE FILE="../Language/HTMLEmailTemplateCustomerSurvey.inc" -->
<!-- #INCLUDE FILE="../Language/QBOptions.inc" -->
<!-- #INCLUDE FILE="../Language/HTMLEmailTemplateAdditionalNotification.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% 'Get the form data
			'******* USER CUSTOMIZATION FOR CELL PHONE EMAILS **********************
			' To enable a short condensed email to be sent to a tech cell email address/home email
			' beginning of the email message, comment/uncomment the
			' variable definition below
		'	CELLPHONE_EMAIL_NOTIFICATION = "YES" ' Comment out this line to disable

    Dim TechEmailSent  '  CMB 05/04/2011
    TechEmailSent = 0  '  CMB 05/04/2011
	LoginTech_ID = Request.Cookies ("ISS_TECH_CENTER_LOGIN")
	Tech_Full_Name = TechFullName(LoginTech_ID)
	Group_Notification = "<br>For Duplicate: "
   Tech_notification = "<br>For Duplicate: "

	Customer_ID = Request.form("Customer_ID")
   Master_Case_Num = request.form("Master_Case") ' this is the one entered in the duplicate case field
   Closing_Case_num = request.form("Original_Case") ' this is the one that is the duplicate (rather confusing)

  	Verbiage = request.form("Verbiage")  ' THis goes into the duplicate?

	' FIRST Get the values from the configuration file and into variables

	set conn=server.createobject("adodb.connection")
	conn.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conn, 1,3

	If rstemp.EOF = True  Then
		Response.write "No configuration file found"
		assets_db = 0 ' 10/05/11
	Else
		' Get the values from the configuration File

		TextBoxSizing = rstemp("Text_Box_Sizing")
		CasesummaryRows = rstemp("case_summary_rows")
		CasesummaryMaxRows = rstemp("case_summary_Max_Rows")
		CaseResolutionRows = rstemp("case_resolution_rows")
		CaseResolutionMaxRows = rstemp("Case_resolution_Max_Rows")
		CaseHistoryRows = rstemp("Case_History_Rows")
		CaseTextBoxColumns = rstemp("Case_Text_Box_Columns")
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
		TimeZoneLabel = rstemp("Time_zone_Label")
		Language = rstemp("Language")
		ALLKBUpdate = rstemp("All_KB_Update")
		TimeSpentCategory = rstemp("Time_Spent_Category")
		TimeSpentInterval = rstemp("Time_Spent_Interval")
		DateDisplayFormat = rstemp("Date_Display_Format")

		MaxHistorySize =  CLng(rstemp("max_case_history_size"))

'		MaxSummarySize =  Cint(rstemp("max_case_summary_size"))
'		MaxResolutionSize =  Cint(rstemp("max_case_resolution_size"))

' Changed to handle larger than 32K - 11/29/2012
		MaxSummarySize =  CLng(rstemp("max_case_summary_size"))
		MaxResolutionSize =  CLng(rstemp("max_case_resolution_size"))

		smtp_host_address = rstemp("smtp_host_address")
		Standard_reply_to_address = rstemp("Standard_reply_to_address")
		Customer_case_notify = CInt(rstemp("customer_case_notify"))
		UserPageColor = rstemp("ts_user_page_color")

		' New 4.0 Fields
		Customersurvey = rstemp("Customersurvey") ' Boolean flag enabling customer surveys
		SurveyEmailText =	rstemp("SurveyEmailText") ' Customer Survey Email Message Text
		TechVirtual = rstemp("TechVirtual") ' Techcenter virtual directory
		CustomerVirtual = rstemp("CustomerVirtual") ' CustomerCenter Virtual directory
		 OrganizationFromName = rstemp("Customer_Name_Text") ' Use this for organization name in mail out

		' New 5.0 SMTP mailer options

		SendHTMLEmail = rstemp("SendHTMLEmail") ' Boolean value
		SMTP_User_Name = rstemp("SMTP_User_Name")
		SMTP_Password = rstemp("SMTP_Password")

		If SendHTMLEmail = True Then
			HTMLEmail = "YES"
		Else
			HTMLEmail = ""
		End IF

		DatabaseType  = rstemp("DatabaseType") ' Database should be set to ACCESS or SQLSERVER

		if Version8point0="YES" Then
			If Not IsNull(rstemp("AdditionalCustomerCaseAssignments")) Then
				bAdditionalCustomerCaseAssignments = rstemp("AdditionalCustomerCaseAssignments")
			End If
		End If

	rstemp.close
	set rstemp=nothing
	conn.close ' Close the connection
	set conn=nothing

		CreateTimeDateValues DateString, TimeString, DateTimeString

		' Now Get the DateString and TimeString from passed hidden form elements
		' and replace those other values for new cases only

		DefaultGroupNumber = GetDefaultGroupNumber()  ' not case-related

		ErrorMessage = "" ' Clear error message

		' If Dup_Case_Num is entered, verify it is a valid case number
		If Master_Case_Num <> "" Then
			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN

			mySQL="select * from Cases WHERE case_number = " & Master_Case_Num

			set rstemp=conntemp.execute(mySQL)

			If rstemp.EOF = True  Then
				ErrorMessage = ErrorMessage & "<LI> " & wc_Invalid_Dup_case_Number
			Else
				' Other wise it must exist so it is ok and no message
			End IF

			rstemp.close
			set rstemp=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing
		Else
					ErrorMessage = ErrorMessage & "<LI> " & "Duplicate Case Number must be entered"
		End IF ' If master_Case_Number <> ""
End if  ' no configuration file found

'*** End error checking

		' ************* USER CUSTOMIZATIONS **************************
		' Add your own data requirements as necessary and add any
		' error text to be displayed to ErrorMessage string variable.

		If ErrorMessage <> "" Then
		%>

<!-- #INCLUDE FILE="Techusererror.inc" -->

	<% Else 'Otherwise either add new or update case record
		' DO NOT MODIFY this code below with caution:
		' The case record has some required fields and the
		' several of the fields must be carefully filled in
		' to make other parts of the system work correctly.

'************************** update master record first
' what if case is closed?
'  set modified flag, modified date/time, reopen date time,
'  set case history
' send emails to old customers first
' add customers from copy to master
'  send out emails to tech and group

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from Cases where case_number = " & master_case_num

		'response.write SQL

		' open the master case
		NewRecord.Open SQL,Conn,3,3

		If  NewRecord.EOF then
			response.write " UPDATE ERROR - Existing record not found <br>"
			Response.write "SQL = " & SQL
			Response.flush
			Response.end

		Else
			'change case history on this to reflect
			' what if this case is closed?
			MasterCaseOneLine = NewRecord("case_one_line") ' 06/05/13
			NewRecord("modified_flag") = 1
		'	Old_Customer_ID = NewRecord("Customer_ID")
			' New Change 5/18/2009 -
			' Could be commented out - this will prevent Mod_Date and Mod_time
			' from being updated if the case is closed.  to reset the
			' mod date and time, simple re-open the case update and then re-close.

				If cint(NewRecord("Status")) <> 1 Then ' this is master case 05/21/13 changed to cint
					NewRecord("mod_date") = DateString ' YYYYMMSS
					NewRecord("mod_time") = TimeString ' HHMMSS
				End If

			NewRecord("Reopen_Date") = Datestring
			NewRecord("reopen_Time") = TimeString

			Current_Case_History = NewRecord("Case_History")
			Resolution = 	wc_Case_history_duplicate_case_Master_part1 & Closing_Case_num & wc_Case_history_duplicate_case_Master_part2  ' 04/17/13 add to resolution


			New_Case_History = vbCRLF & "{r[" &  DatetimeString &  wc_Updated_by & " ["& Tech_Full_Name & "] ]r}"  &  vbCRLF
			New_Case_History = New_Case_History & verbiage
			New_Case_History = New_Case_History  & wc_Case_history_duplicate_case_Master_part3 & vbCRLF

		   ' Add original customer name from closed case
			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN

			sSQL = sSQL & " select contact_fname, contact_lname from "
			sSql = sSQL & " cases INNER JOIN customers on cases.customer_id = customers.customer_ID  where case_number = " & closing_case_num
			sSql = sSQL & " and cases.customer_ID not in (Select Customer_ID from cases where case_number = " & Master_Case_Num & ") " ' 04/17/13
			sSql = sSQL & " and cases.customer_ID not in (Select Customer_ID from AdditionalCustomerCaseAssignments where case_number = " & Master_Case_Num & ") " ' 04/17/13
			sSql = sSQL & "Order by Contact_lname, contact_fname"  ' 04/05/12

		'response.write "SQL" & ssql
		'response.flush
		'response.end
			set rstemp=conntemp.execute(sSQL)

			If NOT rstemp.EOF then
				New_Case_History = New_Case_History  &  rstemp("contact_fname") & " " & rstemp("contact_lname")  & vbCRLF
				rstemp.MoveNext
			end if

			rstemp.close
			set rstemp=nothing

			'Add additional customers from closed case
			sSQL = ""  ' 05/03/13
			sSQL = sSQL & " select contact_fname, contact_lname from "
			sSql = sSQL & " AdditionalCustomerCaseAssignments INNER JOIN customers on AdditionalCustomerCaseAssignments.customer_id = customers.customer_ID where case_number = " & closing_case_num
			sSql = sSQL & " and AdditionalCustomerCaseAssignments.customer_ID not in (Select Customer_ID from cases where case_number = " & Master_Case_Num & ") " ' 04/17/13
			sSql = sSQL & " and AdditionalCustomerCaseAssignments.customer_ID not in (Select Customer_ID from AdditionalCustomerCaseAssignments where case_number = " & Master_Case_Num & ") " ' 04/17/13
			sSql = sSQL & "Order by Contact_lname, contact_fname"  ' 04/05/12

			'response.write "SQL" & ssql
			'response.flush
			'response.end

			set rstemp=conntemp.execute(sSQL)

			Do While NOT rstemp.EOF
				New_Case_History = New_Case_History  &  rstemp("contact_fname") & " " & rstemp("contact_lname")  & vbCRLF
				rstemp.MoveNext
			Loop

			rstemp.close
			set rstemp=nothing

			conntemp.close ' Close the connection
			set conntemp=nothing

			' Make sure we are not exceeding the size of the case_history field.
			New_Case_History = New_Case_History  & "Case History:" & vbCRLF & Case_History & vbCRLF

			' New Case History String = New_Case_History so save this for customer emails
			New_Case_History_Without_OLD = New_Case_History

			New_Case_History = Current_Case_History  & New_Case_History

			If Len(New_Case_History) < (MaxHistorySize - 10) Then ' Only update is size is ok.
				NewRecord("Case_History") = New_Case_History
			Else
				Response.Write wc_Case_History_size_of  & Len(New_Case_History) & wc_exceeds_maximum_value_of  & MaxHistorySize - 10 & "<br>"
			End If

			NewRecord.Update

			If  err.number>0 then
			      response.write "VBScript Errors Occured:" & "<P>"
			      response.write "Error Number=" & err.number & "<P>"
			      response.write "Error Descr.=" & err.description & "<P>"
			      response.write "Help Context=" & err.helpcontext & "<P>"
			      response.write "Help Path=" & err.helppath & "<P>"
			      response.write "Native Error=" & err.nativeerror & "<P>"
			      response.write "Source=" & err.source & "<P>"
			      response.write "SQLState=" & err.sqlstate & "<P>"
			else
			'      response.write "No VBScript Errors Occured" & "<P>"
			end if

			IF  conn.errors.count> 0 then
			    response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
				      response.write "Error #" & conn.errors(counter).number & "<P>"
				      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
			      'response.write "No Database Errors Occured!" & "<P>"
			end if

			NewRecord.Close
			Set NewRecord = Nothing
End if 'record found

	Case_Number = Master_Case_Num
	Customer_Notification = wc_None
	Survey_Notification = wc_None

' --------------------- end master case processing

' --------------------- Processing for record which is being closed
		Case_number = closing_case_num

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from Cases where case_number = " & closing_case_num
		NewRecord.Open SQL,Conn,3,3

		If  NewRecord.EOF then
			response.write " UPDATE ERROR - Existing record not found <br>"
			Response.write "SQL = " & SQL
			Response.flush
			Response.end
		Else
			'change case history on this to reflect

			NewRecord("modified_flag") = 1
			Closing_Customer_ID = NewRecord("Customer_ID")
			Closing_tech = newrecord("Tech_ID")
			Closing_group = newrecord("Group_Number")

			' New Change 5/18/2009 -
			' Could be commented out - this will prevent Mod_Date and Mod_time
			' from being updated if the case is closed.  to reset the
			' mod date and time, simple re-open the case update and then re-close.

          OldStatus = NewRecord("Status") ' moved this up 05/21/13 this is closing case

			NewRecord("Status") = 1
         NewRecord("Dup_case_num") = Master_case_num

			If cint(OldStatus) <> 1 Then ' 05/21/13 changed to oldstatus and added cint
				NewRecord("mod_date") = DateString ' YYYYMMSS
				NewRecord("mod_time") = TimeString ' HHMMSS
			End If

			NewRecord("Reopen_Date") = Datestring
			NewRecord("reopen_Time") = TimeString

			New_Case_History = vbCRLF & "{r[" &  DatetimeString &  wc_Updated_by & " ["& Tech_Full_Name & "] ]r}"  ' 05/21/13 &  vbCRLF
			 New_Case_History = New_Case_History  & VERBIAGE & wc_Case_history_duplicate_case_Master_part3b & vbCRLF

			 ' update resolution of case being closed
			If not isNull(NewRecord("Case_Resolution")) then
				Resolution = NewRecord("Case_Resolution")
			else
				Resolution = ""
			End if
			NewRecord("Case_Resolution") = resolution & vbCRLF & verbiage  ' 04/19/13
			ClosingCaseOneLine = NewRecord("Case_one_line")  ' 06/05/13
			Current_Case_History = NewRecord("Case_History")

			Status = 1
			If cint(OldStatus) <> 1 Then   ' 05/21/13 fixed wasn't showing status change
					StatusChanged = "YES"
					NewStatus = wc_Closed
					New_Case_History = New_Case_History  & wc_CASE_STATUS_CHANGED_TO   & NewStatus & vbCRLF
			End IF

		'********** open duration
		' New code (9/16/2009) that displays the number of days/hours it took to close this case
		' to remove this feature, comment out this first line below
		SHOW_OPEN_DURATION = "YES"

		If SHOW_OPEN_DURATION = "YES" Then

			If StatusChanged = "YES" then   ' 05/21/13 got rid of this And Status = "1" Then '

				' Pull out Start time and end time

				open_date = NewRecord("Open_date")
				Open_time = NewRecord("Open_Time")

				Mod_Date = DateString
				Mod_Time = TimeString

				HoursToClose = ComputeHourDifference(open_time, open_date, mod_Time, mod_date)
				Days_Opened = Int(HoursToClose/24)
				Hours_Open = Int(HoursToClose - Days_Opened*24)
				Open_Duration_String = "Days:" & Cstr(Days_Opened) & " Hours:" & Hours_Open
				New_Case_History = New_Case_History  & "CASE DURATION: " & Open_Duration_String  & vbCRLF

			End IF
		End IF
		'*** end of open duration calculation

       	New_Case_History = New_Case_History  & "Case History:" & vbCRLF & Case_History & vbCRLF

			' New Case History String = New_Case_History so save this for customer emails
			New_Case_History_Without_OLD = New_Case_History

			New_Case_History = Current_Case_History  & New_Case_History

			If Len(New_Case_History) < (MaxHistorySize - 10) Then ' Only update is size is ok.
				NewRecord("Case_History") = New_Case_History
			Else
				Response.Write wc_Case_History_size_of  & Len(New_Case_History) & wc_exceeds_maximum_value_of  & MaxHistorySize - 10 & "<br>"
			End If

			' Update Summary and Resolution Fields
			' Limit the size based on the max case resolution and summary sizes

			NewRecord.Update

			If  err.number>0 then
			      response.write "VBScript Errors Occured:" & "<P>"
			      response.write "Error Number=" & err.number & "<P>"
			      response.write "Error Descr.=" & err.description & "<P>"
			      response.write "Help Context=" & err.helpcontext & "<P>"
			      response.write "Help Path=" & err.helppath & "<P>"
			      response.write "Native Error=" & err.nativeerror & "<P>"
			      response.write "Source=" & err.source & "<P>"
			      response.write "SQLState=" & err.sqlstate & "<P>"
			else
			'      response.write "No VBScript Errors Occured" & "<P>"
			end if

			IF  conn.errors.count> 0 then
			    response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
				      response.write "Error #" & conn.errors(counter).number & "<P>"
				      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
			      'response.write "No Database Errors Occured!" & "<P>"
			end if

			NewRecord.Close
			Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing
end if ' master found


Case_Number = Closing_Case_Num
'************************************************************
		Call AddCustomers (Closing_Case_Num,Master_Case_Num)

'************* Additional Notifications Email Code *************

		If bAdditionalEmails = True Then ' Version7.5

		'	If AdditionalNotifications <> "" Then ' Additonal notifications is enabled so send out emails
			'	SendAdditionalNotificationEmail(Case_Number)
		'	End If

		End If  ' End of If Additional Notifications

'*************** Additional Customer-Case Notifications Email Code *****************
Case_Number = Master_Case_Num
Additional_Customer_Case_Assignment_List = wc_None

'if  bAdditionalCustomerCaseAssignments = True Then
       ' 	SendEmailToAdditionalCustomerCaseAssignment(Case_Number)
'End IF

	' Only send Emails to Customers if the Send Customer Email flag is set to true NOT IN DUPLICATE FORM

	Customer_Notification = wc_None
	Survey_Notification = wc_None

	 '***** User Customization Here ********************
		' Some users have request that email should be sent to Customers whenever a case
		' is closed even if the tech forgets to set the Send Email Radio Button.
		' If you wish to have this behavior, then uncomment the first IF statement below
		' and comment the second IF statement with a preceding single quote.

	' * * * * * * * * * * * * *User Customizations * * * * * * * * * *
	' There are numerous options deciding when an email should be sent to
	' a group.  Listed below are come IF statement that can be
	' configured when emails are sent to group members.  The flags
	' GroupChanged, Status Changed, TechChanged will be set to the
	' value of "YES" if any of these conditions has changed or been
	' orginally set.  Using this flag, one can program how and when
	' they want emails set to Groups.

	' SendEmailToCustomerAssignedTechFlag = "NO"
	SendEmailToCustomerAssignedTechFlag = "YES"
'	SendEmailWhenPriorityLowLevel = 2

    Call SendEmailToAllCustomers (Closing_Case_Num,Master_Case_Num)

	If SendEmailToCustomerAssignedTechFlag = "YES" then 'AND (Cint(Case_Severity) <= SendEmailWhenPriorityLowLevel AND Cint(Case_Severity) <> 0) then
		Call SendEmailToAllcaseTechs (Closing_Case_Num,Master_Case_Num)
   End If
	' New option to send emails to techs assign to the customer
	' To enable, uncomment the lines of codes below

'response.flush ' DEBUG
'response.end ' DEBUG
%>
<% ' Display the page now %>

<html><head>
<Title><%=wc_Case_Confirmation%></title>
<!-- C. 1996, 1997, 1998, 1999, 2000, 2001, 2002 Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>
<center>
<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed>

<%=wc_Case%> <font color=red><B><%=Closing_Case_num%></b></font> and
<%=wc_Case%> <font color=red><B><%=master_Case_num%></b></font>

<%=wc_successfully_created_or_updated%>

</td>
</tr>
</table>

<p>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr><td>
<B><%=wc_Email_Notification_Report%>:</b><P>
<UL>
<LI><B><%=wc_Customer%> and <%=wc_Additional_Customer_Case_Assignments%> :</b> <%=Additional_Customer_Case_Assignment_List%>

<% 'If bAdditionalCustomerCaseAssignments = True Then %>

<!--<LI><B><%=wc_Additional_Customer_Case_Assignments%>:</b> <%=Additional_Customer_Case_Assignment_List%>-->

<% 'End If %>

<LI><B><%=wc_Assigned_Tech%>:</b>  <%=Tech_Notification%>
<LI><B><%=wc_Assigned_Group_Members%>:</b>  <%=Group_Notification%>


<%If bAdditionalEmails = True Then ' Version 7.5

		If Request.form("AdditionalNotifications") <> "" Then


		 Additional_Notification_List = "Primary: "& PrimaryAdditionalNotificationEmail
	Else

		 Additional_Notification_List = "Primary: (None - Disabled)"

	End If

		Additional_Notification_List = Additional_Notification_List & " Other Recipients: " & AdditionalCCList
%>


<LI><B><%=wc_Additional_Notifications%>:</b>  <%=Additional_Notification_List%>

<% End If %>
</ul>
<CENTER>
			<p><a href=TCaseForm.asp?customer_id=0&case_number=<%=Closing_Case_num%>>
			<img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
</CENTER>
</font>
<P>

</td>
</tr>
</table>

</body>
</html>

<% End if ' End of IF ErrorMessage <> ""%>

<% Sub CreateTimeDateValues( DateString, TimeString, DateTimeString)
'	This Sub creates the TimeDate values that are used
' 	when adding or updating the case record

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.


	' Compute the new Date and Time based on Server Time Zones plus
	' or minus the Time Zone Adjustments.  The time difference between
	' the Server Time and time where the web transaction is taking
	' placing is set by the variable called TimeZoneAdjustment

	'TimeZoneAdjustment = 0 ' Set this +/- Server Time Zone

	'TimeZoneAdjustment is set in the System Configuration Menu
	' Stored in Database as String
	If TimeZoneAdjustment = "" Or IsNull(TimeZoneAdjustment) Then
		TimeZoneAdjustmentInt = 0
	Else
		TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
	End If

	' Time Zone Label is also stored in configurable table in DB

	'TimeZoneLabel = "(PST)"

	NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)

	CurrentDateFormatted = CStr(Year(NewDate))

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(NewDate))
	End If

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(NewDate))
	End If

	DateString = CurrentDateFormatted ' In YYYYMMDD format

	' Now Create the time string in the format of HHMMSS

	TimeString = Right("0" & Hour(time), 2) & Right("0" & Minute(time),2) & Right("0" &Second(time),2)
	TimeString = Right("0" & DatePart("h",NewDate), 2) & Right("0" & DatePart("n", NewDate),2) & Right("0" & DatePart("s", NewDate),2)

	DateTimeString= Date & " " & time

'	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " " & Time
	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " "
	' Now computer the time in HH:MM PM/AM
	HourPart = DatePart("h", NewDate)


	'Response.write "HourPart = " & Hourpart & "<br>"
	'response.write "DateTimeString = " & DateTimeString

	' Fix to AM/PM Calculation corrected in version 4.0


	If HourPart = 0 Then
		NewHourPart = HourPart + 12
		DateTimeString = DateTimeString & NewHourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End If


	If HourPart <> 0 AND HourPart < 12 Then
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End If

	If HourPart = 12 Then
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	End If

	If HourPart >= 13 Then
		HourPart = HourPart - 12
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	End IF

	' Debugging
	'DEBUGTIME = "YES"
	If DEBUGTIME = "YES" THen
		Response.write "TimeString = " & TimeString & "<br>"
		Response.write "DateString = " & DateString & "<br>"
		Response.write "DateTimeString = " & DatetimeString & "<br>"
		Response.flush
		Response.end
	End IF



	End Sub ' End of CreateTimeDateValues
%>



<% Function GetDefaultGroupNumber()
' This functions gets the current default group number from
' the Group_list table by searching for the row where the
' default flag = 1 and grabbing the group_number

		set conntemp2=server.createobject("adodb.connection")

		conntemp2.open myDSN ' Open the connection once here

		mySQL2="select * from Group_list where default_flag = 1"
		set rstemp2=conntemp2.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			' There should always be a default group
			' send out an error
			response.write " No default group is set "
			Group_Number = 1
		Else
			GetDefaultGroupNumber = rstemp2("Group_number")
		End If

		rstemp2.close
		set rstemp2=nothing

		conntemp2.close ' Close the connection
		set conntemp2=nothing

	End Function
%>



<% Sub SendEmailToAllCustomers(closing_case_number, master_case_number)
	set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		' Now get the part of the email message that should be sent out when Cases
		' are updated or created by the Tech+Center.

		mySQL2="SELECT * from Email_text" ' There should only be one row in this table
		set rstemp2=conntemp.execute(mySQL2)

		if rstemp2.EOF then
			NewCaseMessage = ""
		Else
			NewCaseMessage = rstemp2("tech_update_case")
		End If

		' *************User Customizations *************************
		' Customer Email Subject Line Customizations
		' **********************************************************

		' You can change the Subject line if necessary
	'	SubjectLine = "Support Case [" & Closing_Case_Number & "] " & wc_Closed
		SubjectLine = "Support Case [" & Closing_Case_Number & " -- " & closingcaseoneline & "] " & wc_Closed  '05/24/13

		rstemp2.close
		set rstemp2=nothing

		Message = ""
      Message = GetMessageStart

		' Get the full server http URL for the direct LINK.
		 For each key in Request.serverVariables
			if Key = "SERVER_NAME" Then
				HostName =  Request.ServerVariables(key)
			End IF

			if Key = "SCRIPT_NAME" Then
				SCRIPT_Name =  Request.ServerVariables(key)
				' Replace DoEmailListSend.asp with RemoveFromList.asp
				' This will handle all of the necessary virtual directory mappings
				Virtual_Path = replace(Script_Name, "DoDuplicateCase.asp", "DCF.asp")
			End IF
		Next


		' ******** Important User Customizations ***************
		' The Customer+Center virtual directory must be specified here
		' since it may not be customer40 if you are using a non-default name
		' Set your customer+center virtual directory name below
		' Also set if you want to turn on this embedded link to customer+center
		' then un-comment or comment out the SendCustomerCenterLink variable line below.

		If CustomerVirtual = "" Then
			CustomerCenterVirtual = "customer70"
		Else
			CustomerCenterVirtual = CustomerVirtual ' Grab it from database
		End IF

		If TechVirtual = "" Then
			TechCenterVirtual = "tech70"
		Else
			TechCenterVirtual = TechVirtual
		End If

		SendCustomerCenterLINK = "YES" ' Commented out to disable this link

		' ********** End User Customizations ***********************

		Virtual_Path = replace(Virtual_path, TechCenterVirtual, CustomerCenterVirtual,1,99,1)

'LOOP HERE because want to have different links for different people
SaveMsg = Message

' ----- Start Of looping code
' get ALL customer_ID's and add them to master; PLUS original customer id closing_Customer_ID

		sSQL = "select customers.* from cases inner join "
		sSQL = sSQL & " customers on cases.customer_ID = customers.customer_ID "
		sSQL = sSQL & " where case_number = " & closing_Case_number
		sSQL = sSQL & " UNION "
		sSQL = sSQL & " select customers.* from additionalCustomercaseAssignments "
		sSQL = sSQL & " inner join "
		sSQL = sSQL & " customers on additionalCustomercaseAssignments.customer_ID = customers.customer_ID "
		sSQL = sSQL & " where case_number = " & closing_Case_number

	'response.write "SQL" & sSQL
	'response.flush
	'response.end


		set rstemp2=conntemp.execute(sSQL)

			Additional_Customer_Case_Assignment_List = ""

		' Loop through all of the entries and send  a customer notification email to each of them
		if rstemp2.EOF then
			ToEmail = "" ' No body is configured as an additional assigned customer for this case
			Additional_Customer_Case_Assignment_List  = "No additional customer assignments for this case"
		Else
			Do While not rstemp2.EOF

				Message = ""
				Message = Message & "<br><br>Your support case " & Closing_Case_Number & " is a duplicate of existing case " & Master_case_number & ".  "
				Message = Message & "Because of this, we have closed your case " & Closing_Case_number & " and added you as a customer in case " &  Master_case_number & ".  "

				'Message = Message & "<br><br>" & wc_Your_current_case_information_is & vbCRLF
				'Message = Message & wc_Case_Number_capital_letters & Closing_Case_Number & vbCRLF
				'Message = Message & wc_CASE_STATUS_CAPITAL_LETTERS
				'Message = Message & wc_Closed & vbCRLF

            customer_ID = rstemp2("Customer_ID")
            case_customer_ID = rstemp2("Customer_ID")
            contact_fname = rstemp2("Contact_fname")
            contact_lname = rstemp2("Contact_lname")
            ToFullName = rstemp2("contact_fname") & " " & rstemp2("contact_lname")
            ToEmail = rstemp2("email")

			'	If SendCustomerCenterLink <> "" Then
					   Message = Message & "<br><br>You can access the history of your new case " & Master_Case_number & " via this link: <br><br> "
						'--- create url with obfuscated customer_id and MODE=auto to enable automatic logging in with DCF.asp -------
						If WordPressSite > "" then  ' 10/02/12
							Params = "?WP=YES&MODE=auto&N=" &   Master_Case_Number &  "&ID=" & server.urlencode(obfuscate(Customer_ID))  ' WORDPRESS
							CaseLink= WordPressSite & "/DCF/" & Params
						Else
							CaseLink = "http://" &  hostname & Virtual_path & "?MODE=auto&N=" &   Master_Case_Number &  "&ID=" & server.urlencode(obfuscate(Case_Customer_ID))
						End If

						Message = Message &  Caselink & "."
						Message = Message &  Caselink & " -- " & ClosingCaseOneLine

				'	End IF

				Message = Message & 	"<br><br>You will receive another email when " & Master_Case_number & " has been closed, "
				Message = Message & 	"along with a description of the resolution. "
				Message = Message & 	"<br><br>Please let us know if you have any questions. "

	      		Message = Message & "<br><br></HTML>"

				' Do not remove this line.
				Message = Message & EmailChecksum

				' Send out the email if an email address exists

				If ToEmail <> ""  Then
					SendEmail ToEmail, ToFullName, SubjectLine, Message
					Additional_Customer_Case_Assignment_List = Additional_Customer_Case_Assignment_List & "<Br><I>" & ToFullName & "</i>(" & ToEmail & ")"
				End If

				rstemp2.MoveNext

			Loop

			End If

			rstemp2.close
			set rstemp2=nothing

			conntemp.close ' Close the connection
			set conntemp=nothing

'--------- end of looping code


	End Sub

%>

<% Sub SendEmailToAllCaseTechs(closing_Case_Number,master_case_number )
'	This subroutine sends out a notification email to a tech if a tech has already
	' being assigned to the case.  Only case updates will possibly have a
	' tech assigned to the case.

		' Now Build the Whole message body
		' *********************** USER CUSTOMIZATIONS**********************
		' The fix part of the message that is sent out can be modified by
		' changing the text below.
			Message = ""

			Message = Message & "<br><br>Support case " & closing_case_number & " has been "
			Message = Message & " identified as a duplicate of existing case " & master_case_number & "."
			Message = Message & " Because of this, case " & closing_case_number & " has been closed, and its customer(s) have been added to case " & master_case_number & "."
			Message = Message & "<br><br>You are receiving this email because you or your group have been assigned to one or both of these cases. "
			Message = Message & "<br><br>You can access the history of these cases via the following links:<br><br> "
         SaveMsg = Message

	' First we determine if case has a tech assigned to it.

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN ' Open the connection once here

		' Now get the case Information (One Line, summary, resolution, etc)

		mySQL2="SELECT * from Cases where case_number = " & closing_case_number
		set rstemp2=conntemp.execute(mySQL2)

		if rstemp2.EOF then
			Status = 1
			Tech_ID = ""
			AssignedTechID = ""
			ClosingCaseTechID = ""
			ClosingCaseGroupNumber = 0
			Group_number = 0
		Else
			' Get all of the information while we are here
			Tech_ID = rstemp2("Tech_ID")
			AssignedTechID = rstemp2("Tech_ID")
			Group_number = rstemp2("Group_Number")
         ClosingCaseTechID = rstemp2("Tech_ID")
         ClosingCaseGroupNumber = rstemp2("Group_Number")
         ClosingCaseOneLine = rstemp2("Case_one_line")  ' 05/21/13
		End If

		rstemp2.close
		set rstemp2=nothing

		If Tech_ID <> "" Then ' Tech Found so get their email
             Group_notification = Group_notification & " none "
				' Check if Assigned tech is the one doing the updates to the
				' case and if so do not send an email

				If LoginTech_ID = Tech_ID Then
					Tech_Notification = Tech_Notification & "  No message sent (Updated by assigned tech)"
					' Do not send out email
				Else
					'set conntemp=server.createobject("adodb.connection")
					'conntemp.open myDSN ' Open the connection once here

					' only send out email to tech if New_Case_notify = 1

					mySQL2="SELECT * from Tech_staff where Tech_ID = '" & Tech_ID & "' AND New_Case_Notify = 1"
					set rstemp2=conntemp.execute(mySQL2)

						if rstemp2.EOF then
							ToEmail = ""
						Else
							ToEmail = rstemp2("work_email")
							ToFullName = rstemp2("first_name") & " " & rstemp2("last_name")
						End If

						rstemp2.close
						set rstemp2=nothing

					'******* USER CUSTOMIZATION FOR CELL PHONE EMAILS **********************
						' Now display a link directly to the tech+center for that case window.

				'	Message = Message &  wc_Click_link_below_to_login_and_update & "<br><br>"

								  '-------create the URL link with obfuscted user ID in it ---------------
					' Message = Message & vbCRLF & wc_Click_link_below_to_login_and_update & vbCRLF

					' If you have a special port number use this syntax below
					' Portnumber = "8080"
					'    CaseLink = "http://" &  hostname & ":" & Portnumber & Virtual_path & "?MODE=auto&N=" &   Case_Number &  "&ID=" & server.urlencode(obfuscate(Tech_ID))

					 CaseLink = "http://" &  hostname & Virtual_path & "?MODE=auto&N=" &   Master_Case_Number &  "&ID=" & server.urlencode(obfuscate(Tech_ID))
                Message = SaveMsg &  "Primary case " & Master_case_number & " [" & masterCaseOneLine & "]: <br><br>" & caseLink
             	 CaseLink = "http://" &  hostname & Virtual_path & "?MODE=auto&N=" &  Closing_Case_Number &  "&ID=" & server.urlencode(obfuscate(Tech_ID))
                Message = Message &  "<br><br>Duplicate case " & closing_case_number & " (now CLOSED) [" & ClosingCaseOneLine & "]: <br><br> " & caseLink
	      		Message = Message & "<br><br></HTML>"


						' Do not remove this line.
						Message = Message & EmailChecksum

				' *************User Customizations *************************
				' Customer Email Subject Line Customizations
				' **********************************************************

				' You can change the Subject line if necessary

				'	SubjectLine = "Support Case " & Closing_Case_Number & " " & wc_Closed
					SubjectLine = "Support Case " & Closing_Case_Number & "[" & closingcaseoneline & "] - " & wc_Closed  ' 05/24/13

						' Now we have everything we need to send the email to the tech
						' Only send the message if ToEmail exists and

						If ToEmail <> ""   Then
							TechEmailSent = 1  ' cmb 05/04/2011
							SendEmail ToEmail, ToFullName, SubjectLine, Message
							Tech_Notification = Tech_Notification & " <I>" &  ToFullName & "</i>(" & ToEmail & ")"
						End If

						' Determine if we should send out email to Tech's cell phone email address

					End IF ' End of If LoginTech_ID = Tech_ID

				ELSE ' ' if no tech, send to group THIS IS CLOSING CASE
					 Tech_Notification = Tech_Notification & " none. "

	'	This subroutine sends out a notification email to any tech that are
	' configured with the default group or assigned group.  Check to see if any of those techs have already been sent
	' an email from the SendEmailToAssignedTech() function

		'	SubjectLine = "Group Alert For Case " & CLosing_Case_Num & " - " & wc_Closed
			SubjectLine = "Group Alert For Case " & CLosing_Case_Num & "[" & closingcaseoneline & "] - " & wc_Closed

		' Now see if there are any techs configured for this group that have
		' configured email notification

		mySQL2="SELECT * from Groups where Group_Number = " & Group_Number &" AND New_Case_Notify = 1 "
		set rstemp2=conntemp.execute(mySQL2)

		if rstemp2.EOF then
			ToEmail = "" ' No body is configured
		Else
		' Loop through all of the entries and send email to each of them
		' each for the one where the tech_id is the same as the assigned tech.

			Do While NOT rstemp2.EOF
				' For each tech, we will have to get their email address
				Tech_ID = rstemp2("tech_id")
				Group_Tech_ID = Tech_ID

				if Tech_ID <> AssignedTechID or TechEmailSent = 0 then  ' CMB 05/04/2011
				' Now get the email for each tech_id

				mySQL3="SELECT * from Tech_staff where Tech_ID = '" & Tech_ID & "'"
				set rstemp3=conntemp.execute(mySQL3)

				if rstemp3.EOF then
					ToEmail = ""
				Else
					ToEmail = rstemp3("work_email")
					ToFullName = rstemp3("first_name") & " " & rstemp3("last_name")
				End If

				rstemp3.close
				set rstemp3=nothing

				' Part of the message is a web link for the tech to directly log back
				' into the Tech+Center and go directly to the case.  The link here must
				' have the Tech_ID for the person who we are sending the email to
				' so it is changed for each tech for who this email is sent.

				CaseLink = "http://" &  hostname & Virtual_path & "?MODE=auto&N=" &   Master_Case_Number &  "&ID=" & server.urlencode(obfuscate(Tech_ID))
            Message = SaveMsg &  "Primary case " & Master_case_number & " [" & masterCaseOneLine & "]: <br><br>" & caseLink
				CaseLink = "http://" &  hostname & Virtual_path & "?MODE=auto&N=" &  Closing_Case_Number &  "&ID=" & server.urlencode(obfuscate(Tech_ID))
            Message = Message &  "<br><br>Duplicate case " & closing_case_number & " (now CLOSED) [" & ClosingCaseOneLine & "]: <br><br> " & caseLink
	      	Message = Message & "<br><br></HTML>"

				TotalTxtMessage = Message & EmailChecksum
				FullMessage = TotalTxtMessage

				' Send out the email if an email address exists
				If ToEmail <> "" AND LoginTech_ID <> Group_Tech_ID   Then
					SendEmail ToEmail, ToFullName, SubjectLine, FullMessage
					Group_Notification = Group_Notification & "<Br><I>" & ToFullName & "</i>(" & ToEmail & ")"
				End If

				' Add some message why we didn't send group to assigned tech
				If LoginTech_ID = Group_Tech_ID Then
					Group_Notification = Group_Notification & "<Br><I>" & ToFullName & "</i>(" & ToEmail & ")- " & wc_No_message_sent
				End IF
			End IF ' CMB 05/04/2011

			rstemp2.MoveNext
			Loop

			End If

			rstemp2.close
			set rstemp2=nothing

    End if ' GROUPS

    '--- MASTER case EMAILS --------------------------------------
Tech_Notification = Tech_Notification & "<br> For Primary: "
Group_notification = Group_notification & "<br>For Primary: "

	 		mySQL2="SELECT * from Cases where case_number = " & master_case_number
	 		set rstemp2=conntemp.execute(mySQL2)

	 		if rstemp2.EOF then
	 			Tech_ID = ""
	 			Group_number = 0
	 		Else
	 			Tech_ID = rstemp2("Tech_ID")
	 			Group_number = rstemp2("Group_Number")
	 			masterCaseOneLine= rstemp2("Case_one_line")
	 		End If

	 		rstemp2.close
	 		set rstemp2=nothing

	 		If Tech_ID <> ""  Then ' Tech Found so get their email
            Group_notification = Group_notification & " none "
				' Check if Assigned tech is the one doing the updates to the
				' case and if so do not send an email
'response.write "LOGIN" & LoginTech_ID
'response.write "Tech" & tech_ID
'response.flush
'response.end
				If LoginTech_ID = Tech_ID  Then
						Tech_Notification = Tech_Notification & " No message sent (Updated by assigned tech)"
					' Do not send out email
				Else
					If Tech_ID = ClosingCaseTechID then
						Tech_Notification = Tech_Notification & " No message sent (Primary Tech is the same as Duplicate Tech)"
						' probably should check to make sure also not in group number of closing case
					Else

	 					' only send out email to tech if New_Case_notify = 1

	 					mySQL2="SELECT * from Tech_staff where Tech_ID = '" & trim(Tech_ID) & "' AND New_Case_Notify = 1"
	 					set rstemp2=conntemp.execute(mySQL2)

	 					if rstemp2.EOF then
							ToEmail = ""
						Else
							ToEmail = rstemp2("work_email")
							ToFullName = rstemp2("first_name") & " " & rstemp2("last_name")
						End If

						rstemp2.close
						set rstemp2=nothing

				'		conntemp.close ' Close the connection
				'		set conntemp=nothing

						CaseLink = "http://" &  hostname & Virtual_path & "?MODE=auto&N=" &   Master_Case_Number &  "&ID=" & server.urlencode(obfuscate(Tech_ID))
            		Message = SaveMsg &  "Primary case " & Master_case_number & " [" & masterCaseOneLine & "]: <br><br>" & caseLink
						CaseLink = "http://" &  hostname & Virtual_path & "?MODE=auto&N=" &  Closing_Case_Number &  "&ID=" & server.urlencode(obfuscate(Tech_ID))
           			 Message = Message &  "<br><br>Duplicate case " & closing_case_number & " (now CLOSED) [" & ClosingCaseOneLine & "]: <br><br> " & caseLink
	      			Message = Message & "<br><br></HTML>"

	 						' Do not remove this line.
	 						Message = Message & EmailChecksum

 					' 05/21/13	SubjectLine = "Support Case " & Master_Case_Number & " has another case assigned to it"
					'	SubjectLine = "Support Case " & Master_Case_Number & " has been marked as a duplicate issue"  ' 05/21/13
  						SubjectLine = "Support Case " & Master_Case_Number & " [" & mastercaseoneline & "] - " & " has been marked as a duplicate issue"  ' 05/21/13  5/24/13

					' Now we have everything we need to send the email to the tech
					' Only send the message if ToEmail exists and

						If ToEmail <> ""   Then
							TechEmailSent = 1  ' cmb 05/04/2011
							SendEmail ToEmail, ToFullName, SubjectLine, Message
							Tech_Notification = Tech_Notification & " <I>" &  ToFullName & "</i>(" & ToEmail & ")"
						End If

	            end if ' not master tech

	 					End IF ' End of If LoginTech_ID = Tech_ID

	 	ELSE ' ' if no tech, send to group ' this is master/primary
	 			SubjectLine = "Group Alert For Case " & Master_Case_Num & " - has had a duplicate case assigned to it."
			 Tech_Notification = Tech_Notification & " none "

	 		' Now see if there are any techs configured for this group that have
	 		' configured email notification

	 			mySQL2="SELECT * from Groups where Group_Number = " & Group_Number &" AND New_Case_Notify = 1"
	 			mySQL2 = mySQL2 & " and tech_ID not in (Select Tech_ID from groups where group_number = " & ClosingCasegroupnumber & ")"
	 			mySQL2 = mySQL2 & " and tech_ID <>  '" &  ClosingCaseTechID & "'"

	 			set rstemp2=conntemp.execute(mySQL2)

	 			if rstemp2.EOF then
	 				ToEmail = "" ' No body is configured
	 			Else
	 			' Loop through all of the entries and send email to each of them
	 			' each for the one where the tech_id is the same as the assigned tech.

	 			Do While NOT rstemp2.EOF
	 				Tech_ID = rstemp2("tech_id")
	 				Group_Tech_ID = Tech_ID

	 				if Tech_ID <> AssignedTechID or TechEmailSent = 0 then  ' CMB 05/04/2011
	 				' Now get the email for each tech_id

	 					mySQL3="SELECT * from Tech_staff where Tech_ID = '" & Tech_ID & "'"
	 					set rstemp3=conntemp.execute(mySQL3)

						if rstemp3.EOF then
							ToEmail = ""
						Else
							ToEmail = rstemp3("work_email")
							ToFullName = rstemp3("first_name") & " " & rstemp3("last_name")
						End If

						rstemp3.close
						set rstemp3=nothing

						CaseLink = "http://" &  hostname & Virtual_path & "?MODE=auto&N=" &   Master_Case_Number &  "&ID=" & server.urlencode(obfuscate(Tech_ID))
            		Message = SaveMsg &  "Primary case " & Master_case_number & " [" & masterCaseOneLine & "]: <br><br>" & caseLink
						CaseLink = "http://" &  hostname & Virtual_path & "?MODE=auto&N=" &  Closing_Case_Number &  "&ID=" & server.urlencode(obfuscate(Tech_ID))
           			 Message = Message &  "<br><br>Duplicate case " & closing_case_number & " (now CLOSED) [" & ClosingCaseOneLine & "]: <br><br> " & caseLink
	      		Message = Message & "<br><br></HTML>"

						TotalTxtMessage = Message & EmailChecksum
						FullMessage = TotalTxtMessage

	 				If ToEmail <> "" AND LoginTech_ID <> Group_Tech_ID   Then
	 					SendEmail ToEmail, ToFullName, SubjectLine, FullMessage
	 					Group_Notification = Group_Notification & "<Br><I>" & ToFullName & "</i>(" & ToEmail & ")"
	 				End If

	 				' Add some message why we didn't send group to assigned tech
	 				If LoginTech_ID = Group_Tech_ID Then
	 					Group_Notification = Group_Notification & "<Br><I>" & ToFullName & "</i>(" & ToEmail & ")- " & wc_No_message_sent
	 				End IF
	 			End IF ' CMB 05/04/2011

	 			rstemp2.MoveNext
	 			Loop

	 			End If

	 			rstemp2.close
	 			set rstemp2=nothing

    End if ' GROUPS
    		conntemp.close ' Close the connection since we may not open it again
	 		set conntemp=nothing


End Sub ' End of SendEmailToALLTechs() subroutine
%>

<% Function CleanUpHistoryTextNew(Case_Text)
' This functions removes all of the special color coding codes
' that exists in the case_history field so when the email is sent it sends
' it without all of those funny colors.


' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;


		' Replace the special color coding characters

		NewText = Replace (Newtext, chr(10), vbCRLF)

		NewText = Replace (NewText, "{g[", "")

		NewText = Replace (NewText, "{r[", "")

		NewText = Replace (NewText, "]r}", "")

		NewText = Replace (NewText, "]g}", "")

'		NewText = Replace (NewText, vbLF, vbCRLF)

		' There are some places where we have put LFCR
		' at the end of the end of the lines in techcenter
'		NewText = Replace (NewText, vbLF & vbCR, vbCRLF)

		' Other places have just LF (10)
'		NewText = Replace (Newtext, vbCR, vbCRLF)

	CleanUpHistoryText = NewText

'	For i = 1 to len(NewText)
'		NewMessage  = NewMessage & mid(NewText,i,1)
'		NewMessage = NewMessage & "[" & asc(mid(NewText,i,1)) & "]"
'	next

'	response.write NewMessage


'	CleanUpHistoryText = Case_Text

End function
%>

<% Function CleanUpHistoryText(Case_Text)
' This functions removes all of the special color coding codes
' that exists in the case_history field so when the email is sent it sends
' it without all of those funny colors.


' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;




' Debugging

'response.write "History Text = " & Case_Text & "<P>"


		' Replace the special color coding characters

		NewText = Replace (Newtext, chr(10), vbCRLF)

		NewText = Replace (NewText, "{g[", "")

		NewText = Replace (NewText, "{r[", "")

		NewText = Replace (NewText, "]r}", "")

		NewText = Replace (NewText, "]g}", "")

'		NewText = Replace (NewText, vbLF, vbCRLF)

		' There are some places where we have put LFCR
		' at the end of the end of the lines in techcenter
		NewText = Replace (NewText, vbLF & vbCR, vbCRLF)

		' Other places have just LF (10)
'		NewText = Replace (Newtext, vbCR, vbCRLF)

		' Other Tests

		' This is the important one to remove extra spaces for the emails!!
		NewText = Replace (Newtext, vbCRLF,"" )


		' Do not use these
'		NewText = Replace (Newtext, "", chr(10))
'		NewText = Replace (NewText, "


	CleanUpHistoryText = NewText

'Debugging


'
'	For i = 1 to len(NewText)'
'		NewMessage  = NewMessage & mid(NewText,i,1)
'		NewMessage = NewMessage & "[" & asc(mid(NewText,i,1)) & "]"
'	next

'	response.write NewMessage


'	CleanUpHistoryText = Case_Text

End function
%>


<% Function TechFullName(Tech_ID)
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		If Tech_ID = "" Then
			TechFullName = "Un-assigned"
		Else

			set conntemp2=server.createobject("adodb.connection")
			conntemp2.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & Tech_id & "'"
			set rstemp2=conntemp2.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for Tech_ID: " & Tech_id
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp2.Close
			Set conntemp2 = nothing

		End If


	End Function ' End of TechFullName
	%>

<% Function GroupFullName(Group_Number)
	'This function gets the full name of the Passed Group Number
		If Group_Number = "" Then
			GroupFullName = "Default Group"
		Else

			set conntemp2=server.createobject("adodb.connection")
			conntemp2.open myDSN ' Open the connection once here

			mySQL2="select * from Group_list where Group_Number = " & Group_Number
			set rstemp2=conntemp2.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				GroupFullName = "Group Not Defined"
			Else
				GroupFullName = rstemp2("Group_Name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp2.Close
			Set conntemp2 = nothing

		End If

	End Function ' End of GroupFullName
%>

<% Function PriorityFullDescription(Priority_Number)
	'This function gets the full description of the Passed Priority Number
		If Priority_Number  = "" Then
			PriorityFullDescription =  "Priority Not Defined"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Priority where PriorityID =  " & Priority_Number
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				PriorityFullDescription = "Priority Not Defined"
			Else
				PriorityFullDescription = rstemp2("ShortDesc")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If

	End Function ' End of PriorityFullDescription Function
%>

<% Function CreateCategoryText(Case_Number)
	' This function performs a query of the set Categories and
	' returns a string to be used when sending out the email messages

	mySQL3 = "select * from Cases where case_number = " & Case_Number

	'response.write mySQL3

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN ' Open the connection once here


	set rstemp2=conntemp.execute(mySQL3)


	' Create the category display for this case

	CategoryString = ""
	for i = 1 to 20 ' Increase this beyond 20 if more than 20 Categories
		CategoryItem = CInt(rstemp2("C"&i))
		If CategoryItem <> 0 Then
			' Some category value is set so see if the state of the category
			' equal to one (customer+tech display) and get the category
			' and category item description from the table lookup.

			'mySQL4 = "select * from Categories where category_number = " & i & " AND Item_number = " & CategoryItem & " AND State = 1"

			' Show all categories if not disabled
			mySQL4 = "select * from Categories where category_number = " & i & " AND Item_number = " & CategoryItem & " AND ((State = 2) OR (State = 1))"


			'response.write mySQL4 ' Debugging only

			set rstemp3=conntemp.execute(mySQL4)


			If rstemp3.EOF <> True THEN
				Item_name = rstemp3("Item_name")
				CategoryName = rstemp3("Category_name")

				CategoryString = CategoryString &  "  [" & CategoryName & "==" & Item_Name & "]"
				CategoryString = CategoryString & vbCRLF
				' Close this intermediate record set

			End If

			rstemp3.close
			set rstemp3=nothing
		End If
	next ' Loop through the first 20 Categories

		If CategoryString = "" then
			CategoryString = wc_Categories & ":" & wcNone  & vbCRLF
		Else
			CategoryString = wc_Categories & ":" & vbCRLF & CategoryString
		End If

	CreateCategoryText = CategoryString ' Put function return value


	rstemp2.close
	set rstemp2=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing


 End Function ' CreateCategoryText
%>


<% Sub ProcessTimeSpentEntry(Case_number, TimeSpentTech_ID, TimeSpentDate, TimeSpentDateDay, TimeSpentDateMonth, TimeSpentDateYear, TimeSpentBillable, TimeSpentHours, TimeSpentHourlyRate, TimeSpentNotes)

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from TimeSpent"
			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			NewRecord.AddNew


		' Set all of the variables the same for either new/update

		' Get the values from the form elements into variables by the same name

		' Get the case number from above for existing or new case.

		NewRecord("case_number") = case_number

		If TimeSpentTech_ID <> "" or TimeSpentTech_ID <> Null Then
			NewRecord("Tech_ID") = TimeSpentTech_ID
		End If


		If (TimeSpentDateDay <> "" AND TimeSpentDateMonth <> "" And TimeSpentDateYear <> "" ) OR TimeSpentDate <> Null Then

			' Always insert into the database in US format for Access

		' IF UK format, and SQL, then we need to insert the date in UK formats and not US formats

			'CHANGED 02/20/12 for UK people Access - CDate was screwing things up;

		 ' If DateDisplayFormat = "DDMMYYYY" AND DatabaseType = "SQLSERVER" Then  ' UK format - stored in UK or US format
				'TimeSpentDate = TimeSpentDateDay & "/" & TimeSpentDateMonth & "/" & TimeSpentDateYear
		 ' Else
				'TimeSpentDate = TimeSpentDateMonth & "/" & TimeSpentDateDay & "/" & TimeSpentDateYear
		  'End If

		'	NewRecord("Invoice_Date") = CDate(TimeSpentDate) ' 10/5/11 added cdate because sqlserver was storing it wrong!

		  If DateDisplayFormat = "DDMMYYYY" then  'AND DatabaseType = "SQLSERVER" Then  ' UK format - stored in UK or US format
				TimeSpentDate = TimeSpentDateDay & "/" & TimeSpentDateMonth & "/" & TimeSpentDateYear
				NewRecord("Invoice_Date") = CDate(TimeSpentDate) ' 10/5/11 added cdate because sqlserver was storing it wrong!
		  Else
				TimeSpentDate = TimeSpentDateMonth & "/" & TimeSpentDateDay & "/" & TimeSpentDateYear
				NewRecord("Invoice_Date") = TimeSpentDate
		  End If


		End If


		If TimeSpentBillable <> "YES"  Then
			NewRecord("Billable") = False
		Else
			NewRecord("Billable") = True

		End If

		' Important Fix - January 31, 2006
		'The HourlyRate and Hours can not be null.. they should default to Zero


		If TimeSpentHours <> "" or TimeSpentHours <> Null Then

		' If we are in QB mode, time should be entered in HH:MM not decimal hours so we need to convert

			If QBOption = "YES" Then

				ConvertedHoursString = Replace(TimeSpentHours, ":", ".")
				HourPart  = CInt(ConvertedHoursString)
				MinutePart = ((Csng(ConvertedHoursString) - Cint(ConvertedHoursString))/60)*100



				ConvertedHours = HourPart + MinutePart

				' Debug
				'response.write "Converted Hours = " & ConvertedHours
				'response.flush
				'response.end

				NewRecord("Hours") = ConvertedHours
			Else
				NewRecord("Hours") = TimeSpentHours

			End If


		Else
					NewRecord("Hours") = 0
		End If

		If TimeSpentNotes <> "" or TimeSpentNotes <> Null Then
			NewRecord("TimeSpentNote") = TimeSpentNotes
		End If

		If TimeSpentHourlyRate <> "" or TimeSpentHourlyRate <> Null Then
			NewRecord("HourlyRate") = TimeSpentHourlyRate
		Else
			NewRecord("HourlyRate") = 0

		End If


		NewRecord.Update


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing




  End Sub

%>



<%

' -------------------------------------------------------------------

Function Obfuscate(Mystring)

seedx = Timer()
' response.write "seedx is " & seedx & "<P>"
If Instr(seedx,".") Then
 aryseed = split(seedx,".")
 seed = Cdbl(aryseed(0)) + Cdbl(aryseed(1))
Else
 seed = 12345
End If



'response.write "seed is " & seed & "<P>"

Randomize(seed)
' response.write  " and seed is " & seed & "<br>"


strlength = Len(Mystring)

'response.write "The string is " & Mystring & " which has length of " & strlength & "<BR>"


Dim Arystring(80)


fuse = 0

  ' put in initial population

  For I = 0 to Strlength - 1
      Arystring(I) = PickOne(Strlength)
  Next

  Valid = "No"

While Valid = "No"
	 Valid = "Yes"
	 'response.write "--------------------------------BREAK----------------------------------<p>"
	 For I = 0 to Strlength - 1
	   For J = 0 to I
		 If I <> J Then ' dont compare with self
			  'response.write " comparing pos " & I & " which contains " & Arystring(I) & " with pos " & J & " which contains " & Arystring(J) & "<BR>"
			  if Arystring(I) = Arystring(J) Then
			     Valid = "No"
			     ' response.write "Dup found<br>"
			     Arystring(I) = PickOne(Strlength)
			  end if
			  fuse= fuse + 1
			  if fuse > 30000 Then
						response.write "----------------abort----------"
						response.flush
						response.end
			  End if
		End If
	   Next

	 Next
Wend



Arystring(Strlength) = (Strlength) ' Plant the length
'response.write "-----------Length set in pos " & Strlength & "<BR>"


For I = 0 to Strlength - 1 ' now that we have position vectors in place, plant the secret message
	 offset = Arystring(I)

	 ThisChar = Mid(MyString,I+1,1)
	 ThisChar = Asc(ThisChar) - 48
	 Arystring(offset) = ThisChar
	 'response.write "Planting " & ThisChar & " in position " & Offset & " which is " & Chr(ThisChar+48) & "<BR>"
Next

' Now fill in the empties with random values


	for i = 0 to 79
		 if Arystring(i) = "" Then
		   Arystring(i) = Int(Rnd()*78) + 1
		 End if
	next


Target = "" ' and now we add 48 to each element
for i = 0 to 79
	 if Arystring(i) <> "" Then
		'response.write "String pos " & i & " is " & Arystring(i) & " which maps to " & Arystring(i)+48 & " which is the character " & Chr(Arystring(i)+48) & "<br>"
	 else
		'response.write "String pos " & i & " is " & "&#920;<br>"
	 End if
	 Target = Target & Chr(Arystring(i)+48)
Next

Obfuscate = Target

End Function

%>


<%

' -------------------------------------------------------------------
Function PickOne(MinVal)
  candidate = Int(Rnd()*78) + 1
  TooLow = "Yes"
  While TooLow = "Yes"
	  If candidate <= MinVal Then
		'response.write "Candidate " & candidate & " is Too Low<br>"
		candidate = Int(Rnd()*78) + 1
	  Else
		TooLow = "No"
	  End If
  Wend

  PickOne = candidate
End Function

%>

<% Function GetCategoryNameAndItem(CategoryNumber, CategoryItem)
	' This function gets passed the category number and category item and returns
	' a formatted string with it.


	set conntemp5=server.createobject("adodb.connection")
	conntemp5.open myDSN ' Open the connection once here


			mySQL4 = "select * from Categories where category_number = " & CategoryNumber & " AND Item_number = " & CategoryItem


			'response.write mySQL4 ' Debugging only

			set rstemp8=conntemp5.execute(mySQL4)


			If rstemp8.EOF <> True THEN
				Item_name = rstemp8("Item_name")
				CategoryName = rstemp8("Category_name")

				CategoryString = CategoryString &  "  [" & CategoryName & "==" & Item_Name & "]"
				'CategoryString = CategoryString & vbCRLF
				' Close this intermediate record set

			End If

			rstemp8.close
			set rstemp8=nothing


		'If CategoryString = ""  then
		'	CategoryString =  wcNone
		'End If




	conntemp5.close ' Close the connection
	set conntemp5=nothing


GetCategoryNameAndITem = CategoryString

End Function
%>

<%
Function ComputeHourDifference(open_time, open_date, mod_Time, mod_date)


			FormattedOpenDate = mid(Open_Date,5,2) & "/" & mid(Open_Date,7,2) & "/" & mid(Open_Date,1,4)
			' Now we need to add the time as well to that string as hh:mm
			FormattedOpenTime = mid(Open_Time,1,2) & ":" & mid(Open_Time,3,2)
			FormattedOpenDateTime = FormattedOpenDate & " " & formattedOpenTime

			CurrentDate = FormatDateTime( Date, vbGeneralDate)
			' Now put this OpenDate format into a format that the DateDiff() function
			' can work with converting from YYYYMMDD to mm/dd/yyyy

			FormattedModDate = mid(Mod_Date,5,2) & "/" & mid(Mod_Date,7,2) & "/" & mid(mod_Date,1,4)
			' Now we need to add the time as well to that string as hh:mm
			FormattedModTime = mid(Mod_Time,1,2) & ":" & mid(Mod_Time,3,2)
			FormattedDateTime = FormattedModDate & " " & formattedModTime

			MinutesDiff = DateDiff("n", FormattedOpenDateTime, FormattedDatetime )
			'response.write "Now=" & Now()
			'response.write "FormattedDateTime = " & FormattedDatetime
			'response.write "Minutes Difference = " & MinutesDiff

			ComputeHourDifference = MinutesDiff/60

		' Debugging
		'response.write "Open_time = " & open_time & " Open Date = " & Open_Date
		'response.write "mod_time = " & mod_time & " mod Date = " & mod_Date
		'response.write "Hour Difference = " & ComputeHourDifference




 End Function

%>

<% Sub 	ProcessExpenseEntry ( case_number,ExpenseTech_ID, ExpenseDateDay, ExpenseDateMonth, ExpenseDateYear, Quantity,  Description, cost, TaxRatePercent)

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Expenses"
			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			NewRecord.AddNew


		' Set all of the variables the same for either new/update

		' Get the values from the form elements into variables by the same name

		' Get the case number from above for existing or new case.

		NewRecord("case_number") = case_number

		If ExpenseTech_ID <> "" or ExpenseTech_ID <> Null Then
			NewRecord("Tech_ID") = ExpenseTech_ID
		End If


		If (ExpenseDateDay <> "" AND ExpenseDateMonth <> "" And ExpenseDateYear <> "" ) OR ExpenseDate <> Null Then

			' Always insert into the database in US format for Access

			' 02/20/12	ExpenseDate = ExpenseDateMonth & "/" & ExpenseDateDay & "/" & ExpenseDateYear

			 If DateDisplayFormat = "DDMMYYYY" then ' AND DatabaseType = "SQLSERVER" Then  ' UK format - stored in UK or US format
					ExpenseDate = ExpenseDateDay & "/" & ExpenseDateMonth & "/" & ExpenseDateYear
					NewRecord("ExpenseDate") = CDate(ExpenseDate) ' 10/5/11 added cdate because sqlserver was storing it wrong!
			  Else
					ExpenseDate = ExpenseDateMonth & "/" & ExpenseDateDay & "/" & ExpenseDateYear
					NewRecord("ExpenseDate") = ExpenseDate
			  End If
				'response.write ExpenseDate
				'response.flush
				'response.end


			'NewRecord("ExpenseDate") = CDate(ExpenseDate)
		End If


		If Quantity <> ""  Then
			NewRecord("Quantity") = Quantity
		Else
			NewRecord("Quantity") = Null
		End If


		If Cost <> ""  Then
			NewRecord("Cost") = Cost
		Else
			NewRecord("Cost") = Null
		End If

		If Description <> ""  Then
			NewRecord("Description") = Description
		Else
			NewRecord("Description") = Null ' CMB fixed
		End If


		If TaxRatePercent <> ""  Then
			NewRecord("TaxRatePercent") = TaxRatePercent
		Else
			NewRecord("TaxRatePercent") = Null
		End If


		NewRecord.Update


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing




  End Sub

%>

<% Sub SendAdditionalNotificationEmail(Case_Number)
'	This subroutine sends out a notification email to the persons defined in the tech+center
	' From the case number.. we can get the CC list and Primary notification email
	' is found in the configuration table.


		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here
		If DatabaseType = "ORACLE" Then
			mySQL2="SELECT Customers.contact_fname, Customers.contact_lname, Customers.email, Cases.case_number FROM Cases, Customers where Cases.customer_id = Customers.customer_id and case_number = "& case_number
		Else
			mySQL2="SELECT Customers.contact_fname, Customers.contact_lname, Customers.email, Cases.case_number FROM Cases INNER JOIN Customers ON Cases.customer_id = Customers.customer_id where case_number = "& case_number
		End If
		set rstemp2=conntemp.execute(mySQL2)

		if rstemp2.EOF then
			ToEmail = ""
		Else
			ToEmail = rstemp2("email")
			ToFullName = rstemp2("contact_fname") & " " & rstemp2("contact_lname")

		End If

		rstemp2.close
		set rstemp2=nothing

		' Now get the part of the email message that should be sent out when Cases
		' are updated or created by the Tech+Center.

		mySQL2="SELECT * from Email_text" ' There should only be one row in this table
		set rstemp2=conntemp.execute(mySQL2)

		if rstemp2.EOF then
			NewCaseMessage = ""
		Else
			NewCaseMessage = rstemp2("tech_update_case")
		End If

		rstemp2.close
		set rstemp2=nothing

		' Now get the case Information (One Line, summary, resolution, etc)

		mySQL2="SELECT * from Cases where case_number = " & case_number
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			Case_History = ""
			Case_summary = ""
			Case_Resolution = ""
			Status = 1

		Else
			Case_History = rstemp2("Case_History")
			Case_Summary = rstemp2("Case_Summary")
			Case_Resolution = rstemp2("Case_Resolution")
			Case_One_Line = rstemp2("Case_One_Line")
			Status = rstemp2("Status")
			Case_customer_ID = rstemp2("Customer_ID")
			Status = CInt(Status)

			If bAdditional = True Then ' Version 7.5
				AdditionalCCList = rstemp2("AdditionalCCList") ' CC list
				AdditionalNotificationsDb = rstemp2("AdditionalNotifications") ' True or False
			End If

		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

		' Now Build the Whole message body
		' *********************** USER CUSTOMIZATIONS**********************
		' The fix part of the message that is sent out can be modified by
		' changing the text below.

		Message = ""
		Message = NewCaseMessage
		Message = Message & vbCRLF & wc_Your_current_case_information_is & vbCRLF
		Message = Message & wc_Case_Number_capital_letters & Case_Number & vbCRLF
		Message = Message & wc_CASE_STATUS_CAPITAL_LETTERS
		If Status = 1 Then
			Message = Message & wc_Closed & vbCRLF
		Else
			Message = Message & wc_Open & vbCRLF
		End If
		Message = Message & wc_Customer_ID_capital_letters & Case_Customer_ID & vbCRLF
		Message = Message & wc_CASE_ONE_LINE_DESCRIPTION & Case_One_Line & vbCRLF & vbCRLF


		' The special color codes have to be removed before sending the case_history

		' If the case is not closed then send out smaller message with just the updates
		' if the case is closed, then send the whole case history

		If Status = 1 Then  ' Status = Closed .. so send whole history text
			Message = Message & wc_COMPLETE_CASE_HISTORY_BELOW & vbCRLF &"---------------------------------" & vbCRLF

			Case_Text = Case_History
		Else
			Message = Message & wc_IMPORTANT_CASE_UPDATES_BELOW & vbCRLF &"---------------------------------" & vbCRLF

			Case_Text = New_Case_History_Without_Old
		End If

		If Case_Text = "" Then
			Case_Text = Case_History ' For initial case openings
		End If


		'************** USER CUSTOMIZATION ************************
		' DISPLAY ENTIRE CASE HISTORY FOR CUSTOMER EMAIL
		' If you want to display the whole Case History every time simply uncomment the line below
		' Case_Text = Case_History
		'***************End USER CUSTOMIZATION ********************


		Case_History = CleanUpHistoryText(Case_Text)
		Message = Message & "Case History:"& vbCRLF & Case_History & vbCRLF

		If Case_Summary <> "" Then
			Message = Message & wc_Case_summary_head & vbCRLF & Case_Summary & vbCRLF
		End If

		If Case_Resolution <> "" Then
			Message = Message & wc_Case_Resolution_head & vbCRLF & Case_Resolution & vbCRLF
		End If




		' ********** End User Customizations ***********************



		' Do not remove this line.
	      		Message = Message & "<br><br></HTML>"
		Message = Message & EmailChecksum


	'	If HTMLEmail = "YES" Then
		'	NotificationReportTitle = wc_Notification_Report_Support_Case_Update
		'	updatedby = "tech"
		'	AltBody = Message ' First save Text message into separate variable
		'	Message = CreateHTMLAdditionalNotificationMsg(Case_Number, CaseLink, NotificationReportTitle, UpdatedBy)
	'	End IF


		' *************User Customizations *************************
		' Customer Email Subject Line Customizations
		' **********************************************************

		' You can change the Subject line if necessary

		'There are three subject lines
		' (1) One for Newly Open cases by tech
		' (2) One for updating but not closed cases
		' (3) One for Closed cases

		'	SubjectLine = "Notification Report -Support Case " & Case_Number & " " & wc_Closed
			SubjectLine = "Notification Report -Support Case " & Case_Number & "[" & closingcaseoneline & "] - " & " " & wc_Closed  ' 05/24/13

		' Now we have everything we need to send the email to the customer
		' Only send the message if ToEmail exists and Customer_case_notify flag is set

		' We will send this email out to 2 types of emails
		'(1) Primary Notification Email
		'(2) Notification CC List

		' First get the primary notification email from the configuration file

	 ' Start to build up list of people that were sent the email
			Additional_Notification_List = "" 'Clear out list

			IF AdditionalNotificationsDb = True AND PrimaryAdditionalNotificationEmail <> "" Then
				'Additional_Notification_List = PrimaryAdditionalNotificationEmail

			ToEmail = PrimaryAdditionalNotificationEmail
			ToFullName = PrimaryAdditionalNotificationEmail
			SendEmail ToEmail, ToFullName, SubjectLine, Message

		End If ' End of if AdditionalNotifications <> '"

		' Now get the CC list and extract individual emails from there and send them out

		IF AdditionalCCList  <> "" Then

		' Parse through the string that is comma delimited
			spacefound = "NO"
			EmailString = "" ' Clear out EmailString

			'response.write "AdditionalCCList = " & AdditionalCCList & "<br>"
			'response.flush
			'response.end

			for i=1 to len(AdditionalCCList)
				if (mid(AdditionalCCList,i,1) = " ") OR  (mid(AdditionalCCList,i,1) = ",") Then
					SpaceFound = "YES"
				End If

				if spacefound = "NO" Then
					OneCharacter = mid(AdditionalCCList,i,1)
					EmailString = EmailString & OneCharacter
				Else

					' space or comma found so send an email with that email address

					ToFullName = Trim(EmailString)
					ToEmail = Trim(EmailString)

				Additional_Notification_List = Additional_Notification_List & " " & ToEmail

						SendEmail ToEmail, ToFullName, SubjectLine, Message

					 EmailString = "" ' Clear out email string
					 SpaceFound = "NO"

				End IF

			Next

				' Send out last one that is not terminated with space or comma

					ToFullName = Trim(EmailString)
					ToEmail = Trim(EmailString)
					Additional_Notification_List = Additional_Notification_List & " " & ToEmail
						SendEmail ToEmail, ToFullName, SubjectLine, Message


		End If

End Sub ' End of SendAdditionalNotifications() subroutine
%>

<% Function GetMessageStart()
TU = ""
TU = TU & "<html>"
TU = TU & "<!-- (C) 1996,1998, 1999, 2000-2013 by Internet Software Sciences -->"
TU = TU & "<head>"
TU = TU & "<title>Case: " & Case_Number & " </title>"
' Add in Style Sheets inbedded into header
StyleSheetText = GetEmailStyles()
TU = TU & StyleSheetText
TU = TU & "</head>"
TU = TU & "<body bgcolor=FFFFFF>"
TU = TU & "<p>"
TU = TU & "<center>"
GetMessageStart = TU
End Function
%>

 <% Function GetEmailStyles()

	EmailStyleString = ""
	EmailStyleString  = "<Style>"

	EmailStyleString = EmailStyleString  &  ".formlabel { "
	EmailStyleString = EmailStyleString  &  "           color: #303030;"
	EmailStyleString = EmailStyleString  &  "          font-family: verdana, arial, helvetica, sans-serif;"
	EmailStyleString = EmailStyleString  &  "          font-size: 11;"
	EmailStyleString = EmailStyleString  &  "          background-color: #C0C0C0;"
	EmailStyleString = EmailStyleString  &  "          }"

	EmailStyleString = EmailStyleString  &  ".formlabelsuper { "
	EmailStyleString = EmailStyleString  &  "           color: #303030;"
	EmailStyleString = EmailStyleString  &  "          font-family: verdana, arial, helvetica, sans-serif;"
	EmailStyleString = EmailStyleString  &  "          font-size: 11;"
	EmailStyleString = EmailStyleString  &  "          font-weight: bold;"
	EmailStyleString = EmailStyleString  &  "          background-color: #C0C0C0;"
	EmailStyleString = EmailStyleString  &  "          }"

	EmailStyleString = EmailStyleString  &  ".formboxholder { "
	EmailStyleString = EmailStyleString  &  "           font-family: verdana, arial, helvetica, sans-serif;"
	EmailStyleString = EmailStyleString  &  "           font-size: 11;"
	EmailStyleString = EmailStyleString  &  "           background-color: #C0C0C0;"
	EmailStyleString = EmailStyleString  &  " 		}"

	EmailStyleString = EmailStyleString  &  ".formlisting { "
	EmailStyleString = EmailStyleString  &  "            font-family: verdana, arial, helvetica, sans-serif;"
	EmailStyleString = EmailStyleString  &  "            font-size: 11;"
	EmailStyleString = EmailStyleString  &  "           background-color: darkseagreen;"
	EmailStyleString = EmailStyleString  &  ".FormTable  {       background-color: gray;"

	EmailStyleString = EmailStyleString  &  "		    padding-top: 3px;"
	EmailStyleString = EmailStyleString  &  "		    padding-bottom: 3px;"
	EmailStyleString = EmailStyleString  &  "		    padding-left: 25px;"
	EmailStyleString = EmailStyleString  &  "		    padding-right: 25px;"


	EmailStyleString = EmailStyleString  &  "                   }"



	EmailStyleString = EmailStyleString  &  ".formspacer {"
	EmailStyleString = EmailStyleString  &  "           background-color: #C0C0C0;"
	EmailStyleString = EmailStyleString  &  "             }"

	EmailStyleString = EmailStyleString  &  ".formdivider {"
	EmailStyleString = EmailStyleString  &  "           background-color: #A0A0A0;"
	EmailStyleString = EmailStyleString  &  "             }            "


	EmailStyleString = EmailStyleString  &  ".MinorFormTitle  { "
	EmailStyleString = EmailStyleString  &  "                    font-family: verdana, arial, helvetica, sans-serif;"
	EmailStyleString = EmailStyleString  &  "                    font-size: 12;"
	EmailStyleString = EmailStyleString  &  "                    font-weight: bold;"
	EmailStyleString = EmailStyleString  &  "                    background-color: lightsteelblue;"
	EmailStyleString = EmailStyleString  &  "                    color: black;"
	EmailStyleString = EmailStyleString  &  "		    border-width: 1px;"
	EmailStyleString = EmailStyleString  &  "		    border-style: solid;"
	EmailStyleString = EmailStyleString  &  "		    border-color: black;"

	EmailStyleString = EmailStyleString  &  "		    padding-top: 3px;"
	EmailStyleString = EmailStyleString  &  "		    padding-bottom: 3px;"
	EmailStyleString = EmailStyleString  &  "		    padding-left: 25px;"
	EmailStyleString = EmailStyleString  &  "		    padding-right: 25px;"

	EmailStyleString = EmailStyleString  &  "                   }"

	EmailStyleString = EmailStyleString  &  "</style>"

 	GetEmailStyles = EmailStyleString

  End  Function
%>

<%
Sub ADDCustomers(closingNum, PrimaryNum)
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN ' Open the connection once here

		sSQL = "insert into additionalcustomercaseassignments (customer_ID, case_number) "
		ssql = ssql & "select customer_ID ," & PrimaryNum & " from cases where case_number = " & closingNum
		ssql = ssql & " and customer_ID not in (Select Customer_ID from cases where case_number = " & PrimaryNum & ")"
		ssql = ssql & " and customer_ID not in (Select customer_ID from additionalcustomercaseassignments "
		ssql = ssql & " where case_number = " & PrimaryNum & ")"



		sSQL2 = "insert into additionalcustomercaseassignments (customer_ID, case_number, notifications) "
		ssql2 = ssql2 & "select customer_ID ," & PrimaryNum & ",notifications from additionalCustomercaseAssignments "
		ssql2 = ssql2 & " where case_number = " & closingNum
		ssql2 = ssql2 & " and customer_ID not in (Select Customer_ID from cases where case_number = " & PrimaryNum & ")"
		ssql2 = ssql2 & " and customer_ID not in (Select customer_ID from additionalcustomercaseassignments "
		ssql2 = ssql2 & " where case_number = " & PrimaryNum & ")"

	'	response.write "SQL1" & ssql
		'response.write "SQL2" & ssql2

	'	response.flush
	'	response.end

		set rstemp2=conntemp.execute(sSQL)

		set rstemp2=conntemp.execute(sSQL2)

		conntemp.close
		set conntemp = nothing
End Sub
%>
