<% 'Module: DoEditCategory1.asp

   'Description: This module is invoked by ManageCategoryLists.asp and actually inserts a new placeholder record into the database



   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '08/27/02	JC		Created original ASP module


'---------------------------------------------------------------------------------------------
' Brief Overview of the strategy used in this program and its companion DoEditCategory2.asp
'---------------------------------------------------------------------------------------------

'1)At the category level there are 3 buttons - Disable, All View, and Tech View.
'
'2)At the item level there are 2 buttons - Enable and Disable.
'
'
'3)At Display time in DoEditCageory1.asp (i.e. we are reading up records from the database
'      and showing them on the screen)
'
'    a) Rules for the Top Line only which shows Category Name
'
'       i)   If ALL records are Disabled (=0) then light up the "Disabled" button
'            else we have a mixture of (0 and 1) or a mixture of (0 and 2)
'
'       ii)  If we have a mixture of (0 and 1) we light up the "All" button
'
'       iii) If we have a mixture of (0 and 2) we light up the "Tech" button
'
'
'   b) Rules for displaying the item-level entries
'
'       i)   If a record has state 0 then light up the "Disable" button
'
'       ii)  Otherwise (i.e. if a record has a 1 or a 2) then light up the "Enable" button
'
'
'4) At update time in DoEditCageory2.asp (i.e. we are updating the records in the database based on form contents)
'
'
'    a) If the "Disable" button at the Category Name level is set, then we
'       propage the disable state (=0) through all the individual item level entries
'       i.e. all records will get written out with state set to 0
'
'    OTHERWISE
'
'    b) If the "All" button at the Category Name level is set, then we use the
'    radio-button setting in each item record (which might be "Enable" or "Disable")
'    to determine what to put in it -
'
'       i)  If it is "Enable" we set it to "All"
'
'       ii) If it is "Disable" we set it to "Disable"
'
'
'    c) If the "Tech" button at the Category Name level is set, then we use the
'    radio-button setting in each item record (which might be "Enable" or "Disable")
'    to determine what to put in it -
'
'       i)  If it is "Enable" we set it to "Tech"
'
'       ii) If it is "Disable" we set it to "Disable"
'
' ------------------------------------------------------------------------------------------------------------

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<!-- #INCLUDE FILE="Adovbs.inc" -->


<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>



<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<head>
<title>Edit Category - CSS</title>
</head>
<body bgcolor=#<%=ts_User_Page_Color%>>



<center>

<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
	<td align=center>
         <font size=+1><b><%=wc_Edit_Category%></b></font>
         <table>
         <tr>
           <td><font size=-1>
               <ol>
                  <%=wc_Edit_Category_Help_Block%>
			  </ol>
			  </font>
	      <td>
	      <td valign=top>
	        <a href='javascript:var w=window.open("HelpEditCategory.asp","helpwindow","width=625,height=500,screenX=100,screenY=20,left=100,top=20,scrollbars=yes,resizable=yes")'><img border=0 src=/<%=WCLanguageDirectory%>/ts_help30x80.gif></a>
	      </td>
	      </tr>
	      </table>
	</td>
</tr>
</table>

<p>

<FORM METHOD=POST ACTION=DoEditCategory2.asp>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr><td align=center>
<table border=0 cellspacing=0 cellpadding=2> <%' ----- inner table ----- %>
<%


set conntemp=server.createobject("adodb.connection")
conntemp.open myDSN

' ----------First see if we were invoked from "Create Category List" or called back from "Do Edit Category 2"


mode = request.querystring("mode")
If mode = "new" Then
 create_new = "yes"
Else
 create_new = "no"
End If

If  request.querystring("category_name") <> "" Then
 category_name=request.querystring("category_name")
Else
 category_name = request.form("category_name")
End If

' Take a quick peek at all the records on a first pass to determine whether all records have
' state = 0 (in which case we set global_state to zero) or whether we have a mixture
' of 1's and 0's (in which case we set global_state to 1) or whether we have a mixture
' of 2's and 0's (in which case we set global_state to 2)

global_state = 0

SQL = "SELECT * from Categories WHERE category_name = '" & category_name & "' order by category_index asc"
set rstemp=conntemp.execute(SQL)
Do while (Not rstemp.eof)
	  If (rstemp("state") = 1) OR (rstemp("state") = 2) Then
	   global_state = rstemp("state")
	  End If
	rstemp.Movenext
Loop




' Now we read the records for real and paint the screen
SQL = "SELECT * from Categories WHERE category_name = '" & category_name & "' ORDER by category_index ASC"
set rstemp=conntemp.execute(SQL)
' response.write "sql is -" & SQL & "<P>"


' First display a line with the category name - before the list of items within this category
    category_name = replace(category_name, "'", "`")
    category_name = replace(category_name, """", "``")
    delim = "|"
    category_name = replace(category_name, delim, "\")

' Set up a secondary bgcolor that we now is different from the body bgcolor

  Main_bgcolor="#" & ts_User_Page_Color
  If Main_bgcolor = "#F5F5DC" Then
     secondary_bgcolor = "#C0C0C0"
  Else
     secondary_bgcolor = "#F5F5DC"
  End If

 %>
 <tr bgcolor=<%=secondary_bgcolor%>>
   <td><b><%=wc_category_name%>:</b><br><font size=1>&nbsp;<font></td>
   <td align=center><b><%=wc_disable%></b></td>
   <td> &nbsp; &nbsp; </td>
   <td align=center><b><%=wc_All_View%></b></td>
   <td> &nbsp; &nbsp; </td>
   <td align=center><b><%=wc_Tech_View%></b></td>
   <td></td>
 </tr>

 <tr bgcolor=<%=secondary_bgcolor%>>
   <td>
     &nbsp; &nbsp;     &nbsp; &nbsp;   <input type=text size=50 name=category_name value="<%=category_name%>">
   </td>
	<td align=center>
		 <input type=radio value=0 <% If global_state = 0 then response.write "checked" %>  name=global_state>
	</td>
	<td></td>
	<td align=center>
		 <input type=radio value=1 <% If global_state = 1 then response.write "checked" %>  name=global_state>
	</td>
	<td></td>
	<td align=center>
		 <input type=radio value=2 <% If global_state = 2 then response.write "checked" %>  name=global_state>
	</td>
	<td></td>
 </tr>
  <tr>
  <td colspan=7 bgcolor=<%=secondary_bgcolor%> height=5></td>
 </tr>
 <%


' -----------Now list out the existing items in this category if we are not in create mode
Max_item_number = 0
If create_new = "no" Then
%>
 <tr>
   <td><b><%=wc_Item_List%>:</b></td>
   <td align=center><b><%=wc_disable%></b></td>
   <td> &nbsp; &nbsp; </td>
   <td align=center colspan=3><b><%=wc_enable%></b></td>

 </tr>
<%

	Do while (Not rstemp.eof)

	' --- retrieve the fields from the database record
	category_number = rstemp("category_number")
	item_number = rstemp("item_number")
	if item_number > max_item_number then
	    max_item_number = item_number
	end if
	category_name =  rstemp("category_name")
	item_name = rstemp("item_name")

	state = rstemp("state")

    group_number = rstemp("group_number")
    if group_number = "" or isNull(Group_number) Then
       group_number = "null"
    end if



     ' --- render alpha strings safe for single and double quotes
     ' especially to to protect compatibility with old existing databases

    category_name = replace(category_name, "'", "`")
    item_name = replace(item_name, "'", "`")
    category_name = replace(category_name, """", "``")
    item_name = replace(item_name, """", "``")

    ' --- also render them delimiter safe
    delim = "|"
    category_name = replace(category_name, delim, "\")
    item_name = replace(item_name, delim, "\")




	' --- Build up the fields as a concatenated string to pass as one parameter


		 edit_image = "edit" & delim  _
						& category_number & delim  _
						& item_number  & delim  _
						& group_number
        response.write "<tr><td>"
        response.write "    &nbsp; &nbsp;  &nbsp; &nbsp;  <input type=text name=item_name size=50 value ='"
        response.write item_name
        response.write "'></td>"
        radio_name = "Disable" & item_number


        If state = "0" Then
             %>
            <td align=center>
				 <input type=radio value=0 checked name=<%=radio_name%>>
			</td>
            <td></td>

            <td align=center colspan=3>
                <input type=radio value=1   name=<%=radio_name%>>
			</td>
            <%
        Else
            %>
            <td align=center>
				 <input type=radio value=0  name=<%=radio_name%>>
			</td>
            <td></td>

            <td align=center colspan=3>
                <input type=radio value=1  checked  name=<%=radio_name%>>
			</td>
            <%

        End If




		response.write "<input type=hidden name=edit_image value='"
		response.write edit_image
		response.write "'></tr>"
		rstemp.Movenext
	Loop
	response.write "</td></tr>"
Else ' we are dealing with a "create new" situation
     ' so store category number for subsequent use and then delete the placeholder record
	mySQL = "SELECT * FROM Categories WHERE category_name = '" & category_name & "'"

	if rstemp.eof Then ' this means the record is already gone - (user issued a refresh) and we no longer have the category number)
	                   ' so we'll send him back to start again
	   target="ManageCategoryLists.asp"
	   response.redirect target
	else
	   set rstemp=conntemp.execute(mySQL)
	end if
	category_number = rstemp("category_number")
	mySQL = "DELETE from Categories WHERE  category_name = '" & category_name & "'"
	set rstemp=conntemp.execute(mySQL)
End If ' we were dealing with an existing category

' ------------- Now list out some empty fields to allow adding of items


%>
 <tr>
   <td><b><%=wc_New_items_to_add_to_list%>:</b></td>
   <td align=center><b><%=wc_disable%></b></td>
   <td> &nbsp; &nbsp; </td>
   <td align=center colspan=3><b><%=wc_enable%></b></td>

 </tr>
<%



	' --- Build up the fields as a concatenated string to pass as one parameter
item_number = max_item_number
group_number = "null"
state = global_state
if create_new = "yes" then
    iterations = 10
else
    iterations = 5
end if

 ' --- render alpha strings safe for single and double quotes
category_name = replace(category_name, "'", "`")
item_name = replace(item_name, "'", "`")

category_name = replace(category_name, """", "``")
item_name = replace(item_name, """", "``")

' --- also render them delimiter safe
delim = "|"
category_name = replace(category_name, delim, "\")
item_name = replace(item_name, delim, "\")


For i = 1 to iterations
         item_number = item_number + 1
		 edit_image = "new" & delim  _
						& category_number & delim  _
						& item_number & delim  _
						& group_number
        response.write "<tr><td>"
        response.write "    &nbsp; &nbsp;  &nbsp; &nbsp;  <input type=text name=item_name size=50></td>"
        radio_name = "Disable" & item_number


        If state = "0" Then
             %>
            <td align=center>
				 <input type=radio value=0 checked name=<%=radio_name%>>
			</td>
            <td></td>

            <td align=center colspan=3>
                <input type=radio value=1   name=<%=radio_name%>>
			</td>
            <%
        Else
            %>
            <td align=center>
				 <input type=radio value=0  name=<%=radio_name%>>
			</td>
            <td></td>

            <td align=center colspan=3>
                <input type=radio value=1  checked  name=<%=radio_name%>>
			</td>
            <%

        End If

		response.write "<input type=hidden name=edit_image value='"
		response.write edit_image
		response.write "'></tr>"

Next

   ' -----------End Game Follows --------------------------------------


set rstemp=nothing
conntemp.close ' Close the connection



%>
    <input type=hidden name=saved_category_number value=<%=category_number%>>
   </table> <%' ----- inner table ----- %>
  </td>
</tr>
</table>

<center>



<b>


<table border=0 cellspacing=1 cellpadding=1 width=98%>
<tr>
<td align=center> <input type=image name=b_add src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0>
</td>

<td align=center>
  <a href=ManageCategoryLists.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
</td>
</tr>
</table>
</b>

<% End If ' This was a valid user%>



<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>
</form>
</body>
</html>
