<% 'Module: OpenCasesByGroupByCategory.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999-2009 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original OpenCasesByTech.asp page
   '9/10/99	SAV		Created from OpenCasesByTech.asp page
   '6/30/09	SAV		Created OpenCasesByGroupByCategory.asp

	' CONSTANTS
	%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<% 'First Show the Report Menu at the top of the page
%>

<html>

<head>
<title><%=wc_Open_Cases_By_Group_By_Category%> </title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing

%>

<body bgcolor="<%=UserPageColor%>">
<center>
<font size=+1><%=wc_Open_Cases_By_Group_By_Category%></font></center>
<P>

<%' First get all of the open Cases total count since we will need that for our percentage calculation%>
<% ' Get Total number of Cases

	connectMe=myDSN
	sqltemp="select * from Cases where status <> 1"
	set rstemp=Server.CreateObject("adodb.Recordset")

	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End IF

	rstemp.open sqltemp, connectme, adopenstatic
	TotalOpenCases = rstemp.recordcount
	rstemp.close
	set rstemp=nothing

%>

<center>
<table width=95% border = 1>
<tr>
<th width=30% bgcolor=E0E0E0><font size=-1><%=wc_Group_Name%></th>
<th width=10% bgcolor=E0E0E0><font size=-1> # </th>
<th width=10% bgcolor=E0E0E0><font size=-1> % <%=wc_of_Total%></th>
<th width=50% bgcolor=E0E0E0><font size=-1><%=wc_Graphical_Percentage%></th>
</tr>

<%' Now step through data set %>


<% ' Get all open Cases, sort by Group_Number and count for each tech and then
	' compute what percentage that group has and then display it graphically
	'

	' Get the Case statistics from the case table
	mySQL="select * from Cases where status <> 1 order by Group_Number, "
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see if any open Cases
		TotalOpenCases = 0
%>
		<tr><td colspan=4><font size=-1> No Open Cases </font></td></tr>
<%
	Else ' Must be one or more open Cases
		' Setup for the first one  outside of the loop
			Color = "Purple" ' Set up First color

			If IsNull(rstemp("Group_Number")) Then
				Last_Group_Number = "Null"
			Else
				Last_Group_Number = rstemp("Group_Number") ' Set the variable for the first time through
			    if Asc(mid(Last_Group_Number,1,1)) = 0 then
					Last_Group_Number = "Null"
				End If

			End If
		TechOpenCases = 0 ' Start off with zero tech case for each Group
		do while not rstemp.eof

			If IsNull(rstemp("Group_Number"))then
				GroupName = "Not Assigned"
				Group_Number = "Null"
			Else
				Group_Number = rstemp("Group_Number")
			    if Asc(mid(Group_Number,1,1)) = 0 then
					Group_Number = "Null"
				End If

			End If

			'-->AKS<-- Numeric conversion to INt
			Group_Number = CInt(Group_Number)
			Last_Group_Number = CInt(Last_Group_Number)

			If Group_Number <> Last_Group_Number then ' Put out record if Group_Number changes

				' First get the name of the tech or put Not Assigned if blank
				If Last_Group_Number = "Null" Or Asc(mid(Last_Group_Number,1,1)) = 0 then
					GroupName = "Not Assigned"
				Else ' Get the name of the Tech from the Tech Staff Table


					mySQL2="select * from Group_list where Group_Number = " & Last_Group_Number
					set rstemp2=conntemp.execute(mySQL2)

					' Check to see if any records are returned
					' if none found then login fails.
					if rstemp2.EOF then
						GroupName = "Tech Un-defined"
					Else
						GroupName = rstemp2("Group_name")
					End If

					rstemp2.close
					set rstemp2=nothing

				End If
				' Now output the table row with name, number, percentage, and graphic
%>
<% ' Rotate between 5 colors %>
<% 				If color="Red" Then
					color = "Blue"
				Elseif color= "Blue" Then
					color = "Green"
				Elseif color = "Green" Then
					color = "Yellow"
				Elseif color = "Yellow" Then
					color = "Purple"
				Elseif color = "Purple" then
					color = "Red"

				End If
%>

<tr>

<td><font size=-1><%=GroupName%></td>
<td align=center><font size=-1>
<B><a href=DoSearch1.asp?Group_Number=<%=Last_Group_Number%>&Case_Status=4&ResultsView=BRIEF>
<%=TechOpenCases%></b>

</td>
<% Percentage = CInt(100* (TechOpenCases/TotalOpenCases))%>

<td align=center><font size=-1><%=Percentage%>%
</td>
<td><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=Percentage*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>

<% ' Reset the TechOpenCases back to 1 and Set Last_Group_Number to Group_Number
				Last_Group_Number = Group_Number
				TechOpenCases = 1

			Else ' Same Tech so continue to count open Cases for this tech
				TechOpenCases = TechOpenCases + 1
			End If

			rstemp.movenext
		loop

		' Output the last record
				' First get the name of the tech or put Not Assigned if blank
				If Last_Group_Number = "Null" Then
					GroupName = "Not Assigned"
				Else ' Get the name of the Tech from the Tech Staff Table
					mySQL2="select * from Group_list where Group_Number = " & Last_Group_Number
					set rstemp2=conntemp.execute(mySQL2)

					' Check to see if any records are returned
					' if none found then login fails.
					if rstemp2.EOF then
						GroupName = "Tech Un-defined"
					Else
						GroupName = rstemp2("Group_name")
					End If

					rstemp2.close
					set rstemp2=nothing

				End If

%>
<% ' Rotate between 5 colors %>
<% 				If color="Red" Then
					color =  "Blue"
				Elseif color= "Blue" Then
					color = "Green"
				Elseif color = "Green" Then
					color = "Yellow"
				Elseif color = "Yellow" Then
					color = "Purple"
				Elseif color = "Purple" then
					color = "Red"
				End If
%>

<tr>
<td><font size=-1><%=GroupName %></td>
<td align=center><font size=-1>
<B><a href=DoSearch1.asp?Group_Number=<%=Last_Group_Number%>&Case_Status=4&ResultsView=BRIEF>
<%=TechOpenCases%></b>

</td>
<% Percentage = Int(100* (TechOpenCases/TotalOpenCases))%>
<td align=center><font size=-1><%=Percentage%>%</td>
<td><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=Color%> width=<%=Percentage*3%>><font size=-1>&nbsp</td></tr></table>
</td>
</tr>
<%
	End If


	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>

	<%' Close the Table %>

</table>
<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>


</body>
</html>


