<% 'Module: OpenCasesByTech.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original OpenCasesByTech.asp page
   '08/05/11 CMB     Cleaned up; uk dates

   'NOTE THIS REPORT SHOWS ALL CASES which have an open status sorted by technician

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<% 'First Show the Report Menu at the top of the page
%>

<html>
<head>
<title><%=wc_Open_Cases_By_Tech%></title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table
    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)
%>

<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_CASE_REPORT%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1><%=wc_Open_Cases_By_Tech%></font>
<center>
<font size=-2>This report shows all cases that are CURRENTLY open broken down by technician.
<br>Percentage is based on ALL cases currently open by any technician.</font>

</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>
</tr></table>
</center>

<%' First get all of the open Cases total count since we will need that for our percentage calculation

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select count(case_Number) as cnt from Cases where status <> 1"

	set rstemp=Server.CreateObject("adodb.Recordset")
	set rstemp=conntemp.execute(mySQL)

	TotalOpenCases = rstemp("cnt")
	rstemp.close
	set rstemp=nothing
%>

<center>
<table width=95% border = 1>
<tr>
<th width=30% bgcolor=E0E0E0><font size=-1><%=wc_Tech_Name%></th>
<th width=10% bgcolor=E0E0E0><font size=-1> # </th>
<th width=10% bgcolor=E0E0E0><font size=-1> % <%=wc_of_Total%></th>
<th width=50% bgcolor=E0E0E0><font size=-1><%=wc_Graphical_Percentage%></th>
</tr>

<%
	mySQL="select count(case_number) as cnt, cases.Tech_ID, "
	mySQL=mySQL & "first_Name, Last_Name "
	mySQL=mySQL & "from cases left outer join tech_Staff on cases.Tech_ID = tech_Staff.tech_ID "
	mySQL=mySQL & "where status <> 1 "
	mySQL=mySQL & " group by cases.tech_id, last_Name, First_Name "
	mySQL=mySQL & " order by cases.Tech_ID"

	set rstemp=Server.CreateObject("adodb.Recordset")
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned

	If  TotalOpenCases =0 then ' Check to see if any open Cases
%>
	<tr><td colspan=4><font size=-1> No Open Cases </font></td></tr>
<%
	Else ' Must be one or more open Cases
		' Setup for the first one  outside of the loop
		Color = "Purple" ' Set up First color

		do while not rstemp.eof
				' First get the name of the tech or put Not Assigned if blank
				' Now output the table row with name, number, percentage, and graphic
				if isnull(rstemp("Last_Name")) then
					LastName = ""
				else
					LastName = rstemp("Last_Name")
				end if
				if isnull(rstemp("First_Name")) then
					FirstName = ""
				else
					FirstName = rstemp("First_Name")
				end if

				TechName = trim(FirstName & " " & LastName)

				If trim(TechName) = "" then
					TechName = "Un-assigned"
					Tech_ID = "Un-assigned"  ' needed for dosearch1.asp
				End if
				if isnull(rstemp("TECH_ID")) then
					Tech_ID = "Un-assigned"  ' needed for dosearch1.asp
				else
					Tech_ID = rstemp("Tech_ID")
				End if

				TechOpenCases = rstemp("Cnt")
				color=RotateColor(color)
%>

<tr>
<td><font size=-1>
<%=TechName%>
</td>
<td align=center><font size=-1>
<B><a href=DoSearch1.asp?Tech_ID=<%=Tech_ID%>&Case_Status=4&ResultsView=BRIEF>
<%=TechOpenCases%></a></b></td>
<% 'Percentage = Int(100* (TechOpenCases/TotalOpenCases))
Percentage = Round(100*(TechOpenCases/TotalOpenCases),1)
%>
<td align=center><font size=-1><%=Percentage %>%
</td>
<td><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=Percentage*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>

<%
			rstemp.movenext
		loop
	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
	color=RotateColor(color)

 ' Display the summary row information %>

<tr>
<td bgcolor=FFFFFF align=right><font size=-1> <B>-----------  <%=wc_Summary_Total%>:</b></td>

<td align=center bgcolor=FFFFFF><font size=-1><B><%=TotalOpenCases%></b></td>

<td align=center bgcolor=FFFFFF><font size=-1><B>100% </b></td>

<td bgcolor=FFFFFF><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=100*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>

</table>
<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>

</body>
</html>

