
<% 'Module: Reports.asp

   'Description: This module is the main Tech+Center reports page.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999, 2000, 2001, 2002-2013 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original Reports.asp page
   '04/20/2011 CMB Inspection Reports
   '02/01/12   CMB   Only do inspection reports if asset inspections turns on
   '04/29/12   CMB   Cases by primary role (if sbcc); added assetlabels.inc because of SBCC variable
   '07/22/13   CMB   Added extended time spent by user category report
   '11/22/13	SAV	Added reports for customer surveys

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow Admins to see this function.


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "Reports.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>




<% 'First Show the Report Menu at the top of the page
%>

<html>

<head>
<title><%=wc_Reports%></title>


<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2 = server.createobject("adodb.recordset") ' 02/01/12
	rstemp2.open mySQL2, conntemp, 1,3  ' 02/01/12

	'set rstemp2=conntemp.execute(mySQL2)  ' 02/01/12 removed
		bAssetInspections = True ' backwards compabitility 02/01/12

	' Check to see if any records are returned
	' if none found then
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		TimeSpentCategory = rstemp2("Time_Spent_Category")
		If TimeSpentCategory <> "" then
			TimeSpentCategory = "C" & TimeSpentCategory
		End If

		ExtendedTimeSpent = rstemp2("ExtendedTimeSpent")

		'*** version 7.5 ' 02/01/12  below
		If version7point5="YES" then
			If not IsNull(rstemp2("AssetInspections")) Then
				bAssetInspections = rstemp2("AssetInspections")
			End If
		End If

	End If

	rstemp2.close
	set rstemp2=nothing
'	conntemp.close ' Close the connection
'	set conntemp=nothing

%>

<body class=rightwindow>
<table width=100% cellspacing=2 cellpadding=2 border=0 class=BPInnerFormwrapper align=center>
<tr>
<td  class=BP2minorformtitle align=center><b>Web+Center Reports</b>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 <a href=Version7Reports.pdf Target=New>Reports Help Guide and Documentation</a>

</td>
</tr>
</table>

<table class=BGWrapper align=center width=100% border = 0 bgcolor=E0E0E0 border=2 cellpadding = 2>
<tr>
<td width=33%  valign=top><font size=-1>
<table><tr>
<td class=TightBodyTextHiLight>
<%=wc_Open_Cases_Reports%>
</td></tr></table>




<img src=bullet2.gif> <a href=OpenCasesByTech.asp class=TightBodyTextLink><%=wc_Open_Cases_by_Tech%></a><br>
<img src=bullet2.gif> <a href=OpenCasesByGroup.asp class=TightBodyTextLink><%=wc_Open_Cases_by_Group%></a><br>

<img src=bullet2.gif> <a href=OpenCasesByPriority.asp class=TightBodyTextLink><%=wc_Open_Cases_by_Priority%></a><br>
<img src=bullet2.gif> <a href=OpenCasesByStatus.asp class=TightBodyTextLink><%=wc_Open_Cases_by_Status%></a><br>
<img src=bullet2.gif> <a href=OpenCasesByDuration.asp class=TightBodyTextLink><%=wc_Open_Cases_by_Duration%></a><br>

<br>

<table><tr>
<td  class=TightBodyTextHiLight>
<%=wc_Time_Spent_Reports%>
</td></tr></table>

<% If TimeSpentCategory <> "" Then %>

<img src=bullet2.gif> <a href=TimeSpentByCompanyByDate.asp class=TightBodyTextLink><%=wc_Time_Spent_by_Company_Date%></a><br>
<img src=bullet2.gif> <a href=TimeSpentByUserGroupByDate.asp class=TightBodyTextLink><%=wc_Time_Spent_by_User_Group%></a><br>
<img src=bullet2.gif> <a href=TimeSpentByUserGroupByReferenceByDate.asp class=TightBodyTextLink><%=wc_Time_Spent_by_Group_Reference%></a><br>
<img src=bullet2.gif> <a href=TimeSpentByTechGroupByReferenceByDate.asp class=TightBodyTextLink><%=wc_Time_Spent_by_Tech_Group_Reference%></a><br>

<img src=bullet2.gif> <a href=TimeSpentByCustomerByDate.asp class=TightBodyTextLink><%=wc_Time_Spent_by_Customer%></a><br>

<%else ' Only display them without the links %>

<img src=bullet2.gif> <I><%=wc_Time_Spent_by_Company_Date%>*</i><br>
<img src=bullet2.gif> <I><%=wc_Time_Spent_by_User_Group%>*</i><br>
<img src=bullet2.gif> <I><%=wc_Time_Spent_by_Group_Reference%>*</i><br>
<img src=bullet2.gif> <I><%=wc_Time_Spent_by_Tech_Group_Reference%>*</i><br>

<img src=bullet2.gif> <I><%=wc_Time_Spent_by_Customer%>*</i><br>
<img src=bullet2.gif> <I>*=<%=wc_Time_Spent_Option_Required%></i><br>

<% End If %>

<br>

<table><tr>
<td class=TightBodyTextHiLight>
<%=wc_Customer_Surveys%>
</td></tr></table>

<img src=bullet2.gif> <a href=ViewSurveyResults.asp class=TightBodyTextLink><%=wc_View_Survey_Results%></a><br>
<img src=bullet2.gif> <a href=SurveyReportAvgByTech.asp class=TightBodyTextLink><%=wc_Survey_Results_Average_By_Tech%></a><br>
<img src=bullet2.gif> <a href=SurveyReportAvgByTechGroup.asp class=TightBodyTextLink><%=wc_Survey_Results_Average_By_Tech_Group%></a><br>
<img src=bullet2.gif> <a href=SurveyReportDetailsByTech.asp class=TightBodyTextLink><%=wc_Survey_Result_Details_By_Tech_by_Date%></a><br>
<img src=bullet2.gif> <a href=SurveyReportDetailsByTechGroup.asp class=TightBodyTextLink><%=wc_Survey_Result_Details_By_Tech_Group_by_date%></a><br>


<br>


<br>
<table><tr><td  class=TightBodyTextHiLight>
New Opened Case Reports
</td></tr></table>


<img src=bullet2.gif> <%=wc_By_Tech%>: <a href=CasesOpenedByTech.asp class=TightBodyTextLink>( <%=wc_Today%> )</a>  <a href=AllCasesOpenedByTechByDate.asp class=TightBodyTextLink>(Date Range)</a>
<br>
<img src=bullet2.gif> <%=wc_By_Group%>: <a href=CasesOpenedByGroup.asp class=TightBodyTextLink>( <%=wc_Today%> )</a>  <a href=AllCasesOpenedByGroupByDate.asp class=TightBodyTextLink>( Date Range )</a>





</td>
<td width=33% valign=top><font size=-1>
<table><tr><td  class=TightBodyTextHiLight>
<%=wc_Closed_Cases_Reports%>
</td></tr></table>


<img src=bullet2.gif> <%=wc_By_Tech%>: <a href=CasesClosedByTech.asp class=TightBodyTextLink>( <%=wc_Today%> )</a>  <a href=AllCasesClosedByTech.asp class=TightBodyTextLink>( <%=wc_All%> )</a>  <a href=AllCasesClosedByTechByDate.asp class=TightBodyTextLink>(Date Range)</a>
<br>
<img src=bullet2.gif> <%=wc_By_Group%>: <a href=CasesClosedByGroup.asp class=TightBodyTextLink>( <%=wc_Today%> )</a>  <a href=AllCasesClosedByGroup.asp class=TightBodyTextLink>( <%=wc_All%> )</a> <a href=AllCasesClosedByGroupByDate.asp class=TightBodyTextLink>( Date Range )</a>





<p>

<table><tr><td class=TightBodyTextHiLight>
<%=wc_Supervisor_Summary_Reports%>
</td></tr></table>

<img src=bullet2.gif> <a href=SupervisorReport.asp class=TightBodyTextLink><%=wc_Supervisor_Report_By_Tech%></a><br>
<img src=bullet2.gif> <a href=OpenClosedByTech.asp class=TightBodyTextLink>Open Closed By Tech</a><br>

<% If TimeSpentCategory <> "" Then %>

<img src=bullet2.gif> <a href=TopTech.asp?interval=month class=TightBodyTextLink><%=wc_Top_Tech_For_Month_Report%></a><br>
<img src=bullet2.gif> <a href=TopTech.asp?interval=twoweek class=TightBodyTextLink><%=wc_Top_Tech_For_14_Days_Report%></a><br>
<img src=bullet2.gif> <a href=TopTech.asp?interval=week class=TightBodyTextLink><%=wc_Top_Tech_For_Week_Report%></a><br>

<%Else %>

<img src=bullet2.gif> <I><%=wc_Top_Tech_For_Month_Report%>*</i><br>
<img src=bullet2.gif> <I><%=wc_Top_Tech_For_14_Days_Report%>*</i><br>
<img src=bullet2.gif> <I><%=wc_Top_Tech_For_Week_Report%>*</i><br>
<img src=bullet2.gif> <I>*=<%=wc_Time_Spent_Option_Required%></i><br>

<%End If %>

<br>
<table><tr><td  class=TightBodyTextHiLight>
<%=wc_Time_To_Close_Reports%>
</td></tr></table>


<img src=bullet2.gif> <a href=AvgTimeToCloseByPriority.asp class=TightBodyTextLink>Avg Time to Close by Priority</a><br>

<img src=bullet2.gif> <a href=avgtimetoclosebygroup.asp class=TightBodyTextLink><%=wc_Avg_Time_Close_By_Group%></a><br>
<img src=bullet2.gif> <a href=avgtimetoclosebytech.asp class=TightBodyTextLink>Average Time To Close By Tech</a><br>

<img src=bullet2.gif> <a href=avgtimetoOpenclosebytech.asp class=TightBodyTextLink>Average Time To Open and Close By Tech</a><br>



<img src=bullet2.gif> <a href=avgtimetoclosebycategory.asp class=TightBodyTextLink><%=wc_Average_Time_To_Close_By_Category%></a><br>
<img src=bullet2.gif> <a href=computeslatimetoclosebycategory.asp class=TightBodyTextLink><%=wc_Computed_SLA_Time_To_Close_By_Category%></a><br>


<img src=bullet2.gif> <a href=CasesOpenClosedByWeek.asp class=TightBodyTextLink>Cases Open/Closed by Interval Report</a><br>


<img src=bullet2.gif> <a href=CasesOpenClosedByWeekByGroup.asp class=TightBodyTextLink>Cases Open/Closed by Group/Interval</a><br>

<img src=bullet2.gif> <a href=AvgTimeToOpenCloseByGroup.asp class=TightBodyTextLink>Cases Open and Closed in Same Date Duration</a><br>


<br>
<table><tr><td  class=TightBodyTextHiLight>
Other Custom Reports
</td></tr></table>

<img src=bullet2.gif> <a href=CustomReports.asp class=TightBodyTextLink>Custom Reports</a><br>
<img src=bullet2.gif> <a href=AllCasesByRole.asp class=TightBodyTextLink><%=wc_Cases_by%>&nbsp;<%=wc_Fax%></a><br>


</td>

<td width=33%  valign=top><font size=-1>
<table><tr>
<td class=TightBodyTextHiLight>
<%=wc_Other_Case_Reports%>
</td></tr></table>

<img src=bullet2.gif> <a href=AllCasesByCustomer.asp class=TightBodyTextLink><%=wc_All_Cases_by_Customer%></a><br>
<img src=bullet2.gif> <a href=AllCasesByCustomerByDate.asp class=TightBodyTextLink><%=wc_All_Cases_by_Customer_Date%></a><br>

<img src=bullet2.gif> <a href=ClosedCasesByCustomerByDate.asp class=TightBodyTextLink><%=wc_Closed_Cases_by_Customer_Date%></a><br>
<img src=bullet2.gif> <a href=ClosedCasesByCustomer.asp class=TightBodyTextLink><%=wc_Closed_Cases_by_Customer%></a><br>
<img src=bullet2.gif> <a href=CasesByCategory.asp class=TightBodyTextLink>Cases By Category/Date</a><br>

<img src=bullet2.gif> <a href=CasesByGroupByCategory.asp class=TightBodyTextLink><%=wc_Cases_By_Group_By_Category%></a><br>



<img src=bullet2.gif> <a href=AllCasesByCompanyByDate.asp class=TightBodyTextLink>Cases By Company/Date</a><br>
<img src=bullet2.gif> <a href=TodaysStatistics.asp class=TightBodyTextLink><%=wc_System_Status%></a><p>




<table><tr>
<td  class=TightBodyTextHiLight>
<%=wc_Extended_Time_Spent_Reports%>
</td></tr></table>

<% IF ExtendedTimeSpent = True or  ExtendedTimeSpent = Null or ExtendedTimeSpent = 1 then %>


<img src=bullet2.gif> <a href=ExtendedTimeSpentByCustomerByDate.asp class=TightBodyTextLink><%=wc_Extended_Time_Spent_Reports_Billable%></a><br>
<img src=bullet2.gif> <a href=ExtendedTimeSpentByCustomerByDateNonBill.asp class=TightBodyTextLink> <%=wc_Extended_Time_Spent_Reports_Non_Billable%></a><br>
<img src=bullet2.gif> <a href=ExtendedTimeSpentByCustomerByDateTotal.asp class=TightBodyTextLink><%=wc_Extended_Time_Spent_Reports_Total%></a><br>


<img src=bullet2.gif> <a href=ExtendedTimeSpentByCustomerByDateDetail.asp class=TightBodyTextLink><%=wc_Detailed_Time_Spent_Report_By_Customer_Date%></a><br>
<img src=bullet2.gif> <a href=ExtendedTimeSpentByCustomerByDateSummary.asp class=TightBodyTextLink><%=wc_Summary_Time_Spent_Report_By_Customer_Date%></a><br>

<% ' **** NEW Time and expense report by company in the companies table %>


<img src=bullet2.gif> <a href=ExtendedTimeSpentByCompanybyDate.asp class=TightBodyTextLink><%=wc_Detailed_Time_Spent_Report_By_Company_Date%></a><br>
<img src=bullet2.gif> <a href=ExtendedTimeSpentByCompanybyDateSummary.asp class=TightBodyTextLink><%=wc_Summary_Time_Spent_Report_By_Company_Date%></a><br>



<img src=bullet2.gif> <a href=ExtendedTimeSpentByTechByDateTotal.asp class=TightBodyTextLink><%=wc_Extended_Time_Spent_Report_By_Tech_By_Date%></a><br>


<img src=bullet2.gif> <a href=ExtendedTimeSpentByTechByDateBillable.asp class=TightBodyTextLink><%=wc_Extended_Time_Spent_Report_By_Tech_By_Date_Billable%></a><br>

<img src=bullet2.gif> <a href=ExtendedTimeSpentByTechByDateNotBillable.asp class=TightBodyTextLink><%=wc_Extended_Time_Spent_Report_By_Tech_By_Date_Not_Billable%></a><br>
<img src=bullet2.gif> <a href=ExtendedTimeSpentByGroupByDateDetail.asp class=TightBodyTextLink><%=wc_Detailed_Time_Spent_Report_By_Group_Date%></a><br>
<img src=bullet2.gif><a href=ExtendedTimeSpentByTechGroupByDateDetail.asp class=TightBodyTextLink><%=wc_Detailed_Time_Spent_Report_By_Tech_Group_Date%></a><br>
<img src=bullet2.gif><a href=ExtendedTimeSpentByUserCategoryByDateDetail.asp class=TightBodyTextLink><%=wc_Detailed_Time_Spent_Report_By_UserCategory_Date%></a><br>


<% Else %>

<img src=bullet2.gif><%=wc_Extended_Time_Spent_Reports_Billable%><br>
<img src=bullet2.gif> <%=wc_Extended_Time_Spent_Reports_Non_Billable%><br>
<img src=bullet2.gif> <%=wc_Extended_Time_Spent_Reports_Total%><br>
<img src=bullet2.gif> <%=wc_Detailed_Time_Spent_Report_By_Customer_Date%><br>


<img src=bullet2.gif> <%=wc_Summary_Time_Spent_Report_By_Customer_Date%><br>

<img src=bullet2.gif> <%=wc_Extended_Time_Spent_Report_By_Tech_By_Date%><br>


* = Extended Time Spent Billing required

<% End If %>

<% 	If version7point5="YES" then %>
<!-- Asset  Reports -->

<p>
<table><tr>
<td  class=TightBodyTextHiLight>
 <%=wc_Asset_Reports%>
<!-- 02/01/12 removed <%=wc_Inspection_Reports%> -->
</td></tr></table>
<img src=bullet2.gif> <a href=UnassignedAssetsRpt.asp class=TightBodyTextLink> <%=wc_Unassigned_Assets_report%></a><br><!-- 02/01/12 -->
<img src=bullet2.gif> <a href=CustomerswithoutAssets.asp class=TightBodyTextLink> <%=wc_Customers_WIthout_Assets_Report%></a><br><!-- 02/01/12 -->

<% if	bAssetInspections then ' 02/01/12 added if %>
<img src=bullet2.gif> <a href=InspectionsScheduledButNotDoneRpt.asp class=TightBodyTextLink><%=wc_Inspection_NotPerformed_Report%></a><br>
<img src=bullet2.gif> <a href=InspectionsReport.asp class=TightBodyTextLink> <%=wc_Inspection_Report%></a><br>
<% end If %>

<% end if %>

</td>

</tr></table>
</center>

<!-- End of Top Report Menu -->

<hr>




<center>
<table width=90% bgcolor=E0E0E0 border=1>
<tr>
<td width=50%> <font size=-1>
<img src=bullet2.gif><A href=CreateTop10.asp class=TightBodyTextLink><%=wc_Edit_FAQ_List%></a>
</td>

<td width=50%> <font size=-1>
<img src=bullet2.gif><A href=ViewTopTen.asp class=TightBodyTextLink><%=wc_View_FAQ_List%></a>
</td>
</tr></table>
</center>
<hr>

<hr>

<center>
<% ' show graphics of case status %>

<P>
<a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
</center>
</body>
</html>


<%End If ' End of security checks %>
