<% 'Module: SetGlobal.asp

   'Description: This module is invoked as an <include> as the very first step in any module
   ' that may be entered "out of the blue" as the first module in a "session" - i.e. in any program
   ' that effectively "logs in" a user. It's function is primarily to simulate the functionality
   ' of "Global.asa" in setting certain critical "application variables" when operating in a Linux
   ' environment where it may be difficult for the Systems Administrator to control the actual
   ' invocation of Global.asa as it occurs under a Windows IIS server.

   ' CAUTION - For security purposes this module is deliberately named with a "dotASP" file extension.
   ' Because this module contains the Database DSN password in clear text, it is important that a user
   ' not be able to point their browser to it and see the contents (as would be the case if it had a dotINC
   ' file extension


   '(C) 2003 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who			What
   '-------		---			------------------------------------------------
   '07/29/2003  JC      	Enhanced to detect SQL injection attempts
   '02/07/2005	SAV			Updated for Version 5.0 Language for virtual of language50 and not wclanguage
   '12/01/2006	SAV			Updated for version 6.0 language of language60.

%>




<%



If MyOS = "" Then

    ' First we detect whether we are under Windows or Linux by seeing if there is a reverse slash
    ' anywhere in the file path to the directory where we are currently executing

	xxxdirectory = Server.MapPath(".")
	xxxpos = Instr(xxxdirectory, "\")
	if xxxpos <> 0 then
	   Application("MyOS") = "Windows"
	else
	   Application("MyOS") = "Linux"
	end if

'        *******************************************************************************************
'        *                                                                                         *
'        *   When operating on a Linux-based platform, the string value for the Database DSN       *
'        *   must be entered in the "else" branch if the following "IF" statement AS WELL AS in    *
'        *   the equivalent spot in the Global.asa module - for those situations where the         *
'        *   Global.asa happens to work under Linux/Apache                                         *
'        *                                                                                         *
'        *   When operating in a Windows environment, the the string value for the Database DSN    *
'        *   must be set in the Global.asa module in the usual fashion but is not necessary here   *
'        *                                                                                         *
'        *******************************************************************************************

	If  Application("MyOS") = "Windows" Then
	   ' Do Nothing - it is set as usual by global.asa mechanism
	Else
'-----------DSN FOR LINUX GOES INTO THE FOLLOWING LINE AFTER THE EQUAL SIGN--------
	   Application("myDSN") = "driver={MySQL};server=localhost;database=MYDBNAME;uid=MYUSERID;pwd=MYPWORD"
	End If



	If  Application("MyOS") = "Windows" Then
	   Application("WCLanguageDirectory") = "language60"
	Else
	  Application("WCLanguageDirectory") = "./Language"
	End If


End If


%>

