<% 'Module: SurveyReportAvgByTechGroup.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.  This report gives a report showing the Average Customer Survey result
   ' for a specific tech group or all groups for all surveys or a specified date range.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999, 2000, 2001-2013 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original OpenCasesByTech.asp page
   '10/5/01 SAV		Create originalOpenCasesByCustoerByDate.asp module
   '10/6/01 SAV		Created CasesByCategory.asp module
    '06/01/11 CMB   Rewrote using group by and reports.inc
   '08/05/11 CMB   UK Date; clean up
   '08/31/12  CMB    Added links for reports that call dosearch1.asp which i had to change also
   '11/22/13	SAV	Created SurveyReportAvgByTech.asp module from CaseBy Category report module
   '11/25/13	SAV	CreatedSurveyReportAvgByTechGroup.asp module from SurveyReportAvgByTech.asp

' NOTE this report shows cases by category; uses mod date; allows selection of status, category type, start end
	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/codeCustomizations.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<% ' Check if EXPORT checkbox is checked and if so export results to excel spreadsheet

	If Request.Form("Export") <> "" Then
		ExportFlag = "YES"
			Delimiter = vbTab
			Response.ContentType = "application/vnd.ms-excel"

			'Debug Excel code
			'Response.write "Cell one" & vbtab
			'Response.write "Cell two" &   vbCRLF

	' EXPORT FORMAT

	End If
%>



<% 'Get the value of the User Screen background color from the Configuration Table

    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)

    DatabaseType2 = DatabaseType

    'debug
    'response.write "DatabaseType =" & DatabaseType


%>

<% ' Now see if this page is getting called as form submit with date filter
	'criteria.  If it is then we need to grab that data and put it into the
	'the date range fields.

		CategoryNumber = Request.form("CategoryNumber")
		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")
		Case_Status = Request.form("Case_Status")
%>

<% If ExportFlag <> "YES" Then
%>

<html>

<head>
<title><%=wc_Survey_Results_Average_By_Tech_Group%></title>
</head>

<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_Survey_Report%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1><%=wc_Survey_Results_Average_By_Tech_Group%></font>
<center>
<font size=-2>This report shows the average customer response value from a selected 1-5 type customer survey
question. <br> You can select ALL TECH GROUPS or a specific Tech group and chose a date range when the surveys were submitted
or all surveys.</font>

</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>

</tr></table>

</center>

<form action=SurveyReportAvgByTechGroup.asp method=post>

<center>
<table border=1 WIDTH="95%" >
<TR>
<TD ALIGN=CENTER bgcolor=C0F0E0>
<TABLE BORDER=0 CELLPADDING=7 WIDTH="90%" >
<TR>
<TD valign=top><B><FONT SIZE=-1><%=wc_Start_date%>:</FONT></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>

<br></font>
<font size=-1>
<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>"></TD>

<TD valig=top><B><FONT SIZE=-1><%=wc_End_date%>:</font></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>

<br></FONT>
<font size=-1>
<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>"></TD>

<TD valign=top><B><FONT SIZE=-1><%=wc_Survey_Question%>:</font></b><br>
<font size=-2>
<%=wc_Select_One%><br></font>

<FONT SIZE=-1><SELECT size=1 name=Question_id>
<option value=0>Select a question</option>



<% ' Display only the "1-5" type survey questions

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Survey Order by Question_Order"

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	If rstemp.EOF = True  Then

%>

	<option value="">No Survey Questions Defined</option>

<%
	Else

		Do While rstemp.EOF <> True

			Active = Rstemp("Active")
			Survey_Question = rstemp("Survey_Question")
			If Len(Survey_Question) > 37 Then
				Short_Question = Mid(Survey_Question, 1, 37) ' Shorten version
				Short_Question = Short_Question & "..."
			Else
				Short_Question = Survey_Question
			End If


			Question_Type = rstemp("Question_Type")
			Question_ID = rstemp("Question_ID")
			Question_Order = rstemp("Question_Order")

			' We only want type 1 (1-5 type questions)

			If Question_Type = 1 Then
				Question_Found = "YES"

			If First_Question_ID <> "" Then
				First_Question_ID = Question_ID ' Only grab the first one for the default case
			End If

			IF First_Survey_Question = "" Then
				First_Survey_Question  = Survey_Question ' Pick up a default survey question

			End IF

%>



<%

	' Show selected if passed one question_ID from form
	If Question_ID = Int(Request.form("Question_ID"))  Then

%>
	<option value="<%=Question_ID%>" SELECTED><%=Short_Question%></option>

<% Else %>


	<option value="<%=Question_ID%>"><%=Short_Question%></option>
<% End If%>


<%

		End If ' If Question_Type = 1

		rstemp.MoveNext
		Loop

		If Question_Found <> "YES" Then
%>
	<option>No 1-5 Type Questions Found</option>

<%		End If


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


%>
</select>

		</td>

<TD valign=top><B><FONT SIZE=-1><%=wc_Assigned_group%>:</FONT></B>
<br><font size=-2><%=wc_Select_One%></font><br>


<SELECT size=1 name=group_number>
<option value="ALLTECHGROUPS">All Tech Groups</option>

<% ' Get the Groups from the database

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Group_list Order by Group_Name"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	Group_Number = Request.form("Group_Number") ' Check if passed as value from form submit

	If Group_Number = "ALLTECHGROUPS" Then
		Group_Number = 0
	End If


	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True
			If CInt(rstemp("Group_Number")) = CInt(Group_number) Then
				response.write "<option value=" & rstemp("group_number") & " SELECTED>" & rstemp("group_name") & "</option>" & chr(10) & chr(13)
			Else
				response.write "<option value=" & rstemp("group_number") & ">" & rstemp("group_name") & "</option>" & chr(10) & chr(13)
			End IF

			rstemp.MoveNext

		Loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

 ' End of Display the Group List
 %>


</SELECT></font></TD>

<td><B><FONT SIZE=-1>

<input type=checkbox name="EXPORT">&nbsp;&nbsp;EXPORT<Br>

</font></b>
<font size=-2><br>
</font>


<INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></TD>

</TR>
</TABLE>
</TD>
</TR>
</table>
</center>

<P>
</form>


<% End If ' IF EXPORTFLAG <> YES
%>


<% ' If no 1-5 type question surveys available, simply avoid all of the code below and display a message to indicate
	' no 1-5

     If Question_Found <>"YES" AND EXPORTFLAG <> "YES" Then

%>
<br>

<Center>

<font size=+1> No 1-5 Type Survey questions found </font>
</center>

<br>



<% Else %>



	<% ' Create the query based on the entered date range if they entered any data

		WhereStatement = ""


		' Survey Date Range check
' NOTE CMB Have to change this depending on how they entered date
' if sql server might have to check locale
' if dateformat = mm then switch date


		Start_Date = Request.form("Start_Date")

		If Start_Date <> "" Then
			Start_Date = PadDate(Start_Date) ' CMB 08/15/2011

			if WCDateFormat = "DDMMYYYY" then  ' CMB 08/15/2011 put in US format
				NewStart = SwitchMonthDate (Start_Date) ' CMB 08/15/2011 ' CMB 08/15/2011
			Else
				NewStart = Start_Date ' CMB 08/15/2011
			end if

			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date >= '" & NewStart & "'"
			End IF

			If DatabaseType2 = "ACCESS" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date >= #" & NewStart & "#"
			End IF

			If DatabaseType2 = "MYSQL" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date >= '" & YYMMDD(NewStart) & "'"
			End IF

			AndText = " AND "


		End If


		End_date = Request.form("End_Date")

		If End_Date <> "" Then
			End_Date = PadDate (End_Date) ' CMB 08/15/2011

			if WCDateFormat = "DDMMYYYY" then  ' CMB 08/15/2011 put in US format
				NewEnd = SwitchMonthDate (End_Date)
			Else
				NewEnd = End_Date
			end if

			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date <=  '" & NewEnd & "'"
			End IF

			If DatabaseType2 = "ACCESS" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date <= #" & NewEnd & "#"
			End IF

			If DatabaseType2 = "MYSQL" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date <=  '" & YYMMDD(NewEnd) & "'"
			End IF

			AndText = " AND "


		End If


		'response.write "WhereSTatement = " & whereStatement


		' Survey Question ID into QUERY

	' If Question_ID is passed as a form element, take it, other wise find the first one and use it

	IF Request.form("Question_ID") <> "" Then
		Question_ID = Request.form("Question_ID")
	Else


			set conntemp=server.createobject("adodb.connection")

			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Survey Order by Question_Order"

			set rstemp = server.createobject("adodb.recordset")
			rstemp.open mySQL2, conntemp, 1,3

			If rstemp.EOF = True  Then

		%>


		<%
			Else

				Do While rstemp.EOF <> True

					Active = Rstemp("Active")
					Survey_Question = rstemp("Survey_Question")
					If Len(Survey_Question) > 37 Then
						Short_Question = Mid(Survey_Question, 1, 37) ' Shorten version
						Short_Question = Short_Question & "..."
					Else
						Short_Question = Survey_Question
					End If


					Question_Type = rstemp("Question_Type")
					Question_ID = rstemp("Question_ID")
					Question_Order = rstemp("Question_Order")

					' We only want type 1 (1-5 type questions)

					If Question_Type = 1 Then
						Question_Found = "YES"

					If First_Question_ID <> "" Then
						First_Question_ID = Question_ID ' Only grab the first one for the default case
					End If

					IF First_Survey_Question = "" Then
						First_Survey_Question  = Survey_Question ' Pick up a default survey question

					End IF


				End If ' If Question_Type = 1

				rstemp.MoveNext
				Loop

				If Question_Found <> "YES" Then

					response.write "NO 1-5 type question found "

				End If


			End If

			rstemp.close
			set rstemp=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing

	End IF ' End of if Question_ID = ""


		If Question_ID = "" Then
			Question_ID = First_Question_ID ' If not selected then select the first
		End If


		If  Question_ID <> "" Then
				WhereStatement = WhereStatement & AndText & " Question_ID = " & Question_ID
			AndText = " AND "
		End IF


		' ALL tech Groups or a specific tech group

		Group_Number = Request.form("Group_Number")

		IF group_Number = "ALLTECHGROUPS" Or Group_Number = "" Then
			' Do not add any special WHERE statement
		Else
				WhereStatement = WhereStatement & AndText & " Cases.Group_Number = " & Group_Number
		End If


      WhereWithoutWhere = "" & WhereStatement  ' 08/31/12

		If WhereStatement <> "" Then
			WhereStatement = " Where " & WhereStatement
		End IF

		' Add order by clause
		WhereStatement = WhereStatement & " Order by cases.Group_Number "
%>


<% ' Display the Survey Question Name at the top of the table


	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here


	mySQL2 = "select * from Survey where question_ID = " & Question_ID

	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned

	If rstemp2.eof Then
		Survey_Question = " No Survey Question Found "
	Else
		Survey_Question = rstemp2("Survey_Question")
	End If

	rstemp2.close
	set rstemp2 = Nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<% If ExportFlag <> "YES" Then
%>


<center>
<B><%=wc_Survey_Question%>:
<font color=blue><%=Survey_Question%></font> <%=wc_Report%></b><br>

<table width=95% border = 1>
<tr>
<th width=30% bgcolor=E0E0E0><font size=-1><%=wc_Assigned_Group%></th>
<th width=10% bgcolor=E0E0E0><font size=-1> # of Surveys </th>
<th width=10% bgcolor=E0E0E0><font size=-1> 1-5 Average</th>
<th width=50% bgcolor=E0E0E0><font size=-1>1-5 Color Coding</th>
</tr>


<% Else ' If export then put out headers for spreadsheet
	response.write wc_Assigned_Group & vbtab
	response.write "# of Surveys" &  vbtab
	response.write "1-5 Average" &  vbtab
	response.write vbCRLF



 End if ' End of If EXPORTFLAG <> YES
%>


<%


	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here


	mySQL = "SELECT Result_Detail.Question_ID, Result_Detail.RANGE_ANSWER, Survey_Results.Case_Number, tech_staff.tech_level, tech_staff.first_name, tech_staff.last_name, Survey_Results.Case_Number, cases.case_number, Survey_Results.Survey_Date, tech_staff.tech_id, group_list.group_name, cases.group_number FROM (tech_staff INNER JOIN ((Result_Detail INNER JOIN Survey_Results ON Result_Detail.Results_ID = Survey_Results.Results_ID) INNER JOIN cases ON Survey_Results.Case_Number = cases.case_number) ON tech_staff.tech_id = cases.tech_id) INNER JOIN group_list ON cases.group_number = group_list.group_number "


	mySQL = mySQL & WhereStatement


	'DEBUG

'	response.write mysql
'	response.flush
	'response.end

	set rstemp=Server.CreateObject("adodb.Recordset")
	rstemp.open mySQL, conntemp, adopenstatic

	If  rstemp.eof then ' Check to see if any open Cases
%>
	<% If ExportFlag <> "YES" Then
	%>

		<tr><td colspan=4 align=center><font size=-1><B> No Matching Surveys Found Found </b></font></td></tr>
	<%Else

		 	response.write "No 	Matching Surveys Found"

	 End IF
	 %>


<%
	Else ' Must be one or more surveys that fit the criteria

		' Setup for the first one  outside of the loop

			Last_Group_Number = rstemp("Group_Number") ' Get first tech_ID to see when it switches


			SurveyCount = 0
			SurveyTotal = 0

		do while not rstemp.eof

			New_Group_Number = rstemp("Group_Number")

			If New_Group_Number  = Last_Group_Number Then ' If same tech then continue to add and average

				New_Group_Number = rstemp("Group_Number")
				Group_Name = rstemp("Group_Name")
				SurveyCount = SurveyCount + 1
				SurveyTotal = SurveyTotal + rstemp("Range_Answer")

			Else ' New group_number
				' Now output the table row with AVG survey result for each tech when the tech changes
%>

<% If ExportFlag <> "YES" Then
	%>

		<tr>
		<td align=left><font size=-1><%=Group_Name%>
		</td>
		<td align=center><font size=-1><%=SurveyCount%>
		</td>

		<% ' Calculate Survey Average

			SurveyAvg = SurveyTotal/SurveyCount
			SurveyAvgColor = Int(SurveyAvg)
			If SurveyAvgColor = 5 Then
				Color="GREEN"
			End If
			If SurveyAvgColor = 4 Then
				Color="BLUE"
			End If
			If SurveyAvgColor = 3 Then
				Color="PURPLE"
			End If
			If SurveyAvgColor = 2 Then
				Color="YELLOW"
			End If
			If SurveyAvgColor = 1 Then
				Color="RED"
			End If

		%>

		<td align=center><font size=-1><%=SurveyAvg%>
		</td>

		<td bgcolor=FFFFFF><font size=-1>
		<%' Build a table graphic with color and fixed size %>
		<table><tr><td bgcolor=<%=color%>  width=300 ><font size=-1>&nbsp</td></tr></table>
		</td>
		</tr>

	<% Else ' EXPORT this row
			response.write FullTechName &vbtab
			response.write SurveyCount & vbtab

			SurveyAvg = SurveyTotal/SurveyCount
			response.write SurveyAvg & vbtab
			response.write vbCRLF
	 	End IF
	 %>



<%		' Now read in next record

				Last_Group_Number = rstemp("Group_Number")
				Group_Name = rstemp("Group_Name")
				SurveyCount =  1
				SurveyTotal =  rstemp("Range_Answer")

				End If ' If new tech

			rstemp.movenext


		loop

' Display the last tech's records

%>

<% If ExportFlag <> "YES" Then
	%>

		<tr>
		<td align=left><font size=-1><%=Group_Name%>
		</td>
		<td align=center><font size=-1><%=SurveyCount%>
		</td>

		<% ' Calculate Survey Average

			SurveyAvg = SurveyTotal/SurveyCount
			SurveyAvgColor = Int(SurveyAvg)
			If SurveyAvgColor = 5 Then
				Color="GREEN"
			End If
			If SurveyAvgColor = 4 Then
				Color="BLUE"
			End If
			If SurveyAvgColor = 3 Then
				Color="PURPLE"
			End If
			If SurveyAvgColor = 2 Then
				Color="YELLOW"
			End If
			If SurveyAvgColor = 1 Then
				Color="RED"
			End If

		%>

		<td align=center><font size=-1><%=SurveyAvg%>
		</td>

		<td bgcolor=FFFFFF><font size=-1>
		<%' Build a table graphic with color and fixed size %>
		<table><tr><td bgcolor=<%=color%> width=300 ><font size=-1>&nbsp</td></tr></table>
		</td>
		</tr>


<% Else ' Export option selected

		response.write Group_Name &vbtab
		response.write SurveyCount & vbtab

		SurveyAvg = SurveyTotal/SurveyCount
		response.write SurveyAvg & vbtab
		response.write vbCRLF
	 End IF ' ExportFlag <> YES
 %>


<%

	end if
	rstemp.close ' Close the record set and the connection
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>

<% IF ExportFlag <> "YES" Then
%>

</table>
<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>

<% End IF ' Endof ExportFlag <> YES
%>


<% End If ' End of if No 1-5 Type questions in surveys %>


<% IF ExportFlag <> "YES" Then
%>


</body>
</html>

<% End If
%>



