<% 'Module: SurveyReportDetailsByTech.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.  This report gives a report showing the Details Customer Survey result
   ' for a specific tech or all techs for all surveys or a specified date range.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999, 2000, 2001-2013 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original OpenCasesByTech.asp page
   '10/5/01 SAV		Create originalOpenCasesByCustoerByDate.asp module
   '10/6/01 SAV		Created CasesByCategory.asp module
    '06/01/11 CMB   Rewrote using group by and reports.inc
   '08/05/11 CMB   UK Date; clean up
   '08/31/12  CMB    Added links for reports that call dosearch1.asp which i had to change also
   '11/22/13	SAV	Created SurveyReportAvgByTech.asp module from CaseBy Category report module
   '11/26/13	SAV	Created SurveyReportDetailsByTech.asp from SurveyReportAvgByTech.asp
   '12/18/13	SAV	Added code to enable this module to be called from query string parameters

' NOTE this report shows cases by category; uses mod date; allows selection of status, category type, start end
	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/codeCustomizations.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->


<% ' Perform Login Check since this page has different options available based on the level of the
	' tech logged in
%>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If NOT rstemp.EOF  Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>




<% ' Check if EXPORT checkbox is checked and if so export results to excel spreadsheet

	If Request.Form("Export") <> "" Then
		ExportFlag = "YES"
			Delimiter = vbTab
			Response.ContentType = "application/vnd.ms-excel"

			'Debug Excel code
			'Response.write "Cell one" & vbtab
			'Response.write "Cell two" &   vbCRLF

	' EXPORT FORMAT

	End If
%>



<% 'Get the value of the User Screen background color from the Configuration Table

    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)

    DatabaseType2 = DatabaseType

    'debug
    'response.write "DatabaseType =" & DatabaseType


%>

<% ' Now see if this page is getting called as form submit with date filter
	'criteria.  If it is then we need to grab that data and put it into the
	'the date range fields.

		CategoryNumber = Request.form("CategoryNumber")
		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")
		Case_Status = Request.form("Case_Status")
		Tech_ID = Request.form("Tech_ID")
		Passed_Question_ID = Int(Request.form("Question_ID"))


	' parameters passed as URL parameters

	If Request.QueryString("Question_ID") <> "" Then
		Passed_Question_ID = Int(Request.queryString("Question_ID"))
	End IF

	If Request.QueryString("Tech_ID") <> "" Then
		Tech_ID = Request.querystring("Tech_ID")
	End If


	If Request.querystring("Start_Date") <> "" Then
		Start_Date = Request.querystring("Start_Date")
	End if


	If Request.querystring("End_Date") <> "" Then
		End_Date = Request.querystring("End_Date")
	End if


	'debug
'	response.write "Passed_Question_ID = " & Passed_Question_ID
'	response.write "End_Date = " & End_Date


	' This ASP page can be called from a link too

%>

<% If ExportFlag <> "YES" Then
%>

<html>

<head>
<title><%=wc_Survey_Result_Details_By_Tech%></title>
</head>

<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_Survey_Report%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1><%=wc_Survey_Result_Details_By_Tech_by_Date%></font>
<center>
<font size=-2>This report shows the individual detailed customer survey responses from a selected 1-5 type customer survey
question. <br> You can select ALL Techs or a specific Tech and chose a date range when the surveys were submitted
or all surveys.</font>

</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>

</tr></table>

</center>

<form action=SurveyReportDetailsByTech.asp method=post>

<center>
<table border=1 WIDTH="95%" >
<TR>
<TD ALIGN=CENTER bgcolor=C0F0E0>
<TABLE BORDER=0 CELLPADDING=7 WIDTH="90%" >
<TR>
<TD valign=top><B><FONT SIZE=-1><%=wc_Start_date%>:</FONT></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>

<br></font>
<font size=-1>
<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>"></TD>

<TD valig=top><B><FONT SIZE=-1><%=wc_End_date%>:</font></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>

<br></FONT>
<font size=-1>
<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>"></TD>

<TD valign=top><B><FONT SIZE=-1><%=wc_Survey_Question%>:</font></b><br>
<font size=-2>
<%=wc_Select_One%><br></font>

<FONT SIZE=-1><SELECT size=1 name=Question_id>
<option value=0>Select a question</option>




<% ' Display only the "1-5" type survey questions

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Survey Order by Question_Order"

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	If rstemp.EOF = True  Then

%>

	<option value="">No Survey Questions Defined</option>

<%
	Else

		Do While rstemp.EOF <> True

			Active = Rstemp("Active")
			Survey_Question = rstemp("Survey_Question")
			If Len(Survey_Question) > 37 Then
				Short_Question = Mid(Survey_Question, 1, 37) ' Shorten version
				Short_Question = Short_Question & "..."
			Else
				Short_Question = Survey_Question
			End If


			Question_Type = rstemp("Question_Type")
			Question_ID = rstemp("Question_ID")
			Question_Order = rstemp("Question_Order")

			' We only want type 1 (1-5 type questions)

			If Question_Type = 1 Then
				Question_Found = "YES"

			If First_Question_ID <> "" Then
				First_Question_ID = Question_ID ' Only grab the first one for the default case
			End If

			IF First_Survey_Question = "" Then
				First_Survey_Question  = Survey_Question ' Pick up a default survey question

			End IF

%>



<%

	' Show selected if passed one question_ID from form
	If Question_ID = Passed_Question_ID  Then

%>
	<option value="<%=Question_ID%>" SELECTED><%=Short_Question%></option>

<% Else %>


	<option value="<%=Question_ID%>"><%=Short_Question%></option>
<% End If%>


<%

		End If ' If Question_Type = 1

		rstemp.MoveNext
		Loop

		If Question_Found <> "YES" Then
%>
	<option>No 1-5 Type Questions Found</option>

<%		End If


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


%>
</select>
		</td>

<TD valign=top><B><FONT SIZE=-1><%=wc_Assigned_staff_member%>:</FONT></B>
<br><font size=-2><%=wc_Select_One%></font><br>

<FONT SIZE=-1><SELECT size=1 name=tech_ID>

<% IF tech_Level > 3 Then  ' Only Display this option for dispatchers, administrators, configurators
%>

<option value="ALLTECHS">All Techs</option>

<% End If
%>


<% ' Display the List of Techs

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Tech_staff Order by Last_Name"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True

	 IF tech_Level > 3 Then  ' Only Display this option for dispatchers, administrators, configurators

			IF Tech_Id = rstemp("Tech_id") Then
				response.write "<option value=" & rstemp("tech_id") & " SELECTED>" & rstemp("Last_Name") & "," & rstemp("first_Name")  & GroupName & "</option>" & chr(10) & chr(13)
			Else
				response.write "<option value=" & rstemp("tech_id") & ">" & rstemp("Last_Name") & "," & rstemp("first_Name") & GroupName & "</option>" & chr(10) & chr(13)
			End If

		 Else ' If only tech, display only their ID


			IF CookieID = rstemp("Tech_id") Then
				response.write "<option value=" & rstemp("tech_id") & " SELECTED>" & rstemp("Last_Name") & "," & rstemp("first_Name")  & GroupName & "</option>" & chr(10) & chr(13)
			End IF

		End IF

			rstemp.MoveNext

		Loop

		response.write "</select></span></td>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

</SELECT></font></TD>
<td><B><FONT SIZE=-1>

<input type=checkbox name="EXPORT">&nbsp;&nbsp;EXPORT<Br>

</font></b>
<font size=-2><br>
</font>


<INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></TD>

</TR>
</TABLE>
</TD>
</TR>
</table>
</center>

<P>
</form>


<% End If ' IF EXPORTFLAG <> YES
%>


<% ' If no 1-5 type question surveys available, simply avoid all of the code below and display a message to indicate
	' no 1-5

     If Question_Found <>"YES" AND EXPORTFLAG <> "YES" Then

%>
<br>

<Center>

<font size=+1> No 1-5 Type Survey questions found </font>
</center>

<br>



<% Else %>



	<% ' Create the query based on the entered date range if they entered any data

		WhereStatement = ""


		' Survey Date Range check
' NOTE CMB Have to change this depending on how they entered date
' if sql server might have to check locale
' if dateformat = mm then switch date


		Start_Date = Request.form("Start_Date")

		If Start_Date <> "" Then
			Start_Date = PadDate(Start_Date) ' CMB 08/15/2011

			if WCDateFormat = "DDMMYYYY" then  ' CMB 08/15/2011 put in US format
				NewStart = SwitchMonthDate (Start_Date) ' CMB 08/15/2011 ' CMB 08/15/2011
			Else
				NewStart = Start_Date ' CMB 08/15/2011
			end if

			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date >= '" & NewStart & "'"
			End IF

			If DatabaseType2 = "ACCESS" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date >= #" & NewStart & "#"
			End IF

			If DatabaseType2 = "MYSQL" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date >= '" & YYMMDD(NewStart) & "'"
			End IF

			AndText = " AND "


		End If


'		End_date = Request.form("End_Date")

		If End_Date <> "" Then
			End_Date = PadDate (End_Date) ' CMB 08/15/2011

			if WCDateFormat = "DDMMYYYY" then  ' CMB 08/15/2011 put in US format
				NewEnd = SwitchMonthDate (End_Date)
			Else
				NewEnd = End_Date
			end if

			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date <=  '" & NewEnd & "'"
			End IF

			If DatabaseType2 = "ACCESS" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date <= #" & NewEnd & "#"
			End IF

			If DatabaseType2 = "MYSQL" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date <=  '" & YYMMDD(NewEnd) & "'"
			End IF

			AndText = " AND "


		End If


		'response.write "WhereSTatement = " & whereStatement


		' Survey Question ID into QUERY

	' If Question_ID is passed as a form element, take it, other wise find the first one and use it

	IF Passed_Question_ID <> "" Then
	' it is already obtained from FORM or URL

'		Question_ID = Request.form("Question_ID")
	Else


			set conntemp=server.createobject("adodb.connection")

			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Survey Order by Question_Order"

			set rstemp = server.createobject("adodb.recordset")
			rstemp.open mySQL2, conntemp, 1,3

			If rstemp.EOF = True  Then

		%>


		<%
			Else

				Do While rstemp.EOF <> True

					Active = Rstemp("Active")
					Survey_Question = rstemp("Survey_Question")
					If Len(Survey_Question) > 37 Then
						Short_Question = Mid(Survey_Question, 1, 37) ' Shorten version
						Short_Question = Short_Question & "..."
					Else
						Short_Question = Survey_Question
					End If


					Question_Type = rstemp("Question_Type")
					Question_ID = rstemp("Question_ID")
					Question_Order = rstemp("Question_Order")

					' We only want type 1 (1-5 type questions)

					If Question_Type = 1 Then
						Question_Found = "YES"

					If First_Question_ID <> "" Then
						First_Question_ID = Question_ID ' Only grab the first one for the default case
					End If

					IF First_Survey_Question = "" Then
						First_Survey_Question  = Survey_Question ' Pick up a default survey question

					End IF


				End If ' If Question_Type = 1

				rstemp.MoveNext
				Loop

				If Question_Found <> "YES" Then

					response.write "NO 1-5 type question found "

				End If


			End If

			rstemp.close
			set rstemp=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing

	End IF ' End of if Question_ID = ""


		If Passed_Question_ID = "" Then
			Passed_Question_ID = First_Question_ID ' If not selected then select the first
		End If


		If  Passed_Question_ID <> "" Then
				WhereStatement = WhereStatement & AndText & " Question_ID = " & Passed_Question_ID
			AndText = " AND "
		End IF


		' ALL Techs or specific tech

	' tech_id obtained at start

	'Tech_ID = Request.form("Tech_ID")

		IF Tech_ID = "ALLTECHS" Or Tech_ID = "" Then
			' Do not add any special WHERE statement
		Else
				WhereStatement = WhereStatement & AndText & " Cases.Tech_ID = '" & tech_ID & "'"
		End If


      WhereWithoutWhere = "" & WhereStatement  ' 08/31/12

		If WhereStatement <> "" Then
			WhereStatement = " Where " & WhereStatement
		End IF

		' Add order by clause
		WhereStatement = WhereStatement & " Order by cases.tech_ID "
%>


<% ' Display the Survey Question Name at the top of the table


	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here


	mySQL2 = "select * from Survey where question_ID = " & passed_Question_ID

	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned

	If rstemp2.eof Then
		Survey_Question = " No Survey Question Found "
	Else
		Survey_Question = rstemp2("Survey_Question")
	End If

	rstemp2.close
	set rstemp2 = Nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<% If ExportFlag <> "YES" Then
%>


<center>
<B><%=wc_Survey_Question%>:
<font color=blue><%=Survey_Question%></font> <%=wc_Report%></b><br>

<table width=95% border = 1>
<tr>
<th width=30% bgcolor=E0E0E0><font size=-1><%=wc_Assigned_Tech%></th>
<th width=10% bgcolor=E0E0E0><font size=-1> Survey Date </th>
<th width=10% bgcolor=E0E0E0><font size=-1> View Survey </th>

<th width=20% bgcolor=E0E0E0><font size=-1> 1-5 Value</th>
<th width=5% bgcolor=E0E0E0><font size=-1>Case</th>
<th width=35% bgcolor=E0E0E0><font size=-1>Color Code of Survey Result</th>

</tr>


<% Else ' If export then put out headers for spreadsheet
	response.write wc_Assigned_Tech & vbtab
	response.write "Survey Date" &  vbtab
	response.write "1-5 Value" &  vbtab
	response.write "Case Number" &  vbtab

	response.write vbCRLF



 End if ' End of If EXPORTFLAG <> YES


	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL = "SELECT Result_Detail.Question_ID, Result_Detail.RANGE_ANSWER, Survey_Results.Case_Number, Survey_Results.Results_ID, tech_staff.tech_level, tech_staff.first_name, tech_staff.last_name, Survey_Results.Case_Number, cases.case_number, Survey_Results.Survey_Date, tech_staff.tech_id FROM tech_staff INNER JOIN ((Result_Detail INNER JOIN Survey_Results ON Result_Detail.Results_ID = Survey_Results.Results_ID) INNER JOIN cases ON Survey_Results.Case_Number = cases.case_number) ON tech_staff.tech_id = cases.tech_id "


	mySQL = mySQL & WhereStatement


	'DEBUG

'	response.write mysql
'	response.flush
	'response.end

	set rstemp=Server.CreateObject("adodb.Recordset")
	rstemp.open mySQL, conntemp, adopenstatic

	If  rstemp.eof then ' Check to see if any surveys matching the criteria specified
%>
	<% If ExportFlag <> "YES" Then
	%>

		<tr><td colspan=5 align=center><font size=-1><B> No Matching Surveys Found Found </b></font></td></tr>
	<%Else

		 	response.write "No 	Matching Surveys Found"

	 End IF
	 %>


<%
	Else ' Must be one or more surveys that fit the criteria

			SurveyCount = 0
			SurveyTotal = 0

		do while not rstemp.eof


				New_Tech_ID = rstemp("Tech_ID")
				TechFullName = rstemp("First_Name") & " " & rstemp("Last_Name")
				Case_Number = rstemp("case_Number")
				SurveyRangeValue = rstemp("Range_Answer")
				Survey_Date = DateValue(rstemp("Survey_Date"))
				Results_ID = rstemp("results_ID") ' Results ID used for link to view survey



				' Now output the table row with each detailed survey result for each tech ordered by tech
%>

<% If ExportFlag <> "YES" Then
	%>

		<tr>
		<td align=left><font size=-1><%=TechFullName%>
		</td>


		<td align=center><font size=-1><%=Survey_Date%> <br>
		</td>


		<td align=center><font size=-1><a href=ViewSurveyDetail.asp?Results_ID=<%=Results_ID%>>VIEW</a>
		<br>
		</td>



		<% ' Figure out color coded survey result

			SurveyRangeColor = SurveyRangeValue
			If SurveyRangeColor = 5 Then
				Color="GREEN"
			End If
			If SurveyRangeColor = 4 Then
				Color="BLUE"
			End If
			If SurveyRangeColor = 3 Then
				Color="PURPLE"
			End If
			If SurveyRangeColor = 2 Then
				Color="YELLOW"
			End If
			If SurveyRangeColor = 1 Then
				Color="RED"
			End If

		%>

		<td align=center><font size=-1><%=SurveyRangeValue%>
		</td>
		<td align=center><font size=-1><a href=tcaseform.asp?case_number=<%=Case_Number%>><%=Case_Number%></a>
		</td>


		<td bgcolor=FFFFFF><font size=-1>
		<%' Build a table graphic with color and fixed size %>
		<table><tr><td bgcolor=<%=color%>  width=<%=SurveyRangeColor*50%> ><font size=-1>&nbsp</td></tr></table>
		</td>
		</tr>

	<% Else ' EXPORT this row
			response.write TechFullName &vbtab
			response.write Survey_Date & vbtab

			response.write SurveyRangeValue & vbtab
			response.write Case_Number & vbtab

			response.write vbCRLF
	 	End IF
	 %>



<%		' Now cycle to next record

			rstemp.movenext

		loop

	rstemp.close ' Close the record set and the connection
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>

<% IF ExportFlag <> "YES" Then
%>

<tr><td font size=-2 colspan=6>
</td>
</tr>

<tr>
<td colspan=6>
<table>
<tr>
<td>Color Coding Legend: </td>

<td bgcolor=RED>&nbsp;&nbsp;&nbsp;1&nbsp;&nbsp;&nbsp; </td>
<td bgcolor=YELLOW>&nbsp;&nbsp;&nbsp;2&nbsp;&nbsp;&nbsp; </td>
<td bgcolor=PURPLE>&nbsp;&nbsp;&nbsp;3&nbsp;&nbsp;&nbsp; </td>
<td bgcolor=BLUE>&nbsp;&nbsp;&nbsp;4&nbsp;&nbsp;&nbsp; </td>
<td bgcolor=GREEN>&nbsp;&nbsp;&nbsp;5&nbsp;&nbsp;&nbsp; </td>

</tr>
</table>
</td>
</tr>



</table>
<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>

<% End IF ' Endof ExportFlag <> YES
%>

<% End If %>

<% End If ' End of if No 1-5 Type questions in surveys found matching criteria %>


<% IF ExportFlag <> "YES" Then
%>

</body>
</html>

<% End If
%>



