<%
 module = "SQL_Script_Interpreter"

 ' NAME = UpgradeWebcenter40to50Access.asp - Upgrade script from 4.0 to 5.0

'(C)  2004-2005 Internet Software Sciences
' www.inet-sciences.com


'History:

'Date			Who		What
'-------		---		------------------------------------------------
' 11/16/2004	JC		Created initial version
' 03/30/2005	SAV		Created version for 4.0 to 5.0 upgrade

' This module is an autolytic program - i.e. it is a program that digests it's own source code file as a data file.
' To explain how it works, consider there are 2 phases when this code executes:
'
' a) When the module is being processed by the ASP interpreter
'    ----------------------------------------------------
' The first part of the module is actualy executable code written in ASP, but the second part
' of the module is passed over by the ASP interpreter because it thinks it is html code - which technically
' it is - so while the ASP interpreter in fact passes this part through to the client when the module is executed
' it doesn't appear on the user's screen because it is seen as "comments" by the browser
'
' b) When the module is executing as a program
'    -----------------------------------------
' The program fist figures out the location of itself (i.e. the filename on which the module itself resides)
' by means of examining variables made available by the server
' Once it has figured out the full path to this file, it reads the file as data and processes it thus:
'   1) It skips over and ignores any lines in the file until is sees a line containing "START" concatenated with "SCRIPT"
'   2) It takes subsequent lines and concatenates them into a command string until it finds one ending in a semi-colon
'   3) When it encounters a line ending in a semi-colon, it executes the command string (accumulated so far) as a SQL statement
'   4) It continues doing (2) and (3) until it sees a line containing "STOP" concatenated with "SCRIPT" whereupon it reverts to (1)
'   5) While doing (2) and (3) it ignores any line whose first character is # - i.e. treats it as a comment in the script
' In essence it is a script interpreter using the MySQL conventions for comments and end-of-command
'
%>
<html>
<head>
<title> Script Engine </title>
</head>
<style>
.Wrapper {
		border-width: 2px;
		border-style: solid;
		border-color: black;
		background-color: palegreen;
		padding-top: 5px;
		padding-bottom: 5px;
		padding-left: 15px;
		padding-right: 15px;
		}

</style>
<body bgcolor=cornsilk>

<%
' first we need to figure out the full pathname to the file we are being executed from, so we ourselves can read this file
Basepath  = Server.MapPath(".")
scriptname = Request.ServerVariables("script_name")

' Now pull out the actual filename from the full scriptname
a = InstrRev(scriptname, "/") ' Note this is always forward slash as it is an http URL and not a filepath
lambda = Len(scriptname)
b = Lambda - a
FileName = Right(scriptname,b)

' Now figure out if we want to use a forward or backward slash in assempling the path name - depends on our OS
xxxpos = Instr(Basepath, "\")
if xxxpos <> 0 then
   slash = "\"
else
   slash = "/"
end if

' Now we are ready to assemble the full pathname to the file
filepath = Basepath & slash & filename

' Set up a couple of other flags and constants we will be needing

bypass = "Yes"
tabchar = Chr(9)
startscriptflag = "START" & "SCRIPT"
stopscriptflag = "STOP" & "SCRIPT"

' -----------------------------------------------------------------------------------
'   CAUTION - This program is currently set to use the DSN as defined in global.asa
'
'  If using a different test database, replace the line following this comment block
'  withone that looks like
'
'            Application("myDSN") = "DSN=webcenter50_db;uid=wc50;pwd=wc50pass"
'
'  but with the parameter values adjusted as appropriate
' -----------------------------------------------------------------------------------

 myDSN=Application("myDSN")

' And now we can start executing real work

set conntemp=server.createobject("adodb.connection")
conntemp.open myDSN



 response.write "<font color=red size=+1>Processing The File " & FilePath & "</font><p>"

Set fs1 = CreateObject("Scripting.FileSystemObject")
REM the "1" in the next statement represents "ForReading"
Set b = fs1.OpenTextFile(FilePath, 1, FALSE)


linecounter = 0
SQL = ""

While not b.AtEndOfStream
   InRec  = b.Readline
   ' start processing a single line of input
   linecounter = linecounter + 1
   Inrec = Trim(InRec)
   Inrec = Replace(InRec,tabchar," ") ' replace any tab characters with a single space
   firstchar = Left(InRec,1)
   lastchar = Right(InRec,1)


   If InRec = "" Then
     'do nothing
   Elseif firstchar = "#" Then
      'do nothing
   Elseif Instr(InRec, startscriptflag) Then
      bypass = "No"
   Elseif Instr(InRec, stopscriptflag) Then
      bypass = "Yes"
   Elseif bypass = "Yes" Then
      ' do nothing
   Else
	response.write "<font size=-1> " & linecounter & " <font color=navy> "   & Replace(Inrec, " ", "&nbsp;") & "</font></font><br>"
	' concatenate this line into the end of the SQL statement
	SQL = SQL & Inrec & " "
   End If

   ' Now if we have hit a line that ends in semi-colon, then execute the accumulated SQL command

   If SQL <> "" and lastchar = ";" Then

   ' remove the semicolon (and the extra seaparator space we inserted) at the end of the SQL command
     xpos = Len(SQL)
     xpos = xpos-2
     SQL2 = Left(SQL, xpos)

     response.write "<p><font color=red>Executing</font><br><blockquote><div class=wrapper> " & SQL2 & "</div></blockquote><P>"
     response.flush
     set rstemp=conntemp.execute(SQL2)
     SQL = ""
   End if


Wend


b.Close
%>


<p>



<!-- STARTSCRIPT


# Any line starting with "#" is a comment line for the script engine - usefull for temporarily disabling lines





# Following Five Tables added For Version 5 to support Invoices

# DROP TABLE Invoice;

CREATE TABLE Invoice (

	InvoiceNumber  AUTOINCREMENT constraint Primarykeyname Primary Key,
	Item1 CHAR (100),
	Item2 CHAR (100),
	Item3 CHAR (100),
	Item4 CHAR (100),
	Item5 CHAR (100),
	NonTaxItem1 CHAR (100),
	NonTaxItem2 CHAR (100),
	NonTaxItem3 CHAR (100),
	TaxRate CURRENCY,
	TaxCost CURRENCY,
	Hours  CURRENCY,
	HourlyRate CURRENCY,
	HourlyCost CURRENCY,
	Case_number INT,
	TimeSpentCost  CURRENCY,
	UseTimeSpentValue LOGICAL,
	SubTotal  CURRENCY,
	PurchaseTotal  CURRENCY,
	InvoiceDescription CHAR (200),
	PONumber CHAR (50),
	InvoiceNotes CHAR (200),
	PaymentDueDate DATETIME,
	RenewalDate DATETIME,
	PurchaseDate DATETIME,
	AmountPaid CURRENCY,
	InvoiceBalance CURRENCY,
	PaidDate DATETIME,
	CheckNumber  CHAR (50),
	TransactionID  CHAR (50),
	InvoiceTypeID INT,
	PaymentMethodID INT,
	Customer_ID  CHAR (20),
	InvoiceStatusID INT,
	Cost1 CURRENCY,
	Cost2 CURRENCY,
	Cost3 CURRENCY,
	Cost4 CURRENCY,
	Cost5 CURRENCY,
	CostNonTax1 CURRENCY,
	CostNonTax2 CURRENCY,
	CostNonTax3 CURRENCY,
	Item1Qty INT,
	Item2Qty INT,
	Item3Qty INT,
	Item4Qty INT,
	Item5Qty INT,
	NonTax1Qty  INT,
	NonTax2Qty  INT,
	NonTax3Qty  INT,
	ExtendedTimeSpentTotals CURRENCY
);

# DROP TABLE InvoiceStatus;

CREATE TABLE InvoiceStatus (
	InvoiceStatusID AUTOINCREMENT constraint Primarykeyname Primary Key,
	InvoiceStatus   CHAR (50)
);

INSERT INTO InvoiceStatus VALUES (1,'PAID');
INSERT INTO InvoiceStatus VALUES (2,'BILLED');
INSERT INTO InvoiceStatus VALUES (3,'Very Late');
INSERT INTO InvoiceStatus VALUES (4,'OTHER');





# DROP TABLE InvoiceType;

CREATE TABLE InvoiceType (
	InvoiceTypeID AUTOINCREMENT constraint Primarykeyname Primary Key,
	InvoiceType   CHAR (50)
);

INSERT INTO InvoiceType VALUES (1,'INVOICE');
INSERT INTO InvoiceType VALUES (2,'REMINDER');



# DROP TABLE PaymentMethod;

CREATE TABLE PaymentMethod (
	PaymentMethodID AUTOINCREMENT constraint Primarykeyname Primary Key,
	PaymentMethod   CHAR (50)
);

INSERT INTO PaymentMethod VALUES (1,'CREDIT CARD');
INSERT INTO PaymentMethod VALUES (2,'PURCHASE ORDER');
INSERT INTO PaymentMethod VALUES (3,'CASH');





#DROP TABLE TimeSpent;

CREATE TABLE TimeSpent (
     TimeSpentIndex AUTOINCREMENT constraint Primarykeyname Primary Key,
     Case_Number INT,
     Invoice_Date datetime,
     Tech_Id  CHAR (20),
     Billable LOGICAL,
     Hours CURRENCY,
     HourlyRate CURRENCY,
     TimeSpentNote CHAR (200),
     InvoiceNumber INT
);


ALTER TABLE Configuration ADD COLUMN SMTP_User_Name CHAR (100);
ALTER TABLE Configuration ADD COLUMN SMTP_Password CHAR (100);
ALTER TABLE Configuration ADD COLUMN SendHTMLEmail LOGICAL;
UPDATE Configuration SET SendHTMLEmail = 1;


ALTER TABLE Configuration ADD COLUMN ExtendedTimeSpent LOGICAL;
UPDATE Configuration SET ExtendedTimeSpent = 1;

#Reconfigure Virtual Directories to 50 naming convention

UPDATE Configuration SET TechVirtual = 'tech50';
UPDATE Configuration SET CustomerVirtual = 'customer50';
UPDATE Configuration SET BusinessVirtual = 'business50';
UPDATE Configuration SET LanguageVirtual = 'language50';



STOPSCRIPT -->




</body>
</html>
