<% 'Module: UserScreen.asp

   'Description: This display the Tech+Center User Screen White Board
   ' It grabs the HTML contents from the database if a white board configuration
   ' exists or it display a fixed default Tech+Center White Board Page.
	' Important Note: This page is meant to replace the Techsupp.dll?UserPage
	' function.  This ISAPI DLL function does NOT simply send out the whole
	' HTML page from the database record.  It sends out the <HTML><HEAD><Title></head><body..>
	' tags first with the rest of the HTML coming from the database record.
	'  To control the full HTML content, remove the response.write lines
	' below where it says ******* User Configurations ********.

   '(C) 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '02/22/01	SAV		Created original ASP module
   '5/23/2013	SAV		Updated the user screen to display a small Edit White Board button in the bottom left if
   '					the tech level is dispatcher or greater.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>


<!-- #INCLUDE FILE="Adovbs.inc" -->


<%	' Get the current white board contents into a variable if it exists.
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Email_text" ' There should only be one row in this table

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see configuration row created yet
		WhiteBoardContents = ""
	Else
		WhiteBoardContents = rstemp("User_Page_HTML")
	End If

	rstemp.close
	set rstemp=nothing

'Get the value of the User Screen background color from the Configuration Table


	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			tech_Level  = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "UserScreen.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>




<% ' Check to see if any whiteboardcontents exists in the database
	' and if not  then display standard page.

	If WhiteBoardContents = "" then
%>

<HTML>
<HEAD>
   <TITLE>Tech+Center White Board</TITLE>
<!-- (C) 1996,1998, 2000, 2001 by Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>

<body class=rightwindow>


<Center>


<img src=/<%=WCLanguageDirectory%>/whiteboard.gif>
</center>

<P>
<hr width=90%>
<font size=-1>

Welcome to the Web Center Whiteboard. To edit this page, press the Administration button and then press the Edit user page and email message button. This white board screen is edited with textbox #1. <br>
Refer to the Web+Center User's Guide on how to customize this screen and other screens.<br>
</font>
<br>
<br>
<br>

<br>
<center>
<img src=eraser.gif>
</center>
</body>
</html>


<%Else ' Display value from database %>

<% ' *********** User Customizations ****************** %>
<%' To control all of the content sent out for the user page window,
	' Comment out the <html>... </head><body> lines below
%>


<html>
<head>
<title>Tech+Center White Board</title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>
<body class=rightwindow>


<% ' *********** End User Customizations ****************** %>


<%=WhiteBoardContents %>

<% ' *********** User Customizations ****************** %>
<% ' To be compatible with the old TechSupp.dll?UserScreen function
	' we need to send out the closing body and HTML tags.  These
	' can be removed if you define the complete document in the
	' the database include the starting html and ending html tags
%>




<% ' If tech_ID level is dispatcher or greater (dispatcher, administrator or configurator)
	' display an edit button in the lower left corner

	If tech_level >= 4 then
%>
<a href=EditWhiteBoard.asp><img src=/<%=WCLanguageDirectory%>/ts_edit30x100.gif border=0></a><br>
<% End IF %>




</body></html>
<% ' *********** End User Customizations ****************** %>


<% End IF ' If invalid user %>


<%End If %>
