
<% 'Module: DoConvertToSQLServer75.asp

   'Description: This module is the Submit modules for ConvertToSQLServer75.asp
   ' module and it moves data from an Access Database
   ' to a SQL*Server or SQL2003 or SQL 2000 database.
   ' This module should be only be run once to export data from an
   ' Access Data to a SQL*Server  database that
   ' has been configured to accept data.  This initial SQL*Server
   ' database must be a modified version of the Web+Center SQL*Server database
   ' that has several selected identity fields disabled during this conversion so all
   ' of the tables key indexes data can be copied over with the same indexes
   ' in the access table.


   ' Directions: To import data into the Customers Web+Center table,
   ' you must first define TWO ODBC database.  The Access database DSN must
   ' be defined as Webcenter30_DBAccess.

   ' The SQL*Server database DSN must be defined at webcenter30_db and
   ' and must point to the SQL*Server database.

   ' IMPORTANT: Before launching any data conversion process, please completely
   ' backup the database so it can be restored.  Do not attempt this script
   ' once you are running with SQL*Server as your main database.

   '(C) 2002-2007 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '02/07/02	SAV		Created original ConvertToSQLServer.asp page
   '08/11/03	TGF		Added fields for WebCenter 4.x
   '09/06/07	SAV		Added fields for version 5.0
   '03/31/08	SAV		Added fields for 6.0 conversions
   '07/10/12   CMB      Added fields for 7.5 conversions; also added fields customers table from 6.0
   '08/03/12   CMB      Groups weren't getting moved over because no groupid.
   '08/16/12   CMB      Sped up cases by adding 'where external_case_number = '9999' to query in cases.


	' CONSTANTS
   nLOOP_RECORDS = 10  ' note 100 takes a lot longer

	' Set the time out to 40 minutes so it does not time out with larger imports
	'Server.ScriptTimeOut = 2400 ' Set to 1200 seconds (40 minutes)  ' 07/12/12 only 17104 records
	'Server.ScriptTimeOut = 16800 ' Set to 1200 seconds (80 minutes)  ' 2147483647
	Server.ScriptTimeOut = 2147483647 ' Set to 1200 seconds (80 minutes)  ' 2147483647

	' Define Which Tables to Export - Comment out if necessary
	'--------------------------------------------------------------------
	If Request.form("AllTables") = "YES" Then
		ExportCustomers = 1
		ExportCases = 1
		ExportTech_Staff = 1
		ExportGroup_List = 1
		ExportGroups = 1
		ExportCategories = 1
		ExportAssets = 1
		ExportBConfiguration = 1
		ExportConfiguration = 1
		ExportCustomerTechAssignment = 1
		ExportDeleteList = 1
		ExportEmailCategory = 1
		ExportEmailCategoryLinks = 1
		ExportEmailText = 1
		ExportEmail_text = 1
		ExportKBConfiguration = 1
		ExportKBMap = 1
		ExportKBwords = 1
		ExportPriority = 1
		ExportTopCases = 1
		ExportCase_Text_Field_Labels = 1
		ExportSurvey_Results = 1
		ExportSurvey =1
		ExportResult_Detail =1
		ExportSchedule = 1
		ExportEvent_Type = 1
		ExportEvent_Attending = 1
		ExportEscalation = 1

		' New 5.0 Tables

		ExportInvoice = 1
		ExportInvoiceStatus = 1
		ExportInvoiceType= 1
		ExportPaymentMethod = 1
		ExportTimeSpent = 1


		'New 6.0 Tables<br>

		ExportPnotes = 1
		ExportCompanies = 1
		ExportTextAgentAvailable = 1
		ExportTextChat = 1
		ExportMedia_Inventory = 1
		ExportMedia_Schedule = 1
		ExportMedia_Type = 1
		ExportMedia_Inventory = 1

		'New 7.0 Tables<br>
		ExportAssetGroup=1
		ExportAssetGroupValues=1
		ExportEmailToCaseConfig=1
		ExportInspection=1
		ExportInspectionStatus=1


		'New 7.5 Tables<br>
		ExportAssetCategories=1
		ExportAssetCategoryItems =1
		ExportProjects=1
		ExportProjectCases =1
		ExportProjectHistory=1
		ExportProjectMembers=1

		'????
		ExportAssetAssignment = 1  ' 03/02/12
		ExportUserCategory = 1
		ExportCustomerNotes = 1
					ExportExpenses = 1

	End IF

	If Request.form("AllTables") <> "YES" Then

		If Request.form("AssetAssignment") = "YES" Then
			ExportAssetAssignment = 1
		End If

		If Request.form("Assets") = "YES" Then
			ExportAssets = 1
		End If

		If Request.form("CustomerTechAssignment") = "YES" Then
			ExportCustomerTechAssignment = 1
		End If

		If Request.form("BConfiguration") = "YES" Then
			ExportBConfiguration = 1
		End If

		If Request.form("Cases") = "YES" Then
			ExportCases = 1
		End If

		If Request.form("Categories") = "YES" Then
			ExportCategories = 1
		End If

		If Request.form("Customers") = "YES" Then
			ExportCustomers = 1
		End If

		If Request.form("Configuration") = "YES" Then
			ExportConfiguration = 1
		End If

		If Request.form("CustomerNotes") = "YES" Then
			ExportCustomerNotes = 1
		End If

		If Request.form("DeleteList") = "YES" Then
			ExportDeleteList = 1
		End If

		If Request.form("EmailCategory") = "YES" Then
			ExportEmailCategory = 1
		End If

		If Request.form("EmailCategoryLinks") = "YES" Then
			ExportEmailCategoryLinks = 1
		End If

		If Request.form("EmailText") = "YES" Then
			ExportEmailText = 1
		End If

		If Request.form("Email_Text") = "YES" Then
			ExportEmail_Text = 1
		End If

		If Request.form("Group_List") = "YES" Then
			ExportGroup_List = 1
		End If
		If Request.form("Groups") = "YES" Then
			ExportGroups = 1
		End If

		If Request.form("KBConfiguration") = "YES" Then
			ExportKBConfiguration = 1
		End If

		If Request.form("KBMap") = "YES" Then
			ExportKBMap = 1
		End If
		If Request.form("KBWords") = "YES" Then
			ExportKBWords = 1
		End If

		If Request.form("Priority") = "YES" Then
			ExportPriority = 1
		End If

		If Request.form("Tech_Staff") = "YES" Then
			ExportTech_Staff = 1
		End If

		If Request.form("UserCategory") = "YES" Then
			ExportUserCategory = 1
		End If

		If Request.form("TopCases") = "YES" Then
			ExportTopCases = 1
		End If

		If Request.form("Case_Text_Field_Labels") = "YES" Then
			ExportCase_Text_Field_Labels = 1
		End If

		If Request.form("Survey_Results") = "YES" Then
			ExportSurvey_Results = 1
		End If

		If Request.form("Survey") = "YES" Then
			ExportSurvey = 1
		End If

		If Request.form("Result_Detail") = "YES" Then
			ExportResult_Detail = 1
		End If

		If Request.form("Schedule") = "YES" Then
			ExportSchedule = 1
		End If

		If Request.form("Event_Type") = "YES" Then
			ExportEvent_Type = 1
		End If

		If Request.form("Event_Attending") = "YES" Then
			ExportEvent_Attending = 1
		End If

		If Request.form("Escalation") = "YES" Then
			ExportEscalation = 1
		End If


		' New 5.0 Tables

		If Request.form("Invoice") = "YES" Then
			ExportInvoice = 1
		End If

		If Request.form("InvoiceStatus") = "YES" Then
			ExportInvoiceStatus = 1
		End If
		If Request.form("InvoiceType") = "YES" Then
			ExportInvoiceType = 1
		End If
		If Request.form("PaymentMethod") = "YES" Then
			ExportPaymentMethod = 1
		End If
		If Request.form("TimeSpent") = "YES" Then
			ExportTimeSpent = 1
		End If


		' New 6.0 Tables


		If Request.form("PNotes") = "YES" Then
			ExportPNotes = 1
		End If

		If Request.form("Companies") = "YES" Then
			ExportCompanies = 1
		End If

		If Request.form("TextAgentAvailable") = "YES" Then
			ExportTextAgentAvailable = 1
		End If

		If Request.form("TextChat") = "YES" Then
			ExportTextChat = 1
		End If

		If Request.form("Media_Inventory") = "YES" Then
			ExportMedia_Inventory = 1
		End If

		If Request.form("Media_Type") = "YES" Then
			ExportMedia_Type = 1
		End If

		If Request.form("Media_Schedule") = "YES" Then
			ExportMedia_Schedule = 1
		End If

		' New 7.0 Tables

		If Request.form("AssetGroup") = "YES" Then
			ExportAssetGroup = 1
		End If

		If Request.form("AssetGroupValues") = "YES" Then
			ExportAssetGroupValues = 1
		End If

		If Request.form("EmailToCaseConfig") = "YES" Then
			ExportEmailToCaseConfig = 1
		End If

		If Request.form("Inspection") = "YES" Then
			ExportInspection = 1
		End If

		If Request.form("InspectionStatus") = "YES" Then
			ExportInspectionStatus = 1
		End If

	 ' New 7.5 Tables
		If Request.form("AssetCategories") = "YES" Then
			ExportAssetCategories = 1
		End If

		If Request.form("AssetCategoryItems") = "YES" Then
			ExportAssetCategoryItems = 1
		End If

		If Request.form("Projects") = "YES" Then
			ExportProjects = 1
		End If

		If Request.form("Expenses") = "YES" Then
			ExportExpenses = 1
		End If

		If Request.form("ProjectCases") = "YES" Then
			ExportProjectCases = 1
		End If

		If Request.form("ProjectHistory") = "YES" Then
			ExportProjectHistory = 1
		End If

		If Request.form("ProjectMembers") = "YES" Then
			ExportProjectMembers = 1
		End If


End If ' End of if AllTables <> "YES"

LoggingOptions = Request.form("LoggingOptions") ' Set to MIN or FULL

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="db_define.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="ADOVBS.INC" -->

<html>

<head>
<title>Web+Center Version 6.0 Access To SQL*Server Export Process</title>
</head>

<body bgcolor=FFFFFF>

<% ' ***************************************

	' ODBC Definition for your Access Database using a DSN

		AccessDatabaseDSN = "webcenter70_dbACCESS"
		'SQL*Server DSN is defined by the DSN string in global.asa and db_define.

%>
	<center><font face=arial>Web+Center Version 6.0 Access to SQL*Server 7.5 Data Migration</font></center><P>
	<font size=-1 face=arial>
	<B>Test #1 - Testing Both Databases</b>:
<%

	response.write "<B>Attempting Access Database Connectivity:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	Conn.Close

	response.write "<B> Access Database Connectivity Successful:</b><P>"

	response.write "<B>Attempting SQL*Server/2000/2003 Database Connectivity:</b><P>"


	'response.write "Connecting to SQL with " & myDSN & "<br>"
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN   ' Conn = SQLServer Destination Database

	Conn2.Close

	response.write "<B> SQL Server Database Connectivity Successful:</b><P>"


	' *************** CUSTOMERS TABLE EXPORT ************************************
	If ExportCustomers = 1 Then
		response.write "<B>Now attempting to export customer tables to SQL*Server:</b><P>"


		Set Conn = Server.CreateObject("ADODB.Connection")
		conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

		' Open second connection to source database
		Set Conn2 = Server.CreateObject("ADODB.Connection")
		conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT Customers ON "
conn2.execute(SQL)

	nRecords = 0
	nLastRecord = 0
   bStop = 0

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
	'SQL2 = "Select * from Cases where case_Number"

	Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
	SQL = "Select * from customers"
'	DestinationRecord.Open SQL,Conn2,3,3

	Do While nRecords < nLOOP_RECORDS and bstop = 0

		nRecords = nRecords + 1
		SQL2 = "Select  * from Customers where customer_number > " & nLastRecord & " Order by customer_number ASC "

		SourceRecord.Open SQL2,Conn,3,3
		if sourcerecord.eof then
			bStop = 1
		end if

		Do while not SourceRecord.EOF

			' Create a new record on the destination database
				DestinationRecord.Open SQL,Conn2,3,3
				DestinationRecord.AddNew

				DestinationRecord("Customer_ID") = SourceRecord("customer_id")
				DestinationRecord("customer_password") = SourceRecord("Customer_password")
				DestinationRecord("contact_fname") = SourceRecord("contact_fname")
				DestinationRecord("contact_lname") = SourceRecord("contact_lname")
				DestinationRecord("company") = SourceRecord("company")
				DestinationRecord("address") = SourceRecord("address")
				DestinationRecord("mailstop") = SourceRecord("mailstop")
				DestinationRecord("city") = SourceRecord("city")
				DestinationRecord("state") = SourceRecord("state")
				DestinationRecord("zip") = SourceRecord("zip")
				DestinationRecord("country") = SourceRecord("country")
				DestinationRecord("email") = SourceRecord("email")
				DestinationRecord("phone1") = SourceRecord("phone1")
				DestinationRecord("phone2") = SourceRecord("phone2")
				DestinationRecord("fax") = SourceRecord("fax")
				DestinationRecord("contact_method") = SourceRecord("contact_method")
				DestinationRecord("contact_times") = SourceRecord("contact_times")
				DestinationRecord("login_ip") = SourceRecord("login_ip")
				DestinationRecord("login_timeout") = SourceRecord("login_timeout")
				DestinationRecord("customer_username") = SourceRecord("customer_username")
				DestinationRecord("ViewEmailCategoryID") = SourceRecord("ViewEmailCategoryID")
' version 6 ' cmb 07/10/12

				DestinationRecord("company_id") = SourceRecord("company_id")
				DestinationRecord("auto_update") = SourceRecord("auto_update")
				DestinationRecord("QB_customer_name") = SourceRecord("QB_customer_name")
				DestinationRecord("QB_refnum") = SourceRecord("QB_refnum")
				DestinationRecord("customer_number") = SourceRecord("customer_number")
				DestinationRecord("IP_Phone_Link") = SourceRecord("IP_Phone_Link")
				DestinationRecord("IP_Phone_Type") = SourceRecord("IP_Phone_Type")

				DestinationRecord.Update

				nLastRecord = SourceRecord("customer_number")

				If LoggingOptions = "FULL" Then
					response.write " <font color=green> <LI>Customer Record: " &  SourceRecord("Customer_ID") & " Exported</li>"
					response.flush
				End If

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					  response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if

				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			DestinationRecord.Close
		'	Set DestinationRecord = Nothing

			SourceRecord.MoveNext
			TotalImportedRecords = TotalImportedRecords + 1
		loop ' end of records

		SourceRecord.Close ' Close the source recordset
	   nRecords = 0
	loop ' number of records

	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing



SQL = "Set IDENTITY_INSERT Customers OFF "
conn2.execute(SQL)
		conn2.close



	%>

		<B>Customer Table Successfully Exported</B><P>
		<UL> <%=TotalImportedRecords%> Customer records exported<br>
		</ul>

	<%

	End If ' End if ExportCustomers = 1

	' ******************* CASES TABLE EXPORT ******************************************

If ExportCases = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export CASES tables to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

	SQL = "Set IDENTITY_INSERT Cases ON "
	conn2.execute(SQL)

	nRecords = 0
	nLastRecord = 0
   bStop = 0

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")

	Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
	'SQL = "Select * from Cases"  ' CMB 08/16/12 speed this up!

	SQL = "Select * from Cases where external_case_Number = '99999'"

	Do While nRecords < nLOOP_RECORDS and bstop = 0

		nRecords = nRecords + 1
		SQL2 = "Select  * from Cases where case_Number > " & nLastRecord & " Order by case_Number ASC "

		SourceRecord.Open SQL2,Conn,3,3
		if sourcerecord.eof then
			bStop = 1
		end if

		Do while not SourceRecord.EOF

			' Create a new record on the destination database
				DestinationRecord.Open SQL,Conn2,3,3
				DestinationRecord.AddNew

				DestinationRecord("External_Case_Number") = SourceRecord("External_Case_Number")
				DestinationRecord("Case_Number") = SourceRecord("Case_Number")

				DestinationRecord("Dup_Case_Num") = SourceRecord("dup_Case_Num")
				DestinationRecord("Group_Number") = SourceRecord("Group_Number")
				DestinationRecord("asset_Number") = SourceRecord("asset_Number")
				DestinationRecord("customer_id") = SourceRecord("Customer_id")
				DestinationRecord("tech_id") = SourceRecord("tech_id")
				DestinationRecord("Open_date") = SourceRecord("Open_date")
				DestinationRecord("Open_time") = SourceRecord("Open_time")
				DestinationRecord("reopen_date") = SourceRecord("reopen_date")
				DestinationRecord("reopen_time") = SourceRecord("reopen_time")
				DestinationRecord("mod_date") = SourceRecord("mod_date")
				DestinationRecord("mod_time") = SourceRecord("mod_time")
				DestinationRecord("case_one_line") = SourceRecord("case_one_line")
				DestinationRecord("case_history") = SourceRecord("case_history")
				DestinationRecord("case_summary") = SourceRecord("case_summary")
				DestinationRecord("case_resolution") = SourceRecord("case_resolution")
				DestinationRecord("status") = SourceRecord("status")
				DestinationRecord("severity") = SourceRecord("severity")
				DestinationRecord("scheduled_case_type") = SourceRecord("scheduled_case_type")
				DestinationRecord("repeat_interval") = SourceRecord("repeat_interval")
				DestinationRecord("due_date") = SourceRecord("due_date")
				DestinationRecord("due_Time") = SourceRecord("due_Time")
				DestinationRecord("Overdue_Email") = SourceRecord("overdue_email")
				DestinationRecord("modified_flag") = SourceRecord("modified_flag")
				DestinationRecord("category_count") = SourceRecord("category_count")
				DestinationRecord("c1") = SourceRecord("c1")
				DestinationRecord("c2") = SourceRecord("c2")
				DestinationRecord("c3") = SourceRecord("c3")
				DestinationRecord("c4") = SourceRecord("c4")
				DestinationRecord("c5") = SourceRecord("c5")
				DestinationRecord("c6") = SourceRecord("c6")
				DestinationRecord("c7") = SourceRecord("c7")
				DestinationRecord("c8") = SourceRecord("c8")
				DestinationRecord("c9") = SourceRecord("c9")
				DestinationRecord("c10") = SourceRecord("c10")

				' Categories 11-20
				DestinationRecord("c11") = SourceRecord("c11")
				DestinationRecord("c12") = SourceRecord("c12")
				DestinationRecord("c13") = SourceRecord("c13")
				DestinationRecord("c14") = SourceRecord("c14")
				DestinationRecord("c15") = SourceRecord("c15")
				DestinationRecord("c16") = SourceRecord("c16")
				DestinationRecord("c17") = SourceRecord("c17")
				DestinationRecord("c18") = SourceRecord("c18")
				DestinationRecord("c19") = SourceRecord("c19")
				DestinationRecord("c20") = SourceRecord("c20")

				' Categories 21-30
				DestinationRecord("c21") = SourceRecord("c21")
				DestinationRecord("c22") = SourceRecord("c22")
				DestinationRecord("c23") = SourceRecord("c23")
				DestinationRecord("c24") = SourceRecord("c24")
				DestinationRecord("c25") = SourceRecord("c25")
				DestinationRecord("c26") = SourceRecord("c26")
				DestinationRecord("c27") = SourceRecord("c27")
				DestinationRecord("c28") = SourceRecord("c28")
				DestinationRecord("c29") = SourceRecord("c29")
				DestinationRecord("c30") = SourceRecord("c30")

				' Categories 31-40
				DestinationRecord("c31") = SourceRecord("c31")
				DestinationRecord("c32") = SourceRecord("c32")
				DestinationRecord("c33") = SourceRecord("c33")
				DestinationRecord("c34") = SourceRecord("c34")
				DestinationRecord("c35") = SourceRecord("c35")
				DestinationRecord("c36") = SourceRecord("c36")
				DestinationRecord("c37") = SourceRecord("c37")
				DestinationRecord("c38") = SourceRecord("c38")
				DestinationRecord("c39") = SourceRecord("c39")
				DestinationRecord("c40") = SourceRecord("c40")

				' version 7 and 7.5 additions
				DestinationRecord("AdditionalCCList") = SourceRecord("AdditionalCCList")
				DestinationRecord("AdditionalNotifications") = SourceRecord("AdditionalNotifications")
				DestinationRecord("AssetGroupIndex") = SourceRecord("AssetGroupIndex")

				' If you use more than 40 categories, you will
				' need to duplicate more values above and transfer them.

				DestinationRecord.Update
				nLastRecord = SourceRecord("Case_Number")

				If LoggingOptions = "FULL" Then
					response.write " <font color=green> <LI>Case: " &  SourceRecord("Case_Number") & " Exported</li>"
					response.flush
				End If

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					  response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if

				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			DestinationRecord.Close
		'	Set DestinationRecord = Nothing

			SourceRecord.MoveNext
			TotalImportedRecords = TotalImportedRecords + 1
		loop ' end of records

		SourceRecord.Close ' Close the source recordset
	   nRecords = 0
	loop ' number of records

	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing

SQL = "Set IDENTITY_INSERT Cases OFF "
conn2.execute(SQL)
Conn2.close




%>

	</ul>

	<B>Case Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Case records imported<br>
	</ul>

<%
	End IF ' End of ExportCases = 1
%>


<% 'Response.flush
	'response.end
%>




<% '*************************** TECH_STAFF TABLE EXPORT *******************

	If ExportTech_Staff = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Tech_Staff table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

' NO IDENTIFY FIELD SET_IDENTITY_INSERT_ON("Tech_Staff")

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from tech_staff"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from tech_staff"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("tech_id") = SourceRecord("tech_id")
			DestinationRecord("tech_password") = SourceRecord("tech_password")
			DestinationRecord("tech_level") = SourceRecord("tech_level")
			DestinationRecord("first_name") = SourceRecord("first_name")
			DestinationRecord("last_name") = SourceRecord("last_name")
			DestinationRecord("department") = SourceRecord("department")
			DestinationRecord("mailstop") = SourceRecord("mailstop")
			DestinationRecord("work_email") = SourceRecord("work_email")
			DestinationRecord("work_phone1") = SourceRecord("work_phone1")
			DestinationRecord("work_phone2") = SourceRecord("work_phone2")
			DestinationRecord("work_fax") = SourceRecord("work_fax")
			DestinationRecord("home_address") = SourceRecord("home_address")
			DestinationRecord("home_city") = SourceRecord("home_city")
			DestinationRecord("home_state") = SourceRecord("home_state")

			DestinationRecord("home_zip") = SourceRecord("home_zip")
			DestinationRecord("home_email") = SourceRecord("home_email")
			DestinationRecord("home_phone") = SourceRecord("home_phone")
			DestinationRecord("home_fax") = SourceRecord("home_fax")
			DestinationRecord("notes") = SourceRecord("notes")
			DestinationRecord("current_customer_id") = SourceRecord("current_customer_id")
			DestinationRecord("current_case_number") = SourceRecord("current_case_number")
			DestinationRecord("availability") = SourceRecord("availability")
			DestinationRecord("show_dispatch_flag") = SourceRecord("show_dispatch_flag")

			DestinationRecord("login_ip") = SourceRecord("login_ip")
			DestinationRecord("login_timeout") = SourceRecord("login_timeout")
			DestinationRecord("new_case_notify") = SourceRecord("new_case_notify")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Tech Staff Member " &  SourceRecord("First_Name") &  " " &  SourceRecord("Last_Name") & " Exported</li>"
			End If

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
	Conn2.close

	' NO identity field SET_IDENTITY_INSERT_OFF("Tech_Staff")

%>

	</ul>

	<B>Tech_Staff Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Tech Staff records exported<br>
	</ul>
<% 	End IF ' End of ExportTech_Staff = 1
%>


<%
	' *************************** GROUP_LIST EXPORT ****************************

	If ExportGroup_List = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Group_List table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT group_list ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Group_List"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Group_List"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("Group_Number") = SourceRecord("Group_Number")
			DestinationRecord("Group_Name") = SourceRecord("Group_Name")
			DestinationRecord("Default_Flag") = SourceRecord("default_flag")
			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Group " &  SourceRecord("Group_Name")  & "Exported</li>"
			End If

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing

	SQL = "Set IDENTITY_INSERT group_list OFF "
	conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>Group_List Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Groups List records exported<br>
	</ul>

<%
	End IF ' End of ExporGroupsLis = 1


	' *************************************** GROUPS TABLE EXPORT ********

	If ExportGroups = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Groups table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.
SQL = "Set IDENTITY_INSERT groups ON "
conn2.execute(SQL)


	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Groups"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Groups"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("tech_id") = SourceRecord("tech_id")
			DestinationRecord("Group_Number") = SourceRecord("Group_Number")
			DestinationRecord("New_case_Notify") = SourceRecord("new_case_notify")
			' Note GroupsID is an auto number field but is not used but will be created.
			DestinationRecord("GroupsID") = SourceRecord("GroupsID")  ' cmb 08/03/12

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Groups with Tech: " &  SourceRecord("Tech_ID") &   " With For Group: " & SourceRecord("Group_Number")  & " Exported</li>"
			End If

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing

	SQL = "Set IDENTITY_INSERT groups OFF "
	conn2.execute(SQL)
		Conn2.close

%>

	</ul>

	<B>Groups Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Groups records exported<br>
	</ul>
<%
	End IF ' End of ExportGroup = 1
%>


<% '****************************CATEGORIES TABLE ****************************

	If ExportCategories = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Categories table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT categories ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Categories"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Categories"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("category_number") = SourceRecord("category_number")
			DestinationRecord("item_number") = SourceRecord("item_number")
			DestinationRecord("category_name") = SourceRecord("category_name")
			DestinationRecord("item_name") = SourceRecord("item_name")
			DestinationRecord("state") = SourceRecord("state")
			DestinationRecord("group_number") = SourceRecord("group_number")

			' Category_index is an auto number field and not used.
			DestinationRecord("Category_index") = SourceRecord("Category_index")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Category: " &  SourceRecord("category_name") &   " With Item: " & SourceRecord("Item_Name")  & " Exported</li>"
			End If

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing

		SQL = "Set IDENTITY_INSERT categories OFF "
		conn2.execute(SQL)

		Conn2.close
%>

	</ul>

	<B>Categories Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Categories records exported<br>
	</ul>

<%
	End IF ' End of ExportCategories = 1
%>

<% '************************** ASSETS TABLE EXPORT **************************************
	If ExportAssets = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Assets table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT Assets ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Assets"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Assets"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("asset_number") = SourceRecord("asset_number")
			DestinationRecord("dummy_field") = SourceRecord("dummy_field")
			DestinationRecord("computer_id") = SourceRecord("computer_id")
			DestinationRecord("property_tag") = SourceRecord("property_tag")
			DestinationRecord("equipment_type") = SourceRecord("equipment_type")
			DestinationRecord("lease_or_purchase") = SourceRecord("lease_or_purchase")
			DestinationRecord("serial_number") = SourceRecord("serial_number")
			DestinationRecord("acquired_from") = SourceRecord("acquired_from")
			DestinationRecord("date_acquired") = SourceRecord("date_acquired")
			DestinationRecord("date_in_service") = SourceRecord("date_in_service")
			DestinationRecord("processor_speed") = SourceRecord("processor_speed")
			DestinationRecord("ram_size") = SourceRecord("ram_size")
			DestinationRecord("hd_size") = SourceRecord("hd_size")
			DestinationRecord("monitor_model") = SourceRecord("monitor_model")
			DestinationRecord("monitor_size") = SourceRecord("monitor_size")
			DestinationRecord("monitor_serial_num") = SourceRecord("monitor_serial_num")
			DestinationRecord("assigned_group") = SourceRecord("assigned_group")
			DestinationRecord("location") = SourceRecord("location")
			DestinationRecord("date_assigned") = SourceRecord("date_assigned")
			DestinationRecord("location") = SourceRecord("location")
			DestinationRecord("date_assigned") = SourceRecord("date_assigned")
			DestinationRecord("ip_address") = SourceRecord("ip_address")
			DestinationRecord("wall_port_number") = SourceRecord("wall_port_number")
			DestinationRecord("operating_system1") = SourceRecord("operating_system1")
			DestinationRecord("operating_system2") = SourceRecord("operating_system2")
			' Applications

			' Application #1
			DestinationRecord("app1") = SourceRecord("app1")
			DestinationRecord("app1_product_id") = SourceRecord("app1_product_id")
			DestinationRecord("app1_install_date") = SourceRecord("app1_install_date")


			' Application #2
			DestinationRecord("app2") = SourceRecord("app2")
			DestinationRecord("app2_product_id") = SourceRecord("app2_product_id")
			DestinationRecord("app2_install_date") = SourceRecord("app2_install_date")

			' Application #3
			DestinationRecord("app3") = SourceRecord("app3")
			DestinationRecord("app3_product_id") = SourceRecord("app3_product_id")
			DestinationRecord("app3_install_date") = SourceRecord("app3_install_date")

			' Application #4
			DestinationRecord("app4") = SourceRecord("app4")
			DestinationRecord("app4_product_id") = SourceRecord("app4_product_id")
			DestinationRecord("app4_install_date") = SourceRecord("app4_install_date")

			' Application #5
			DestinationRecord("app5") = SourceRecord("app5")
			DestinationRecord("app5_product_id") = SourceRecord("app5_product_id")
			DestinationRecord("app5_install_date") = SourceRecord("app5_install_date")

			' Application #6
			DestinationRecord("app6") = SourceRecord("app6")
			DestinationRecord("app6_product_id") = SourceRecord("app6_product_id")
			DestinationRecord("app6_install_date") = SourceRecord("app6_install_date")

			' Application #7
			DestinationRecord("app7") = SourceRecord("app7")
			DestinationRecord("app7_product_id") = SourceRecord("app7_product_id")
			DestinationRecord("app7_install_date") = SourceRecord("app7_install_date")

			' Application #8
			DestinationRecord("app8") = SourceRecord("app8")
			DestinationRecord("app8_product_id") = SourceRecord("app8_product_id")
			DestinationRecord("app8_install_date") = SourceRecord("app8_install_date")

			' Application #9
			DestinationRecord("app9") = SourceRecord("app9")
			DestinationRecord("app9_product_id") = SourceRecord("app9_product_id")
			DestinationRecord("app9_install_date") = SourceRecord("app9_install_date")

			' Application #10
			DestinationRecord("app10") = SourceRecord("app10")
			DestinationRecord("app10_product_id") = SourceRecord("app10_product_id")
			DestinationRecord("app10_install_date") = SourceRecord("app10_install_date")

			' Application #11
			DestinationRecord("app11") = SourceRecord("app11")
			DestinationRecord("app11_product_id") = SourceRecord("app11_product_id")
			DestinationRecord("app11_install_date") = SourceRecord("app11_install_date")

			' Application #12
			DestinationRecord("app12") = SourceRecord("app12")
			DestinationRecord("app12_product_id") = SourceRecord("app12_product_id")
			DestinationRecord("app12_install_date") = SourceRecord("app12_install_date")

			' Application #13
			DestinationRecord("app13") = SourceRecord("app13")
			DestinationRecord("app13_product_id") = SourceRecord("app13_product_id")
			DestinationRecord("app13_install_date") = SourceRecord("app13_install_date")

			' Application #14
			DestinationRecord("app14") = SourceRecord("app14")
			DestinationRecord("app14_product_id") = SourceRecord("app14_product_id")
			DestinationRecord("app14_install_date") = SourceRecord("app14_install_date")

			' Application #15
			DestinationRecord("app15") = SourceRecord("app15")
			DestinationRecord("app15_product_id") = SourceRecord("app15_product_id")
			DestinationRecord("app15_install_date") = SourceRecord("app15_install_date")

			' End of Application fields

			DestinationRecord("lastupdate") = SourceRecord("lastupdate")
			DestinationRecord("assetnotes") = SourceRecord("assetnotes")
			DestinationRecord("custom_field1") = SourceRecord("custom_field1")
			DestinationRecord("custom_field2") = SourceRecord("custom_field2")
			DestinationRecord("custom_field3") = SourceRecord("custom_field3")
			DestinationRecord("custom_field4") = SourceRecord("custom_field4")
			DestinationRecord("custom_field5") = SourceRecord("custom_field5")


			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Asset Number: " &  SourceRecord("Asset_Number") &   " With Asset Description: " & SourceRecord("Equipment_Type")  & " Exported</li>"
			End If

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing

		SQL = "Set IDENTITY_INSERT Assets OFF "
		conn2.execute(SQL)

	Conn2.close

%>

	</ul>

	<B>Assets Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Assets records exported<br>
	</ul>

<% 	End IF ' End of ExportAssets = 1
%>

<% '****************************BCONFIGURATION TABLE EXPORT ****************************

	' Note this table should only have one row so no need to change primary key field
	' back to int and then back to autonumber

	If ExportBconfiguration = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Bconfiguration table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

'NOT NEEDED only one row SQL = "Set IDENTITY_INSERT Bconfiguration ON "
'conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from bconfiguration"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from bconfiguration"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("BWhiteBoard") = SourceRecord("BWhiteBoard")
			DestinationRecord("OptionColor") = SourceRecord("OptionColor")
			DestinationRecord("UserWindowColor") = SourceRecord("UserWindowColor")
			DestinationRecord("AssignedContactsColor") = SourceRecord("AssignedContactsColor")
			DestinationRecord("RemoveEmailText") = SourceRecord("RemoveEmailText")

			' Customer Customer Fields
			DestinationRecord("Box1Label") = SourceRecord("Box1Label")
			DestinationRecord("Box2Label") = SourceRecord("Box2Label")
			DestinationRecord("Box3Label") = SourceRecord("Box3Label")
			DestinationRecord("Box4Label") = SourceRecord("Box4Label")
			DestinationRecord("Box5Label") = SourceRecord("Box5Label")
			DestinationRecord("Box6Label") = SourceRecord("Box6Label")
			DestinationRecord("Box7Label") = SourceRecord("Box7Label")
			DestinationRecord("Box8Label") = SourceRecord("Box8Label")
			DestinationRecord("Box9Label") = SourceRecord("Box9Label")
			DestinationRecord("Box10Label") = SourceRecord("Box10Label")

			DestinationRecord("Box1Enabled") = SourceRecord("Box1Enabled")
			DestinationRecord("Box2Enabled") = SourceRecord("Box2Enabled")
			DestinationRecord("Box3Enabled") = SourceRecord("Box3Enabled")
			DestinationRecord("Box4Enabled") = SourceRecord("Box4Enabled")
			DestinationRecord("Box5Enabled") = SourceRecord("Box5Enabled")
			DestinationRecord("Box6Enabled") = SourceRecord("Box6Enabled")
			DestinationRecord("Box7Enabled") = SourceRecord("Box7Enabled")
			DestinationRecord("Box8Enabled") = SourceRecord("Box8Enabled")
			DestinationRecord("Box9Enabled") = SourceRecord("Box9Enabled")
			DestinationRecord("Box10Enabled") = SourceRecord("Box10Enabled")

			' BconfigurationID will be set automatically from autonumber

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>BConfiguration Row Found and Exported</li>"
			End If

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing


'NOT NEEDED only one row	SQL = "Set IDENTITY_INSERT Bconfiguration OFF "
			'conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>BConfiguration Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> BConfiguration records exported<br>
	</ul>

<%
	End IF ' End of ExportBconfiguration = 1
%>


<% '****************************CONFIGURATION TABLE EXPORT ****************************

	' Note this table should only have one row so no need to change primary key field
	' back to int and then back to autonumber

	If Exportconfiguration = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Configuration table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.


'NOT NEEDED only one row SET_IDENTITY_INSERT_ON("Configuration")

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from configuration"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from configuration"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("ts_options_color") = SourceRecord("ts_options_color")
			DestinationRecord("ts_pending_color") = SourceRecord("ts_pending_color")
			DestinationRecord("ts_user_page_color") = SourceRecord("ts_user_page_color")
			DestinationRecord("customer_color") = SourceRecord("customer_color")
			DestinationRecord("customer_name_text") = SourceRecord("customer_name_text")
			DestinationRecord("customer_name_html") = SourceRecord("customer_name_html")
			DestinationRecord("max_case_history_size") = SourceRecord("max_case_history_size")
			DestinationRecord("max_case_summary_size") = SourceRecord("max_case_summary_size")
			DestinationRecord("max_case_resolution_size") = SourceRecord("max_case_resolution_size")
			DestinationRecord("pending_screen_refresh_rate") = SourceRecord("pending_screen_refresh_rate")
			DestinationRecord("dispatcher_screen_refresh_rate") = SourceRecord("dispatcher_screen_refresh_rate")
			DestinationRecord("smtp_host_address") = SourceRecord("smtp_host_address")
			DestinationRecord("standard_reply_to_address") = SourceRecord("standard_reply_to_address")
			DestinationRecord("email_retry_timeout") = SourceRecord("email_retry_timeout")
			DestinationRecord("customer_id_list") = SourceRecord("customer_id_list")
			DestinationRecord("assets_db") = SourceRecord("assets_db")
			DestinationRecord("customer_case_notify") = SourceRecord("customer_case_notify")
			DestinationRecord("max_tech_case_search_return") = SourceRecord("max_tech_case_search_return")
			DestinationRecord("text_box_sizing") = SourceRecord("text_box_sizing")
			DestinationRecord("case_summary_rows") = SourceRecord("case_summary_rows")
			DestinationRecord("case_summary_max_rows") = SourceRecord("case_summary_max_rows")
			DestinationRecord("case_resolution_rows") = SourceRecord("case_resolution_rows")
			DestinationRecord("case_resolution_max_rows") = SourceRecord("case_resolution_max_rows")
			DestinationRecord("case_history_rows") = SourceRecord("case_history_rows")
			DestinationRecord("case_text_box_columns") = SourceRecord("case_text_box_columns")
			DestinationRecord("time_zone_adjustment") = SourceRecord("time_zone_adjustment")
			DestinationRecord("time_zone_label") = SourceRecord("time_zone_label")
			DestinationRecord("language") = SourceRecord("language")
			DestinationRecord("All_KB_Update") = SourceRecord("All_KB_Update")
			DestinationRecord("Time_Spent_Category") = SourceRecord("Time_spent_Category")
			DestinationRecord("Time_Spent_Interval") = SourceRecord("Time_Spent_Interval")
			DestinationRecord("Date_Display_Format") = SourceRecord("Date_Display_Format")

			' added WebCenter 4x fields
			DestinationRecord("TechCenterFileUpload") = SourceRecord("TechCenterFileUpload")
			DestinationRecord("CustomerCenterFileUpload") = SourceRecord("CustomerCenterFileUpload")
			DestinationRecord("FileUploadPhysicalPath") = SourceRecord("FileUploadPhysicalPath")
			DestinationRecord("FileUploadVirtualDirectory") = SourceRecord("FileUploadVirtualDirectory")
			DestinationRecord("RenameUploadFile") = SourceRecord("RenameUploadFile")
			DestinationRecord("MaxFileUploadSize") = SourceRecord("MaxFileUploadSize")
			DestinationRecord("CustomerPasswordRequired") = SourceRecord("CustomerPasswordRequired")
			DestinationRecord("CustomerAssetSearch") = SourceRecord("CustomerAssetSearch")
			DestinationRecord("EncryptPasswords") = SourceRecord("EncryptPasswords")
			DestinationRecord("CustomerSurvey") = SourceRecord("CustomerSurvey")
			DestinationRecord("SurveyEmail1") = SourceRecord("SurveyEmail1")
			DestinationRecord("SurveyEmail2") = SourceRecord("SurveyEmail2")
			DestinationRecord("SurveyEmail3") = SourceRecord("SurveyEmail3")
			DestinationRecord("SurveyEmailText") = SourceRecord("SurveyEmailText")
			DestinationRecord("TechVirtual") = SourceRecord("TechVirtual")
			DestinationRecord("CustomerVirtual") = SourceRecord("CustomerVirtual")
			DestinationRecord("BusinessVirtual") = SourceRecord("BusinessVirtual")
			DestinationRecord("LanguageVirtual") = SourceRecord("LanguageVirtual")
			DestinationRecord("DatabaseType") = SourceRecord("DatabaseType")
			DestinationRecord("Option1") = SourceRecord("Option1")
			DestinationRecord("Option2") = SourceRecord("Option2")

			' added version 5.0 fields ' SAV 9/6/2007

			DestinationRecord("SendHTMLEmail") = SourceRecord("SendHTMLEmail")
			DestinationRecord("SMTP_User_Name") = left(SourceRecord("SMTP_User_Name"),50) ' ??? problem here could it be going from 100 chars to 50?
			DestinationRecord("SMTP_Password") = left(SourceRecord("SMTP_Password"),50)  ' ??? problem here could it be going from 100 char
			DestinationRecord("ExtendedTimeSpent") = SourceRecord("ExtendedTimeSpent")

			' version 7 and 7.5 additions
			DestinationRecord("PrimaryAdditionalNotificationEmail") = SourceRecord("PrimaryAdditionalNotificationEmail") ' NOT IN ACCESS
			DestinationRecord("Projects") = SourceRecord("Projects")
			DestinationRecord("Expenses") = SourceRecord("Expenses")
			DestinationRecord("AssetInspections") = SourceRecord("AssetInspections")
			DestinationRecord("ReservationCenter") = SourceRecord("ReservationCenter")
			DestinationRecord("AdditionalNotificationEmails") = SourceRecord("AdditionalNotificationEmails")
			DestinationRecord("AssetAuditTrail") = SourceRecord("AssetAuditTrail")
			DestinationRecord("MaxAssetAuditTrail") = SourceRecord("MaxAssetAuditTrail")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Configuration Table Row Found and Exported</li>"
			End If

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
	Conn2.close

'
'NOT NEEDED only one row SET_IDENTITY_INSERT_OFF("Configuration")

%>

	</ul>

	<B>Configuration Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Configuration records exported<br>
	</ul>

<%
	End IF ' End of ExportConfiguration = 1
%>


<% '****************************CUSTOMERNOTES TABLE ****************************

	If ExportCustomerNotes = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export CustomerNotes table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT CustomerNotes ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from CustomerNotes"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from CustomerNotes"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("NotesID") = SourceRecord("NotesID")
			DestinationRecord("ContactNotes") = SourceRecord("ContactNotes")
			DestinationRecord("customer_ID") = SourceRecord("customer_ID")
			DestinationRecord("TextNote1") = SourceRecord("TextNote1")
			DestinationRecord("TextNote2") = SourceRecord("TextNote2")
			DestinationRecord("TextNote3") = SourceRecord("TextNote3")
			DestinationRecord("TextNote4") = SourceRecord("TextNote4")
			DestinationRecord("TextNote5") = SourceRecord("TextNote5")
			DestinationRecord("TextNote6") = SourceRecord("TextNote6")
			DestinationRecord("TextNote7") = SourceRecord("TextNote7")
			DestinationRecord("TextNote8") = SourceRecord("TextNote8")
			DestinationRecord("TextNote9") = SourceRecord("TextNote9")
			DestinationRecord("TextNote10") = SourceRecord("TextNote10")

			DestinationRecord("CustCat1") = SourceRecord("CustCat1")
			DestinationRecord("CustCat2") = SourceRecord("CustCat2")
			DestinationRecord("CustCat3") = SourceRecord("CustCat3")
			DestinationRecord("CustCat4") = SourceRecord("CustCat4")
			DestinationRecord("CustCat5") = SourceRecord("CustCat5")
			DestinationRecord("CustCat6") = SourceRecord("CustCat6")
			DestinationRecord("CustCat7") = SourceRecord("CustCat7")
			DestinationRecord("CustCat8") = SourceRecord("CustCat8")
			DestinationRecord("CustCat9") = SourceRecord("CustCat9")
			DestinationRecord("CustCat10") = SourceRecord("CustCat10")


			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>CustomerNotes For Customer: " &  SourceRecord("customer_id") &   " Exported</li>"
			End If

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing

SQL = "Set IDENTITY_INSERT CustomerNotes OFF "
conn2.execute(SQL)
	Conn2.close

%>

	</ul>

	<B>CustomerNotes Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Customer Note records exported<br>
	</ul>

<%
	End IF ' End of ExportCustomerNotes = 1
%>


<% '****************************CustomerTechAssignment TABLE ****************************

	If ExportCustomerTechAssignment = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export CustomerTechAssignment table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT CustomerTechAssignment ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from CustomerTechAssignment"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from CustomerTechAssignment"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew



			DestinationRecord("Customer_ID") = SourceRecord("customer_ID")
			DestinationRecord("Tech_ID") = SourceRecord("Tech_ID")

			' CustomerTechAssignmentID field is autonumber but it is not reference so
			' Autonumber does not have be reset.  They may not match exactly.
			DestinationRecord("CustomerTechAssignmentID") = SourceRecord("CustomerTechAssignmentID")


			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Customer Tech Assignments For Customer: " &  SourceRecord("customer_id") &   "And Tech:" &  SourceRecord("tech_id") & " Exported</li>"
			End If

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing

				SQL = "Set IDENTITY_INSERT CustomerTechAssignment OFF "
				conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>CustomerTechAssignment Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Customer Tech Assignment records exported<br>
	</ul>

<%
	End IF ' End of ExportTechAssignment = 1
%>

<% '****************************DeleteList TABLE ****************************

	If ExportDeleteList = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export DeleteList table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT DeleteList ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from DeleteList"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from DeleteList"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("Customer_ID") = SourceRecord("customer_ID")
			DestinationRecord("DeletedByIP") = SourceRecord("DeletedByIP")
			DestinationRecord("DateDeleted") = SourceRecord("DateDeleted")

		' Note: ListDeleteID is autonumber field but is not referenced as a key field
		' so we can let the new record be any number as needed.
			DestinationRecord("ListDeleteID") = SourceRecord("ListDeleteID")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Delete List entries for Customer: " &  SourceRecord("customer_id") & " Exported</li>"
			End If

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing

					SQL = "Set IDENTITY_INSERT DeleteList OFF "
					conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>DeleteList Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> DeleteList records exported<br>
	</ul>

<%
	End IF ' End of ExportDeleteList = 1
%>

<% '****************************EmailCategory TABLE ****************************

	If ExportEmailCategory = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export EmailCategory table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT EmailCategory ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from EmailCategory"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from EmailCategory"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("EmailCategoryID") = SourceRecord("EmailCategoryID")
			DestinationRecord("EmailCategory") = SourceRecord("EmailCategory")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>EmailCategory entries for Category: " &  SourceRecord("EmailCategory") & " Exported</li>"
			End If

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
						SQL = "Set IDENTITY_INSERT EmailCategory OFF "
						conn2.execute(SQL)

	Conn2.close

%>

	</ul>

	<B>EmailCategory Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> EmailCategory records exported<br>
	</ul>

<%
	End IF ' End of ExportEmailCategory = 1
%>


<% '****************************EmailCategoryLinks TABLE ****************************

	If ExportEmailCategoryLinks = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export EmailCategoryLinks table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT EmailCategoryLinks ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from EmailCategoryLinks"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from EmailCategoryLinks"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("EmailCustomerCategoryID") = SourceRecord("EmailCustomerCategoryID")
			DestinationRecord("Customer_ID") = SourceRecord("Customer_Id")
			DestinationRecord("EmailCategoryID") = SourceRecord("EmailCategoryID")

			' EmailCustomerCategoryID is autonumber and can be left auto number
			DestinationRecord("EmailCustomerCategoryID") = SourceRecord("EmailCustomerCategoryID")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>EmailCategoryLinks entries for Customer: " &  SourceRecord("customer_id") & " Exported</li>"

			End IF
				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing

							SQL = "Set IDENTITY_INSERT EmailCategoryLinks OFF "
							conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>EmailCategoryLinks Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> EmailCategoryLinks records exported<br>
	</ul>

<%
	End IF ' End of ExportEmailCategoryLinks = 1
%>



<% '****************************EmailText TABLE ****************************

	If ExportEmailText = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export EmailText table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

'NOT NEEDED SET_IDENTITY_INSERT_ON("EmailText")

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from EmailText"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from EmailText"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("EmailTextID") = SourceRecord("EmailTextID")
			DestinationRecord("EmailTextTitle") = SourceRecord("EmailTextTitle")
			DestinationRecord("EmailTextSubject") = SourceRecord("EmailTextSubject")
			DestinationRecord("CustomDearUser") = SourceRecord("CustomDearUser")
			DestinationRecord("RemovalLink") = SourceRecord("RemovalLink")
			DestinationRecord("Attachments") = SourceRecord("Attachments")
			DestinationRecord("ReplyToEmail") = SourceRecord("ReplyToEmail")
			DestinationRecord("FromOrganization") = SourceRecord("FromOrganization")


			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Emailtext Table entries for Entry subject: " &  SourceRecord("EmailTextSubject") & " Exported</li>"
			End If
				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
	Conn2.close

' not needed	SET_IDENTITY_INSERT_OFF("EmailText")

%>

	</ul>

	<B>EmailText Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> EmailText records exported<br>
	</ul>

<%
	End IF ' End of ExportEmailText = 1
%>


<% '****************************Email_Text TABLE ****************************

	If ExportEmail_Text = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Email_Text table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

'SET_IDENTITY_INSERT_ON("Email_Text")

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Email_Text"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Email_Text"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("tech_update_case") = SourceRecord("Tech_update_case")
			DestinationRecord("customer_update_case") = SourceRecord("customer_update_case")
			DestinationRecord("customer_registration") = SourceRecord("customer_registration")
			DestinationRecord("tech_case_assigned") = SourceRecord("tech_case_assigned")
			DestinationRecord("lost_customer_id_search") = SourceRecord("lost_customer_id_search")
			DestinationRecord("user_page_html") = SourceRecord("user_page_html")

			'email_number is not used as key since only 1 record is recorded
			' so the autonumber can be left on for this table.

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Email_text Table Successfully Exported</li>"
			End If

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
	Conn2.close

	' NOT NEEDED SET_IDENTITY_INSERT_OFF("Email_Text")

%>

	</ul>

	<B>Email_Text Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Email_Text records exported<br>
	</ul>

<%
	End IF ' End of ExportEmailText = 1
%>

<% '****************************KBConfiguration TABLE ****************************

	If ExportKBConfiguration = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export KBConfiguration table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

'NOT NEEDED SET_IDENTITY_INSERT_ON("KBConfiguration")

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from KBConfiguration"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from KBConfiguration"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("LastKBDate") = SourceRecord("LastKBDate")
			DestinationRecord("IncludeOneLine") = SourceRecord("IncludeOneLine")
			DestinationRecord("IncludeHistory") = SourceRecord("IncludeHistory")
			DestinationRecord("IncludeSummary") = SourceRecord("IncludeSummary")
			DestinationRecord("IncludeResolution") = SourceRecord("IncludeResolution")

			' KBConfigID is auto number but we only have one fields so it does not have
			' to be disabled.

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>KBConfiguration Table successfully Exported</li>"
			End If

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
	Conn2.close

	' NOT NEEDED SET_IDENTITY_INSERT_OFF("KBConfiguration")

%>

	</ul>

	<B>KBConfiguration Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> KBConfiguration records exported<br>
	</ul>

<%
	End IF ' End of ExportKBConfiguration = 1
%>


<% '****************************KBWords TABLE ****************************

	If ExportKBWords = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export KBWords table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT KBWords ON "
conn2.execute(SQL)

	nRecords = 0
	nLastRecord = 0
   bStop = 0

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")

	Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
	SQL = "Select * from KBWords"

	Do While nRecords < nLOOP_RECORDS and bstop = 0

		nRecords = nRecords + 1
		SQL2 = "Select  * from KBWords where WordIndex > " & nLastRecord & " Order by WordIndex ASC "

		SourceRecord.Open SQL2,Conn,3,3
		if sourcerecord.eof then
			bStop = 1
		end if
		Do while not SourceRecord.EOF

			' Create a new record on the destination database
				DestinationRecord.Open SQL,Conn2,3,3
				DestinationRecord.AddNew

			DestinationRecord("WordIndex") = SourceRecord("WordIndex")
			DestinationRecord("Word") = SourceRecord("Word")

			DestinationRecord.Update
			nLastRecord = SourceRecord("WordIndex")

				If LoggingOptions = "FULL" Then
				response.write " <font color=green> <LI>KBWords Table entries for word: " &  SourceRecord("Word") & " Exported</li>"
					response.flush
				End If

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					  response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if

				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			DestinationRecord.Close

			SourceRecord.MoveNext
			TotalImportedRecords = TotalImportedRecords + 1
		loop ' end of records

		SourceRecord.Close ' Close the source recordset
	   nRecords = 0
	loop ' number of records

	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing

								SQL = "Set IDENTITY_INSERT KBWords OFF "
								conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>KBWords Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> KBWord Table records exported<br>
	</ul>

<%
	End IF ' End of ExportKBWords = 1
%>


<% '****************************KBMap TABLE ****************************

	If ExportKBMap = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export KBMap table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.
SQL = "Set IDENTITY_INSERT KBMap ON "
conn2.execute(SQL)

nRecords = 0
	nLastRecord = 0
   bStop = 0

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")

	Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
	SQL = "Select * from KBMap"
'	DestinationRecord.Open SQL,Conn2,3,3

	Do While nRecords < nLOOP_RECORDS and bstop = 0

		nRecords = nRecords + 1
		SQL2 = "Select  * from KBMap where MapIndex > " & nLastRecord & " Order by MapIndex ASC "

		SourceRecord.Open SQL2,Conn,3,3
		if sourcerecord.eof then
			bStop = 1
		end if

		Do while not SourceRecord.EOF

			' Create a new record on the destination database
				DestinationRecord.Open SQL,Conn2,3,3
				DestinationRecord.AddNew

			DestinationRecord("WordIndex") = SourceRecord("WordIndex")
			DestinationRecord("case_number") = SourceRecord("case_number")
			DestinationRecord("Section") = SourceRecord("Section")

			' Note MapIndex field is autonumber and not used so it can be left autonumber
			DestinationRecord("MapIndex") = SourceRecord("MapIndex")

			DestinationRecord.Update
			nLastRecord = SourceRecord("MapIndex")

				If LoggingOptions = "FULL" Then
				response.write " <font color=green> <LI>KBMap Table entries for word Index: " &  SourceRecord("Wordindex") & "Case Number: " & SourceRecord("Case_Number") & " Exported</li>"
					response.flush
				End If

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					  response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if

				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			DestinationRecord.Close

			SourceRecord.MoveNext
			TotalImportedRecords = TotalImportedRecords + 1
		loop ' end of records

		SourceRecord.Close ' Close the source recordset
	   nRecords = 0
	loop ' number of records

	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing


	SQL = "Set IDENTITY_INSERT KBMap OFF "
	conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>KBMap Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> KBMap Table records exported<br>
	</ul>

<%
	End IF ' End of ExportKBMap = 1
%>


<% '****************************Priority TABLE ****************************

	If ExportPriority = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Priority table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

'NO IDENTITY FIELD SET_IDENTITY_INSERT_ON("Priority")

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Priority"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Priority"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("PriorityID") = SourceRecord("PriorityID")
			DestinationRecord("ShortDesc") = SourceRecord("ShortDesc")
			DestinationRecord("LongDesc") = SourceRecord("LongDesc")


			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Priority Table entry: " &  SourceRecord("ShortDesc") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
	Conn2.close

	'NOT NEEDED SET_IDENTITY_INSERT_OFF("Priority")

%>

	</ul>

	<B>Priority Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Priority Table records exported<br>
	</ul>

<%
	End IF ' End of ExportPriority = 1
%>

<% '****************************TopCases TABLE ****************************

	If ExportTopCases = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export TopCases table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.
SQL = "Set IDENTITY_INSERT TopCases ON "
conn2.execute(SQL)


	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from TopCases"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from TopCases"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("case_number") = SourceRecord("case_number")
			DestinationRecord("caselisttype") = SourceRecord("caselisttype")
						DestinationRecord("TopCaseIndex") = SourceRecord("TopCaseIndex")


			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>TopCases Table entry: " &  SourceRecord("case_Number") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing

										SQL = "Set IDENTITY_INSERT TopCases OFF "
										conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>TopCases Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> TopCases Table records exported<br>
	</ul>

<%
	End IF ' End of ExportPriority = 1
%>

<% '****************************Case_Text_Field_Labels TABLE ****************************

	If ExportCase_Text_Field_Labels = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Case_Text_Field_Labels table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT Case_Text_Field_Labels ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Case_Text_Field_Labels"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Case_Text_Field_Labels"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("Cases_Text_Field_Index") = SourceRecord("Cases_Text_Field_Index")
			DestinationRecord("Field_1_Label") = SourceRecord("Field_1_Label")
			DestinationRecord("Field_2_Label") = SourceRecord("Field_2_Label")
			DestinationRecord("Field_3_Label") = SourceRecord("Field_3_Label")
			DestinationRecord("Field_4_Label") = SourceRecord("Field_4_Label")
			DestinationRecord("Field_5_Label") = SourceRecord("Field_5_Label")
			DestinationRecord("Field_6_Label") = SourceRecord("Field_6_Label")
			DestinationRecord("Field_7_Label") = SourceRecord("Field_7_Label")
			DestinationRecord("Field_8_Label") = SourceRecord("Field_8_Label")
			DestinationRecord("Field_9_Label") = SourceRecord("Field_9_Label")
			DestinationRecord("Field_10_Label") = SourceRecord("Field_10_Label")
	'		DestinationRecord("asset_number") = SourceRecord("asset_number") '???????????????
	'		DestinationRecord("customer_id") = SourceRecord("customer_id")  '???????????????
	'		DestinationRecord("Tech_id") = SourceRecord("Tech_id")  '???????????????
			DestinationRecord("Field_1_State") = SourceRecord("Field_1_State")
			DestinationRecord("Field_2_State") = SourceRecord("Field_2_State")
			DestinationRecord("Field_3_State") = SourceRecord("Field_3_State")
			DestinationRecord("Field_4_State") = SourceRecord("Field_4_State")
			DestinationRecord("Field_5_State") = SourceRecord("Field_5_State")
			DestinationRecord("Field_6_State") = SourceRecord("Field_6_State")
			DestinationRecord("Field_7_State") = SourceRecord("Field_7_State")
			DestinationRecord("Field_8_State") = SourceRecord("Field_8_State")
			DestinationRecord("Field_9_State") = SourceRecord("Field_9_State")
			DestinationRecord("Field_10_State") = SourceRecord("Field_10_State")


			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Case_Text_Field_Labels entries found: " &  SourceRecord("Cases_Text_Field_Index") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing

											SQL = "Set IDENTITY_INSERT Case_Text_Field_Labels OFF "
											conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>Case_Text_Field_Labels Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Case_Text_Field_Labels Table records exported<br>
	</ul>

<%
	End IF ' End of ExportCase_Text_Field_Labels = 1
%>

<% '****************************Escalation TABLE ****************************

	If ExportEscalation = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Escalation table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT Escalation ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Escalation"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Escalation"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("Escalation_Number") = SourceRecord("Escalation_Number")
			DestinationRecord("Disable_All") = SourceRecord("Disable_All")
			DestinationRecord("Escalation_Refresh_Rate") = SourceRecord("Escalation_Refresh_Rate")
			DestinationRecord("Newcase_Enable") = SourceRecord("Newcase_Enable")
			DestinationRecord("Newcase_interval") = SourceRecord("Newcase_interval")
			DestinationRecord("Newcase_Email") = SourceRecord("Newcase_Email")
			DestinationRecord("Newcase_Group") = SourceRecord("Newcase_Group")
			DestinationRecord("Newcase_CellEmail") = SourceRecord("Newcase_CellEmail")
			DestinationRecord("Existcase_Enable") = SourceRecord("Existcase_Enable")
			DestinationRecord("Existcase_Interval") = SourceRecord("Existcase_Interval")
			DestinationRecord("Existcase_Priority") = SourceRecord("Existcase_Priority")
			DestinationRecord("Existcase_status") = SourceRecord("Existcase_status")
			DestinationRecord("Existcase_email") = SourceRecord("Existcase_email")
			DestinationRecord("Existcase_group") = SourceRecord("Existcase_group")
			DestinationRecord("Existcase_CellEmail") = SourceRecord("Existcase_CellEmail")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Escalation Table entry: " &  SourceRecord("Escalation_Number") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing


												SQL = "Set IDENTITY_INSERT Escalation OFF "
												conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>Escalation Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Escalation Table records exported<br>
	</ul>

<%
	End IF ' End of ExportEscalation = 1
%>

<% '****************************Event_Attending TABLE ****************************

	If ExportEvent_Attending = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Event_Attending table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT Event_Attending ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Event_Attending"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Event_Attending"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("Event_Attending_ID") = SourceRecord("Event_Attending_ID")
			DestinationRecord("Schedule_ID") = SourceRecord("Schedule_ID")
			DestinationRecord("Tech_ID") = SourceRecord("Tech_ID")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Event_Attending Table entry: " &  SourceRecord("Event_Attending_ID") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing

													SQL = "Set IDENTITY_INSERT Event_Attending OFF "
													conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>Event_Attending Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Event_Attending Table records exported<br>
	</ul>

<%
	End IF ' End of ExportEvent_Attending = 1
%>

<% '****************************Event_Type TABLE ****************************

	If ExportEvent_Type = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Event_Type table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT Event_Type ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Event_Type"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Event_Type"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("Event_Type_ID") = SourceRecord("Event_Type_ID")
			DestinationRecord("Event_Type_Name") = SourceRecord("Event_Type_Name")
			DestinationRecord("Event_Type_gif") = SourceRecord("Event_Type_gif")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Event_Type Table entry: " &  SourceRecord("Event_Type_ID") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
														SQL = "Set IDENTITY_INSERT Event_Type OFF "
														conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>Event_Type Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Event_Type Table records exported<br>
	</ul>

<%
	End IF ' End of ExportEvent_Type = 1
%>

<% '****************************Schedule TABLE ****************************

	If ExportSchedule = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Schedule table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT Schedule ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Schedule"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Schedule"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("Schedule_ID") = SourceRecord("Schedule_ID")
			DestinationRecord("Customer_ID") = SourceRecord("Customer_ID")
			DestinationRecord("Event_Type_ID") = SourceRecord("Event_Type_ID")
			DestinationRecord("Email_Reminder") = SourceRecord("Email_Reminder")
			DestinationRecord("Start_Date") = SourceRecord("Start_Date")
			DestinationRecord("Start_Time") = SourceRecord("Start_Time")
			DestinationRecord("End_Date") = SourceRecord("End_Date")
			DestinationRecord("End_Time") = SourceRecord("End_Time")
			DestinationRecord("Tech_ID") = SourceRecord("Tech_ID")
			DestinationRecord("Event_Title") = SourceRecord("Event_Title")
			DestinationRecord("Event_Notes") = SourceRecord("Event_Notes")
			DestinationRecord("Event_Status") = SourceRecord("Event_Status")
			DestinationRecord("case_number") = SourceRecord("case_number")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Schedule Table entry: " &  SourceRecord("Schedule_ID") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing

															SQL = "Set IDENTITY_INSERT Schedule OFF "
															conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>Schedule Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Schedule Table records exported<br>
	</ul>

<%
	End IF ' End of ExportSchedule = 1
%>

<% '****************************Survey TABLE ****************************

	If ExportSurvey = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Survey table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT Survey ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Survey"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Survey"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("Question_ID") = SourceRecord("Question_ID")
			DestinationRecord("Survey_Question") = SourceRecord("Survey_Question")
			DestinationRecord("Question_Type") = SourceRecord("Question_Type")
			DestinationRecord("Active") = SourceRecord("Active")
			DestinationRecord("Question_Order") = SourceRecord("Question_Order")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Survey Table entry: " &  SourceRecord("Question_ID") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
																SQL = "Set IDENTITY_INSERT Survey OFF "
																conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>Survey Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Survey Table records exported<br>
	</ul>

<%
	End IF ' End of ExportSurvey = 1
%>

<% '****************************Survey_Results TABLE ****************************

	If ExportSurvey_Results = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Survey_Results table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.
SQL = "Set IDENTITY_INSERT Survey_Results ON "
conn2.execute(SQL)



	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Survey_Results"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Survey_Results"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("Results_ID") = SourceRecord("Results_ID")
			DestinationRecord("Customer_ID") = SourceRecord("Customer_ID")
			DestinationRecord("Survey_Date") = SourceRecord("Survey_Date")
			DestinationRecord("Case_Number") = SourceRecord("Case_Number")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Survey_Results Table entry: " &  SourceRecord("Results_ID") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
																	SQL = "Set IDENTITY_INSERT Survey_Results OFF "
																	conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>Survey_Results Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Survey_Results Table records exported<br>
	</ul>

<%
	End IF ' End of ExportSurvey_Results = 1
%>

<% '****************************UserCategory TABLE ****************************

	If ExportUserCategory = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export UserCategory table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.
SQL = "Set IDENTITY_INSERT UserCategory ON "
conn2.execute(SQL)


	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from UserCategory"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from UserCategory"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("UserCategoryID") = SourceRecord("UserCategoryID")
			DestinationRecord("UserCategory") = SourceRecord("UserCategory")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>UserCategory Table entry: " &  SourceRecord("UserCategoryID") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
																		SQL = "Set IDENTITY_INSERT UserCategory OFF "
																		conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>UserCategory Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> UserCategory Table records exported<br>
	</ul>

<%
	End IF ' End of ExportUserCategory = 1
%>

<% '****************************Result_Detail TABLE ****************************

	If ExportResult_Detail = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Result_Detail table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT Result_Detail ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Result_Detail"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Result_Detail"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("Result_Detail_ID") = SourceRecord("Result_Detail_ID")
			DestinationRecord("Results_ID") = SourceRecord("Results_ID")
			DestinationRecord("Question_ID") = SourceRecord("Question_ID")
			DestinationRecord("YES_NO_ANSWER") = SourceRecord("YES_NO_ANSWER")
			DestinationRecord("OPEN_ENDED_ANSWER") = SourceRecord("OPEN_ENDED_ANSWER")
			DestinationRecord("RANGE_ANSWER") = SourceRecord("RANGE_ANSWER")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Result_Detail Table entry: " &  SourceRecord("Result_Detail_ID") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
																			SQL = "Set IDENTITY_INSERT Result_Detail OFF "
																			conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>Result_Detail Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Result_Detail Table records exported<br>
	</ul>

<%
	End IF ' End of ExportResult_Detail = 1
%>


<% ' ************************** Web+Center Version 5.0 tables ****************  %>

<% '****************************Invoice TABLE ****************************

	If ExportInvoice = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Invoice table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT Invoice ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Invoice"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Invoice"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

	DestinationRecord("InvoiceNumber") = SourceRecord("InvoiceNumber")
	DestinationRecord("Item1") = SourceRecord("Item1")
	DestinationRecord("Item2") = SourceRecord("Item2")
	DestinationRecord("Item3") = SourceRecord("Item3")
	DestinationRecord("Item4") = SourceRecord("Item4")
	DestinationRecord("Item5") = SourceRecord("Item5")
	DestinationRecord("NonTaxItem1") = SourceRecord("NonTaxItem1")
	DestinationRecord("NonTaxItem2") = SourceRecord("NonTaxItem2")
	DestinationRecord("NonTaxItem3") = SourceRecord("NonTaxItem3")
	DestinationRecord("TaxRate") = SourceRecord("TaxRate")
	DestinationRecord("TaxCost") = SourceRecord("TaxCost")
	DestinationRecord("Hours") = SourceRecord("Hours")
	DestinationRecord("HourlyRate") = SourceRecord("HourlyRate")
	DestinationRecord("HourlyCost") = SourceRecord("HourlyCost")
	DestinationRecord("Case_number") = SourceRecord("Case_Number")
	DestinationRecord("TimeSpentCost") = SourceRecord("TimeSpentCost")
	DestinationRecord("UseTimeSpentValue") = SourceRecord("UserTimeSpentValue")
	DestinationRecord("	SubTotal") = SourceRecord("SubTotal")
	DestinationRecord("PurchaseTotal") = SourceRecord("PurchaseTotal")
	DestinationRecord("InvoiceDescription") = SourceRecord("InvoiceDescription")
	DestinationRecord("PONumber") = SourceRecord("PONumber")
	DestinationRecord("InvoiceNotes") = SourceRecord("InvoiceNotes")
	DestinationRecord("PaymentDueDate") = SourceRecord("PaymentDueDate")
	DestinationRecord("RenewalDate") = SourceRecord("RenewalDate")
	DestinationRecord("PurchaseDate") = SourceRecord("PurchaseDate")
	DestinationRecord("AmountPaid") = SourceRecord("AmountPaid")
	DestinationRecord("InvoiceBalance") = SourceRecord("InvoiceBalance")
	DestinationRecord("PaidDate") = SourceRecord("PaidDate")
	DestinationRecord("CheckNumber") = SourceRecord("CheckNumber")
	DestinationRecord("TransactionID") = SourceRecord("TransactionID")
	DestinationRecord("InvoiceTypeID") = SourceRecord("InvoiceTypeID")
	DestinationRecord("PaymentMethodID") = SourceRecord("PaymentMethodID")
	DestinationRecord("Customer_ID") = SourceRecord("Customer_ID")
	DestinationRecord("InvoiceStatusID") = SourceRecord("InvoiceStatusID")
	DestinationRecord("Cost1") = SourceRecord("Cost1")
	DestinationRecord("Cost2") = SourceRecord("Cost2")
	DestinationRecord("Cost3") = SourceRecord("Cost3")
	DestinationRecord("Cost4") = SourceRecord("Cost4")
	DestinationRecord("Cost5") = SourceRecord("Cost5")
	DestinationRecord("CostNonTax1") = SourceRecord("CostNonTax1")
	DestinationRecord("CostNonTax2") = SourceRecord("CostNonTax2")
	DestinationRecord("CostNonTax3") = SourceRecord("CostNonTax3")
	DestinationRecord("Item1Qty") = SourceRecord("Item1Qty")
	DestinationRecord("Item2Qty") = SourceRecord("Item2Qty")
	DestinationRecord("Item3Qty") = SourceRecord("Item3Qty")
	DestinationRecord("Item4Qty") = SourceRecord("Item4Qty")
	DestinationRecord("Item5Qty") = SourceRecord("Item5Qty")
	DestinationRecord("NonTax1Qty") = SourceRecord("NonTax1Qty")
	DestinationRecord("NonTax2Qty") = SourceRecord("NonTax2Qty")
	DestinationRecord("NonTax3Qty") = SourceRecord("NonTax3Qty")
	DestinationRecord("ExtendedTimeSpentTotals") = SourceRecord("ExtendedTimeSpentTotals")


			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Invoice Table entry: " &  SourceRecord("InvoiceNumber") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
																				SQL = "Set IDENTITY_INSERT Invoice OFF "
																				conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>Invoice Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Invoice Table records exported<br>
	</ul>

<%
	End IF ' End of ExportInvoice = 1
%>



<% '****************************InvoiceStatus  TABLE ****************************

	If ExportInvoiceStatus = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export InvoiceStatus table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.
SQL = "Set IDENTITY_INSERT InvoiceStatus ON "
conn2.execute(SQL)


	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from InvoiceStatus"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from InvoiceStatus"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("InvoiceStatusID") = SourceRecord("InvoiceStatusID")
			DestinationRecord("InvoiceStatus") = SourceRecord("InvoiceStatus")


			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Invoice Status Table entry: " &  SourceRecord("InvoiceStatusID") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
																					SQL = "Set IDENTITY_INSERT InvoiceStatus OFF "
																					conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>InvoiceStatus Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> InvoiceStatus Table records exported<br>
	</ul>

<%
	End IF ' End of ExportInvoiceSTatus = 1
%>


<% '****************************InvoiceType  TABLE ****************************

	If ExportInvoiceType = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export InvoiceType table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT InvoiceType ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from InvoiceType"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from InvoiceType"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("InvoiceTypeID") = SourceRecord("InvoiceTypeID")
			DestinationRecord("InvoiceType") = SourceRecord("InvoiceType")


			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>InvoiceType Table entry: " &  SourceRecord("InvoiceTypeID") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
																						SQL = "Set IDENTITY_INSERT InvoiceType OFF "
																						conn2.execute(SQL)

	Conn2.close

%>

	</ul>

	<B>InvoiceType Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> InvoiceType Table records exported<br>
	</ul>

<%
	End IF ' End of ExportInvoiceType = 1
%>


<% '****************************TimeSpent  TABLE ****************************

	If ExportTimeSpent = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export TimeSpent table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT TimeSpent ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from TimeSpent"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from TimeSpent"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew


     DestinationRecord("TimeSpentIndex") = SourceRecord("TimeSpentIndex")
     DestinationRecord("Case_Number") = SourceRecord("Case_number")
     DestinationRecord("Invoice_Date") = SourceRecord("Invoice_Date")
     DestinationRecord("Tech_Id") = SourceRecord("Tech_Id")
     DestinationRecord("Billable") = SourceRecord("Billable")
     DestinationRecord("Hours") = SourceRecord("Hours")
     DestinationRecord("HourlyRate") = SourceRecord("HourlyRate")
     DestinationRecord("TimeSpentNote") = SourceRecord("TimeSpentNote")
     DestinationRecord("InvoiceNumber") = SourceRecord("InvoiceNumber")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>TimeSpent Table entry: " &  SourceRecord("TimeSpentIndex") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
																							SQL = "Set IDENTITY_INSERT TimeSpent OFF "
																							conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>TimeSpent Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> TimeSpent Table records exported<br>
	</ul>

<%
	End IF ' End of ExportTimeSpent = 1
%>


<% '****************************PaymentMethod  TABLE ****************************

	If ExportPaymentMethod = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export PaymentMethod table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT PaymentMethod ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from PaymentMethod"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from PaymentMethod"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("PaymentMethodID") = SourceRecord("PaymentMethodID")
			DestinationRecord("PaymentMethod") = SourceRecord("PaymentMethod")


			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>PaymentMethod Table entry: " &  SourceRecord("PaymentMethodID") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
																								SQL = "Set IDENTITY_INSERT PaymentMethod OFF "
																								conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>PaymentMethod Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> PaymentMethod Table records exported<br>
	</ul>

<%
	End IF ' End of ExportPaymentMethod = 1
%>

<% ' * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
%>

<% ' Version 6.0 Tables Migrations
%>

<% '****************************Pnotes  TABLE ****************************

	If ExportPNotes = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Pnotes table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT Pnotes ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Pnotes"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Pnotes"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

	     DestinationRecord("PNotes_id") = SourceRecord("Pnotes_Id")
	     DestinationRecord("Case_number") = SourceRecord("Case_number")
	     DestinationRecord("Pnote") = SourceRecord("Pnote")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>PNotes Table entry: " &  SourceRecord("Pnotes_Id") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
																									SQL = "Set IDENTITY_INSERT Pnotes OFF "
																									conn2.execute(SQL)

	Conn2.close

%>


	</ul>

	<B>PNotes Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> PNotes Table records exported<br>
	</ul>

<%
	End IF ' End of ExportPNotes = 1
%>



%>

<% '****************************Companies  TABLE ****************************

	If ExportCompanies = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Companies table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT Companies ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Companies"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Companies"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

	DestinationRecord("Company_id") = SourceRecord("Company_id")
	DestinationRecord("Company_name") = SourceRecord("Company_name")
	DestinationRecord("Company_address") = SourceRecord("Company_address")
	DestinationRecord("Company_mailstop") = SourceRecord("Company_mailstop")
	DestinationRecord("Company_city") = SourceRecord("Company_city")
	DestinationRecord("Company_state") = SourceRecord("Company_state")
	DestinationRecord("Company_zip") = SourceRecord("Company_zip")
	DestinationRecord("Company_country") = SourceRecord("Company_Country")
	DestinationRecord("Company_email") = SourceRecord("Company_Email")
	DestinationRecord("Company_Phone1") = SourceRecord("Company_Phone1")
	DestinationRecord("Company_Phone2") = SourceRecord("Company_Phone2")
	DestinationRecord("Company_fax") = SourceRecord("Company_fax")
	DestinationRecord("Company_web") = SourceRecord("Company_web")
	DestinationRecord("Company_IPphone") = SourceRecord("Company_IPphone")


			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Companies Table entry: " &  SourceRecord("Company_id") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
																										SQL = "Set IDENTITY_INSERT Companies OFF "
																										conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>Companies Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Companies Table records exported<br>
	</ul>

<%
	End IF ' End of ExportCompanies = 1
%>


<% '****************************TextAgentAvailable TABLE ****************************

	If ExportTextAgentAvailable = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export TextAgentAvailable table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT TextAgentAvailable ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from TextAgentAvailable"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from TextAgentAvailable"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

		DestinationRecord("TextAgentAvailableID") = SourceRecord("TextAgentAvailableID")
		DestinationRecord("Tech_ID") = SourceRecord("Tech_ID")
		DestinationRecord("LastDateTime") = SourceRecord("LastDateTime")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				'response.write " <font color=green> <LI>TextAgentAvailable Table entry: " &  SourceRecord("TextAgentAvailable") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
			SQL = "Set IDENTITY_INSERT TextAgentAvailable OFF "
			conn2.execute(SQL)

	Conn2.close


%>


	</ul>

	<B>TextAgentAvailable Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> TextAgentAvailable Table records exported<br>
	</ul>

<%
	End IF ' End of ExportTextAgentAvailable = 1
%>


<% '****************************TextChat TABLE ****************************

	If ExportTextChat = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export TextChat table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT TextChat ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from TextChat"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from TextChat"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

		DestinationRecord("TextChatThread") = SourceRecord("TextChatThread")
			DestinationRecord("Customer_ID") = SourceRecord("Customer_ID")
			DestinationRecord("TextChatHistory") = SourceRecord("TextChatHistory")
			DestinationRecord("NewCustomerText") = SourceRecord("NewCustomerText")
			DestinationRecord("NewTechText") = SourceRecord("NewTechText")
			DestinationRecord("LastEntryDate") = SourceRecord("LastEntryDate")
			DestinationRecord("LastEntryTime") = SourceRecord("LastEntryTime")
			DestinationRecord("NewTextReady") = SourceRecord("NewTextReady")
			DestinationRecord("Tech_ID") = SourceRecord("Tech_ID")
			DestinationRecord("Case_Number") = SourceRecord("Case_Number")
			DestinationRecord("MessageStatus") = SourceRecord("MessageStatus")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				'response.write " <font color=green> <LI>TextChat Table entry: " &  SourceRecord("TextChatThread") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
				SQL = "Set IDENTITY_INSERT TextChat OFF "
				conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>TextChat Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> TextChat Table records exported<br>
	</ul>

<%
	End IF ' End of ExportTextChat = 1
%>

<% '****************************Media_Inventory TABLE ****************************

	If ExportMedia_Inventory = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Media_inventory table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT Media_Inventory ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Media_Inventory"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Media_Inventory"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("Media_id") = SourceRecord("Media_id")
			DestinationRecord("Media_type_id") = SourceRecord("Media_type_id")
			DestinationRecord("Media_tag") = SourceRecord("Media_tag")
			DestinationRecord("Serial_number") = SourceRecord("Serial_number")
			DestinationRecord("Description") = SourceRecord("Description")
			DestinationRecord("History") = SourceRecord("History")
			DestinationRecord("Custom_1") = SourceRecord("Custom_1")
			DestinationRecord("Custom_2") = SourceRecord("Custom_2")
			DestinationRecord("Status") = SourceRecord("Status")
			DestinationRecord("Rate") = SourceRecord("Rate")
			DestinationRecord("Rate_Basis") = SourceRecord("Rate_Basis")
			DestinationRecord("Schedule_Priority") = SourceRecord("Schedule_Priority")


			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Media_Inventory Table entry: " &  SourceRecord("Media_id") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
					SQL = "Set IDENTITY_INSERT Media_Inventory OFF "
					conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>Media_Inventory Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Media_Inventory Table records exported<br>
	</ul>

<%
	End IF ' End of ExportMedia_Inventory = 1
%>






<% '****************************Media_Schedule TABLE ****************************

	If ExportMedia_Schedule = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Media_Schedule table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT Media_Schedule ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Media_Schedule"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Media_Schedule"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

				DestinationRecord("Schedule_id") = SourceRecord("Schedule_id")
				DestinationRecord("Media_type_id") = SourceRecord("Media_Type_id")
				DestinationRecord("Media_id") = SourceRecord("Media_id")
				DestinationRecord("Status") = SourceRecord("Status")
				DestinationRecord("Delivery_time_encoded") = SourceRecord("Delivery_time_encoded")
				DestinationRecord("Delivery_date_sysformat") = SourceRecord("Delivery_date_sysformat")
				DestinationRecord("Pickup_time_encoded") = SourceRecord("Pickup_time_encoded")
				DestinationRecord("Pickup_date_sysformat") = SourceRecord("Pickup_date_sysformat")
				DestinationRecord("Customer_id") = SourceRecord("Customer_id")
				DestinationRecord("Address") = SourceRecord("Address")
				DestinationRecord("Building") = SourceRecord("Building")
				DestinationRecord("Room") = SourceRecord("Room")
				DestinationRecord("Phone") = SourceRecord("Phone")
				DestinationRecord("Instructions") = SourceRecord("Instructions")
				DestinationRecord("Contact") = SourceRecord("Contact")
				DestinationRecord("Event_description") = SourceRecord("Event_description")
				DestinationRecord("group_id") = SourceRecord("group_id")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Media_Schedule Table entry: " &  SourceRecord("schedule_id") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
						SQL = "Set IDENTITY_INSERT Media_Schedule OFF "
						conn2.execute(SQL)

	Conn2.close

%>

	</ul>

	<B>Media_Schedule Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Media_Schedule Table records exported<br>
	</ul>

<%
	End IF ' End of ExportMedia_Schedule = 1
%>


<% '****************************Media_Type TABLE ****************************

	If ExportMedia_Type = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Media_Type table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT Media_Type ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Media_Type"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Media_Type"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew


					DestinationRecord("Media_type_id") = SourceRecord("Media_type_id")
					DestinationRecord("Media_type") = SourceRecord("Media_type")
					DestinationRecord("Image_file") = SourceRecord("Image_file")
					DestinationRecord("Description") = SourceRecord("Description")
					DestinationRecord("Display_sequence") = SourceRecord("Display_sequence")
					DestinationRecord("Publik") = SourceRecord("Publik")


			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				response.write " <font color=green> <LI>Media_Type Table entry: " &  SourceRecord("media_type_id") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
							SQL = "Set IDENTITY_INSERT Media_Type OFF "
							conn2.execute(SQL)

	Conn2.close


%>


	</ul>

	<B>Media_Type Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Media_Type Table records exported<br>
	</ul>

<%
	End IF ' End of ExportMedia_Type = 1
%>

<% '****************************AssetGroup TABLE ****************************

	If ExportAssetGroup = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export AssetGroup table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT AssetGroup ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from AssetGroup"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from AssetGroup"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

		DestinationRecord("AssetGroupIndex") = SourceRecord("AssetGroupIndex")
			DestinationRecord("AssetGroupName") = SourceRecord("AssetGroupName")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				'response.write " <font color=green> <LI>AssetGroup Table entry: " &  SourceRecord("AssetGroupIndex") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
								SQL = "Set IDENTITY_INSERT AssetGroup OFF "
								conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>AssetGroup Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> AssetGroup Table records exported<br>
	</ul>

<%
	End IF ' End of ExportAssetGroup = 1
%>


<% '****************************AssetGroupValues TABLE ****************************

	If ExportAssetGroupValues = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export AssetGroupValues table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT AssetGroupValues ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from AssetGroupValues"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from AssetGroupValues"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

		DestinationRecord("AssetGroupValuesIndex") = SourceRecord("AssetGroupValuesIndex")
			DestinationRecord("AssetGroupIndex") = SourceRecord("AssetGroupIndex")
			DestinationRecord("Asset_Number") = SourceRecord("Asset_Number")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				'response.write " <font color=green> <LI>AssetGroupValues Table entry: " &  SourceRecord("AssetGroupValuesIndex") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
									SQL = "Set IDENTITY_INSERT AssetGroupValues OFF "
									conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>AssetGroupValues Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> AssetGroupValues Table records exported<br>
	</ul>

<%
	End IF ' End of ExportAssetGroupValues = 1
%>


<% '****************************EmailToCaseConfig TABLE ****************************

	If ExportEmailToCaseConfig = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export EmailToCaseConfig table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT EmailToCaseConfig ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from EmailToCaseConfig"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from EmailToCaseConfig"  ' 07/10/12 changed from timespent

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

		DestinationRecord("EmailToCaseIndex") = SourceRecord("EmailToCaseIndex")
			DestinationRecord("PopEmailAddress") = SourceRecord("PopEmailAddress")
			DestinationRecord("PopEmailUserName") = SourceRecord("PopEmailUserName")
			DestinationRecord("PopEmailPassword") = SourceRecord("PopEmailPassword")
			DestinationRecord("CheckIntervalMinutes") = SourceRecord("CheckIntervalMinutes")
			DestinationRecord("EmailDomainRequired") = SourceRecord("EmailDomainRequired")
			DestinationRecord("OnlyExistingEmailAddresses") = SourceRecord("OnlyExistingEmailAddresses")
			DestinationRecord("DisableEmailToCase") = SourceRecord("DisableEmailToCase")
			DestinationRecord("AllowAttachedFiles") = SourceRecord("AllowAttachedFiles")
			DestinationRecord("EmailToCaseReplyToName") = SourceRecord("EmailToCaseReplyToName")
			DestinationRecord("EmailToCaseReplyToEmail") = SourceRecord("EmailToCaseReplyToEmail")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				'response.write " <font color=green> <LI>EmailToCaseConfig Table entry: " &  SourceRecord("EmailToCaseIndex") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
										SQL = "Set IDENTITY_INSERT EmailToCaseConfig OFF "
										conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>EmailToCaseConfig Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> EmailToCaseConfig Table records exported<br>
	</ul>

<%
	End IF ' End of ExportEmailToCaseConfig = 1
%>


<% '****************************Inspection TABLE ****************************

	If ExportInspection = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Inspection table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT Inspection ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Inspection"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Inspection"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("InspectionIndex") = SourceRecord("InspectionIndex")
			DestinationRecord("Case_Number") = SourceRecord("Case_Number")
			DestinationRecord("InspectionStatusIndex") = SourceRecord("InspectionStatusIndex")
			DestinationRecord("Asset_Number") = SourceRecord("Asset_Number")
			DestinationRecord("InspectionDate") = SourceRecord("InspectionDate")
			DestinationRecord("InspectionTime") = SourceRecord("InspectionTime")
			DestinationRecord("LastEntryTime") = SourceRecord("LastEntryTime")
			DestinationRecord("Tech_ID") = SourceRecord("Tech_ID")
			DestinationRecord("InspectionNotes") = SourceRecord("InspectionNotes")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				'response.write " <font color=green> <LI>Inspection Table entry: " &  SourceRecord("InspectionIndex") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
											SQL = "Set IDENTITY_INSERT Inspection OFF "
											conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>Inspection Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Inspection Table records exported<br>
	</ul>

<%
	End IF ' End of ExportInspection = 1
%>


<% '****************************InspectionStatus TABLE ****************************

	If ExportInspectionStatus = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export InspectionStatus table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT InspectionStatus ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from InspectionStatus"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from InspectionStatus"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

		DestinationRecord("InspectionStatusIndex") = SourceRecord("InspectionStatusIndex")
			DestinationRecord("InspectionStatus") = SourceRecord("InspectionStatus")
			DestinationRecord("DefaultStatus") = SourceRecord("DefaultStatus")

			' version 7 and 7.5 additions
			DestinationRecord("CompleteStatus") = SourceRecord("CompleteStatus")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				'response.write " <font color=green> <LI>InspectionStatus Table entry: " &  SourceRecord("InspectionStatusIndex") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
												SQL = "Set IDENTITY_INSERT InspectionStatus OFF "
												conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>InspectionStatus Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> InspectionStatus Table records exported<br>
	</ul>

<%
	End IF ' End of ExportInspectionStatus = 1
%>


<% '****************************AssetCategories TABLE ****************************

	If ExportAssetCategories = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export AssetCategories table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT AssetCategories ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from AssetCategories"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from AssetCategories"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

			DestinationRecord("AssetCategoryID") = SourceRecord("AssetCategoryID")
			DestinationRecord("AssetCategory") = SourceRecord("AssetCategory")
			DestinationRecord("IsRequired") = SourceRecord("IsRequired")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				'response.write " <font color=green> <LI>AssetCategories Table entry: " &  SourceRecord("AssetCategoryID") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
													SQL = "Set IDENTITY_INSERT AssetCategories OFF "
													conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>AssetCategories Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> AssetCategories Table records exported<br>
	</ul>

<%
	End IF ' End of ExportAssetCategories = 1
%>


<% '****************************AssetCategoryItems TABLE ****************************

	If ExportAssetCategoryItems = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export AssetCategoryItems table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT AssetCategoryItems ON "
conn2.execute(SQL)
	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from AssetCategoryItems"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from AssetCategoryItems"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

		DestinationRecord("AssetCategoryItemID") = SourceRecord("AssetCategoryItemID")
			DestinationRecord("AssetCategoryID") = SourceRecord("AssetCategoryID")
			DestinationRecord("AssetCategoryItem") = SourceRecord("AssetCategoryItem")
			DestinationRecord("IsDefault") = SourceRecord("IsDefault")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				'response.write " <font color=green> <LI>AssetCategoryItems Table entry: " &  SourceRecord(""AssetCategoryItemID") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
														SQL = "Set IDENTITY_INSERT AssetCategoryItems OFF "
														conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>AssetCategoryItems Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> AssetCategoryItems Table records exported<br>
	</ul>

<%
	End IF ' End of ExportAssetCategoryItems = 1
%>


<% '****************************Projects TABLE ****************************

	If ExportProjects = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export TextChat table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT Projects ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Projects"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Projects"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

		DestinationRecord("ProjectID") = SourceRecord("ProjectID")
			DestinationRecord("ProjectName") = SourceRecord("ProjectName")
			DestinationRecord("ProjectLeader") = SourceRecord("ProjectLeader")
			DestinationRecord("ProjectDescription") = SourceRecord("ProjectDescription")
			DestinationRecord("HoursEstimated") = SourceRecord("HoursEstimated")
			DestinationRecord("ResourcesEstimated") = SourceRecord("ResourcesEstimated")
			DestinationRecord("MakePublic") = SourceRecord("MakePublic")
			DestinationRecord("ProjectReferenceNumber") = SourceRecord("ProjectReferenceNumber")
			DestinationRecord("ProjectStatus") = SourceRecord("ProjectStatus")
			DestinationRecord("AdditionalProjectMembers") = SourceRecord("AdditionalProjectMembers")
			DestinationRecord("ProjectDueDate") = SourceRecord("ProjectDueDate")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				'response.write " <font color=green> <LI>Projects Table entry: " &  SourceRecord("ProjectID") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
															SQL = "Set IDENTITY_INSERT Projects OFF "
															conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>Projects Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Projects Table records exported<br>
	</ul>

<%
	End IF ' End of ExportProjects = 1
%>


<% '****************************Expenses TABLE ****************************

	If ExportExpenses = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export Expenses table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT Expenses ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from Expenses"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Expenses"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

		DestinationRecord("ExpenseIndex") = SourceRecord("ExpenseIndex")
			DestinationRecord("case_number") = SourceRecord("case_number")
			DestinationRecord("Tech_ID") = SourceRecord("Tech_ID")
			DestinationRecord("Quantity") = SourceRecord("Quantity")
			DestinationRecord("Cost") = SourceRecord("Cost")
			DestinationRecord("Description") = SourceRecord("Description")
			DestinationRecord("ExpenseCategory") = SourceRecord("ExpenseCategory")
			DestinationRecord("ExpenseDate") = SourceRecord("ExpenseDate")
			DestinationRecord("TaxRatePercent") = SourceRecord("TaxRatePercentD")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				'response.write " <font color=green> <LI>Expenses Table entry: " &  SourceRecord("ExpenseIndex") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
																SQL = "Set IDENTITY_INSERT Expenses OFF "
																conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>Expenses Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> Expenses Table records exported<br>
	</ul>

<%
	End IF ' End of ExportExpenses = 1
%>


<% '****************************ProjectCases TABLE ****************************

	If ExportProjectCases = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export TextChat table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT ProjectCases ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from ProjectCases"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from ProjectCases"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

		DestinationRecord("ProjectCasesID") = SourceRecord("ProjectCasesID")
			DestinationRecord("ProjectID") = SourceRecord("ProjectID")
			DestinationRecord("Case_Number") = SourceRecord("Case_Numbery")
			DestinationRecord("ParentCase") = SourceRecord("ParentCase")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				'response.write " <font color=green> <LI>ProjectCases Table entry: " &  SourceRecord("ProjectCasesID") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
																	SQL = "Set IDENTITY_INSERT ProjectCases OFF "
																	conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>ProjectCases Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> ProjectCases Table records exported<br>
	</ul>

<%
	End IF ' End of ExportProjectCases = 1
%>


<% '****************************ProjectHistory TABLE ****************************

	If ExportProjectHistory = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export ProjectHistory table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT ProjectHistory ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from ProjectHistory"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from ProjectHistory"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

		DestinationRecord("ProjectHistoryID") = SourceRecord("ProjectHistoryID")
			DestinationRecord("ProjectID") = SourceRecord("ProjectID")
			DestinationRecord("ProjectHistoryDate") = SourceRecord("ProjectHistoryDate")
			DestinationRecord("ProjectHistoryTime") = SourceRecord("ProjectHistoryTime")
			DestinationRecord("ProjectHistory") = SourceRecord("ProjectHistory")
			DestinationRecord("ProjectHistoryUpdatedBy") = SourceRecord("ProjectHistoryUpdatedBy")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				'response.write " <font color=green> <LI>ProjectHistory Table entry: " &  SourceRecord("ProjectHistoryID") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
																		SQL = "Set IDENTITY_INSERT ProjectHistory OFF "
																		conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>ProjectHistory Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> ProjectHistory Table records exported<br>
	</ul>

<%
	End IF ' End of ExportProjectHistory = 1
%>


<% '****************************ProjectMembers TABLE ****************************

	If ExportProjectMembers = 1 Then

	TotalImportedRecords = 0 ' Reset back to zero

	response.write "<B>Now attempting to export ProjectMembers table to SQL*Server:</b><P>"

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  AccessDatabaseDSN   ' Conn = Access Source Database

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  myDSN ' If it fails here, then check your connect string.

SQL = "Set IDENTITY_INSERT ProjectMembers ON "
conn2.execute(SQL)

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from ProjectMembers"
			SourceRecord.Open SQL2,Conn,3,3

	Do while SourceRecord.EOF <> True

		' Create a new record on the desintation database

		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from ProjectMembers"

			'response.write SQL

			DestinationRecord.Open SQL,Conn2,3,3
			DestinationRecord.AddNew

		DestinationRecord("ProjectMembersID") = SourceRecord("ProjectMembersID")
			DestinationRecord("ProjectID") = SourceRecord("ProjectID")
			DestinationRecord("ProjectMember") = SourceRecord("ProjectMember")

			DestinationRecord.Update

			If LoggingOptions = "FULL" Then

				'response.write " <font color=green> <LI>ProjectMembers Table entry: " &  SourceRecord("ProjectMembersID") & " Exported</li>"
			End If


				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1
	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
																			SQL = "Set IDENTITY_INSERT ProjectMembers OFF "
																			conn2.execute(SQL)

	Conn2.close


%>

	</ul>

	<B>ProjectMembers Table Successfully Exported</B><P>
	<UL> <%=TotalImportedRecords%> ProjectMembers Table records exported<br>
	</ul>

<%
	End IF ' End of ExportProjectMembers = 1
%>




<br>
<hr>
<hr>
<Center>
End If Access to SQL*Server conversion process
</center>


</body>
</html>



<% Function CheckForUniqueTableValues(Tablename, Columnname, tablevalue)
	'This function checks to see if the passed column for a selected
	' table is unique (ie email in customer table, username, etc)
	' This functions either a "UNIQUE" or "NOTUNIQUE" returns

		' Notice we using another connection incase we already using conntemp.

		set conntemp2=server.createobject("adodb.connection")

		conntemp2.open myDSN ' Open the connection once here

		mySQL2="select * from " & tablename & " where " & Columnname & " = '" & TableValue & "'"

		set rstemp5=conntemp2.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp5.EOF then
			CheckForUniqueTableValues = "UNIQUE"
		Else
			CheckForUniqueTableValues = "NONUNIQUE"
		End If

		rstemp5.close
		set rstemp5=nothing

		conntemp2.close ' Close the connection
		set conntemp2=nothing

	End Function ' End of CheckForUniqueTableValues
	%>

